//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfc/Exception.h>
#include <lfc/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(BEGIN);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s10);

   Scanner s11(BETWEEN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s11);

   Scanner s12(BIGINT);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s12);

   Scanner s13(BITAND);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITOR);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s14);

   Scanner s15(BITXOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s15);

   Scanner s16(BLOB);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s16);

   Scanner s17(BOOL);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s17);

   Scanner s18(BY);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,FINAL));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s18);

   Scanner s19(CALL);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s19);

   Scanner s20(CASE);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s20);

   Scanner s21(CHECK);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(5 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s21.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s21);

   Scanner s22(CLOSE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s22);

   Scanner s23(COMMIT);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(6 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s23.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s23);

   Scanner s24(COLUMN);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(6 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s24.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s24);

   Scanner s25(CONSTRAINT);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(10 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s25.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s25.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s25.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s25.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s25.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s25);

   Scanner s26(COUNT);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s26);

   Scanner s27(COUNTER);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(7 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s27.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s27);

   Scanner s28(CREATE);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s28);

   Scanner s29(CURSOR);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(6 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s29.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s29);

   Scanner s30(DATE);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s30);

   Scanner s31(DATE2STR);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(8 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s31.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s31.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s31);

   Scanner s32(DATE2INT);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s32);

   Scanner s33(DATETIME);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s33);

   Scanner s34(DECIMAL);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s34);

   Scanner s35(DEFAULT);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(7 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s35.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s35);

   Scanner s36(DELETETOK);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s36);

   Scanner s37(DESC);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s37);

   Scanner s38(DISTINCT);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s38);

   Scanner s39(DIV);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s39);

   Scanner s40(DOUBLE);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s40);

   Scanner s41(DROP);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s41);

   Scanner s42(ELSE);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s42);

   Scanner s43(ELSIF);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s43);

   Scanner s44(END_TOKEN);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s44);

   Scanner s45(EXCEPTION);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(9 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s45.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s45);

   Scanner s46(EXISTS);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s46);

   Scanner s47(FALSEVAL);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s47);

   Scanner s48(FETCH);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s48);

   Scanner s49(FIXED);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s49);

   Scanner s50(FLOAT);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s50);

   Scanner s51(FOR);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s51);

   Scanner s52(FOREIGN);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(7 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s52.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s52.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s52);

   Scanner s53(FROM);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s53);

   Scanner s54(GETPOS);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(6 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s54.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s54);

   Scanner s55(GROUP);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s55);

   Scanner s56(HAVING);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(6 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s56.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s56);

   Scanner s57(IDENTIFIED);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(10 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s57.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s57.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s57.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s57.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s57.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s57);

   Scanner s58(IF);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,FINAL));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s58.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s58);

   Scanner s59(INTOK);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,FINAL));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s59.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s59);

   Scanner s60(INDEX);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(5 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s60.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s60);

   Scanner s61(INNER);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s61);

   Scanner s62(INT);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s62);

   Scanner s63(INTO);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s63);

   Scanner s64(INT2DATE);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(8 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s64.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s64.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s64.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s64);

   Scanner s65(INSERT);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(6 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s65.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s65.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s65);

   Scanner s66(IS);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,FINAL));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s66);

   Scanner s67(ISOLATION);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(9 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s67.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s67.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s67.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s67.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s67);

   Scanner s68(JDBC);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s68);

   Scanner s69(JOIN);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s69);

   Scanner s70(KEY);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s70);

   Scanner s71(LEFT);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s71);

   Scanner s72(LENGTH);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s72);

   Scanner s73(LIKE);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s73);

   Scanner s74(LIST);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s74);

   Scanner s75(LOAD);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s75);

   Scanner s76(LOCKS);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(5 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s76.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s76);

   Scanner s77(LONG);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s77);

   Scanner s78(LOWER);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(5 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s78.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s78);

   Scanner s79(LTRIM);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s79);

   Scanner s80(MIN);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s80);

   Scanner s81(MAX);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s81);

   Scanner s82(MOD);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s82);

   Scanner s83(MODIFY);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(6 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s83.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s83.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s83);

   Scanner s84(NEXTCOUNT);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(9 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s84.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s84.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s84.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s84.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s84.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s84);

   Scanner s85(NOOP);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s85);

   Scanner s86(NOT);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s86);

   Scanner s87(NULLTOKEN);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s87);

   Scanner s88(OFF);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s88);

   Scanner s89(ON);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,FINAL));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s89.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s89);

   Scanner s90(OUTTOK);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s90);

   Scanner s91(OUTER);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(5 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s91.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s91);

   Scanner s92(OR);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,FINAL));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s92.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s92);

   Scanner s93(ORDER);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(5 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s93.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s93);

   Scanner s94(PLAN);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s94);

   Scanner s95(POOL);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s95);

   Scanner s96(POWER);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s96);

   Scanner s97(PRIMARY);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(7 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s97.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s97.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s97.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s97);

   Scanner s98(PRINT);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s98);

   Scanner s99(PROCEDURE);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(9 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s99.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s99.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s99.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s99.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s99);

   Scanner s100(QUERYCACHE);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(10 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s100.addTransition(ScannerTransEntry(4 ,'y' ,5));
   s100.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s100.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s100.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s100.addTransition(ScannerTransEntry(8 ,'h' ,9));
   s100.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s100);

   Scanner s101(QUIT);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s101);

   Scanner s102(RANDSTR);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(7 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s102.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s102.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s102.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s102);

   Scanner s103(RANDINT);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(7 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s103.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s103.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s103);

   Scanner s104(RBSEG);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s104);

   Scanner s105(REFERENCES);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(10 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s105.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s105.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s105.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s105.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s105.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s105);

   Scanner s106(RENAME);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(6 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s106.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s106);

   Scanner s107(REORGANIZE);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(10 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s107.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s107.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s107.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s107.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s107.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s107.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s107);

   Scanner s108(RETURNTOKEN);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(6 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s108.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s108);

   Scanner s109(REMOVE);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s109);

   Scanner s110(REPLACE);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(7 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s110.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s110.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s110);

   Scanner s111(RIGHT);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s111);

   Scanner s112(ROLLBACK);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(8 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s112.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s112.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s112.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s112);

   Scanner s113(ROUND);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s113);

   Scanner s114(ROWLIMIT);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(8 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s114.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s114.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s114.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s114);

   Scanner s115(RTRIM);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s115);

   Scanner s116(SELECT);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(6 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s116.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s116);

   Scanner s117(SET);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s117);

   Scanner s118(SHOW);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s118);

   Scanner s119(SMALLINT);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(8 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s119.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s119.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s119.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s119);

   Scanner s120(START_TOKEN);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s120);

   Scanner s121(STRING);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s121);

   Scanner s122(SUBSTR);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(6 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s122.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s122);

   Scanner s123(SUM);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s123);

   Scanner s124(SYNC);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s124);

   Scanner s125(SYSDATE);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(7 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s125.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s125);

   Scanner s126(SYSTEMSPACE);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(11 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s126.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s126.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s126.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s126.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s126.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s126.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s126);

   Scanner s127(SYSOBJ);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s127);

   Scanner s128(TABLEINFO);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(9 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s128.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s128.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s128.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s128);

   Scanner s129(TABLE);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s129);

   Scanner s130(TABLESET);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(8 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s130.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s130.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s130.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s130);

   Scanner s131(THEN);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s131);

   Scanner s132(TINYINT);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(7 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s132.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s132.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s132);

   Scanner s133(TMPOBJ);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s133);

   Scanner s134(TRANSACTION);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(11 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s134.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s134.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s134.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s134.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s134.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s134);

   Scanner s135(STR2INT);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(7 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s135.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s135);

   Scanner s136(STR2LONG);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(8 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s136.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s136.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s136.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s136);

   Scanner s137(TO);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,FINAL));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s137.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s137);

   Scanner s138(TRIM);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s138);

   Scanner s139(TRUEVAL);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s139);

   Scanner s140(TRUNC);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s140);

   Scanner s141(UNION);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s141);

   Scanner s142(UNIQUE);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s142);

   Scanner s143(UPDATE);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(6 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s143.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s143);

   Scanner s144(UPPER);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s144);

   Scanner s145(VAR);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s145);

   Scanner s146(VALUES);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(6 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s146.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s146);

   Scanner s147(VIEW);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s147);

   Scanner s148(WHEN);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s148);

   Scanner s149(WHERE);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(5 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s149.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s149);

   Scanner s150(WHILE);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s150);

   Scanner s151(CONCAT);
   s151.addState(ScannerStateEntry(0 ,START));
   s151.addState(ScannerStateEntry(1 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s151);

   Scanner s152(EQU);
   s152.addState(ScannerStateEntry(0 ,START));
   s152.addState(ScannerStateEntry(1 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s152);

   Scanner s153(KSEP);
   s153.addState(ScannerStateEntry(0 ,START));
   s153.addState(ScannerStateEntry(1 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s153);

   Scanner s154(LB);
   s154.addState(ScannerStateEntry(0 ,START));
   s154.addState(ScannerStateEntry(1 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s154);

   Scanner s155(LT);
   s155.addState(ScannerStateEntry(0 ,START));
   s155.addState(ScannerStateEntry(1 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s155);

   Scanner s156(MT);
   s156.addState(ScannerStateEntry(0 ,START));
   s156.addState(ScannerStateEntry(1 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s156);

   Scanner s157(NEGATION);
   s157.addState(ScannerStateEntry(0 ,START));
   s157.addState(ScannerStateEntry(1 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s157);

   Scanner s158(RB);
   s158.addState(ScannerStateEntry(0 ,START));
   s158.addState(ScannerStateEntry(1 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s158);

   Scanner s159(LAB);
   s159.addState(ScannerStateEntry(0 ,START));
   s159.addState(ScannerStateEntry(1 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s159);

   Scanner s160(RAB);
   s160.addState(ScannerStateEntry(0 ,START));
   s160.addState(ScannerStateEntry(1 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s160);

   Scanner s161(SEMICOLON);
   s161.addState(ScannerStateEntry(0 ,START));
   s161.addState(ScannerStateEntry(1 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s161);

   Scanner s162(STAR);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s162);

   Scanner s163(DIVISION);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s163);

   Scanner s164(MINUS);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s164);

   Scanner s165(PLUS);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s165);

   Scanner s166(INTVAL);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,FINAL));
   s166.addState(ScannerStateEntry(2 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s166.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s166);

   Scanner s167(FLOATVAL);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(3 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s167.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s167.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s167.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s167);

   Scanner s168(IDENTIFIER);
   s168.addState(ScannerStateEntry(0 ,START));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s168);

   Scanner s169(VARREF);
   s169.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(1 ,FINAL));
   s169.addState(ScannerStateEntry(2 ,START));
   s169.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s169.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s169);

   Scanner s170(QUALIFIEDOBJ);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(3 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s170.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s170.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s170);

   Scanner s171(QUALIFIEDPRE);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(2 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s171);

   Scanner s172(QUALIFIEDTS);
   s172.addState(ScannerStateEntry(0 ,START));
   s172.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(3 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s172.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s172);

   Scanner s173(COUNTERID);
   s173.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(1 ,FINAL));
   s173.addState(ScannerStateEntry(2 ,START));
   s173.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(2 ,'#' ,0));
   _scannerList.Insert(s173);

}
void Cego::loadParser0()
{
   _actionMap[800][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[799][RB] = ActionEntry(SHIFT, 800);
   _actionMap[798][IDENTIFIER] = ActionEntry(SHIFT, 684);
   _jumpMap[798][SimpleAttr] = 683;
   _jumpMap[798][SimpleAttrList] = 799;
   _actionMap[795][LB] = ActionEntry(SHIFT, 798);
   _actionMap[796][ROWLIMIT] = ActionEntry(REDUCE, 225);
   _actionMap[796][UNION] = ActionEntry(REDUCE, 225);
   _actionMap[796][ENDTOKEN] = ActionEntry(REDUCE, 225);
   _actionMap[796][RB] = ActionEntry(REDUCE, 225);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[796][KSEP] = ActionEntry(REDUCE, 225);
   _actionMap[797][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[797][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[797][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[797][ORDER] = ActionEntry(REDUCE, 219);
   _actionMap[797][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[797][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[797][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[797][RB] = ActionEntry(REDUCE, 219);
   _actionMap[797][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[791][IDENTIFIER] = ActionEntry(SHIFT, 795);
   _actionMap[792][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[792][RB] = ActionEntry(REDUCE, 74);
   _actionMap[793][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[793][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[793][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[793][ASC] = ActionEntry(SHIFT, 784);
   _actionMap[793][ROWLIMIT] = ActionEntry(REDUCE, 230);
   _actionMap[793][DESC] = ActionEntry(SHIFT, 785);
   _actionMap[793][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[793][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[793][RB] = ActionEntry(REDUCE, 230);
   _actionMap[793][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[793][KSEP] = ActionEntry(REDUCE, 230);
   _jumpMap[793][DefaultOrderOpt] = 783;
   _jumpMap[793][OrderingOpt] = 796;
   _actionMap[794][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[794][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[794][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[794][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[794][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[794][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[794][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[794][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[794][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[794][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[794][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[794][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[794][LEFT] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser1()
{
   _actionMap[794][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[794][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[794][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[794][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[794][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[794][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[794][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[794][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[794][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[794][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[794][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[794][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[794][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[794][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[794][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[794][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[794][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[794][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[794][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[794][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[794][LB] = ActionEntry(SHIFT, 136);
   _actionMap[794][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[794][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[794][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[794][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[794][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[794][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[794][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[794][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[794][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[794][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[794][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[794][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[794][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[794][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[794][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[794][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[794][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[794][ObjSpec] = 95;
   _jumpMap[794][Constant] = 94;
   _jumpMap[794][SignedFloat] = 93;
   _jumpMap[794][SignedInt] = 92;
   _jumpMap[794][Attribute] = 91;
   _jumpMap[794][Function] = 90;
   _jumpMap[794][CasePrepare] = 89;
   _jumpMap[794][CaseClause] = 88;
   _jumpMap[794][Factor] = 87;
   _jumpMap[794][Term] = 86;
   _jumpMap[794][Expr] = 797;
   _actionMap[779][REFERENCES] = ActionEntry(SHIFT, 791);
}
void Cego::loadParser2()
{
   _actionMap[780][ELSE] = ActionEntry(REDUCE, 110);
   _actionMap[780][ELSIF] = ActionEntry(REDUCE, 110);
   _actionMap[780][EXCEPTION] = ActionEntry(REDUCE, 110);
   _actionMap[780][END_TOKEN] = ActionEntry(REDUCE, 110);
   _actionMap[780][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[780][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[780][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[780][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[780][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[780][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[780][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[780][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[780][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[780][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[780][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[780][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[780][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[780][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[780][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[780][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[780][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[780][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[780][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[780][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[780][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[780][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[780][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[780][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[780][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[780][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[780][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[780][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[780][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[780][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[780][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[780][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[780][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[780][LB] = ActionEntry(SHIFT, 136);
   _actionMap[780][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[780][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[780][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[780][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[780][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[780][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[780][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[780][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[780][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[780][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[780][VARREF] = ActionEntry(SHIFT, 327);
   _actionMap[780][FETCH] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser3()
{
   _actionMap[780][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[780][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[780][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[780][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[780][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[780][IF] = ActionEntry(SHIFT, 322);
   _actionMap[780][BEGIN] = ActionEntry(SHIFT, 319);
   _actionMap[780][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[780][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[780][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[780][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[780][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[780][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[780][VAR] = ActionEntry(SHIFT, 325);
   _actionMap[780][CURSOR] = ActionEntry(SHIFT, 321);
   _actionMap[780][CLOSE] = ActionEntry(SHIFT, 320);
   _actionMap[780][NOOP] = ActionEntry(SHIFT, 323);
   _actionMap[780][RETURNTOKEN] = ActionEntry(SHIFT, 324);
   _actionMap[780][WHILE] = ActionEntry(SHIFT, 326);
   _jumpMap[780][ObjSpec] = 95;
   _jumpMap[780][Constant] = 94;
   _jumpMap[780][SignedFloat] = 93;
   _jumpMap[780][SignedInt] = 92;
   _jumpMap[780][Attribute] = 91;
   _jumpMap[780][Function] = 90;
   _jumpMap[780][DeleteStatement] = 318;
   _jumpMap[780][UpdateStatement] = 317;
   _jumpMap[780][InsertStatement] = 316;
   _jumpMap[780][RollbackStatement] = 315;
   _jumpMap[780][CommitStatement] = 314;
   _jumpMap[780][StartStatement] = 313;
   _jumpMap[780][CasePrepare] = 89;
   _jumpMap[780][CaseClause] = 88;
   _jumpMap[780][Factor] = 87;
   _jumpMap[780][Term] = 86;
   _jumpMap[780][Expr] = 312;
   _jumpMap[780][ProcStatement] = 435;
   _jumpMap[780][ProcIfPart] = 310;
   _jumpMap[780][ProcBlockStart] = 309;
   _actionMap[781][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[781][SelectStatement] = 792;
   _actionMap[782][ROWLIMIT] = ActionEntry(REDUCE, 226);
   _actionMap[782][UNION] = ActionEntry(REDUCE, 226);
   _actionMap[782][ENDTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[782][RB] = ActionEntry(REDUCE, 226);
   _actionMap[782][SEMICOLON] = ActionEntry(REDUCE, 226);
   _actionMap[782][KSEP] = ActionEntry(REDUCE, 226);
   _actionMap[783][ROWLIMIT] = ActionEntry(REDUCE, 227);
   _actionMap[783][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[783][ENDTOKEN] = ActionEntry(REDUCE, 227);
}
void Cego::loadParser4()
{
   _actionMap[783][RB] = ActionEntry(REDUCE, 227);
   _actionMap[783][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[783][KSEP] = ActionEntry(REDUCE, 227);
   _actionMap[784][ROWLIMIT] = ActionEntry(REDUCE, 229);
   _actionMap[784][UNION] = ActionEntry(REDUCE, 229);
   _actionMap[784][ENDTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[784][RB] = ActionEntry(REDUCE, 229);
   _actionMap[784][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[784][KSEP] = ActionEntry(REDUCE, 229);
   _actionMap[785][ROWLIMIT] = ActionEntry(REDUCE, 228);
   _actionMap[785][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[785][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[785][RB] = ActionEntry(REDUCE, 228);
   _actionMap[785][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[785][KSEP] = ActionEntry(REDUCE, 228);
   _actionMap[786][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[786][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[786][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[786][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[786][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[786][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[786][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[786][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[786][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[786][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[786][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[786][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[786][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[786][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[786][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[786][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[786][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[786][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[786][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[786][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[786][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[786][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[786][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[786][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[786][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[786][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[786][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[786][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[786][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[786][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[786][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[786][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[786][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[786][LB] = ActionEntry(SHIFT, 136);
   _actionMap[786][STRINGVAL] = ActionEntry(SHIFT, 96);
}
void Cego::loadParser5()
{
   _actionMap[786][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[786][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[786][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[786][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[786][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[786][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[786][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[786][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[786][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[786][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[786][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[786][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[786][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[786][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[786][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[786][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[786][ObjSpec] = 95;
   _jumpMap[786][Constant] = 94;
   _jumpMap[786][SignedFloat] = 93;
   _jumpMap[786][SignedInt] = 92;
   _jumpMap[786][Attribute] = 91;
   _jumpMap[786][Function] = 90;
   _jumpMap[786][CasePrepare] = 89;
   _jumpMap[786][CaseClause] = 88;
   _jumpMap[786][Factor] = 87;
   _jumpMap[786][Term] = 86;
   _jumpMap[786][Expr] = 793;
   _actionMap[787][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[787][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[787][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[787][EQU] = ActionEntry(SHIFT, 479);
   _actionMap[787][NEGATION] = ActionEntry(SHIFT, 482);
   _actionMap[787][LT] = ActionEntry(SHIFT, 480);
   _actionMap[787][MT] = ActionEntry(SHIFT, 481);
   _jumpMap[787][Comparison] = 794;
   _actionMap[788][KSEP] = ActionEntry(REDUCE, 217);
   _actionMap[788][HAVING] = ActionEntry(REDUCE, 217);
   _actionMap[788][ORDER] = ActionEntry(REDUCE, 217);
   _actionMap[788][ROWLIMIT] = ActionEntry(REDUCE, 217);
   _actionMap[788][UNION] = ActionEntry(REDUCE, 217);
   _actionMap[788][ENDTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[788][RB] = ActionEntry(REDUCE, 217);
   _actionMap[788][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[789][AND] = ActionEntry(SHIFT, 483);
   _actionMap[789][OR] = ActionEntry(SHIFT, 484);
   _actionMap[789][LEFT] = ActionEntry(REDUCE, 203);
   _actionMap[789][RIGHT] = ActionEntry(REDUCE, 203);
   _actionMap[789][INNER] = ActionEntry(REDUCE, 203);
   _actionMap[789][JOIN] = ActionEntry(REDUCE, 203);
   _actionMap[789][RETURNTOKEN] = ActionEntry(REDUCE, 203);
}
void Cego::loadParser6()
{
   _actionMap[789][SEMICOLON] = ActionEntry(REDUCE, 203);
   _actionMap[789][RB] = ActionEntry(REDUCE, 203);
   _actionMap[789][ENDTOKEN] = ActionEntry(REDUCE, 203);
   _actionMap[789][UNION] = ActionEntry(REDUCE, 203);
   _actionMap[789][ROWLIMIT] = ActionEntry(REDUCE, 203);
   _actionMap[789][ORDER] = ActionEntry(REDUCE, 203);
   _actionMap[789][GROUP] = ActionEntry(REDUCE, 203);
   _actionMap[789][WHERE] = ActionEntry(REDUCE, 203);
   _actionMap[790][AND] = ActionEntry(SHIFT, 483);
   _actionMap[790][OR] = ActionEntry(SHIFT, 484);
   _actionMap[790][LEFT] = ActionEntry(REDUCE, 204);
   _actionMap[790][RIGHT] = ActionEntry(REDUCE, 204);
   _actionMap[790][INNER] = ActionEntry(REDUCE, 204);
   _actionMap[790][JOIN] = ActionEntry(REDUCE, 204);
   _actionMap[790][RETURNTOKEN] = ActionEntry(REDUCE, 204);
   _actionMap[790][SEMICOLON] = ActionEntry(REDUCE, 204);
   _actionMap[790][RB] = ActionEntry(REDUCE, 204);
   _actionMap[790][ENDTOKEN] = ActionEntry(REDUCE, 204);
   _actionMap[790][UNION] = ActionEntry(REDUCE, 204);
   _actionMap[790][ROWLIMIT] = ActionEntry(REDUCE, 204);
   _actionMap[790][ORDER] = ActionEntry(REDUCE, 204);
   _actionMap[790][GROUP] = ActionEntry(REDUCE, 204);
   _actionMap[790][WHERE] = ActionEntry(REDUCE, 204);
   _actionMap[756][RB] = ActionEntry(SHIFT, 779);
   _actionMap[757][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[757][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[757][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[757][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[757][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[757][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[757][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[757][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[757][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[757][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[757][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[757][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[757][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[757][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[757][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[757][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[757][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[757][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[757][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[757][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[757][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[757][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[757][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[757][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[757][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[757][POWER] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser7()
{
   _actionMap[757][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[757][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[757][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[757][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[757][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[757][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[757][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[757][LB] = ActionEntry(SHIFT, 136);
   _actionMap[757][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[757][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[757][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[757][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[757][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[757][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[757][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[757][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[757][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[757][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[757][VARREF] = ActionEntry(SHIFT, 327);
   _actionMap[757][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[757][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[757][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[757][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[757][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[757][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[757][IF] = ActionEntry(SHIFT, 322);
   _actionMap[757][BEGIN] = ActionEntry(SHIFT, 319);
   _actionMap[757][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[757][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[757][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[757][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[757][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[757][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[757][VAR] = ActionEntry(SHIFT, 325);
   _actionMap[757][CURSOR] = ActionEntry(SHIFT, 321);
   _actionMap[757][CLOSE] = ActionEntry(SHIFT, 320);
   _actionMap[757][NOOP] = ActionEntry(SHIFT, 323);
   _actionMap[757][RETURNTOKEN] = ActionEntry(SHIFT, 324);
   _actionMap[757][WHILE] = ActionEntry(SHIFT, 326);
   _jumpMap[757][ObjSpec] = 95;
   _jumpMap[757][Constant] = 94;
   _jumpMap[757][SignedFloat] = 93;
   _jumpMap[757][SignedInt] = 92;
   _jumpMap[757][Attribute] = 91;
   _jumpMap[757][Function] = 90;
   _jumpMap[757][DeleteStatement] = 318;
   _jumpMap[757][UpdateStatement] = 317;
   _jumpMap[757][InsertStatement] = 316;
   _jumpMap[757][RollbackStatement] = 315;
   _jumpMap[757][CommitStatement] = 314;
}
void Cego::loadParser8()
{
   _jumpMap[757][StartStatement] = 313;
   _jumpMap[757][CasePrepare] = 89;
   _jumpMap[757][CaseClause] = 88;
   _jumpMap[757][Factor] = 87;
   _jumpMap[757][Term] = 86;
   _jumpMap[757][Expr] = 312;
   _jumpMap[757][ProcStatement] = 311;
   _jumpMap[757][ProcIfPart] = 310;
   _jumpMap[757][ProcBlockStart] = 309;
   _jumpMap[757][ProcStatementList] = 780;
   _actionMap[758][BEGIN] = ActionEntry(REDUCE, 312);
   _actionMap[758][DEFAULT] = ActionEntry(REDUCE, 312);
   _actionMap[758][NULLTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[758][NOT] = ActionEntry(REDUCE, 312);
   _actionMap[758][KSEP] = ActionEntry(REDUCE, 312);
   _actionMap[758][RB] = ActionEntry(REDUCE, 312);
   _actionMap[758][EQU] = ActionEntry(REDUCE, 312);
   _actionMap[758][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[759][BEGIN] = ActionEntry(REDUCE, 317);
   _actionMap[759][DEFAULT] = ActionEntry(REDUCE, 317);
   _actionMap[759][NULLTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[759][NOT] = ActionEntry(REDUCE, 317);
   _actionMap[759][KSEP] = ActionEntry(REDUCE, 317);
   _actionMap[759][RB] = ActionEntry(REDUCE, 317);
   _actionMap[759][EQU] = ActionEntry(REDUCE, 317);
   _actionMap[759][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[760][BEGIN] = ActionEntry(REDUCE, 318);
   _actionMap[760][DEFAULT] = ActionEntry(REDUCE, 318);
   _actionMap[760][NULLTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[760][NOT] = ActionEntry(REDUCE, 318);
   _actionMap[760][KSEP] = ActionEntry(REDUCE, 318);
   _actionMap[760][RB] = ActionEntry(REDUCE, 318);
   _actionMap[760][EQU] = ActionEntry(REDUCE, 318);
   _actionMap[760][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[761][BEGIN] = ActionEntry(REDUCE, 309);
   _actionMap[761][DEFAULT] = ActionEntry(REDUCE, 309);
   _actionMap[761][NULLTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[761][NOT] = ActionEntry(REDUCE, 309);
   _actionMap[761][KSEP] = ActionEntry(REDUCE, 309);
   _actionMap[761][RB] = ActionEntry(REDUCE, 309);
   _actionMap[761][EQU] = ActionEntry(REDUCE, 309);
   _actionMap[761][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[762][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[763][RB] = ActionEntry(REDUCE, 175);
   _actionMap[764][SEMICOLON] = ActionEntry(REDUCE, 169);
   _actionMap[764][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[764][RB] = ActionEntry(REDUCE, 169);
   _actionMap[765][LEFT] = ActionEntry(REDUCE, 298);
   _actionMap[765][RIGHT] = ActionEntry(REDUCE, 298);
   _actionMap[765][INNER] = ActionEntry(REDUCE, 298);
}
void Cego::loadParser9()
{
   _actionMap[765][JOIN] = ActionEntry(REDUCE, 298);
   _actionMap[765][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[765][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[765][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[765][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[765][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[765][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[765][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[765][THEN] = ActionEntry(REDUCE, 298);
   _actionMap[765][AND] = ActionEntry(REDUCE, 298);
   _actionMap[765][OR] = ActionEntry(REDUCE, 298);
   _actionMap[765][RB] = ActionEntry(REDUCE, 298);
   _actionMap[766][SEMICOLON] = ActionEntry(REDUCE, 192);
   _actionMap[766][RB] = ActionEntry(REDUCE, 192);
   _actionMap[767][ALL] = ActionEntry(SHIFT, 781);
   _actionMap[768][UNION] = ActionEntry(REDUCE, 233);
   _actionMap[768][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[768][RB] = ActionEntry(REDUCE, 233);
   _actionMap[768][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[769][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[769][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[769][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[769][ASC] = ActionEntry(SHIFT, 784);
   _actionMap[769][ROWLIMIT] = ActionEntry(REDUCE, 230);
   _actionMap[769][DESC] = ActionEntry(SHIFT, 785);
   _actionMap[769][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[769][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[769][RB] = ActionEntry(REDUCE, 230);
   _actionMap[769][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[769][KSEP] = ActionEntry(REDUCE, 230);
   _jumpMap[769][DefaultOrderOpt] = 783;
   _jumpMap[769][OrderingOpt] = 782;
   _actionMap[770][KSEP] = ActionEntry(SHIFT, 786);
   _actionMap[770][ROWLIMIT] = ActionEntry(REDUCE, 222);
   _actionMap[770][UNION] = ActionEntry(REDUCE, 222);
   _actionMap[770][ENDTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[770][RB] = ActionEntry(REDUCE, 222);
   _actionMap[770][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[771][ORDER] = ActionEntry(REDUCE, 214);
   _actionMap[771][ROWLIMIT] = ActionEntry(REDUCE, 214);
   _actionMap[771][UNION] = ActionEntry(REDUCE, 214);
   _actionMap[771][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[771][RB] = ActionEntry(REDUCE, 214);
   _actionMap[771][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[772][ORDER] = ActionEntry(REDUCE, 220);
   _actionMap[772][ROWLIMIT] = ActionEntry(REDUCE, 220);
   _actionMap[772][UNION] = ActionEntry(REDUCE, 220);
   _actionMap[772][ENDTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[772][RB] = ActionEntry(REDUCE, 220);
}
void Cego::loadParser10()
{
   _actionMap[772][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[773][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[773][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[773][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[773][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[773][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[773][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[773][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[773][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[773][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[773][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[773][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[773][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[773][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[773][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[773][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[773][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[773][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[773][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[773][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[773][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[773][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[773][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[773][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[773][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[773][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[773][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[773][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[773][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[773][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[773][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[773][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[773][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[773][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[773][LB] = ActionEntry(SHIFT, 136);
   _actionMap[773][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[773][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[773][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[773][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[773][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[773][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[773][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[773][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[773][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[773][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[773][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[773][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[773][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[773][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[773][AVG] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser11()
{
   _actionMap[773][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[773][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[773][ObjSpec] = 95;
   _jumpMap[773][Constant] = 94;
   _jumpMap[773][SignedFloat] = 93;
   _jumpMap[773][SignedInt] = 92;
   _jumpMap[773][Attribute] = 91;
   _jumpMap[773][Function] = 90;
   _jumpMap[773][CasePrepare] = 89;
   _jumpMap[773][CaseClause] = 88;
   _jumpMap[773][Factor] = 87;
   _jumpMap[773][Term] = 86;
   _jumpMap[773][Expr] = 787;
   _actionMap[774][IDENTIFIER] = ActionEntry(SHIFT, 749);
   _actionMap[774][QUALIFIEDOBJ] = ActionEntry(SHIFT, 750);
   _actionMap[774][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _jumpMap[774][Attribute] = 788;
   _actionMap[775][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[775][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[775][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[775][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[775][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[775][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[775][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[775][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[775][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[775][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[775][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[775][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[775][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[775][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[775][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[775][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[775][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[775][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[775][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[775][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[775][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[775][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[775][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[775][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[775][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[775][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[775][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[775][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[775][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[775][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[775][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[775][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[775][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser12()
{
   _actionMap[775][LB] = ActionEntry(SHIFT, 354);
   _actionMap[775][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[775][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[775][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[775][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[775][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[775][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[775][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[775][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[775][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[775][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[775][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[775][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[775][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[775][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[775][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[775][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[775][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[775][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[775][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[775][ObjSpec] = 95;
   _jumpMap[775][Constant] = 94;
   _jumpMap[775][SignedFloat] = 93;
   _jumpMap[775][SignedInt] = 92;
   _jumpMap[775][Attribute] = 91;
   _jumpMap[775][QueryPredicate] = 351;
   _jumpMap[775][QueryCondition] = 789;
   _jumpMap[775][Function] = 90;
   _jumpMap[775][CasePrepare] = 89;
   _jumpMap[775][CaseClause] = 88;
   _jumpMap[775][Factor] = 87;
   _jumpMap[775][Term] = 86;
   _jumpMap[775][Expr] = 349;
   _actionMap[776][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[776][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[776][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[776][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[776][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[776][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[776][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[776][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[776][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[776][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[776][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[776][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[776][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[776][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[776][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[776][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[776][REPLACE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser13()
{
   _actionMap[776][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[776][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[776][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[776][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[776][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[776][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[776][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[776][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[776][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[776][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[776][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[776][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[776][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[776][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[776][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[776][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[776][LB] = ActionEntry(SHIFT, 354);
   _actionMap[776][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[776][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[776][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[776][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[776][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[776][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[776][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[776][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[776][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[776][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[776][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[776][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[776][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[776][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[776][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[776][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[776][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[776][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[776][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[776][ObjSpec] = 95;
   _jumpMap[776][Constant] = 94;
   _jumpMap[776][SignedFloat] = 93;
   _jumpMap[776][SignedInt] = 92;
   _jumpMap[776][Attribute] = 91;
   _jumpMap[776][QueryPredicate] = 351;
   _jumpMap[776][QueryCondition] = 790;
   _jumpMap[776][Function] = 90;
   _jumpMap[776][CasePrepare] = 89;
   _jumpMap[776][CaseClause] = 88;
   _jumpMap[776][Factor] = 87;
   _jumpMap[776][Term] = 86;
   _jumpMap[776][Expr] = 349;
   _actionMap[777][SEMICOLON] = ActionEntry(REDUCE, 242);
}
void Cego::loadParser14()
{
   _actionMap[777][KSEP] = ActionEntry(REDUCE, 242);
   _actionMap[778][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[778][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[778][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[778][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[778][KSEP] = ActionEntry(REDUCE, 244);
   _actionMap[716][AND] = ActionEntry(SHIFT, 483);
   _actionMap[716][OR] = ActionEntry(SHIFT, 484);
   _actionMap[716][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[717][IDENTIFIER] = ActionEntry(SHIFT, 684);
   _jumpMap[717][SimpleAttr] = 683;
   _jumpMap[717][SimpleAttrList] = 756;
   _actionMap[718][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[718][KSEP] = ActionEntry(REDUCE, 252);
   _actionMap[719][THEN] = ActionEntry(SHIFT, 757);
   _actionMap[720][THEN] = ActionEntry(REDUCE, 115);
   _actionMap[721][END_TOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[721][ELSE] = ActionEntry(REDUCE, 120);
   _actionMap[721][ELSIF] = ActionEntry(REDUCE, 120);
   _actionMap[722][BEGIN] = ActionEntry(REDUCE, 134);
   _actionMap[722][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[722][OR] = ActionEntry(REDUCE, 134);
   _actionMap[722][AND] = ActionEntry(REDUCE, 134);
   _actionMap[722][RB] = ActionEntry(REDUCE, 134);
   _actionMap[723][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[723][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[723][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[723][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[724][RB] = ActionEntry(SHIFT, 758);
   _actionMap[725][RB] = ActionEntry(SHIFT, 759);
   _actionMap[726][RB] = ActionEntry(SHIFT, 760);
   _actionMap[727][RB] = ActionEntry(SHIFT, 761);
   _actionMap[728][SEMICOLON] = ActionEntry(REDUCE, 126);
   _actionMap[729][RB] = ActionEntry(SHIFT, 762);
   _actionMap[730][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[731][IDENTIFIER] = ActionEntry(SHIFT, 684);
   _jumpMap[731][SimpleAttr] = 683;
   _jumpMap[731][SimpleAttrList] = 763;
   _actionMap[732][SEMICOLON] = ActionEntry(REDUCE, 167);
   _actionMap[732][KSEP] = ActionEntry(REDUCE, 167);
   _actionMap[732][RB] = ActionEntry(REDUCE, 167);
   _actionMap[733][SEMICOLON] = ActionEntry(REDUCE, 170);
   _actionMap[733][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[733][RB] = ActionEntry(REDUCE, 170);
   _actionMap[734][NULLTOKEN] = ActionEntry(SHIFT, 764);
   _actionMap[735][SEMICOLON] = ActionEntry(REDUCE, 168);
   _actionMap[735][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[735][RB] = ActionEntry(REDUCE, 168);
   _actionMap[736][NULLTOKEN] = ActionEntry(REDUCE, 172);
   _actionMap[736][NOT] = ActionEntry(REDUCE, 172);
}
void Cego::loadParser15()
{
   _actionMap[736][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[736][SEMICOLON] = ActionEntry(REDUCE, 172);
   _actionMap[736][RB] = ActionEntry(REDUCE, 172);
   _actionMap[737][LONG] = ActionEntry(SHIFT, 261);
   _actionMap[737][BIGINT] = ActionEntry(SHIFT, 257);
   _actionMap[737][SMALLINT] = ActionEntry(SHIFT, 262);
   _actionMap[737][TINYINT] = ActionEntry(SHIFT, 263);
   _actionMap[737][DOUBLE] = ActionEntry(SHIFT, 259);
   _actionMap[737][DECIMAL] = ActionEntry(SHIFT, 258);
   _actionMap[737][FIXED] = ActionEntry(SHIFT, 260);
   _actionMap[738][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[738][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[738][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[738][KSEP] = ActionEntry(REDUCE, 190);
   _actionMap[738][RB] = ActionEntry(REDUCE, 190);
   _actionMap[739][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[739][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[739][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[739][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[739][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[739][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[739][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[739][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[739][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[739][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[739][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[739][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[739][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[739][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[739][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[739][THEN] = ActionEntry(REDUCE, 300);
   _actionMap[739][AND] = ActionEntry(REDUCE, 300);
   _actionMap[739][OR] = ActionEntry(REDUCE, 300);
   _actionMap[739][RB] = ActionEntry(REDUCE, 300);
   _actionMap[740][LEFT] = ActionEntry(REDUCE, 297);
   _actionMap[740][RIGHT] = ActionEntry(REDUCE, 297);
   _actionMap[740][INNER] = ActionEntry(REDUCE, 297);
   _actionMap[740][JOIN] = ActionEntry(REDUCE, 297);
   _actionMap[740][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[740][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[740][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[740][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[740][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[740][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[740][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[740][WHERE] = ActionEntry(REDUCE, 297);
   _actionMap[740][THEN] = ActionEntry(REDUCE, 297);
   _actionMap[740][AND] = ActionEntry(REDUCE, 297);
   _actionMap[740][OR] = ActionEntry(REDUCE, 297);
   _actionMap[740][RB] = ActionEntry(REDUCE, 297);
}
void Cego::loadParser16()
{
   _actionMap[741][RB] = ActionEntry(SHIFT, 765);
   _actionMap[742][KSEP] = ActionEntry(REDUCE, 161);
   _actionMap[742][RB] = ActionEntry(REDUCE, 161);
   _actionMap[743][UNION] = ActionEntry(SHIFT, 767);
   _actionMap[743][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[743][RB] = ActionEntry(REDUCE, 75);
   _jumpMap[743][UnionAllOpt] = 766;
   _actionMap[744][UNION] = ActionEntry(REDUCE, 234);
   _actionMap[744][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[744][RB] = ActionEntry(REDUCE, 234);
   _actionMap[744][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[745][INTVAL] = ActionEntry(SHIFT, 768);
   _actionMap[746][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[746][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[746][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[746][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[746][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[746][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[746][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[746][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[746][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[746][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[746][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[746][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[746][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[746][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[746][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[746][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[746][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[746][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[746][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[746][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[746][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[746][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[746][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[746][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[746][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[746][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[746][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[746][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[746][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[746][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[746][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[746][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[746][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[746][LB] = ActionEntry(SHIFT, 136);
   _actionMap[746][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[746][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[746][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[746][NULLTOKEN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser17()
{
   _actionMap[746][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[746][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[746][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[746][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[746][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[746][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[746][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[746][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[746][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[746][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[746][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[746][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[746][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[746][ObjSpec] = 95;
   _jumpMap[746][Constant] = 94;
   _jumpMap[746][SignedFloat] = 93;
   _jumpMap[746][SignedInt] = 92;
   _jumpMap[746][Attribute] = 91;
   _jumpMap[746][Function] = 90;
   _jumpMap[746][OrderingList] = 770;
   _jumpMap[746][CasePrepare] = 89;
   _jumpMap[746][CaseClause] = 88;
   _jumpMap[746][Factor] = 87;
   _jumpMap[746][Term] = 86;
   _jumpMap[746][Expr] = 769;
   _actionMap[747][KSEP] = ActionEntry(SHIFT, 774);
   _actionMap[747][ORDER] = ActionEntry(REDUCE, 221);
   _actionMap[747][HAVING] = ActionEntry(SHIFT, 773);
   _actionMap[747][ROWLIMIT] = ActionEntry(REDUCE, 221);
   _actionMap[747][UNION] = ActionEntry(REDUCE, 221);
   _actionMap[747][ENDTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[747][RB] = ActionEntry(REDUCE, 221);
   _actionMap[747][SEMICOLON] = ActionEntry(REDUCE, 221);
   _jumpMap[747][NoHaving] = 772;
   _jumpMap[747][HavingClause] = 771;
   _actionMap[748][KSEP] = ActionEntry(REDUCE, 218);
   _actionMap[748][HAVING] = ActionEntry(REDUCE, 218);
   _actionMap[748][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[748][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[748][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[748][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[748][RB] = ActionEntry(REDUCE, 218);
   _actionMap[748][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[749][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[749][HAVING] = ActionEntry(REDUCE, 326);
   _actionMap[749][ORDER] = ActionEntry(REDUCE, 326);
   _actionMap[749][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[749][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[749][ENDTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[749][RB] = ActionEntry(REDUCE, 326);
}
void Cego::loadParser18()
{
   _actionMap[749][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[750][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[750][HAVING] = ActionEntry(REDUCE, 327);
   _actionMap[750][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[750][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[750][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[750][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[750][RB] = ActionEntry(REDUCE, 327);
   _actionMap[750][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[751][AND] = ActionEntry(SHIFT, 483);
   _actionMap[751][OR] = ActionEntry(SHIFT, 484);
   _actionMap[751][LEFT] = ActionEntry(REDUCE, 202);
   _actionMap[751][RIGHT] = ActionEntry(REDUCE, 202);
   _actionMap[751][INNER] = ActionEntry(REDUCE, 202);
   _actionMap[751][JOIN] = ActionEntry(REDUCE, 202);
   _actionMap[751][RETURNTOKEN] = ActionEntry(REDUCE, 202);
   _actionMap[751][SEMICOLON] = ActionEntry(REDUCE, 202);
   _actionMap[751][RB] = ActionEntry(REDUCE, 202);
   _actionMap[751][ENDTOKEN] = ActionEntry(REDUCE, 202);
   _actionMap[751][UNION] = ActionEntry(REDUCE, 202);
   _actionMap[751][ROWLIMIT] = ActionEntry(REDUCE, 202);
   _actionMap[751][ORDER] = ActionEntry(REDUCE, 202);
   _actionMap[751][GROUP] = ActionEntry(REDUCE, 202);
   _actionMap[751][WHERE] = ActionEntry(REDUCE, 202);
   _actionMap[752][ON] = ActionEntry(SHIFT, 710);
   _jumpMap[752][JoinTableOn] = 775;
   _actionMap[753][ON] = ActionEntry(SHIFT, 710);
   _jumpMap[753][JoinTableOn] = 776;
   _actionMap[754][VARREF] = ActionEntry(SHIFT, 715);
   _jumpMap[754][ReturnVar] = 777;
   _actionMap[755][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[755][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[755][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[755][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[755][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[755][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[755][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[755][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[755][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[755][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[755][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[755][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[755][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[755][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[755][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[755][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[755][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[755][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[755][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[755][STR2INT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser19()
{
   _actionMap[755][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[755][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[755][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[755][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[755][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[755][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[755][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[755][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[755][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[755][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[755][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[755][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[755][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[755][LB] = ActionEntry(SHIFT, 136);
   _actionMap[755][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[755][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[755][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[755][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[755][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[755][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[755][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[755][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[755][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[755][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[755][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[755][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[755][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[755][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[755][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[755][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[755][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[755][ObjSpec] = 95;
   _jumpMap[755][Constant] = 94;
   _jumpMap[755][SignedFloat] = 93;
   _jumpMap[755][SignedInt] = 92;
   _jumpMap[755][Attribute] = 91;
   _jumpMap[755][Function] = 90;
   _jumpMap[755][CasePrepare] = 89;
   _jumpMap[755][CaseClause] = 88;
   _jumpMap[755][Factor] = 87;
   _jumpMap[755][Term] = 86;
   _jumpMap[755][Expr] = 778;
   _actionMap[658][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[658][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[658][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[658][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[658][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[658][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[658][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[658][DATE2STR] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser20()
{
   _actionMap[658][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[658][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[658][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[658][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[658][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[658][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[658][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[658][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[658][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[658][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[658][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[658][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[658][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[658][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[658][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[658][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[658][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[658][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[658][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[658][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[658][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[658][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[658][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[658][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[658][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[658][LB] = ActionEntry(SHIFT, 354);
   _actionMap[658][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[658][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[658][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[658][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[658][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[658][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[658][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[658][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[658][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[658][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[658][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[658][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[658][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[658][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[658][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[658][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[658][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[658][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[658][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[658][ObjSpec] = 95;
   _jumpMap[658][Constant] = 94;
   _jumpMap[658][SignedFloat] = 93;
   _jumpMap[658][SignedInt] = 92;
   _jumpMap[658][Attribute] = 91;
}
void Cego::loadParser21()
{
   _jumpMap[658][QueryPredicate] = 351;
   _jumpMap[658][QueryCondition] = 716;
   _jumpMap[658][Function] = 90;
   _jumpMap[658][CasePrepare] = 89;
   _jumpMap[658][CaseClause] = 88;
   _jumpMap[658][Factor] = 87;
   _jumpMap[658][Term] = 86;
   _jumpMap[658][Expr] = 349;
   _actionMap[659][LB] = ActionEntry(SHIFT, 717);
   _actionMap[660][IDENTIFIER] = ActionEntry(SHIFT, 718);
   _actionMap[661][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[662][IDENTIFIER] = ActionEntry(SHIFT, 720);
   _jumpMap[662][ProcExceptionType] = 719;
   _actionMap[663][END_TOKEN] = ActionEntry(REDUCE, 121);
   _actionMap[664][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[664][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[664][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[664][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[664][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[664][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[664][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[664][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[664][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[664][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[664][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[664][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[664][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[664][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[664][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[664][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[664][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[664][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[664][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[664][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[664][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[664][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[664][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[664][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[664][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[664][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[664][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[664][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[664][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[664][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[664][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[664][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[664][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[664][LB] = ActionEntry(SHIFT, 136);
   _actionMap[664][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[664][DATE] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser22()
{
   _actionMap[664][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[664][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[664][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[664][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[664][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[664][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[664][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[664][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[664][VARREF] = ActionEntry(SHIFT, 327);
   _actionMap[664][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[664][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[664][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[664][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[664][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[664][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[664][IF] = ActionEntry(SHIFT, 322);
   _actionMap[664][BEGIN] = ActionEntry(SHIFT, 319);
   _actionMap[664][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[664][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[664][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[664][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[664][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[664][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[664][VAR] = ActionEntry(SHIFT, 325);
   _actionMap[664][CURSOR] = ActionEntry(SHIFT, 321);
   _actionMap[664][CLOSE] = ActionEntry(SHIFT, 320);
   _actionMap[664][NOOP] = ActionEntry(SHIFT, 323);
   _actionMap[664][RETURNTOKEN] = ActionEntry(SHIFT, 324);
   _actionMap[664][WHILE] = ActionEntry(SHIFT, 326);
   _jumpMap[664][ObjSpec] = 95;
   _jumpMap[664][Constant] = 94;
   _jumpMap[664][SignedFloat] = 93;
   _jumpMap[664][SignedInt] = 92;
   _jumpMap[664][Attribute] = 91;
   _jumpMap[664][Function] = 90;
   _jumpMap[664][DeleteStatement] = 318;
   _jumpMap[664][UpdateStatement] = 317;
   _jumpMap[664][InsertStatement] = 316;
   _jumpMap[664][RollbackStatement] = 315;
   _jumpMap[664][CommitStatement] = 314;
   _jumpMap[664][StartStatement] = 313;
   _jumpMap[664][CasePrepare] = 89;
   _jumpMap[664][CaseClause] = 88;
   _jumpMap[664][Factor] = 87;
   _jumpMap[664][Term] = 86;
   _jumpMap[664][Expr] = 312;
   _jumpMap[664][ProcStatement] = 311;
   _jumpMap[664][ProcIfPart] = 310;
   _jumpMap[664][ProcBlockStart] = 309;
   _jumpMap[664][ProcStatementList] = 308;
}
void Cego::loadParser23()
{
   _jumpMap[664][ProcStmtBlock] = 721;
   _actionMap[665][SEMICOLON] = ActionEntry(REDUCE, 90);
   _actionMap[666][END_TOKEN] = ActionEntry(REDUCE, 117);
   _actionMap[666][ELSE] = ActionEntry(REDUCE, 117);
   _actionMap[666][ELSIF] = ActionEntry(REDUCE, 117);
   _actionMap[667][BEGIN] = ActionEntry(REDUCE, 129);
   _actionMap[667][RB] = ActionEntry(REDUCE, 129);
   _actionMap[667][AND] = ActionEntry(REDUCE, 129);
   _actionMap[667][OR] = ActionEntry(REDUCE, 129);
   _actionMap[667][THEN] = ActionEntry(REDUCE, 129);
   _actionMap[668][BEGIN] = ActionEntry(REDUCE, 128);
   _actionMap[668][RB] = ActionEntry(REDUCE, 128);
   _actionMap[668][AND] = ActionEntry(REDUCE, 128);
   _actionMap[668][OR] = ActionEntry(REDUCE, 128);
   _actionMap[668][THEN] = ActionEntry(REDUCE, 128);
   _actionMap[669][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[669][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[669][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[669][BEGIN] = ActionEntry(REDUCE, 132);
   _actionMap[669][THEN] = ActionEntry(REDUCE, 132);
   _actionMap[669][OR] = ActionEntry(REDUCE, 132);
   _actionMap[669][AND] = ActionEntry(REDUCE, 132);
   _actionMap[669][RB] = ActionEntry(REDUCE, 132);
   _actionMap[670][NULLTOKEN] = ActionEntry(SHIFT, 722);
   _actionMap[671][BEGIN] = ActionEntry(REDUCE, 133);
   _actionMap[671][THEN] = ActionEntry(REDUCE, 133);
   _actionMap[671][OR] = ActionEntry(REDUCE, 133);
   _actionMap[671][AND] = ActionEntry(REDUCE, 133);
   _actionMap[671][RB] = ActionEntry(REDUCE, 133);
   _actionMap[672][BEGIN] = ActionEntry(REDUCE, 131);
   _actionMap[672][RB] = ActionEntry(REDUCE, 131);
   _actionMap[672][AND] = ActionEntry(REDUCE, 131);
   _actionMap[672][OR] = ActionEntry(REDUCE, 131);
   _actionMap[672][THEN] = ActionEntry(REDUCE, 131);
   _actionMap[673][SEMICOLON] = ActionEntry(REDUCE, 89);
   _actionMap[674][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[675][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[675][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[675][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[675][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[675][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[675][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[675][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[675][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[675][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[675][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[675][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[675][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[675][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[675][RIGHT] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser24()
{
   _actionMap[675][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[675][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[675][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[675][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[675][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[675][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[675][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[675][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[675][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[675][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[675][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[675][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[675][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[675][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[675][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[675][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[675][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[675][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[675][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[675][LB] = ActionEntry(SHIFT, 136);
   _actionMap[675][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[675][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[675][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[675][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[675][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[675][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[675][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[675][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[675][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[675][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[675][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[675][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[675][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[675][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[675][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[675][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[675][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[675][ObjSpec] = 95;
   _jumpMap[675][Constant] = 94;
   _jumpMap[675][SignedFloat] = 93;
   _jumpMap[675][SignedInt] = 92;
   _jumpMap[675][Attribute] = 91;
   _jumpMap[675][Function] = 90;
   _jumpMap[675][CasePrepare] = 89;
   _jumpMap[675][CaseClause] = 88;
   _jumpMap[675][Factor] = 87;
   _jumpMap[675][Term] = 86;
   _jumpMap[675][Expr] = 723;
   _actionMap[676][INTVAL] = ActionEntry(SHIFT, 724);
   _actionMap[677][INTVAL] = ActionEntry(SHIFT, 725);
}
void Cego::loadParser25()
{
   _actionMap[678][INTVAL] = ActionEntry(SHIFT, 726);
   _actionMap[679][INTVAL] = ActionEntry(SHIFT, 727);
   _actionMap[680][END_TOKEN] = ActionEntry(SHIFT, 728);
   _actionMap[681][IDENTIFIER] = ActionEntry(SHIFT, 684);
   _jumpMap[681][SimpleAttr] = 683;
   _jumpMap[681][SimpleAttrList] = 729;
   _actionMap[682][RB] = ActionEntry(SHIFT, 730);
   _actionMap[683][KSEP] = ActionEntry(SHIFT, 731);
   _actionMap[683][RB] = ActionEntry(REDUCE, 176);
   _actionMap[684][RB] = ActionEntry(REDUCE, 177);
   _actionMap[684][KSEP] = ActionEntry(REDUCE, 177);
   _actionMap[685][KSEP] = ActionEntry(REDUCE, 82);
   _actionMap[685][RB] = ActionEntry(REDUCE, 82);
   _actionMap[686][BEGIN] = ActionEntry(REDUCE, 78);
   _actionMap[687][KSEP] = ActionEntry(REDUCE, 84);
   _actionMap[687][RB] = ActionEntry(REDUCE, 84);
   _actionMap[688][KSEP] = ActionEntry(REDUCE, 85);
   _actionMap[688][RB] = ActionEntry(REDUCE, 85);
   _actionMap[689][KSEP] = ActionEntry(REDUCE, 163);
   _actionMap[689][RB] = ActionEntry(REDUCE, 163);
   _actionMap[690][SEMICOLON] = ActionEntry(REDUCE, 171);
   _actionMap[690][NULLTOKEN] = ActionEntry(SHIFT, 735);
   _actionMap[690][NOT] = ActionEntry(SHIFT, 734);
   _actionMap[690][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[690][RB] = ActionEntry(REDUCE, 171);
   _jumpMap[690][DefaultNullOpt] = 733;
   _jumpMap[690][NullOpt] = 732;
   _actionMap[691][NULLTOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[691][NOT] = ActionEntry(REDUCE, 173);
   _actionMap[691][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[691][SEMICOLON] = ActionEntry(REDUCE, 173);
   _actionMap[691][RB] = ActionEntry(REDUCE, 173);
   _actionMap[692][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[692][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[692][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[692][LB] = ActionEntry(SHIFT, 737);
   _actionMap[692][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[692][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[692][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[692][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[692][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[692][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[692][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[692][COUNTERID] = ActionEntry(SHIFT, 145);
   _jumpMap[692][Constant] = 736;
   _jumpMap[692][SignedFloat] = 93;
   _jumpMap[692][SignedInt] = 92;
   _actionMap[693][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[693][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[693][INTVAL] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser26()
{
   _actionMap[693][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[693][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[693][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[693][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[693][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[693][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[693][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[693][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[693][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[693][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[693][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[693][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[693][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[693][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[693][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[693][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[693][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[693][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[693][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[693][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[693][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[693][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[693][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[693][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[693][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[693][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[693][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[693][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[693][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[693][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[693][LB] = ActionEntry(SHIFT, 136);
   _actionMap[693][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[693][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[693][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[693][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[693][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[693][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[693][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[693][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[693][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[693][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[693][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[693][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[693][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[693][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[693][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[693][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[693][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[693][ObjSpec] = 95;
   _jumpMap[693][Constant] = 94;
}
void Cego::loadParser27()
{
   _jumpMap[693][SignedFloat] = 93;
   _jumpMap[693][SignedInt] = 92;
   _jumpMap[693][Attribute] = 91;
   _jumpMap[693][Function] = 90;
   _jumpMap[693][CasePrepare] = 89;
   _jumpMap[693][CaseClause] = 88;
   _jumpMap[693][Factor] = 87;
   _jumpMap[693][Term] = 86;
   _jumpMap[693][Expr] = 738;
   _actionMap[694][SEMICOLON] = ActionEntry(REDUCE, 187);
   _actionMap[695][KSEP] = ActionEntry(REDUCE, 188);
   _actionMap[695][RB] = ActionEntry(REDUCE, 188);
   _actionMap[696][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[696][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[696][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[696][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[696][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[696][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[696][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[696][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[696][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[696][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[696][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[696][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[696][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[696][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[696][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[696][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[696][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[696][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[696][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[696][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[696][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[696][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[696][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[696][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[696][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[696][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[696][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[696][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[696][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[696][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[696][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[696][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[696][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[696][LB] = ActionEntry(SHIFT, 136);
   _actionMap[696][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[696][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[696][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[696][NULLTOKEN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser28()
{
   _actionMap[696][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[696][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[696][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[696][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[696][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[696][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[696][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[696][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[696][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[696][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[696][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[696][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[696][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[696][ObjSpec] = 95;
   _jumpMap[696][Constant] = 94;
   _jumpMap[696][SignedFloat] = 93;
   _jumpMap[696][SignedInt] = 92;
   _jumpMap[696][Attribute] = 91;
   _jumpMap[696][Function] = 90;
   _jumpMap[696][CasePrepare] = 89;
   _jumpMap[696][CaseClause] = 88;
   _jumpMap[696][Factor] = 87;
   _jumpMap[696][Term] = 86;
   _jumpMap[696][Expr] = 739;
   _actionMap[697][RB] = ActionEntry(SHIFT, 740);
   _actionMap[698][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[698][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[698][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[698][JOIN] = ActionEntry(REDUCE, 302);
   _actionMap[698][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[698][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[698][ENDTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[698][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[698][ROWLIMIT] = ActionEntry(REDUCE, 302);
   _actionMap[698][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[698][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[698][WHERE] = ActionEntry(REDUCE, 302);
   _actionMap[698][THEN] = ActionEntry(REDUCE, 302);
   _actionMap[698][AND] = ActionEntry(REDUCE, 302);
   _actionMap[698][OR] = ActionEntry(REDUCE, 302);
   _actionMap[698][RB] = ActionEntry(REDUCE, 302);
   _actionMap[699][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[699][SelectStatement] = 741;
   _actionMap[700][LEFT] = ActionEntry(REDUCE, 304);
   _actionMap[700][RIGHT] = ActionEntry(REDUCE, 304);
   _actionMap[700][INNER] = ActionEntry(REDUCE, 304);
   _actionMap[700][JOIN] = ActionEntry(REDUCE, 304);
   _actionMap[700][RETURNTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[700][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[700][ENDTOKEN] = ActionEntry(REDUCE, 304);
}
void Cego::loadParser29()
{
   _actionMap[700][UNION] = ActionEntry(REDUCE, 304);
   _actionMap[700][ROWLIMIT] = ActionEntry(REDUCE, 304);
   _actionMap[700][ORDER] = ActionEntry(REDUCE, 304);
   _actionMap[700][GROUP] = ActionEntry(REDUCE, 304);
   _actionMap[700][WHERE] = ActionEntry(REDUCE, 304);
   _actionMap[700][THEN] = ActionEntry(REDUCE, 304);
   _actionMap[700][AND] = ActionEntry(REDUCE, 304);
   _actionMap[700][OR] = ActionEntry(REDUCE, 304);
   _actionMap[700][RB] = ActionEntry(REDUCE, 304);
   _actionMap[701][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[701][LEFT] = ActionEntry(REDUCE, 296);
   _actionMap[701][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[701][INNER] = ActionEntry(REDUCE, 296);
   _actionMap[701][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[701][RETURNTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[701][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[701][RB] = ActionEntry(REDUCE, 296);
   _actionMap[701][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[701][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[701][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[701][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[701][GROUP] = ActionEntry(REDUCE, 296);
   _actionMap[701][WHERE] = ActionEntry(REDUCE, 296);
   _actionMap[701][AND] = ActionEntry(REDUCE, 296);
   _actionMap[701][OR] = ActionEntry(REDUCE, 296);
   _actionMap[702][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[702][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[702][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[702][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[702][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[702][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[702][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[702][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[702][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[702][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[702][NULLTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[702][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[702][AS] = ActionEntry(REDUCE, 343);
   _actionMap[702][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[702][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[702][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[702][OR] = ActionEntry(REDUCE, 343);
   _actionMap[702][AND] = ActionEntry(REDUCE, 343);
   _actionMap[702][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[702][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[702][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[702][IS] = ActionEntry(REDUCE, 343);
   _actionMap[702][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[702][MT] = ActionEntry(REDUCE, 343);
   _actionMap[702][LT] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser30()
{
   _actionMap[702][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[702][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[702][RB] = ActionEntry(REDUCE, 343);
   _actionMap[702][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[702][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[702][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[702][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[702][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[702][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[702][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[702][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[702][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[702][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[702][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[702][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[703][VARREF] = ActionEntry(SHIFT, 742);
   _actionMap[704][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[704][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[704][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[704][RIGHT] = ActionEntry(REDUCE, 144);
   _actionMap[704][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[704][JOIN] = ActionEntry(REDUCE, 144);
   _actionMap[704][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[704][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[704][GROUP] = ActionEntry(REDUCE, 144);
   _actionMap[704][WHERE] = ActionEntry(REDUCE, 144);
   _actionMap[704][AS] = ActionEntry(REDUCE, 144);
   _actionMap[704][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[704][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[704][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[704][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[704][OR] = ActionEntry(REDUCE, 144);
   _actionMap[704][AND] = ActionEntry(REDUCE, 144);
   _actionMap[704][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[704][IS] = ActionEntry(REDUCE, 144);
   _actionMap[704][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[704][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[704][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[704][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[704][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[704][LT] = ActionEntry(REDUCE, 144);
   _actionMap[704][MT] = ActionEntry(REDUCE, 144);
   _actionMap[704][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[704][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[704][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[704][ROWLIMIT] = ActionEntry(REDUCE, 144);
   _actionMap[704][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[704][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[704][RB] = ActionEntry(REDUCE, 144);
   _actionMap[704][SEMICOLON] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser31()
{
   _actionMap[704][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[704][STAR] = ActionEntry(REDUCE, 144);
   _actionMap[704][DIVISION] = ActionEntry(REDUCE, 144);
   _actionMap[704][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[704][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[705][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[705][RB] = ActionEntry(REDUCE, 235);
   _actionMap[705][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[705][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[705][ROWLIMIT] = ActionEntry(SHIFT, 745);
   _jumpMap[705][NoLimit] = 744;
   _jumpMap[705][LimitOpt] = 743;
   _actionMap[706][ROWLIMIT] = ActionEntry(REDUCE, 223);
   _actionMap[706][UNION] = ActionEntry(REDUCE, 223);
   _actionMap[706][ENDTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[706][RB] = ActionEntry(REDUCE, 223);
   _actionMap[706][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[707][BY] = ActionEntry(SHIFT, 746);
   _actionMap[708][IDENTIFIER] = ActionEntry(SHIFT, 749);
   _actionMap[708][QUALIFIEDOBJ] = ActionEntry(SHIFT, 750);
   _actionMap[708][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _jumpMap[708][Attribute] = 748;
   _jumpMap[708][GroupList] = 747;
   _actionMap[709][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[709][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[709][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[709][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[709][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[709][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[709][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[709][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[709][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[709][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[709][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[709][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[709][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[709][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[709][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[709][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[709][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[709][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[709][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[709][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[709][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[709][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[709][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[709][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[709][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[709][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[709][BITAND] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser32()
{
   _actionMap[709][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[709][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[709][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[709][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[709][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[709][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[709][LB] = ActionEntry(SHIFT, 354);
   _actionMap[709][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[709][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[709][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[709][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[709][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[709][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[709][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[709][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[709][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[709][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[709][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[709][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[709][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[709][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[709][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[709][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[709][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[709][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[709][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[709][ObjSpec] = 95;
   _jumpMap[709][Constant] = 94;
   _jumpMap[709][SignedFloat] = 93;
   _jumpMap[709][SignedInt] = 92;
   _jumpMap[709][Attribute] = 91;
   _jumpMap[709][QueryPredicate] = 351;
   _jumpMap[709][QueryCondition] = 751;
   _jumpMap[709][Function] = 90;
   _jumpMap[709][CasePrepare] = 89;
   _jumpMap[709][CaseClause] = 88;
   _jumpMap[709][Factor] = 87;
   _jumpMap[709][Term] = 86;
   _jumpMap[709][Expr] = 349;
   _actionMap[710][EXISTS] = ActionEntry(REDUCE, 211);
   _actionMap[710][LB] = ActionEntry(REDUCE, 211);
   _actionMap[710][NOT] = ActionEntry(REDUCE, 211);
   _actionMap[710][VARREF] = ActionEntry(REDUCE, 211);
   _actionMap[710][FETCH] = ActionEntry(REDUCE, 211);
   _actionMap[710][COUNT] = ActionEntry(REDUCE, 211);
   _actionMap[710][SUM] = ActionEntry(REDUCE, 211);
   _actionMap[710][AVG] = ActionEntry(REDUCE, 211);
   _actionMap[710][MIN] = ActionEntry(REDUCE, 211);
   _actionMap[710][MAX] = ActionEntry(REDUCE, 211);
   _actionMap[710][CASE] = ActionEntry(REDUCE, 211);
}
void Cego::loadParser33()
{
   _actionMap[710][TRIM] = ActionEntry(REDUCE, 211);
   _actionMap[710][RTRIM] = ActionEntry(REDUCE, 211);
   _actionMap[710][LTRIM] = ActionEntry(REDUCE, 211);
   _actionMap[710][ROUND] = ActionEntry(REDUCE, 211);
   _actionMap[710][DATE2STR] = ActionEntry(REDUCE, 211);
   _actionMap[710][DATE2INT] = ActionEntry(REDUCE, 211);
   _actionMap[710][INT2DATE] = ActionEntry(REDUCE, 211);
   _actionMap[710][LOWER] = ActionEntry(REDUCE, 211);
   _actionMap[710][UPPER] = ActionEntry(REDUCE, 211);
   _actionMap[710][LEFT] = ActionEntry(REDUCE, 211);
   _actionMap[710][RIGHT] = ActionEntry(REDUCE, 211);
   _actionMap[710][GETPOS] = ActionEntry(REDUCE, 211);
   _actionMap[710][SUBSTR] = ActionEntry(REDUCE, 211);
   _actionMap[710][REPLACE] = ActionEntry(REDUCE, 211);
   _actionMap[710][LENGTH] = ActionEntry(REDUCE, 211);
   _actionMap[710][TRUNC] = ActionEntry(REDUCE, 211);
   _actionMap[710][STR2INT] = ActionEntry(REDUCE, 211);
   _actionMap[710][STR2LONG] = ActionEntry(REDUCE, 211);
   _actionMap[710][RANDSTR] = ActionEntry(REDUCE, 211);
   _actionMap[710][RANDINT] = ActionEntry(REDUCE, 211);
   _actionMap[710][MOD] = ActionEntry(REDUCE, 211);
   _actionMap[710][DIV] = ActionEntry(REDUCE, 211);
   _actionMap[710][POWER] = ActionEntry(REDUCE, 211);
   _actionMap[710][BITAND] = ActionEntry(REDUCE, 211);
   _actionMap[710][BITOR] = ActionEntry(REDUCE, 211);
   _actionMap[710][BITXOR] = ActionEntry(REDUCE, 211);
   _actionMap[710][NEXTCOUNT] = ActionEntry(REDUCE, 211);
   _actionMap[710][IDENTIFIER] = ActionEntry(REDUCE, 211);
   _actionMap[710][QUALIFIEDOBJ] = ActionEntry(REDUCE, 211);
   _actionMap[710][QUALIFIEDTS] = ActionEntry(REDUCE, 211);
   _actionMap[710][QUALIFIEDPRE] = ActionEntry(REDUCE, 211);
   _actionMap[710][STRINGVAL] = ActionEntry(REDUCE, 211);
   _actionMap[710][DATE] = ActionEntry(REDUCE, 211);
   _actionMap[710][SYSDATE] = ActionEntry(REDUCE, 211);
   _actionMap[710][NULLTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[710][TRUEVAL] = ActionEntry(REDUCE, 211);
   _actionMap[710][FALSEVAL] = ActionEntry(REDUCE, 211);
   _actionMap[710][LAB] = ActionEntry(REDUCE, 211);
   _actionMap[710][COUNTERID] = ActionEntry(REDUCE, 211);
   _actionMap[710][FLOATVAL] = ActionEntry(REDUCE, 211);
   _actionMap[710][MINUS] = ActionEntry(REDUCE, 211);
   _actionMap[710][INTVAL] = ActionEntry(REDUCE, 211);
   _actionMap[711][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[711][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[711][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[711][ObjSpec] = 414;
   _jumpMap[711][Table] = 752;
   _actionMap[712][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[712][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[712][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser34()
{
   _jumpMap[712][ObjSpec] = 414;
   _jumpMap[712][Table] = 753;
   _actionMap[713][KSEP] = ActionEntry(SHIFT, 754);
   _actionMap[713][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[714][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[714][KSEP] = ActionEntry(REDUCE, 243);
   _actionMap[715][EQU] = ActionEntry(SHIFT, 755);
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[561][COLUMN] = ActionEntry(SHIFT, 426);
   _actionMap[562][ON] = ActionEntry(SHIFT, 658);
   _actionMap[563][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[563][KSEP] = ActionEntry(REDUCE, 250);
   _actionMap[564][IDENTIFIER] = ActionEntry(SHIFT, 659);
   _actionMap[565][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[565][KSEP] = ActionEntry(REDUCE, 249);
   _actionMap[566][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[566][KSEP] = ActionEntry(REDUCE, 251);
   _actionMap[567][TO] = ActionEntry(SHIFT, 660);
   _actionMap[568][IDENTIFIER] = ActionEntry(SHIFT, 661);
   _actionMap[569][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[569][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[569][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[569][KSEP] = ActionEntry(REDUCE, 113);
   _actionMap[569][RB] = ActionEntry(REDUCE, 113);
   _actionMap[570][ELSE] = ActionEntry(REDUCE, 108);
   _actionMap[570][ELSIF] = ActionEntry(REDUCE, 108);
   _actionMap[570][EXCEPTION] = ActionEntry(REDUCE, 108);
   _actionMap[570][END_TOKEN] = ActionEntry(REDUCE, 108);
   _actionMap[571][WHEN] = ActionEntry(SHIFT, 662);
   _actionMap[572][EXCEPTION] = ActionEntry(REDUCE, 87);
   _actionMap[572][END_TOKEN] = ActionEntry(REDUCE, 87);
   _actionMap[572][ELSE] = ActionEntry(REDUCE, 87);
   _actionMap[572][ELSIF] = ActionEntry(REDUCE, 87);
   _actionMap[572][VAR] = ActionEntry(REDUCE, 87);
   _actionMap[572][CURSOR] = ActionEntry(REDUCE, 87);
   _actionMap[572][CLOSE] = ActionEntry(REDUCE, 87);
   _actionMap[572][VARREF] = ActionEntry(REDUCE, 87);
   _actionMap[572][NOOP] = ActionEntry(REDUCE, 87);
   _actionMap[572][RETURNTOKEN] = ActionEntry(REDUCE, 87);
   _actionMap[572][WHILE] = ActionEntry(REDUCE, 87);
   _actionMap[572][IF] = ActionEntry(REDUCE, 87);
   _actionMap[572][BEGIN] = ActionEntry(REDUCE, 87);
   _actionMap[572][ROLLBACK] = ActionEntry(REDUCE, 87);
   _actionMap[572][COMMIT] = ActionEntry(REDUCE, 87);
   _actionMap[572][START_TOKEN] = ActionEntry(REDUCE, 87);
   _actionMap[572][UPDATE] = ActionEntry(REDUCE, 87);
   _actionMap[572][DELETETOK] = ActionEntry(REDUCE, 87);
   _actionMap[572][INSERT] = ActionEntry(REDUCE, 87);
   _actionMap[572][FETCH] = ActionEntry(REDUCE, 87);
   _actionMap[572][LB] = ActionEntry(REDUCE, 87);
}
void Cego::loadParser35()
{
   _actionMap[572][COUNT] = ActionEntry(REDUCE, 87);
   _actionMap[572][SUM] = ActionEntry(REDUCE, 87);
   _actionMap[572][AVG] = ActionEntry(REDUCE, 87);
   _actionMap[572][MIN] = ActionEntry(REDUCE, 87);
   _actionMap[572][MAX] = ActionEntry(REDUCE, 87);
   _actionMap[572][CASE] = ActionEntry(REDUCE, 87);
   _actionMap[572][TRIM] = ActionEntry(REDUCE, 87);
   _actionMap[572][RTRIM] = ActionEntry(REDUCE, 87);
   _actionMap[572][LTRIM] = ActionEntry(REDUCE, 87);
   _actionMap[572][ROUND] = ActionEntry(REDUCE, 87);
   _actionMap[572][DATE2STR] = ActionEntry(REDUCE, 87);
   _actionMap[572][DATE2INT] = ActionEntry(REDUCE, 87);
   _actionMap[572][INT2DATE] = ActionEntry(REDUCE, 87);
   _actionMap[572][LOWER] = ActionEntry(REDUCE, 87);
   _actionMap[572][UPPER] = ActionEntry(REDUCE, 87);
   _actionMap[572][LEFT] = ActionEntry(REDUCE, 87);
   _actionMap[572][RIGHT] = ActionEntry(REDUCE, 87);
   _actionMap[572][GETPOS] = ActionEntry(REDUCE, 87);
   _actionMap[572][SUBSTR] = ActionEntry(REDUCE, 87);
   _actionMap[572][REPLACE] = ActionEntry(REDUCE, 87);
   _actionMap[572][LENGTH] = ActionEntry(REDUCE, 87);
   _actionMap[572][TRUNC] = ActionEntry(REDUCE, 87);
   _actionMap[572][STR2INT] = ActionEntry(REDUCE, 87);
   _actionMap[572][STR2LONG] = ActionEntry(REDUCE, 87);
   _actionMap[572][RANDSTR] = ActionEntry(REDUCE, 87);
   _actionMap[572][RANDINT] = ActionEntry(REDUCE, 87);
   _actionMap[572][MOD] = ActionEntry(REDUCE, 87);
   _actionMap[572][DIV] = ActionEntry(REDUCE, 87);
   _actionMap[572][POWER] = ActionEntry(REDUCE, 87);
   _actionMap[572][BITAND] = ActionEntry(REDUCE, 87);
   _actionMap[572][BITOR] = ActionEntry(REDUCE, 87);
   _actionMap[572][BITXOR] = ActionEntry(REDUCE, 87);
   _actionMap[572][NEXTCOUNT] = ActionEntry(REDUCE, 87);
   _actionMap[572][IDENTIFIER] = ActionEntry(REDUCE, 87);
   _actionMap[572][QUALIFIEDOBJ] = ActionEntry(REDUCE, 87);
   _actionMap[572][QUALIFIEDTS] = ActionEntry(REDUCE, 87);
   _actionMap[572][QUALIFIEDPRE] = ActionEntry(REDUCE, 87);
   _actionMap[572][STRINGVAL] = ActionEntry(REDUCE, 87);
   _actionMap[572][DATE] = ActionEntry(REDUCE, 87);
   _actionMap[572][SYSDATE] = ActionEntry(REDUCE, 87);
   _actionMap[572][NULLTOKEN] = ActionEntry(REDUCE, 87);
   _actionMap[572][TRUEVAL] = ActionEntry(REDUCE, 87);
   _actionMap[572][FALSEVAL] = ActionEntry(REDUCE, 87);
   _actionMap[572][LAB] = ActionEntry(REDUCE, 87);
   _actionMap[572][COUNTERID] = ActionEntry(REDUCE, 87);
   _actionMap[572][FLOATVAL] = ActionEntry(REDUCE, 87);
   _actionMap[572][MINUS] = ActionEntry(REDUCE, 87);
   _actionMap[572][INTVAL] = ActionEntry(REDUCE, 87);
   _actionMap[573][SEMICOLON] = ActionEntry(REDUCE, 106);
   _actionMap[574][END_TOKEN] = ActionEntry(SHIFT, 577);
}
void Cego::loadParser36()
{
   _actionMap[575][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[575][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[575][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[575][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[575][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[575][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[575][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[575][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[575][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[575][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[575][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[575][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[575][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[575][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[575][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[575][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[575][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[575][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[575][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[575][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[575][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[575][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[575][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[575][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[575][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[575][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[575][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[575][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[575][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[575][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[575][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[575][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[575][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[575][LB] = ActionEntry(SHIFT, 136);
   _actionMap[575][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[575][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[575][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[575][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[575][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[575][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[575][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[575][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[575][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[575][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[575][VARREF] = ActionEntry(SHIFT, 327);
   _actionMap[575][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[575][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[575][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[575][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[575][MIN] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser37()
{
   _actionMap[575][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[575][IF] = ActionEntry(SHIFT, 322);
   _actionMap[575][BEGIN] = ActionEntry(SHIFT, 319);
   _actionMap[575][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[575][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[575][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[575][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[575][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[575][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[575][VAR] = ActionEntry(SHIFT, 325);
   _actionMap[575][CURSOR] = ActionEntry(SHIFT, 321);
   _actionMap[575][CLOSE] = ActionEntry(SHIFT, 320);
   _actionMap[575][NOOP] = ActionEntry(SHIFT, 323);
   _actionMap[575][RETURNTOKEN] = ActionEntry(SHIFT, 324);
   _actionMap[575][WHILE] = ActionEntry(SHIFT, 326);
   _jumpMap[575][ObjSpec] = 95;
   _jumpMap[575][Constant] = 94;
   _jumpMap[575][SignedFloat] = 93;
   _jumpMap[575][SignedInt] = 92;
   _jumpMap[575][Attribute] = 91;
   _jumpMap[575][Function] = 90;
   _jumpMap[575][DeleteStatement] = 318;
   _jumpMap[575][UpdateStatement] = 317;
   _jumpMap[575][InsertStatement] = 316;
   _jumpMap[575][RollbackStatement] = 315;
   _jumpMap[575][CommitStatement] = 314;
   _jumpMap[575][StartStatement] = 313;
   _jumpMap[575][CasePrepare] = 89;
   _jumpMap[575][CaseClause] = 88;
   _jumpMap[575][Factor] = 87;
   _jumpMap[575][Term] = 86;
   _jumpMap[575][Expr] = 312;
   _jumpMap[575][ProcStatement] = 311;
   _jumpMap[575][ProcIfPart] = 310;
   _jumpMap[575][ProcBlockStart] = 309;
   _jumpMap[575][ProcStatementList] = 308;
   _jumpMap[575][ProcStmtBlock] = 663;
   _actionMap[576][VAR] = ActionEntry(REDUCE, 123);
   _actionMap[576][CURSOR] = ActionEntry(REDUCE, 123);
   _actionMap[576][CLOSE] = ActionEntry(REDUCE, 123);
   _actionMap[576][VARREF] = ActionEntry(REDUCE, 123);
   _actionMap[576][NOOP] = ActionEntry(REDUCE, 123);
   _actionMap[576][RETURNTOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[576][WHILE] = ActionEntry(REDUCE, 123);
   _actionMap[576][IF] = ActionEntry(REDUCE, 123);
   _actionMap[576][BEGIN] = ActionEntry(REDUCE, 123);
   _actionMap[576][ROLLBACK] = ActionEntry(REDUCE, 123);
   _actionMap[576][COMMIT] = ActionEntry(REDUCE, 123);
   _actionMap[576][START_TOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[576][UPDATE] = ActionEntry(REDUCE, 123);
}
void Cego::loadParser38()
{
   _actionMap[576][DELETETOK] = ActionEntry(REDUCE, 123);
   _actionMap[576][INSERT] = ActionEntry(REDUCE, 123);
   _actionMap[576][FETCH] = ActionEntry(REDUCE, 123);
   _actionMap[576][LB] = ActionEntry(REDUCE, 123);
   _actionMap[576][COUNT] = ActionEntry(REDUCE, 123);
   _actionMap[576][SUM] = ActionEntry(REDUCE, 123);
   _actionMap[576][AVG] = ActionEntry(REDUCE, 123);
   _actionMap[576][MIN] = ActionEntry(REDUCE, 123);
   _actionMap[576][MAX] = ActionEntry(REDUCE, 123);
   _actionMap[576][CASE] = ActionEntry(REDUCE, 123);
   _actionMap[576][TRIM] = ActionEntry(REDUCE, 123);
   _actionMap[576][RTRIM] = ActionEntry(REDUCE, 123);
   _actionMap[576][LTRIM] = ActionEntry(REDUCE, 123);
   _actionMap[576][ROUND] = ActionEntry(REDUCE, 123);
   _actionMap[576][DATE2STR] = ActionEntry(REDUCE, 123);
   _actionMap[576][DATE2INT] = ActionEntry(REDUCE, 123);
   _actionMap[576][INT2DATE] = ActionEntry(REDUCE, 123);
   _actionMap[576][LOWER] = ActionEntry(REDUCE, 123);
   _actionMap[576][UPPER] = ActionEntry(REDUCE, 123);
   _actionMap[576][LEFT] = ActionEntry(REDUCE, 123);
   _actionMap[576][RIGHT] = ActionEntry(REDUCE, 123);
   _actionMap[576][GETPOS] = ActionEntry(REDUCE, 123);
   _actionMap[576][SUBSTR] = ActionEntry(REDUCE, 123);
   _actionMap[576][REPLACE] = ActionEntry(REDUCE, 123);
   _actionMap[576][LENGTH] = ActionEntry(REDUCE, 123);
   _actionMap[576][TRUNC] = ActionEntry(REDUCE, 123);
   _actionMap[576][STR2INT] = ActionEntry(REDUCE, 123);
   _actionMap[576][STR2LONG] = ActionEntry(REDUCE, 123);
   _actionMap[576][RANDSTR] = ActionEntry(REDUCE, 123);
   _actionMap[576][RANDINT] = ActionEntry(REDUCE, 123);
   _actionMap[576][MOD] = ActionEntry(REDUCE, 123);
   _actionMap[576][DIV] = ActionEntry(REDUCE, 123);
   _actionMap[576][POWER] = ActionEntry(REDUCE, 123);
   _actionMap[576][BITAND] = ActionEntry(REDUCE, 123);
   _actionMap[576][BITOR] = ActionEntry(REDUCE, 123);
   _actionMap[576][BITXOR] = ActionEntry(REDUCE, 123);
   _actionMap[576][NEXTCOUNT] = ActionEntry(REDUCE, 123);
   _actionMap[576][IDENTIFIER] = ActionEntry(REDUCE, 123);
   _actionMap[576][QUALIFIEDOBJ] = ActionEntry(REDUCE, 123);
   _actionMap[576][QUALIFIEDTS] = ActionEntry(REDUCE, 123);
   _actionMap[576][QUALIFIEDPRE] = ActionEntry(REDUCE, 123);
   _actionMap[576][STRINGVAL] = ActionEntry(REDUCE, 123);
   _actionMap[576][DATE] = ActionEntry(REDUCE, 123);
   _actionMap[576][SYSDATE] = ActionEntry(REDUCE, 123);
   _actionMap[576][NULLTOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[576][TRUEVAL] = ActionEntry(REDUCE, 123);
   _actionMap[576][FALSEVAL] = ActionEntry(REDUCE, 123);
   _actionMap[576][LAB] = ActionEntry(REDUCE, 123);
   _actionMap[576][COUNTERID] = ActionEntry(REDUCE, 123);
   _actionMap[576][FLOATVAL] = ActionEntry(REDUCE, 123);
}
void Cego::loadParser39()
{
   _actionMap[576][MINUS] = ActionEntry(REDUCE, 123);
   _actionMap[576][INTVAL] = ActionEntry(REDUCE, 123);
   _actionMap[577][SEMICOLON] = ActionEntry(REDUCE, 116);
   _actionMap[578][END_TOKEN] = ActionEntry(REDUCE, 118);
   _actionMap[578][ELSE] = ActionEntry(REDUCE, 118);
   _actionMap[579][THEN] = ActionEntry(SHIFT, 664);
   _actionMap[580][OR] = ActionEntry(SHIFT, 584);
   _actionMap[580][AND] = ActionEntry(SHIFT, 583);
   _actionMap[580][THEN] = ActionEntry(REDUCE, 125);
   _actionMap[581][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[581][SelectStatement] = 665;
   _actionMap[582][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[582][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[582][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[582][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[582][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[582][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[582][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[582][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[582][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[582][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[582][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[582][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[582][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[582][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[582][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[582][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[582][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[582][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[582][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[582][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[582][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[582][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[582][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[582][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[582][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[582][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[582][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[582][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[582][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[582][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[582][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[582][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[582][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[582][LB] = ActionEntry(SHIFT, 136);
   _actionMap[582][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[582][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[582][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[582][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[582][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser40()
{
   _actionMap[582][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[582][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[582][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[582][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[582][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[582][VARREF] = ActionEntry(SHIFT, 327);
   _actionMap[582][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[582][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[582][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[582][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[582][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[582][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[582][IF] = ActionEntry(SHIFT, 322);
   _actionMap[582][BEGIN] = ActionEntry(SHIFT, 319);
   _actionMap[582][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[582][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[582][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[582][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[582][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[582][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[582][VAR] = ActionEntry(SHIFT, 325);
   _actionMap[582][CURSOR] = ActionEntry(SHIFT, 321);
   _actionMap[582][CLOSE] = ActionEntry(SHIFT, 320);
   _actionMap[582][NOOP] = ActionEntry(SHIFT, 323);
   _actionMap[582][RETURNTOKEN] = ActionEntry(SHIFT, 324);
   _actionMap[582][WHILE] = ActionEntry(SHIFT, 326);
   _jumpMap[582][ObjSpec] = 95;
   _jumpMap[582][Constant] = 94;
   _jumpMap[582][SignedFloat] = 93;
   _jumpMap[582][SignedInt] = 92;
   _jumpMap[582][Attribute] = 91;
   _jumpMap[582][Function] = 90;
   _jumpMap[582][DeleteStatement] = 318;
   _jumpMap[582][UpdateStatement] = 317;
   _jumpMap[582][InsertStatement] = 316;
   _jumpMap[582][RollbackStatement] = 315;
   _jumpMap[582][CommitStatement] = 314;
   _jumpMap[582][StartStatement] = 313;
   _jumpMap[582][CasePrepare] = 89;
   _jumpMap[582][CaseClause] = 88;
   _jumpMap[582][Factor] = 87;
   _jumpMap[582][Term] = 86;
   _jumpMap[582][Expr] = 312;
   _jumpMap[582][ProcStatement] = 311;
   _jumpMap[582][ProcIfPart] = 310;
   _jumpMap[582][ProcBlockStart] = 309;
   _jumpMap[582][ProcStatementList] = 308;
   _jumpMap[582][ProcStmtBlock] = 666;
   _actionMap[583][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[583][MINUS] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser41()
{
   _actionMap[583][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[583][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[583][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[583][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[583][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[583][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[583][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[583][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[583][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[583][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[583][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[583][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[583][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[583][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[583][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[583][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[583][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[583][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[583][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[583][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[583][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[583][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[583][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[583][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[583][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[583][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[583][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[583][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[583][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[583][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[583][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[583][LB] = ActionEntry(SHIFT, 447);
   _actionMap[583][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[583][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[583][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[583][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[583][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[583][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[583][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[583][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[583][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[583][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[583][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[583][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[583][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[583][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[583][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[583][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[583][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[583][ObjSpec] = 95;
}
void Cego::loadParser42()
{
   _jumpMap[583][Constant] = 94;
   _jumpMap[583][SignedFloat] = 93;
   _jumpMap[583][SignedInt] = 92;
   _jumpMap[583][Attribute] = 91;
   _jumpMap[583][Function] = 90;
   _jumpMap[583][CasePrepare] = 89;
   _jumpMap[583][CaseClause] = 88;
   _jumpMap[583][Factor] = 87;
   _jumpMap[583][Term] = 86;
   _jumpMap[583][Expr] = 446;
   _jumpMap[583][ProcPredicate] = 667;
   _actionMap[584][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[584][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[584][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[584][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[584][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[584][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[584][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[584][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[584][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[584][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[584][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[584][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[584][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[584][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[584][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[584][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[584][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[584][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[584][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[584][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[584][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[584][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[584][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[584][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[584][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[584][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[584][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[584][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[584][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[584][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[584][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[584][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[584][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[584][LB] = ActionEntry(SHIFT, 447);
   _actionMap[584][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[584][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[584][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[584][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[584][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser43()
{
   _actionMap[584][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[584][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[584][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[584][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[584][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[584][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[584][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[584][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[584][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[584][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[584][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[584][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[584][ObjSpec] = 95;
   _jumpMap[584][Constant] = 94;
   _jumpMap[584][SignedFloat] = 93;
   _jumpMap[584][SignedInt] = 92;
   _jumpMap[584][Attribute] = 91;
   _jumpMap[584][Function] = 90;
   _jumpMap[584][CasePrepare] = 89;
   _jumpMap[584][CaseClause] = 88;
   _jumpMap[584][Factor] = 87;
   _jumpMap[584][Term] = 86;
   _jumpMap[584][Expr] = 446;
   _jumpMap[584][ProcPredicate] = 668;
   _actionMap[585][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[585][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[585][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[585][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[585][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[585][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[585][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[585][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[585][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[585][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[585][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[585][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[585][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[585][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[585][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[585][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[585][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[585][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[585][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[585][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[585][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[585][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[585][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[585][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[585][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[585][POWER] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser44()
{
   _actionMap[585][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[585][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[585][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[585][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[585][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[585][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[585][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[585][LB] = ActionEntry(SHIFT, 136);
   _actionMap[585][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[585][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[585][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[585][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[585][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[585][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[585][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[585][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[585][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[585][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[585][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[585][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[585][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[585][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[585][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[585][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[585][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[585][ObjSpec] = 95;
   _jumpMap[585][Constant] = 94;
   _jumpMap[585][SignedFloat] = 93;
   _jumpMap[585][SignedInt] = 92;
   _jumpMap[585][Attribute] = 91;
   _jumpMap[585][Function] = 90;
   _jumpMap[585][CasePrepare] = 89;
   _jumpMap[585][CaseClause] = 88;
   _jumpMap[585][Factor] = 87;
   _jumpMap[585][Term] = 86;
   _jumpMap[585][Expr] = 669;
   _actionMap[586][NOT] = ActionEntry(SHIFT, 670);
   _actionMap[586][NULLTOKEN] = ActionEntry(SHIFT, 671);
   _actionMap[587][RB] = ActionEntry(SHIFT, 672);
   _actionMap[587][OR] = ActionEntry(SHIFT, 584);
   _actionMap[587][AND] = ActionEntry(SHIFT, 583);
   _actionMap[588][RB] = ActionEntry(SHIFT, 394);
   _actionMap[588][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[588][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[588][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[588][IS] = ActionEntry(SHIFT, 586);
   _actionMap[588][EQU] = ActionEntry(SHIFT, 479);
   _actionMap[588][NEGATION] = ActionEntry(SHIFT, 482);
   _actionMap[588][LT] = ActionEntry(SHIFT, 480);
   _actionMap[588][MT] = ActionEntry(SHIFT, 481);
}
void Cego::loadParser45()
{
   _jumpMap[588][Comparison] = 585;
   _actionMap[589][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[589][EQU] = ActionEntry(SHIFT, 675);
   _jumpMap[589][ProcNoAssignment] = 674;
   _jumpMap[589][ProcInitialAssignment] = 673;
   _actionMap[590][LB] = ActionEntry(SHIFT, 676);
   _actionMap[591][BEGIN] = ActionEntry(REDUCE, 319);
   _actionMap[591][DEFAULT] = ActionEntry(REDUCE, 319);
   _actionMap[591][NULLTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[591][NOT] = ActionEntry(REDUCE, 319);
   _actionMap[591][KSEP] = ActionEntry(REDUCE, 319);
   _actionMap[591][RB] = ActionEntry(REDUCE, 319);
   _actionMap[591][EQU] = ActionEntry(REDUCE, 319);
   _actionMap[591][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[592][BEGIN] = ActionEntry(REDUCE, 311);
   _actionMap[592][DEFAULT] = ActionEntry(REDUCE, 311);
   _actionMap[592][NULLTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[592][NOT] = ActionEntry(REDUCE, 311);
   _actionMap[592][KSEP] = ActionEntry(REDUCE, 311);
   _actionMap[592][RB] = ActionEntry(REDUCE, 311);
   _actionMap[592][EQU] = ActionEntry(REDUCE, 311);
   _actionMap[592][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[593][BEGIN] = ActionEntry(REDUCE, 310);
   _actionMap[593][DEFAULT] = ActionEntry(REDUCE, 310);
   _actionMap[593][NULLTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[593][NOT] = ActionEntry(REDUCE, 310);
   _actionMap[593][KSEP] = ActionEntry(REDUCE, 310);
   _actionMap[593][RB] = ActionEntry(REDUCE, 310);
   _actionMap[593][EQU] = ActionEntry(REDUCE, 310);
   _actionMap[593][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[594][LB] = ActionEntry(SHIFT, 677);
   _actionMap[595][BEGIN] = ActionEntry(REDUCE, 314);
   _actionMap[595][DEFAULT] = ActionEntry(REDUCE, 314);
   _actionMap[595][NULLTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[595][NOT] = ActionEntry(REDUCE, 314);
   _actionMap[595][KSEP] = ActionEntry(REDUCE, 314);
   _actionMap[595][RB] = ActionEntry(REDUCE, 314);
   _actionMap[595][EQU] = ActionEntry(REDUCE, 314);
   _actionMap[595][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[596][LB] = ActionEntry(SHIFT, 678);
   _actionMap[597][BEGIN] = ActionEntry(REDUCE, 313);
   _actionMap[597][DEFAULT] = ActionEntry(REDUCE, 313);
   _actionMap[597][NULLTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[597][NOT] = ActionEntry(REDUCE, 313);
   _actionMap[597][KSEP] = ActionEntry(REDUCE, 313);
   _actionMap[597][RB] = ActionEntry(REDUCE, 313);
   _actionMap[597][EQU] = ActionEntry(REDUCE, 313);
   _actionMap[597][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[598][BEGIN] = ActionEntry(REDUCE, 307);
   _actionMap[598][DEFAULT] = ActionEntry(REDUCE, 307);
}
void Cego::loadParser46()
{
   _actionMap[598][NULLTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[598][NOT] = ActionEntry(REDUCE, 307);
   _actionMap[598][KSEP] = ActionEntry(REDUCE, 307);
   _actionMap[598][RB] = ActionEntry(REDUCE, 307);
   _actionMap[598][EQU] = ActionEntry(REDUCE, 307);
   _actionMap[598][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[599][BEGIN] = ActionEntry(REDUCE, 308);
   _actionMap[599][DEFAULT] = ActionEntry(REDUCE, 308);
   _actionMap[599][NULLTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[599][NOT] = ActionEntry(REDUCE, 308);
   _actionMap[599][KSEP] = ActionEntry(REDUCE, 308);
   _actionMap[599][RB] = ActionEntry(REDUCE, 308);
   _actionMap[599][EQU] = ActionEntry(REDUCE, 308);
   _actionMap[599][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[600][BEGIN] = ActionEntry(REDUCE, 315);
   _actionMap[600][DEFAULT] = ActionEntry(REDUCE, 315);
   _actionMap[600][NULLTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[600][NOT] = ActionEntry(REDUCE, 315);
   _actionMap[600][KSEP] = ActionEntry(REDUCE, 315);
   _actionMap[600][RB] = ActionEntry(REDUCE, 315);
   _actionMap[600][EQU] = ActionEntry(REDUCE, 315);
   _actionMap[600][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[601][LB] = ActionEntry(SHIFT, 679);
   _actionMap[602][BEGIN] = ActionEntry(REDUCE, 316);
   _actionMap[602][DEFAULT] = ActionEntry(REDUCE, 316);
   _actionMap[602][NULLTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[602][NOT] = ActionEntry(REDUCE, 316);
   _actionMap[602][KSEP] = ActionEntry(REDUCE, 316);
   _actionMap[602][RB] = ActionEntry(REDUCE, 316);
   _actionMap[602][EQU] = ActionEntry(REDUCE, 316);
   _actionMap[602][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[603][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[603][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[603][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[603][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[603][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[603][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[603][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[603][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[603][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[603][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[603][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[603][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[603][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[603][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[603][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[603][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[603][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[603][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[603][TRUNC] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser47()
{
   _actionMap[603][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[603][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[603][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[603][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[603][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[603][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[603][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[603][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[603][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[603][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[603][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[603][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[603][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[603][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[603][LB] = ActionEntry(SHIFT, 136);
   _actionMap[603][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[603][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[603][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[603][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[603][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[603][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[603][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[603][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[603][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[603][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[603][VARREF] = ActionEntry(SHIFT, 327);
   _actionMap[603][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[603][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[603][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[603][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[603][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[603][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[603][IF] = ActionEntry(SHIFT, 322);
   _actionMap[603][BEGIN] = ActionEntry(SHIFT, 319);
   _actionMap[603][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[603][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[603][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[603][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[603][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[603][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[603][VAR] = ActionEntry(SHIFT, 325);
   _actionMap[603][CURSOR] = ActionEntry(SHIFT, 321);
   _actionMap[603][CLOSE] = ActionEntry(SHIFT, 320);
   _actionMap[603][NOOP] = ActionEntry(SHIFT, 323);
   _actionMap[603][RETURNTOKEN] = ActionEntry(SHIFT, 324);
   _actionMap[603][WHILE] = ActionEntry(SHIFT, 326);
   _jumpMap[603][ObjSpec] = 95;
   _jumpMap[603][Constant] = 94;
   _jumpMap[603][SignedFloat] = 93;
   _jumpMap[603][SignedInt] = 92;
}
void Cego::loadParser48()
{
   _jumpMap[603][Attribute] = 91;
   _jumpMap[603][Function] = 90;
   _jumpMap[603][DeleteStatement] = 318;
   _jumpMap[603][UpdateStatement] = 317;
   _jumpMap[603][InsertStatement] = 316;
   _jumpMap[603][RollbackStatement] = 315;
   _jumpMap[603][CommitStatement] = 314;
   _jumpMap[603][StartStatement] = 313;
   _jumpMap[603][CasePrepare] = 89;
   _jumpMap[603][CaseClause] = 88;
   _jumpMap[603][Factor] = 87;
   _jumpMap[603][Term] = 86;
   _jumpMap[603][Expr] = 312;
   _jumpMap[603][ProcStatement] = 311;
   _jumpMap[603][ProcIfPart] = 310;
   _jumpMap[603][ProcBlockStart] = 309;
   _jumpMap[603][ProcStatementList] = 308;
   _jumpMap[603][ProcStmtBlock] = 680;
   _actionMap[604][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[604][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[604][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[604][SEMICOLON] = ActionEntry(REDUCE, 92);
   _actionMap[605][LB] = ActionEntry(SHIFT, 681);
   _actionMap[606][IDENTIFIER] = ActionEntry(SHIFT, 684);
   _jumpMap[606][SimpleAttr] = 683;
   _jumpMap[606][SimpleAttrList] = 682;
   _actionMap[607][IDENTIFIER] = ActionEntry(SHIFT, 459);
   _jumpMap[607][ProcArg] = 685;
   _actionMap[608][BEGIN] = ActionEntry(REDUCE, 76);
   _actionMap[609][INT] = ActionEntry(SHIFT, 598);
   _actionMap[609][LONG] = ActionEntry(SHIFT, 599);
   _actionMap[609][STRING] = ActionEntry(SHIFT, 601);
   _actionMap[609][DATETIME] = ActionEntry(SHIFT, 593);
   _actionMap[609][BOOL] = ActionEntry(SHIFT, 592);
   _actionMap[609][BIGINT] = ActionEntry(SHIFT, 590);
   _actionMap[609][FLOAT] = ActionEntry(SHIFT, 597);
   _actionMap[609][DOUBLE] = ActionEntry(SHIFT, 595);
   _actionMap[609][SMALLINT] = ActionEntry(SHIFT, 600);
   _actionMap[609][TINYINT] = ActionEntry(SHIFT, 602);
   _actionMap[609][DECIMAL] = ActionEntry(SHIFT, 594);
   _actionMap[609][FIXED] = ActionEntry(SHIFT, 596);
   _actionMap[609][BLOB] = ActionEntry(SHIFT, 591);
   _jumpMap[609][DataTypeProd] = 686;
   _actionMap[610][INT] = ActionEntry(SHIFT, 598);
   _actionMap[610][LONG] = ActionEntry(SHIFT, 599);
   _actionMap[610][STRING] = ActionEntry(SHIFT, 601);
   _actionMap[610][DATETIME] = ActionEntry(SHIFT, 593);
   _actionMap[610][BOOL] = ActionEntry(SHIFT, 592);
   _actionMap[610][BIGINT] = ActionEntry(SHIFT, 590);
   _actionMap[610][FLOAT] = ActionEntry(SHIFT, 597);
}
void Cego::loadParser49()
{
   _actionMap[610][DOUBLE] = ActionEntry(SHIFT, 595);
   _actionMap[610][SMALLINT] = ActionEntry(SHIFT, 600);
   _actionMap[610][TINYINT] = ActionEntry(SHIFT, 602);
   _actionMap[610][DECIMAL] = ActionEntry(SHIFT, 594);
   _actionMap[610][FIXED] = ActionEntry(SHIFT, 596);
   _actionMap[610][BLOB] = ActionEntry(SHIFT, 591);
   _jumpMap[610][DataTypeProd] = 687;
   _actionMap[611][INT] = ActionEntry(SHIFT, 598);
   _actionMap[611][LONG] = ActionEntry(SHIFT, 599);
   _actionMap[611][STRING] = ActionEntry(SHIFT, 601);
   _actionMap[611][DATETIME] = ActionEntry(SHIFT, 593);
   _actionMap[611][BOOL] = ActionEntry(SHIFT, 592);
   _actionMap[611][BIGINT] = ActionEntry(SHIFT, 590);
   _actionMap[611][FLOAT] = ActionEntry(SHIFT, 597);
   _actionMap[611][DOUBLE] = ActionEntry(SHIFT, 595);
   _actionMap[611][SMALLINT] = ActionEntry(SHIFT, 600);
   _actionMap[611][TINYINT] = ActionEntry(SHIFT, 602);
   _actionMap[611][DECIMAL] = ActionEntry(SHIFT, 594);
   _actionMap[611][FIXED] = ActionEntry(SHIFT, 596);
   _actionMap[611][BLOB] = ActionEntry(SHIFT, 591);
   _jumpMap[611][DataTypeProd] = 688;
   _actionMap[612][IDENTIFIER] = ActionEntry(SHIFT, 464);
   _actionMap[612][PRIMARY] = ActionEntry(SHIFT, 463);
   _jumpMap[612][ColumnDesc] = 462;
   _jumpMap[612][KeyColumn] = 689;
   _actionMap[613][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[614][KSEP] = ActionEntry(REDUCE, 165);
   _actionMap[614][RB] = ActionEntry(REDUCE, 165);
   _actionMap[615][RB] = ActionEntry(REDUCE, 174);
   _actionMap[615][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[615][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[615][NOT] = ActionEntry(REDUCE, 174);
   _actionMap[615][NULLTOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[615][DEFAULT] = ActionEntry(SHIFT, 692);
   _jumpMap[615][DefaultDefOpt] = 691;
   _jumpMap[615][DefaultOpt] = 690;
   _actionMap[616][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[616][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[616][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[616][KSEP] = ActionEntry(REDUCE, 191);
   _actionMap[616][RB] = ActionEntry(REDUCE, 191);
   _actionMap[617][RB] = ActionEntry(SHIFT, 694);
   _actionMap[617][KSEP] = ActionEntry(SHIFT, 693);
   _actionMap[618][IDENTIFIER] = ActionEntry(SHIFT, 695);
   _actionMap[619][SELECT] = ActionEntry(REDUCE, 185);
   _actionMap[619][VALUES] = ActionEntry(REDUCE, 185);
   _actionMap[620][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[620][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[620][LEFT] = ActionEntry(REDUCE, 156);
   _actionMap[620][RIGHT] = ActionEntry(REDUCE, 156);
}
void Cego::loadParser50()
{
   _actionMap[620][INNER] = ActionEntry(REDUCE, 156);
   _actionMap[620][JOIN] = ActionEntry(REDUCE, 156);
   _actionMap[620][RETURNTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[620][ORDER] = ActionEntry(REDUCE, 156);
   _actionMap[620][GROUP] = ActionEntry(REDUCE, 156);
   _actionMap[620][WHERE] = ActionEntry(REDUCE, 156);
   _actionMap[620][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[620][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[620][OR] = ActionEntry(REDUCE, 156);
   _actionMap[620][FROM] = ActionEntry(REDUCE, 156);
   _actionMap[620][AS] = ActionEntry(REDUCE, 156);
   _actionMap[620][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[620][AND] = ActionEntry(REDUCE, 156);
   _actionMap[620][INTOK] = ActionEntry(REDUCE, 156);
   _actionMap[620][NOT] = ActionEntry(REDUCE, 156);
   _actionMap[620][BETWEEN] = ActionEntry(REDUCE, 156);
   _actionMap[620][IS] = ActionEntry(REDUCE, 156);
   _actionMap[620][LIKE] = ActionEntry(REDUCE, 156);
   _actionMap[620][MT] = ActionEntry(REDUCE, 156);
   _actionMap[620][LT] = ActionEntry(REDUCE, 156);
   _actionMap[620][NEGATION] = ActionEntry(REDUCE, 156);
   _actionMap[620][EQU] = ActionEntry(REDUCE, 156);
   _actionMap[620][RB] = ActionEntry(REDUCE, 156);
   _actionMap[620][ENDTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[620][UNION] = ActionEntry(REDUCE, 156);
   _actionMap[620][ROWLIMIT] = ActionEntry(REDUCE, 156);
   _actionMap[620][KSEP] = ActionEntry(REDUCE, 156);
   _actionMap[620][ASC] = ActionEntry(REDUCE, 156);
   _actionMap[620][DESC] = ActionEntry(REDUCE, 156);
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 156);
   _actionMap[620][PLUS] = ActionEntry(REDUCE, 156);
   _actionMap[620][MINUS] = ActionEntry(REDUCE, 156);
   _actionMap[620][DIVISION] = ActionEntry(REDUCE, 156);
   _actionMap[620][STAR] = ActionEntry(REDUCE, 156);
   _actionMap[620][CONCAT] = ActionEntry(REDUCE, 156);
   _actionMap[621][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[621][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[621][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[621][LEFT] = ActionEntry(REDUCE, 299);
   _actionMap[621][RIGHT] = ActionEntry(REDUCE, 299);
   _actionMap[621][INNER] = ActionEntry(REDUCE, 299);
   _actionMap[621][JOIN] = ActionEntry(REDUCE, 299);
   _actionMap[621][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[621][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[621][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[621][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[621][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[621][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[621][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[621][WHERE] = ActionEntry(REDUCE, 299);
}
void Cego::loadParser51()
{
   _actionMap[621][THEN] = ActionEntry(REDUCE, 299);
   _actionMap[621][AND] = ActionEntry(REDUCE, 299);
   _actionMap[621][OR] = ActionEntry(REDUCE, 299);
   _actionMap[621][RB] = ActionEntry(REDUCE, 299);
   _actionMap[622][AND] = ActionEntry(SHIFT, 696);
   _actionMap[622][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[622][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[622][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[623][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[623][SelectStatement] = 697;
   _actionMap[624][NULLTOKEN] = ActionEntry(SHIFT, 698);
   _actionMap[625][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[625][RIGHT] = ActionEntry(REDUCE, 301);
   _actionMap[625][INNER] = ActionEntry(REDUCE, 301);
   _actionMap[625][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[625][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[625][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[625][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[625][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[625][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[625][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[625][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[625][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[625][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[625][AND] = ActionEntry(REDUCE, 301);
   _actionMap[625][OR] = ActionEntry(REDUCE, 301);
   _actionMap[625][RB] = ActionEntry(REDUCE, 301);
   _actionMap[626][LEFT] = ActionEntry(REDUCE, 303);
   _actionMap[626][RIGHT] = ActionEntry(REDUCE, 303);
   _actionMap[626][INNER] = ActionEntry(REDUCE, 303);
   _actionMap[626][JOIN] = ActionEntry(REDUCE, 303);
   _actionMap[626][RETURNTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[626][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[626][ENDTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[626][UNION] = ActionEntry(REDUCE, 303);
   _actionMap[626][ROWLIMIT] = ActionEntry(REDUCE, 303);
   _actionMap[626][ORDER] = ActionEntry(REDUCE, 303);
   _actionMap[626][GROUP] = ActionEntry(REDUCE, 303);
   _actionMap[626][WHERE] = ActionEntry(REDUCE, 303);
   _actionMap[626][THEN] = ActionEntry(REDUCE, 303);
   _actionMap[626][AND] = ActionEntry(REDUCE, 303);
   _actionMap[626][OR] = ActionEntry(REDUCE, 303);
   _actionMap[626][RB] = ActionEntry(REDUCE, 303);
   _actionMap[627][LB] = ActionEntry(SHIFT, 699);
   _actionMap[628][STRINGVAL] = ActionEntry(SHIFT, 700);
   _actionMap[629][VARREF] = ActionEntry(REDUCE, 324);
   _actionMap[629][FETCH] = ActionEntry(REDUCE, 324);
   _actionMap[629][LB] = ActionEntry(REDUCE, 324);
   _actionMap[629][COUNT] = ActionEntry(REDUCE, 324);
   _actionMap[629][SUM] = ActionEntry(REDUCE, 324);
}
void Cego::loadParser52()
{
   _actionMap[629][AVG] = ActionEntry(REDUCE, 324);
   _actionMap[629][MIN] = ActionEntry(REDUCE, 324);
   _actionMap[629][MAX] = ActionEntry(REDUCE, 324);
   _actionMap[629][CASE] = ActionEntry(REDUCE, 324);
   _actionMap[629][TRIM] = ActionEntry(REDUCE, 324);
   _actionMap[629][RTRIM] = ActionEntry(REDUCE, 324);
   _actionMap[629][LTRIM] = ActionEntry(REDUCE, 324);
   _actionMap[629][ROUND] = ActionEntry(REDUCE, 324);
   _actionMap[629][DATE2STR] = ActionEntry(REDUCE, 324);
   _actionMap[629][DATE2INT] = ActionEntry(REDUCE, 324);
   _actionMap[629][INT2DATE] = ActionEntry(REDUCE, 324);
   _actionMap[629][LOWER] = ActionEntry(REDUCE, 324);
   _actionMap[629][UPPER] = ActionEntry(REDUCE, 324);
   _actionMap[629][LEFT] = ActionEntry(REDUCE, 324);
   _actionMap[629][RIGHT] = ActionEntry(REDUCE, 324);
   _actionMap[629][GETPOS] = ActionEntry(REDUCE, 324);
   _actionMap[629][SUBSTR] = ActionEntry(REDUCE, 324);
   _actionMap[629][REPLACE] = ActionEntry(REDUCE, 324);
   _actionMap[629][LENGTH] = ActionEntry(REDUCE, 324);
   _actionMap[629][TRUNC] = ActionEntry(REDUCE, 324);
   _actionMap[629][STR2INT] = ActionEntry(REDUCE, 324);
   _actionMap[629][STR2LONG] = ActionEntry(REDUCE, 324);
   _actionMap[629][RANDSTR] = ActionEntry(REDUCE, 324);
   _actionMap[629][RANDINT] = ActionEntry(REDUCE, 324);
   _actionMap[629][MOD] = ActionEntry(REDUCE, 324);
   _actionMap[629][DIV] = ActionEntry(REDUCE, 324);
   _actionMap[629][POWER] = ActionEntry(REDUCE, 324);
   _actionMap[629][BITAND] = ActionEntry(REDUCE, 324);
   _actionMap[629][BITOR] = ActionEntry(REDUCE, 324);
   _actionMap[629][BITXOR] = ActionEntry(REDUCE, 324);
   _actionMap[629][NEXTCOUNT] = ActionEntry(REDUCE, 324);
   _actionMap[629][IDENTIFIER] = ActionEntry(REDUCE, 324);
   _actionMap[629][QUALIFIEDOBJ] = ActionEntry(REDUCE, 324);
   _actionMap[629][QUALIFIEDTS] = ActionEntry(REDUCE, 324);
   _actionMap[629][QUALIFIEDPRE] = ActionEntry(REDUCE, 324);
   _actionMap[629][STRINGVAL] = ActionEntry(REDUCE, 324);
   _actionMap[629][DATE] = ActionEntry(REDUCE, 324);
   _actionMap[629][SYSDATE] = ActionEntry(REDUCE, 324);
   _actionMap[629][NULLTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[629][TRUEVAL] = ActionEntry(REDUCE, 324);
   _actionMap[629][FALSEVAL] = ActionEntry(REDUCE, 324);
   _actionMap[629][LAB] = ActionEntry(REDUCE, 324);
   _actionMap[629][COUNTERID] = ActionEntry(REDUCE, 324);
   _actionMap[629][FLOATVAL] = ActionEntry(REDUCE, 324);
   _actionMap[629][MINUS] = ActionEntry(REDUCE, 324);
   _actionMap[629][INTVAL] = ActionEntry(REDUCE, 324);
   _actionMap[630][VARREF] = ActionEntry(REDUCE, 325);
   _actionMap[630][FETCH] = ActionEntry(REDUCE, 325);
   _actionMap[630][LB] = ActionEntry(REDUCE, 325);
   _actionMap[630][COUNT] = ActionEntry(REDUCE, 325);
}
void Cego::loadParser53()
{
   _actionMap[630][SUM] = ActionEntry(REDUCE, 325);
   _actionMap[630][AVG] = ActionEntry(REDUCE, 325);
   _actionMap[630][MIN] = ActionEntry(REDUCE, 325);
   _actionMap[630][MAX] = ActionEntry(REDUCE, 325);
   _actionMap[630][CASE] = ActionEntry(REDUCE, 325);
   _actionMap[630][TRIM] = ActionEntry(REDUCE, 325);
   _actionMap[630][RTRIM] = ActionEntry(REDUCE, 325);
   _actionMap[630][LTRIM] = ActionEntry(REDUCE, 325);
   _actionMap[630][ROUND] = ActionEntry(REDUCE, 325);
   _actionMap[630][DATE2STR] = ActionEntry(REDUCE, 325);
   _actionMap[630][DATE2INT] = ActionEntry(REDUCE, 325);
   _actionMap[630][INT2DATE] = ActionEntry(REDUCE, 325);
   _actionMap[630][LOWER] = ActionEntry(REDUCE, 325);
   _actionMap[630][UPPER] = ActionEntry(REDUCE, 325);
   _actionMap[630][LEFT] = ActionEntry(REDUCE, 325);
   _actionMap[630][RIGHT] = ActionEntry(REDUCE, 325);
   _actionMap[630][GETPOS] = ActionEntry(REDUCE, 325);
   _actionMap[630][SUBSTR] = ActionEntry(REDUCE, 325);
   _actionMap[630][REPLACE] = ActionEntry(REDUCE, 325);
   _actionMap[630][LENGTH] = ActionEntry(REDUCE, 325);
   _actionMap[630][TRUNC] = ActionEntry(REDUCE, 325);
   _actionMap[630][STR2INT] = ActionEntry(REDUCE, 325);
   _actionMap[630][STR2LONG] = ActionEntry(REDUCE, 325);
   _actionMap[630][RANDSTR] = ActionEntry(REDUCE, 325);
   _actionMap[630][RANDINT] = ActionEntry(REDUCE, 325);
   _actionMap[630][MOD] = ActionEntry(REDUCE, 325);
   _actionMap[630][DIV] = ActionEntry(REDUCE, 325);
   _actionMap[630][POWER] = ActionEntry(REDUCE, 325);
   _actionMap[630][BITAND] = ActionEntry(REDUCE, 325);
   _actionMap[630][BITOR] = ActionEntry(REDUCE, 325);
   _actionMap[630][BITXOR] = ActionEntry(REDUCE, 325);
   _actionMap[630][NEXTCOUNT] = ActionEntry(REDUCE, 325);
   _actionMap[630][IDENTIFIER] = ActionEntry(REDUCE, 325);
   _actionMap[630][QUALIFIEDOBJ] = ActionEntry(REDUCE, 325);
   _actionMap[630][QUALIFIEDTS] = ActionEntry(REDUCE, 325);
   _actionMap[630][QUALIFIEDPRE] = ActionEntry(REDUCE, 325);
   _actionMap[630][STRINGVAL] = ActionEntry(REDUCE, 325);
   _actionMap[630][DATE] = ActionEntry(REDUCE, 325);
   _actionMap[630][SYSDATE] = ActionEntry(REDUCE, 325);
   _actionMap[630][NULLTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[630][TRUEVAL] = ActionEntry(REDUCE, 325);
   _actionMap[630][FALSEVAL] = ActionEntry(REDUCE, 325);
   _actionMap[630][LAB] = ActionEntry(REDUCE, 325);
   _actionMap[630][COUNTERID] = ActionEntry(REDUCE, 325);
   _actionMap[630][FLOATVAL] = ActionEntry(REDUCE, 325);
   _actionMap[630][MINUS] = ActionEntry(REDUCE, 325);
   _actionMap[630][INTVAL] = ActionEntry(REDUCE, 325);
   _actionMap[631][VARREF] = ActionEntry(REDUCE, 321);
   _actionMap[631][FETCH] = ActionEntry(REDUCE, 321);
   _actionMap[631][LB] = ActionEntry(REDUCE, 321);
}
void Cego::loadParser54()
{
   _actionMap[631][COUNT] = ActionEntry(REDUCE, 321);
   _actionMap[631][SUM] = ActionEntry(REDUCE, 321);
   _actionMap[631][AVG] = ActionEntry(REDUCE, 321);
   _actionMap[631][MIN] = ActionEntry(REDUCE, 321);
   _actionMap[631][MAX] = ActionEntry(REDUCE, 321);
   _actionMap[631][CASE] = ActionEntry(REDUCE, 321);
   _actionMap[631][TRIM] = ActionEntry(REDUCE, 321);
   _actionMap[631][RTRIM] = ActionEntry(REDUCE, 321);
   _actionMap[631][LTRIM] = ActionEntry(REDUCE, 321);
   _actionMap[631][ROUND] = ActionEntry(REDUCE, 321);
   _actionMap[631][DATE2STR] = ActionEntry(REDUCE, 321);
   _actionMap[631][DATE2INT] = ActionEntry(REDUCE, 321);
   _actionMap[631][INT2DATE] = ActionEntry(REDUCE, 321);
   _actionMap[631][LOWER] = ActionEntry(REDUCE, 321);
   _actionMap[631][UPPER] = ActionEntry(REDUCE, 321);
   _actionMap[631][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[631][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[631][GETPOS] = ActionEntry(REDUCE, 321);
   _actionMap[631][SUBSTR] = ActionEntry(REDUCE, 321);
   _actionMap[631][REPLACE] = ActionEntry(REDUCE, 321);
   _actionMap[631][LENGTH] = ActionEntry(REDUCE, 321);
   _actionMap[631][TRUNC] = ActionEntry(REDUCE, 321);
   _actionMap[631][STR2INT] = ActionEntry(REDUCE, 321);
   _actionMap[631][STR2LONG] = ActionEntry(REDUCE, 321);
   _actionMap[631][RANDSTR] = ActionEntry(REDUCE, 321);
   _actionMap[631][RANDINT] = ActionEntry(REDUCE, 321);
   _actionMap[631][MOD] = ActionEntry(REDUCE, 321);
   _actionMap[631][DIV] = ActionEntry(REDUCE, 321);
   _actionMap[631][POWER] = ActionEntry(REDUCE, 321);
   _actionMap[631][BITAND] = ActionEntry(REDUCE, 321);
   _actionMap[631][BITOR] = ActionEntry(REDUCE, 321);
   _actionMap[631][BITXOR] = ActionEntry(REDUCE, 321);
   _actionMap[631][NEXTCOUNT] = ActionEntry(REDUCE, 321);
   _actionMap[631][IDENTIFIER] = ActionEntry(REDUCE, 321);
   _actionMap[631][QUALIFIEDOBJ] = ActionEntry(REDUCE, 321);
   _actionMap[631][QUALIFIEDTS] = ActionEntry(REDUCE, 321);
   _actionMap[631][QUALIFIEDPRE] = ActionEntry(REDUCE, 321);
   _actionMap[631][STRINGVAL] = ActionEntry(REDUCE, 321);
   _actionMap[631][DATE] = ActionEntry(REDUCE, 321);
   _actionMap[631][SYSDATE] = ActionEntry(REDUCE, 321);
   _actionMap[631][NULLTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[631][TRUEVAL] = ActionEntry(REDUCE, 321);
   _actionMap[631][FALSEVAL] = ActionEntry(REDUCE, 321);
   _actionMap[631][LAB] = ActionEntry(REDUCE, 321);
   _actionMap[631][COUNTERID] = ActionEntry(REDUCE, 321);
   _actionMap[631][FLOATVAL] = ActionEntry(REDUCE, 321);
   _actionMap[631][MINUS] = ActionEntry(REDUCE, 321);
   _actionMap[631][INTVAL] = ActionEntry(REDUCE, 321);
   _actionMap[632][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[632][LEFT] = ActionEntry(REDUCE, 293);
}
void Cego::loadParser55()
{
   _actionMap[632][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[632][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[632][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[632][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[632][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[632][RB] = ActionEntry(REDUCE, 293);
   _actionMap[632][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[632][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[632][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[632][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[632][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[632][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[632][OR] = ActionEntry(REDUCE, 293);
   _actionMap[632][AND] = ActionEntry(REDUCE, 293);
   _actionMap[633][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[633][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[633][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[633][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[633][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[633][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[633][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[633][RB] = ActionEntry(REDUCE, 294);
   _actionMap[633][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[633][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[633][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[633][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[633][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[633][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[633][OR] = ActionEntry(REDUCE, 294);
   _actionMap[633][AND] = ActionEntry(REDUCE, 294);
   _actionMap[634][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[634][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[634][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[634][WHEN] = ActionEntry(REDUCE, 159);
   _actionMap[634][ELSE] = ActionEntry(REDUCE, 159);
   _actionMap[635][RB] = ActionEntry(SHIFT, 701);
   _actionMap[636][THEN] = ActionEntry(REDUCE, 305);
   _actionMap[636][LEFT] = ActionEntry(REDUCE, 305);
   _actionMap[636][RIGHT] = ActionEntry(REDUCE, 305);
   _actionMap[636][INNER] = ActionEntry(REDUCE, 305);
   _actionMap[636][JOIN] = ActionEntry(REDUCE, 305);
   _actionMap[636][RETURNTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[636][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[636][RB] = ActionEntry(REDUCE, 305);
   _actionMap[636][ENDTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[636][UNION] = ActionEntry(REDUCE, 305);
   _actionMap[636][ROWLIMIT] = ActionEntry(REDUCE, 305);
   _actionMap[636][ORDER] = ActionEntry(REDUCE, 305);
   _actionMap[636][GROUP] = ActionEntry(REDUCE, 305);
   _actionMap[636][WHERE] = ActionEntry(REDUCE, 305);
}
void Cego::loadParser56()
{
   _actionMap[636][AND] = ActionEntry(REDUCE, 305);
   _actionMap[636][OR] = ActionEntry(REDUCE, 305);
   _actionMap[637][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[637][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[637][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[637][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[637][RB] = ActionEntry(REDUCE, 288);
   _actionMap[638][RB] = ActionEntry(SHIFT, 702);
   _actionMap[639][RB] = ActionEntry(REDUCE, 351);
   _actionMap[640][RB] = ActionEntry(SHIFT, 704);
   _actionMap[640][KSEP] = ActionEntry(SHIFT, 703);
   _actionMap[641][KSEP] = ActionEntry(REDUCE, 162);
   _actionMap[641][RB] = ActionEntry(REDUCE, 162);
   _actionMap[642][WHEN] = ActionEntry(REDUCE, 348);
   _actionMap[642][ELSE] = ActionEntry(REDUCE, 348);
   _actionMap[642][LEFT] = ActionEntry(REDUCE, 348);
   _actionMap[642][RIGHT] = ActionEntry(REDUCE, 348);
   _actionMap[642][INNER] = ActionEntry(REDUCE, 348);
   _actionMap[642][JOIN] = ActionEntry(REDUCE, 348);
   _actionMap[642][RETURNTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[642][ORDER] = ActionEntry(REDUCE, 348);
   _actionMap[642][GROUP] = ActionEntry(REDUCE, 348);
   _actionMap[642][WHERE] = ActionEntry(REDUCE, 348);
   _actionMap[642][FROM] = ActionEntry(REDUCE, 348);
   _actionMap[642][AS] = ActionEntry(REDUCE, 348);
   _actionMap[642][END_TOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[642][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[642][THEN] = ActionEntry(REDUCE, 348);
   _actionMap[642][OR] = ActionEntry(REDUCE, 348);
   _actionMap[642][AND] = ActionEntry(REDUCE, 348);
   _actionMap[642][NULLTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[642][INTOK] = ActionEntry(REDUCE, 348);
   _actionMap[642][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[642][BETWEEN] = ActionEntry(REDUCE, 348);
   _actionMap[642][IS] = ActionEntry(REDUCE, 348);
   _actionMap[642][LIKE] = ActionEntry(REDUCE, 348);
   _actionMap[642][MT] = ActionEntry(REDUCE, 348);
   _actionMap[642][LT] = ActionEntry(REDUCE, 348);
   _actionMap[642][NEGATION] = ActionEntry(REDUCE, 348);
   _actionMap[642][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[642][RB] = ActionEntry(REDUCE, 348);
   _actionMap[642][ENDTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[642][UNION] = ActionEntry(REDUCE, 348);
   _actionMap[642][ROWLIMIT] = ActionEntry(REDUCE, 348);
   _actionMap[642][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[642][ASC] = ActionEntry(REDUCE, 348);
   _actionMap[642][DESC] = ActionEntry(REDUCE, 348);
   _actionMap[642][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[642][PLUS] = ActionEntry(REDUCE, 348);
   _actionMap[642][MINUS] = ActionEntry(REDUCE, 348);
}
void Cego::loadParser57()
{
   _actionMap[642][DIVISION] = ActionEntry(REDUCE, 348);
   _actionMap[642][STAR] = ActionEntry(REDUCE, 348);
   _actionMap[642][CONCAT] = ActionEntry(REDUCE, 348);
   _actionMap[643][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[643][RB] = ActionEntry(REDUCE, 224);
   _actionMap[643][ENDTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[643][UNION] = ActionEntry(REDUCE, 224);
   _actionMap[643][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[643][ORDER] = ActionEntry(SHIFT, 707);
   _jumpMap[643][NoOrdering] = 706;
   _jumpMap[643][OrderingClause] = 705;
   _actionMap[644][ORDER] = ActionEntry(REDUCE, 215);
   _actionMap[644][ROWLIMIT] = ActionEntry(REDUCE, 215);
   _actionMap[644][UNION] = ActionEntry(REDUCE, 215);
   _actionMap[644][ENDTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[644][RB] = ActionEntry(REDUCE, 215);
   _actionMap[644][SEMICOLON] = ActionEntry(REDUCE, 215);
   _actionMap[645][BY] = ActionEntry(SHIFT, 708);
   _actionMap[646][ON] = ActionEntry(SHIFT, 710);
   _jumpMap[646][JoinTableOn] = 709;
   _actionMap[647][IDENTIFIER] = ActionEntry(REDUCE, 205);
   _actionMap[647][QUALIFIEDOBJ] = ActionEntry(REDUCE, 205);
   _actionMap[647][QUALIFIEDTS] = ActionEntry(REDUCE, 205);
   _actionMap[648][JOIN] = ActionEntry(SHIFT, 711);
   _actionMap[649][JOIN] = ActionEntry(SHIFT, 712);
   _actionMap[650][RETURNTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[650][SEMICOLON] = ActionEntry(REDUCE, 207);
   _actionMap[650][RB] = ActionEntry(REDUCE, 207);
   _actionMap[650][ENDTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[650][UNION] = ActionEntry(REDUCE, 207);
   _actionMap[650][ROWLIMIT] = ActionEntry(REDUCE, 207);
   _actionMap[650][ORDER] = ActionEntry(REDUCE, 207);
   _actionMap[650][GROUP] = ActionEntry(REDUCE, 207);
   _actionMap[650][WHERE] = ActionEntry(REDUCE, 207);
   _actionMap[651][KSEP] = ActionEntry(SHIFT, 551);
   _actionMap[651][RETURNTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[651][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[651][RB] = ActionEntry(REDUCE, 208);
   _actionMap[651][ENDTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[651][UNION] = ActionEntry(REDUCE, 208);
   _actionMap[651][ROWLIMIT] = ActionEntry(REDUCE, 208);
   _actionMap[651][ORDER] = ActionEntry(REDUCE, 208);
   _actionMap[651][GROUP] = ActionEntry(REDUCE, 208);
   _actionMap[651][WHERE] = ActionEntry(REDUCE, 208);
   _actionMap[652][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[653][VARREF] = ActionEntry(SHIFT, 715);
   _jumpMap[653][ReturnVar] = 714;
   _jumpMap[653][ReturnVarList] = 713;
   _actionMap[654][KSEP] = ActionEntry(REDUCE, 237);
   _actionMap[654][WHERE] = ActionEntry(REDUCE, 237);
}
void Cego::loadParser58()
{
   _actionMap[654][GROUP] = ActionEntry(REDUCE, 237);
   _actionMap[654][ORDER] = ActionEntry(REDUCE, 237);
   _actionMap[654][ROWLIMIT] = ActionEntry(REDUCE, 237);
   _actionMap[654][UNION] = ActionEntry(REDUCE, 237);
   _actionMap[654][ENDTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[654][RB] = ActionEntry(REDUCE, 237);
   _actionMap[654][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[654][RETURNTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[655][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[655][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[655][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[655][KSEP] = ActionEntry(REDUCE, 239);
   _actionMap[655][WHERE] = ActionEntry(REDUCE, 239);
   _actionMap[655][GROUP] = ActionEntry(REDUCE, 239);
   _actionMap[655][ORDER] = ActionEntry(REDUCE, 239);
   _actionMap[655][ROWLIMIT] = ActionEntry(REDUCE, 239);
   _actionMap[655][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[655][ENDTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[655][RB] = ActionEntry(REDUCE, 239);
   _actionMap[655][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[655][RETURNTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[656][RB] = ActionEntry(SHIFT, 657);
   _actionMap[657][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[424][DROP] = ActionEntry(SHIFT, 299);
   _actionMap[424][ADD] = ActionEntry(SHIFT, 561);
   _actionMap[424][MODIFY] = ActionEntry(SHIFT, 300);
   _actionMap[424][RENAME] = ActionEntry(SHIFT, 301);
   _jumpMap[424][AlterOption] = 297;
   _jumpMap[424][AlterList] = 560;
   _actionMap[425][IDENTIFIER] = ActionEntry(SHIFT, 562);
   _actionMap[426][IDENTIFIER] = ActionEntry(SHIFT, 464);
   _jumpMap[426][ColumnDesc] = 563;
   _actionMap[427][KEY] = ActionEntry(SHIFT, 564);
   _actionMap[428][IDENTIFIER] = ActionEntry(SHIFT, 565);
   _actionMap[429][IDENTIFIER] = ActionEntry(SHIFT, 464);
   _jumpMap[429][ColumnDesc] = 566;
   _actionMap[430][IDENTIFIER] = ActionEntry(SHIFT, 567);
   _actionMap[431][FOR] = ActionEntry(SHIFT, 568);
   _actionMap[432][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[432][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[432][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[432][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[432][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[432][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[432][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[432][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[432][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[432][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[432][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[432][UPPER] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser59()
{
   _actionMap[432][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[432][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[432][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[432][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[432][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[432][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[432][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[432][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[432][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[432][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[432][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[432][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[432][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[432][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[432][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[432][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[432][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[432][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[432][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[432][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[432][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[432][LB] = ActionEntry(SHIFT, 136);
   _actionMap[432][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[432][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[432][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[432][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[432][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[432][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[432][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[432][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[432][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[432][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[432][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[432][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[432][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[432][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[432][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[432][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[432][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[432][ObjSpec] = 95;
   _jumpMap[432][Constant] = 94;
   _jumpMap[432][SignedFloat] = 93;
   _jumpMap[432][SignedInt] = 92;
   _jumpMap[432][Attribute] = 91;
   _jumpMap[432][Function] = 90;
   _jumpMap[432][CasePrepare] = 89;
   _jumpMap[432][CaseClause] = 88;
   _jumpMap[432][Factor] = 87;
   _jumpMap[432][Term] = 86;
   _jumpMap[432][Expr] = 569;
}
void Cego::loadParser60()
{
   _actionMap[433][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[434][ELSE] = ActionEntry(REDUCE, 86);
   _actionMap[434][ELSIF] = ActionEntry(REDUCE, 86);
   _actionMap[434][END_TOKEN] = ActionEntry(REDUCE, 86);
   _actionMap[434][EXCEPTION] = ActionEntry(SHIFT, 571);
   _jumpMap[434][ProcExceptionStmt] = 570;
   _actionMap[435][SEMICOLON] = ActionEntry(SHIFT, 572);
   _actionMap[436][END_TOKEN] = ActionEntry(SHIFT, 573);
   _actionMap[437][ELSE] = ActionEntry(SHIFT, 576);
   _actionMap[437][END_TOKEN] = ActionEntry(REDUCE, 122);
   _jumpMap[437][ProcElsePart] = 575;
   _jumpMap[437][ProcElseOpt] = 574;
   _actionMap[438][ELSIF] = ActionEntry(SHIFT, 439);
   _actionMap[438][END_TOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[438][ELSE] = ActionEntry(REDUCE, 119);
   _jumpMap[438][ProcElsIfOpt] = 438;
   _jumpMap[438][ProcElsIfList] = 578;
   _actionMap[439][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[439][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[439][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[439][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[439][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[439][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[439][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[439][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[439][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[439][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[439][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[439][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[439][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[439][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[439][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[439][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[439][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[439][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[439][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[439][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[439][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[439][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[439][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[439][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[439][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[439][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[439][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[439][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[439][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[439][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[439][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[439][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[439][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser61()
{
   _actionMap[439][LB] = ActionEntry(SHIFT, 447);
   _actionMap[439][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[439][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[439][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[439][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[439][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[439][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[439][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[439][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[439][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[439][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[439][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[439][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[439][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[439][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[439][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[439][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[439][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[439][ObjSpec] = 95;
   _jumpMap[439][Constant] = 94;
   _jumpMap[439][SignedFloat] = 93;
   _jumpMap[439][SignedInt] = 92;
   _jumpMap[439][Attribute] = 91;
   _jumpMap[439][Function] = 90;
   _jumpMap[439][CasePrepare] = 89;
   _jumpMap[439][CaseClause] = 88;
   _jumpMap[439][Factor] = 87;
   _jumpMap[439][Term] = 86;
   _jumpMap[439][Expr] = 446;
   _jumpMap[439][ProcPredicate] = 445;
   _jumpMap[439][ProcCondition] = 580;
   _jumpMap[439][ProcElsIfCondition] = 579;
   _actionMap[440][EXCEPTION] = ActionEntry(REDUCE, 88);
   _actionMap[440][END_TOKEN] = ActionEntry(REDUCE, 88);
   _actionMap[440][ELSE] = ActionEntry(REDUCE, 88);
   _actionMap[440][ELSIF] = ActionEntry(REDUCE, 88);
   _actionMap[440][VAR] = ActionEntry(REDUCE, 88);
   _actionMap[440][CURSOR] = ActionEntry(REDUCE, 88);
   _actionMap[440][CLOSE] = ActionEntry(REDUCE, 88);
   _actionMap[440][VARREF] = ActionEntry(REDUCE, 88);
   _actionMap[440][NOOP] = ActionEntry(REDUCE, 88);
   _actionMap[440][RETURNTOKEN] = ActionEntry(REDUCE, 88);
   _actionMap[440][WHILE] = ActionEntry(REDUCE, 88);
   _actionMap[440][IF] = ActionEntry(REDUCE, 88);
   _actionMap[440][BEGIN] = ActionEntry(REDUCE, 88);
   _actionMap[440][ROLLBACK] = ActionEntry(REDUCE, 88);
   _actionMap[440][COMMIT] = ActionEntry(REDUCE, 88);
   _actionMap[440][START_TOKEN] = ActionEntry(REDUCE, 88);
   _actionMap[440][UPDATE] = ActionEntry(REDUCE, 88);
   _actionMap[440][DELETETOK] = ActionEntry(REDUCE, 88);
}
void Cego::loadParser62()
{
   _actionMap[440][INSERT] = ActionEntry(REDUCE, 88);
   _actionMap[440][FETCH] = ActionEntry(REDUCE, 88);
   _actionMap[440][LB] = ActionEntry(REDUCE, 88);
   _actionMap[440][COUNT] = ActionEntry(REDUCE, 88);
   _actionMap[440][SUM] = ActionEntry(REDUCE, 88);
   _actionMap[440][AVG] = ActionEntry(REDUCE, 88);
   _actionMap[440][MIN] = ActionEntry(REDUCE, 88);
   _actionMap[440][MAX] = ActionEntry(REDUCE, 88);
   _actionMap[440][CASE] = ActionEntry(REDUCE, 88);
   _actionMap[440][TRIM] = ActionEntry(REDUCE, 88);
   _actionMap[440][RTRIM] = ActionEntry(REDUCE, 88);
   _actionMap[440][LTRIM] = ActionEntry(REDUCE, 88);
   _actionMap[440][ROUND] = ActionEntry(REDUCE, 88);
   _actionMap[440][DATE2STR] = ActionEntry(REDUCE, 88);
   _actionMap[440][DATE2INT] = ActionEntry(REDUCE, 88);
   _actionMap[440][INT2DATE] = ActionEntry(REDUCE, 88);
   _actionMap[440][LOWER] = ActionEntry(REDUCE, 88);
   _actionMap[440][UPPER] = ActionEntry(REDUCE, 88);
   _actionMap[440][LEFT] = ActionEntry(REDUCE, 88);
   _actionMap[440][RIGHT] = ActionEntry(REDUCE, 88);
   _actionMap[440][GETPOS] = ActionEntry(REDUCE, 88);
   _actionMap[440][SUBSTR] = ActionEntry(REDUCE, 88);
   _actionMap[440][REPLACE] = ActionEntry(REDUCE, 88);
   _actionMap[440][LENGTH] = ActionEntry(REDUCE, 88);
   _actionMap[440][TRUNC] = ActionEntry(REDUCE, 88);
   _actionMap[440][STR2INT] = ActionEntry(REDUCE, 88);
   _actionMap[440][STR2LONG] = ActionEntry(REDUCE, 88);
   _actionMap[440][RANDSTR] = ActionEntry(REDUCE, 88);
   _actionMap[440][RANDINT] = ActionEntry(REDUCE, 88);
   _actionMap[440][MOD] = ActionEntry(REDUCE, 88);
   _actionMap[440][DIV] = ActionEntry(REDUCE, 88);
   _actionMap[440][POWER] = ActionEntry(REDUCE, 88);
   _actionMap[440][BITAND] = ActionEntry(REDUCE, 88);
   _actionMap[440][BITOR] = ActionEntry(REDUCE, 88);
   _actionMap[440][BITXOR] = ActionEntry(REDUCE, 88);
   _actionMap[440][NEXTCOUNT] = ActionEntry(REDUCE, 88);
   _actionMap[440][IDENTIFIER] = ActionEntry(REDUCE, 88);
   _actionMap[440][QUALIFIEDOBJ] = ActionEntry(REDUCE, 88);
   _actionMap[440][QUALIFIEDTS] = ActionEntry(REDUCE, 88);
   _actionMap[440][QUALIFIEDPRE] = ActionEntry(REDUCE, 88);
   _actionMap[440][STRINGVAL] = ActionEntry(REDUCE, 88);
   _actionMap[440][DATE] = ActionEntry(REDUCE, 88);
   _actionMap[440][SYSDATE] = ActionEntry(REDUCE, 88);
   _actionMap[440][NULLTOKEN] = ActionEntry(REDUCE, 88);
   _actionMap[440][TRUEVAL] = ActionEntry(REDUCE, 88);
   _actionMap[440][FALSEVAL] = ActionEntry(REDUCE, 88);
   _actionMap[440][LAB] = ActionEntry(REDUCE, 88);
   _actionMap[440][COUNTERID] = ActionEntry(REDUCE, 88);
   _actionMap[440][FLOATVAL] = ActionEntry(REDUCE, 88);
   _actionMap[440][MINUS] = ActionEntry(REDUCE, 88);
}
void Cego::loadParser63()
{
   _actionMap[440][INTVAL] = ActionEntry(REDUCE, 88);
   _actionMap[441][SEMICOLON] = ActionEntry(REDUCE, 91);
   _actionMap[442][AS] = ActionEntry(SHIFT, 581);
   _actionMap[443][THEN] = ActionEntry(SHIFT, 582);
   _actionMap[444][OR] = ActionEntry(SHIFT, 584);
   _actionMap[444][AND] = ActionEntry(SHIFT, 583);
   _actionMap[444][THEN] = ActionEntry(REDUCE, 124);
   _actionMap[445][BEGIN] = ActionEntry(REDUCE, 130);
   _actionMap[445][RB] = ActionEntry(REDUCE, 130);
   _actionMap[445][AND] = ActionEntry(REDUCE, 130);
   _actionMap[445][OR] = ActionEntry(REDUCE, 130);
   _actionMap[445][THEN] = ActionEntry(REDUCE, 130);
   _actionMap[446][IS] = ActionEntry(SHIFT, 586);
   _actionMap[446][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[446][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[446][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[446][EQU] = ActionEntry(SHIFT, 479);
   _actionMap[446][NEGATION] = ActionEntry(SHIFT, 482);
   _actionMap[446][LT] = ActionEntry(SHIFT, 480);
   _actionMap[446][MT] = ActionEntry(SHIFT, 481);
   _jumpMap[446][Comparison] = 585;
   _actionMap[447][LONG] = ActionEntry(SHIFT, 261);
   _actionMap[447][BIGINT] = ActionEntry(SHIFT, 257);
   _actionMap[447][SMALLINT] = ActionEntry(SHIFT, 262);
   _actionMap[447][TINYINT] = ActionEntry(SHIFT, 263);
   _actionMap[447][DOUBLE] = ActionEntry(SHIFT, 259);
   _actionMap[447][DECIMAL] = ActionEntry(SHIFT, 258);
   _actionMap[447][FIXED] = ActionEntry(SHIFT, 260);
   _actionMap[447][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[447][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[447][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[447][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[447][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[447][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[447][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[447][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[447][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[447][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[447][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[447][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[447][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[447][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[447][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[447][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[447][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[447][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[447][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[447][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[447][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[447][RANDSTR] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser64()
{
   _actionMap[447][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[447][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[447][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[447][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[447][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[447][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[447][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[447][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[447][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[447][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[447][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[447][LB] = ActionEntry(SHIFT, 447);
   _actionMap[447][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[447][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[447][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[447][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[447][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[447][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[447][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[447][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[447][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[447][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[447][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[447][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[447][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[447][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[447][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[447][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[447][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[447][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[447][ObjSpec] = 95;
   _jumpMap[447][Constant] = 94;
   _jumpMap[447][SignedFloat] = 93;
   _jumpMap[447][SignedInt] = 92;
   _jumpMap[447][Attribute] = 91;
   _jumpMap[447][Function] = 90;
   _jumpMap[447][SelectStatement] = 256;
   _jumpMap[447][CasePrepare] = 89;
   _jumpMap[447][CaseClause] = 88;
   _jumpMap[447][Factor] = 87;
   _jumpMap[447][Term] = 86;
   _jumpMap[447][Expr] = 588;
   _jumpMap[447][ProcPredicate] = 445;
   _jumpMap[447][ProcCondition] = 587;
   _actionMap[448][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[448][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[448][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[448][SEMICOLON] = ActionEntry(REDUCE, 105);
   _actionMap[449][INT] = ActionEntry(SHIFT, 598);
   _actionMap[449][LONG] = ActionEntry(SHIFT, 599);
}
void Cego::loadParser65()
{
   _actionMap[449][STRING] = ActionEntry(SHIFT, 601);
   _actionMap[449][DATETIME] = ActionEntry(SHIFT, 593);
   _actionMap[449][BOOL] = ActionEntry(SHIFT, 592);
   _actionMap[449][BIGINT] = ActionEntry(SHIFT, 590);
   _actionMap[449][FLOAT] = ActionEntry(SHIFT, 597);
   _actionMap[449][DOUBLE] = ActionEntry(SHIFT, 595);
   _actionMap[449][SMALLINT] = ActionEntry(SHIFT, 600);
   _actionMap[449][TINYINT] = ActionEntry(SHIFT, 602);
   _actionMap[449][DECIMAL] = ActionEntry(SHIFT, 594);
   _actionMap[449][FIXED] = ActionEntry(SHIFT, 596);
   _actionMap[449][BLOB] = ActionEntry(SHIFT, 591);
   _jumpMap[449][DataTypeProd] = 589;
   _actionMap[450][BEGIN] = ActionEntry(SHIFT, 603);
   _actionMap[451][OR] = ActionEntry(SHIFT, 584);
   _actionMap[451][AND] = ActionEntry(SHIFT, 583);
   _actionMap[451][BEGIN] = ActionEntry(REDUCE, 127);
   _actionMap[452][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[452][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[452][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[452][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[452][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[452][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[452][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[452][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[452][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[452][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[452][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[452][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[452][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[452][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[452][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[452][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[452][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[452][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[452][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[452][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[452][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[452][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[452][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[452][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[452][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[452][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[452][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[452][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[452][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[452][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[452][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[452][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[452][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[452][LB] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser66()
{
   _actionMap[452][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[452][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[452][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[452][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[452][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[452][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[452][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[452][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[452][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[452][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[452][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[452][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[452][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[452][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[452][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[452][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[452][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[452][ObjSpec] = 95;
   _jumpMap[452][Constant] = 94;
   _jumpMap[452][SignedFloat] = 93;
   _jumpMap[452][SignedInt] = 92;
   _jumpMap[452][Attribute] = 91;
   _jumpMap[452][Function] = 90;
   _jumpMap[452][CasePrepare] = 89;
   _jumpMap[452][CaseClause] = 88;
   _jumpMap[452][Factor] = 87;
   _jumpMap[452][Term] = 86;
   _jumpMap[452][Expr] = 604;
   _actionMap[453][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[453][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[453][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[453][ObjSpec] = 605;
   _actionMap[454][LB] = ActionEntry(SHIFT, 606);
   _actionMap[455][RB] = ActionEntry(SHIFT, 458);
   _actionMap[456][KSEP] = ActionEntry(SHIFT, 607);
   _actionMap[456][RB] = ActionEntry(REDUCE, 80);
   _actionMap[457][KSEP] = ActionEntry(REDUCE, 83);
   _actionMap[457][RB] = ActionEntry(REDUCE, 83);
   _actionMap[458][RETURNTOKEN] = ActionEntry(SHIFT, 609);
   _actionMap[458][BEGIN] = ActionEntry(REDUCE, 79);
   _jumpMap[458][ReturnOpt] = 608;
   _actionMap[459][INTOK] = ActionEntry(SHIFT, 610);
   _actionMap[459][OUTTOK] = ActionEntry(SHIFT, 611);
   _actionMap[460][RB] = ActionEntry(SHIFT, 613);
   _actionMap[460][KSEP] = ActionEntry(SHIFT, 612);
   _actionMap[461][KSEP] = ActionEntry(REDUCE, 164);
   _actionMap[461][RB] = ActionEntry(REDUCE, 164);
   _actionMap[462][KSEP] = ActionEntry(REDUCE, 166);
   _actionMap[462][RB] = ActionEntry(REDUCE, 166);
   _actionMap[463][IDENTIFIER] = ActionEntry(SHIFT, 464);
}
void Cego::loadParser67()
{
   _jumpMap[463][ColumnDesc] = 614;
   _actionMap[464][INT] = ActionEntry(SHIFT, 598);
   _actionMap[464][LONG] = ActionEntry(SHIFT, 599);
   _actionMap[464][STRING] = ActionEntry(SHIFT, 601);
   _actionMap[464][DATETIME] = ActionEntry(SHIFT, 593);
   _actionMap[464][BOOL] = ActionEntry(SHIFT, 592);
   _actionMap[464][BIGINT] = ActionEntry(SHIFT, 590);
   _actionMap[464][FLOAT] = ActionEntry(SHIFT, 597);
   _actionMap[464][DOUBLE] = ActionEntry(SHIFT, 595);
   _actionMap[464][SMALLINT] = ActionEntry(SHIFT, 600);
   _actionMap[464][TINYINT] = ActionEntry(SHIFT, 602);
   _actionMap[464][DECIMAL] = ActionEntry(SHIFT, 594);
   _actionMap[464][FIXED] = ActionEntry(SHIFT, 596);
   _actionMap[464][BLOB] = ActionEntry(SHIFT, 591);
   _jumpMap[464][DataTypeProd] = 615;
   _actionMap[465][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[466][AND] = ActionEntry(SHIFT, 483);
   _actionMap[466][OR] = ActionEntry(SHIFT, 484);
   _actionMap[466][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[466][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[466][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[466][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[466][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[466][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[466][RB] = ActionEntry(REDUCE, 290);
   _actionMap[466][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[467][SEMICOLON] = ActionEntry(REDUCE, 183);
   _actionMap[468][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[468][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[468][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[468][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[468][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[468][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[468][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[468][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[468][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[468][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[468][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[468][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[468][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[468][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[468][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[468][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[468][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[468][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[468][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[468][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[468][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[468][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[468][RANDINT] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser68()
{
   _actionMap[468][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[468][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[468][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[468][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[468][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[468][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[468][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[468][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[468][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[468][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[468][LB] = ActionEntry(SHIFT, 136);
   _actionMap[468][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[468][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[468][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[468][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[468][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[468][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[468][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[468][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[468][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[468][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[468][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[468][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[468][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[468][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[468][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[468][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[468][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[468][ObjSpec] = 95;
   _jumpMap[468][Constant] = 94;
   _jumpMap[468][SignedFloat] = 93;
   _jumpMap[468][SignedInt] = 92;
   _jumpMap[468][Attribute] = 91;
   _jumpMap[468][Function] = 90;
   _jumpMap[468][InsertValueList] = 617;
   _jumpMap[468][CasePrepare] = 89;
   _jumpMap[468][CaseClause] = 88;
   _jumpMap[468][Factor] = 87;
   _jumpMap[468][Term] = 86;
   _jumpMap[468][Expr] = 616;
   _actionMap[469][RB] = ActionEntry(SHIFT, 619);
   _actionMap[469][KSEP] = ActionEntry(SHIFT, 618);
   _actionMap[470][KSEP] = ActionEntry(REDUCE, 189);
   _actionMap[470][RB] = ActionEntry(REDUCE, 189);
   _actionMap[471][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[472][END_TOKEN] = ActionEntry(SHIFT, 620);
   _actionMap[472][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[472][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[472][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[473][FLOATVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser69()
{
   _actionMap[473][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[473][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[473][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[473][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[473][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[473][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[473][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[473][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[473][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[473][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[473][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[473][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[473][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[473][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[473][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[473][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[473][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[473][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[473][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[473][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[473][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[473][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[473][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[473][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[473][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[473][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[473][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[473][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[473][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[473][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[473][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[473][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[473][LB] = ActionEntry(SHIFT, 136);
   _actionMap[473][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[473][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[473][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[473][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[473][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[473][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[473][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[473][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[473][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[473][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[473][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[473][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[473][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[473][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[473][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[473][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[473][MAX] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser70()
{
   _jumpMap[473][ObjSpec] = 95;
   _jumpMap[473][Constant] = 94;
   _jumpMap[473][SignedFloat] = 93;
   _jumpMap[473][SignedInt] = 92;
   _jumpMap[473][Attribute] = 91;
   _jumpMap[473][Function] = 90;
   _jumpMap[473][CasePrepare] = 89;
   _jumpMap[473][CaseClause] = 88;
   _jumpMap[473][Factor] = 87;
   _jumpMap[473][Term] = 86;
   _jumpMap[473][Expr] = 621;
   _actionMap[474][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[474][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[474][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[474][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[474][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[474][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[474][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[474][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[474][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[474][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[474][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[474][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[474][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[474][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[474][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[474][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[474][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[474][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[474][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[474][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[474][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[474][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[474][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[474][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[474][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[474][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[474][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[474][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[474][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[474][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[474][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[474][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[474][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[474][LB] = ActionEntry(SHIFT, 136);
   _actionMap[474][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[474][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[474][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[474][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[474][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser71()
{
   _actionMap[474][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[474][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[474][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[474][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[474][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[474][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[474][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[474][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[474][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[474][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[474][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[474][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[474][ObjSpec] = 95;
   _jumpMap[474][Constant] = 94;
   _jumpMap[474][SignedFloat] = 93;
   _jumpMap[474][SignedInt] = 92;
   _jumpMap[474][Attribute] = 91;
   _jumpMap[474][Function] = 90;
   _jumpMap[474][CasePrepare] = 89;
   _jumpMap[474][CaseClause] = 88;
   _jumpMap[474][Factor] = 87;
   _jumpMap[474][Term] = 86;
   _jumpMap[474][Expr] = 622;
   _actionMap[475][LB] = ActionEntry(SHIFT, 623);
   _actionMap[476][NOT] = ActionEntry(SHIFT, 624);
   _actionMap[476][NULLTOKEN] = ActionEntry(SHIFT, 625);
   _actionMap[477][STRINGVAL] = ActionEntry(SHIFT, 626);
   _actionMap[478][LIKE] = ActionEntry(SHIFT, 628);
   _actionMap[478][INTOK] = ActionEntry(SHIFT, 627);
   _actionMap[479][VARREF] = ActionEntry(REDUCE, 320);
   _actionMap[479][FETCH] = ActionEntry(REDUCE, 320);
   _actionMap[479][LB] = ActionEntry(REDUCE, 320);
   _actionMap[479][COUNT] = ActionEntry(REDUCE, 320);
   _actionMap[479][SUM] = ActionEntry(REDUCE, 320);
   _actionMap[479][AVG] = ActionEntry(REDUCE, 320);
   _actionMap[479][MIN] = ActionEntry(REDUCE, 320);
   _actionMap[479][MAX] = ActionEntry(REDUCE, 320);
   _actionMap[479][CASE] = ActionEntry(REDUCE, 320);
   _actionMap[479][TRIM] = ActionEntry(REDUCE, 320);
   _actionMap[479][RTRIM] = ActionEntry(REDUCE, 320);
   _actionMap[479][LTRIM] = ActionEntry(REDUCE, 320);
   _actionMap[479][ROUND] = ActionEntry(REDUCE, 320);
   _actionMap[479][DATE2STR] = ActionEntry(REDUCE, 320);
   _actionMap[479][DATE2INT] = ActionEntry(REDUCE, 320);
   _actionMap[479][INT2DATE] = ActionEntry(REDUCE, 320);
   _actionMap[479][LOWER] = ActionEntry(REDUCE, 320);
   _actionMap[479][UPPER] = ActionEntry(REDUCE, 320);
   _actionMap[479][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[479][RIGHT] = ActionEntry(REDUCE, 320);
   _actionMap[479][GETPOS] = ActionEntry(REDUCE, 320);
}
void Cego::loadParser72()
{
   _actionMap[479][SUBSTR] = ActionEntry(REDUCE, 320);
   _actionMap[479][REPLACE] = ActionEntry(REDUCE, 320);
   _actionMap[479][LENGTH] = ActionEntry(REDUCE, 320);
   _actionMap[479][TRUNC] = ActionEntry(REDUCE, 320);
   _actionMap[479][STR2INT] = ActionEntry(REDUCE, 320);
   _actionMap[479][STR2LONG] = ActionEntry(REDUCE, 320);
   _actionMap[479][RANDSTR] = ActionEntry(REDUCE, 320);
   _actionMap[479][RANDINT] = ActionEntry(REDUCE, 320);
   _actionMap[479][MOD] = ActionEntry(REDUCE, 320);
   _actionMap[479][DIV] = ActionEntry(REDUCE, 320);
   _actionMap[479][POWER] = ActionEntry(REDUCE, 320);
   _actionMap[479][BITAND] = ActionEntry(REDUCE, 320);
   _actionMap[479][BITOR] = ActionEntry(REDUCE, 320);
   _actionMap[479][BITXOR] = ActionEntry(REDUCE, 320);
   _actionMap[479][NEXTCOUNT] = ActionEntry(REDUCE, 320);
   _actionMap[479][IDENTIFIER] = ActionEntry(REDUCE, 320);
   _actionMap[479][QUALIFIEDOBJ] = ActionEntry(REDUCE, 320);
   _actionMap[479][QUALIFIEDTS] = ActionEntry(REDUCE, 320);
   _actionMap[479][QUALIFIEDPRE] = ActionEntry(REDUCE, 320);
   _actionMap[479][STRINGVAL] = ActionEntry(REDUCE, 320);
   _actionMap[479][DATE] = ActionEntry(REDUCE, 320);
   _actionMap[479][SYSDATE] = ActionEntry(REDUCE, 320);
   _actionMap[479][NULLTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[479][TRUEVAL] = ActionEntry(REDUCE, 320);
   _actionMap[479][FALSEVAL] = ActionEntry(REDUCE, 320);
   _actionMap[479][LAB] = ActionEntry(REDUCE, 320);
   _actionMap[479][COUNTERID] = ActionEntry(REDUCE, 320);
   _actionMap[479][FLOATVAL] = ActionEntry(REDUCE, 320);
   _actionMap[479][MINUS] = ActionEntry(REDUCE, 320);
   _actionMap[479][INTVAL] = ActionEntry(REDUCE, 320);
   _actionMap[480][VARREF] = ActionEntry(REDUCE, 322);
   _actionMap[480][FETCH] = ActionEntry(REDUCE, 322);
   _actionMap[480][LB] = ActionEntry(REDUCE, 322);
   _actionMap[480][COUNT] = ActionEntry(REDUCE, 322);
   _actionMap[480][SUM] = ActionEntry(REDUCE, 322);
   _actionMap[480][AVG] = ActionEntry(REDUCE, 322);
   _actionMap[480][MIN] = ActionEntry(REDUCE, 322);
   _actionMap[480][MAX] = ActionEntry(REDUCE, 322);
   _actionMap[480][CASE] = ActionEntry(REDUCE, 322);
   _actionMap[480][TRIM] = ActionEntry(REDUCE, 322);
   _actionMap[480][RTRIM] = ActionEntry(REDUCE, 322);
   _actionMap[480][LTRIM] = ActionEntry(REDUCE, 322);
   _actionMap[480][ROUND] = ActionEntry(REDUCE, 322);
   _actionMap[480][DATE2STR] = ActionEntry(REDUCE, 322);
   _actionMap[480][DATE2INT] = ActionEntry(REDUCE, 322);
   _actionMap[480][INT2DATE] = ActionEntry(REDUCE, 322);
   _actionMap[480][LOWER] = ActionEntry(REDUCE, 322);
   _actionMap[480][UPPER] = ActionEntry(REDUCE, 322);
   _actionMap[480][LEFT] = ActionEntry(REDUCE, 322);
   _actionMap[480][RIGHT] = ActionEntry(REDUCE, 322);
}
void Cego::loadParser73()
{
   _actionMap[480][GETPOS] = ActionEntry(REDUCE, 322);
   _actionMap[480][SUBSTR] = ActionEntry(REDUCE, 322);
   _actionMap[480][REPLACE] = ActionEntry(REDUCE, 322);
   _actionMap[480][LENGTH] = ActionEntry(REDUCE, 322);
   _actionMap[480][TRUNC] = ActionEntry(REDUCE, 322);
   _actionMap[480][STR2INT] = ActionEntry(REDUCE, 322);
   _actionMap[480][STR2LONG] = ActionEntry(REDUCE, 322);
   _actionMap[480][RANDSTR] = ActionEntry(REDUCE, 322);
   _actionMap[480][RANDINT] = ActionEntry(REDUCE, 322);
   _actionMap[480][MOD] = ActionEntry(REDUCE, 322);
   _actionMap[480][DIV] = ActionEntry(REDUCE, 322);
   _actionMap[480][POWER] = ActionEntry(REDUCE, 322);
   _actionMap[480][BITAND] = ActionEntry(REDUCE, 322);
   _actionMap[480][BITOR] = ActionEntry(REDUCE, 322);
   _actionMap[480][BITXOR] = ActionEntry(REDUCE, 322);
   _actionMap[480][NEXTCOUNT] = ActionEntry(REDUCE, 322);
   _actionMap[480][IDENTIFIER] = ActionEntry(REDUCE, 322);
   _actionMap[480][QUALIFIEDOBJ] = ActionEntry(REDUCE, 322);
   _actionMap[480][QUALIFIEDTS] = ActionEntry(REDUCE, 322);
   _actionMap[480][QUALIFIEDPRE] = ActionEntry(REDUCE, 322);
   _actionMap[480][STRINGVAL] = ActionEntry(REDUCE, 322);
   _actionMap[480][DATE] = ActionEntry(REDUCE, 322);
   _actionMap[480][SYSDATE] = ActionEntry(REDUCE, 322);
   _actionMap[480][NULLTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[480][TRUEVAL] = ActionEntry(REDUCE, 322);
   _actionMap[480][FALSEVAL] = ActionEntry(REDUCE, 322);
   _actionMap[480][LAB] = ActionEntry(REDUCE, 322);
   _actionMap[480][COUNTERID] = ActionEntry(REDUCE, 322);
   _actionMap[480][FLOATVAL] = ActionEntry(REDUCE, 322);
   _actionMap[480][MINUS] = ActionEntry(REDUCE, 322);
   _actionMap[480][INTVAL] = ActionEntry(REDUCE, 322);
   _actionMap[480][EQU] = ActionEntry(SHIFT, 629);
   _actionMap[481][VARREF] = ActionEntry(REDUCE, 323);
   _actionMap[481][FETCH] = ActionEntry(REDUCE, 323);
   _actionMap[481][LB] = ActionEntry(REDUCE, 323);
   _actionMap[481][COUNT] = ActionEntry(REDUCE, 323);
   _actionMap[481][SUM] = ActionEntry(REDUCE, 323);
   _actionMap[481][AVG] = ActionEntry(REDUCE, 323);
   _actionMap[481][MIN] = ActionEntry(REDUCE, 323);
   _actionMap[481][MAX] = ActionEntry(REDUCE, 323);
   _actionMap[481][CASE] = ActionEntry(REDUCE, 323);
   _actionMap[481][TRIM] = ActionEntry(REDUCE, 323);
   _actionMap[481][RTRIM] = ActionEntry(REDUCE, 323);
   _actionMap[481][LTRIM] = ActionEntry(REDUCE, 323);
   _actionMap[481][ROUND] = ActionEntry(REDUCE, 323);
   _actionMap[481][DATE2STR] = ActionEntry(REDUCE, 323);
   _actionMap[481][DATE2INT] = ActionEntry(REDUCE, 323);
   _actionMap[481][INT2DATE] = ActionEntry(REDUCE, 323);
   _actionMap[481][LOWER] = ActionEntry(REDUCE, 323);
   _actionMap[481][UPPER] = ActionEntry(REDUCE, 323);
}
void Cego::loadParser74()
{
   _actionMap[481][LEFT] = ActionEntry(REDUCE, 323);
   _actionMap[481][RIGHT] = ActionEntry(REDUCE, 323);
   _actionMap[481][GETPOS] = ActionEntry(REDUCE, 323);
   _actionMap[481][SUBSTR] = ActionEntry(REDUCE, 323);
   _actionMap[481][REPLACE] = ActionEntry(REDUCE, 323);
   _actionMap[481][LENGTH] = ActionEntry(REDUCE, 323);
   _actionMap[481][TRUNC] = ActionEntry(REDUCE, 323);
   _actionMap[481][STR2INT] = ActionEntry(REDUCE, 323);
   _actionMap[481][STR2LONG] = ActionEntry(REDUCE, 323);
   _actionMap[481][RANDSTR] = ActionEntry(REDUCE, 323);
   _actionMap[481][RANDINT] = ActionEntry(REDUCE, 323);
   _actionMap[481][MOD] = ActionEntry(REDUCE, 323);
   _actionMap[481][DIV] = ActionEntry(REDUCE, 323);
   _actionMap[481][POWER] = ActionEntry(REDUCE, 323);
   _actionMap[481][BITAND] = ActionEntry(REDUCE, 323);
   _actionMap[481][BITOR] = ActionEntry(REDUCE, 323);
   _actionMap[481][BITXOR] = ActionEntry(REDUCE, 323);
   _actionMap[481][NEXTCOUNT] = ActionEntry(REDUCE, 323);
   _actionMap[481][IDENTIFIER] = ActionEntry(REDUCE, 323);
   _actionMap[481][QUALIFIEDOBJ] = ActionEntry(REDUCE, 323);
   _actionMap[481][QUALIFIEDTS] = ActionEntry(REDUCE, 323);
   _actionMap[481][QUALIFIEDPRE] = ActionEntry(REDUCE, 323);
   _actionMap[481][STRINGVAL] = ActionEntry(REDUCE, 323);
   _actionMap[481][DATE] = ActionEntry(REDUCE, 323);
   _actionMap[481][SYSDATE] = ActionEntry(REDUCE, 323);
   _actionMap[481][NULLTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[481][TRUEVAL] = ActionEntry(REDUCE, 323);
   _actionMap[481][FALSEVAL] = ActionEntry(REDUCE, 323);
   _actionMap[481][LAB] = ActionEntry(REDUCE, 323);
   _actionMap[481][COUNTERID] = ActionEntry(REDUCE, 323);
   _actionMap[481][FLOATVAL] = ActionEntry(REDUCE, 323);
   _actionMap[481][MINUS] = ActionEntry(REDUCE, 323);
   _actionMap[481][INTVAL] = ActionEntry(REDUCE, 323);
   _actionMap[481][EQU] = ActionEntry(SHIFT, 630);
   _actionMap[482][EQU] = ActionEntry(SHIFT, 631);
   _actionMap[483][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[483][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[483][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[483][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[483][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[483][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[483][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[483][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[483][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[483][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[483][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[483][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[483][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[483][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[483][GETPOS] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser75()
{
   _actionMap[483][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[483][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[483][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[483][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[483][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[483][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[483][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[483][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[483][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[483][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[483][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[483][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[483][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[483][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[483][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[483][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[483][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[483][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[483][LB] = ActionEntry(SHIFT, 354);
   _actionMap[483][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[483][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[483][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[483][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[483][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[483][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[483][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[483][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[483][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[483][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[483][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[483][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[483][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[483][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[483][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[483][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[483][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[483][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[483][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[483][ObjSpec] = 95;
   _jumpMap[483][Constant] = 94;
   _jumpMap[483][SignedFloat] = 93;
   _jumpMap[483][SignedInt] = 92;
   _jumpMap[483][Attribute] = 91;
   _jumpMap[483][QueryPredicate] = 632;
   _jumpMap[483][Function] = 90;
   _jumpMap[483][CasePrepare] = 89;
   _jumpMap[483][CaseClause] = 88;
   _jumpMap[483][Factor] = 87;
   _jumpMap[483][Term] = 86;
   _jumpMap[483][Expr] = 349;
}
void Cego::loadParser76()
{
   _actionMap[484][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[484][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[484][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[484][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[484][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[484][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[484][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[484][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[484][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[484][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[484][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[484][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[484][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[484][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[484][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[484][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[484][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[484][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[484][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[484][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[484][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[484][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[484][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[484][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[484][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[484][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[484][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[484][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[484][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[484][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[484][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[484][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[484][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[484][LB] = ActionEntry(SHIFT, 354);
   _actionMap[484][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[484][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[484][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[484][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[484][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[484][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[484][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[484][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[484][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[484][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[484][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[484][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[484][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[484][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[484][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[484][MIN] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser77()
{
   _actionMap[484][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[484][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[484][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[484][ObjSpec] = 95;
   _jumpMap[484][Constant] = 94;
   _jumpMap[484][SignedFloat] = 93;
   _jumpMap[484][SignedInt] = 92;
   _jumpMap[484][Attribute] = 91;
   _jumpMap[484][QueryPredicate] = 633;
   _jumpMap[484][Function] = 90;
   _jumpMap[484][CasePrepare] = 89;
   _jumpMap[484][CaseClause] = 88;
   _jumpMap[484][Factor] = 87;
   _jumpMap[484][Term] = 86;
   _jumpMap[484][Expr] = 349;
   _actionMap[485][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[485][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[485][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[485][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[485][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[485][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[485][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[485][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[485][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[485][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[485][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[485][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[485][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[485][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[485][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[485][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[485][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[485][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[485][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[485][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[485][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[485][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[485][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[485][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[485][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[485][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[485][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[485][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[485][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[485][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[485][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[485][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[485][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[485][LB] = ActionEntry(SHIFT, 136);
   _actionMap[485][STRINGVAL] = ActionEntry(SHIFT, 96);
}
void Cego::loadParser78()
{
   _actionMap[485][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[485][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[485][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[485][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[485][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[485][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[485][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[485][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[485][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[485][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[485][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[485][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[485][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[485][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[485][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[485][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[485][ObjSpec] = 95;
   _jumpMap[485][Constant] = 94;
   _jumpMap[485][SignedFloat] = 93;
   _jumpMap[485][SignedInt] = 92;
   _jumpMap[485][Attribute] = 91;
   _jumpMap[485][Function] = 90;
   _jumpMap[485][CasePrepare] = 89;
   _jumpMap[485][CaseClause] = 88;
   _jumpMap[485][Factor] = 87;
   _jumpMap[485][Term] = 86;
   _jumpMap[485][Expr] = 634;
   _actionMap[486][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[486][SelectStatement] = 635;
   _actionMap[487][THEN] = ActionEntry(REDUCE, 306);
   _actionMap[487][LEFT] = ActionEntry(REDUCE, 306);
   _actionMap[487][RIGHT] = ActionEntry(REDUCE, 306);
   _actionMap[487][INNER] = ActionEntry(REDUCE, 306);
   _actionMap[487][JOIN] = ActionEntry(REDUCE, 306);
   _actionMap[487][RETURNTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[487][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[487][RB] = ActionEntry(REDUCE, 306);
   _actionMap[487][ENDTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[487][UNION] = ActionEntry(REDUCE, 306);
   _actionMap[487][ROWLIMIT] = ActionEntry(REDUCE, 306);
   _actionMap[487][ORDER] = ActionEntry(REDUCE, 306);
   _actionMap[487][GROUP] = ActionEntry(REDUCE, 306);
   _actionMap[487][WHERE] = ActionEntry(REDUCE, 306);
   _actionMap[487][AND] = ActionEntry(REDUCE, 306);
   _actionMap[487][OR] = ActionEntry(REDUCE, 306);
   _actionMap[488][RB] = ActionEntry(SHIFT, 394);
   _actionMap[488][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[488][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[488][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[488][INTOK] = ActionEntry(SHIFT, 475);
}
void Cego::loadParser79()
{
   _actionMap[488][NOT] = ActionEntry(SHIFT, 478);
   _actionMap[488][BETWEEN] = ActionEntry(SHIFT, 474);
   _actionMap[488][IS] = ActionEntry(SHIFT, 476);
   _actionMap[488][LIKE] = ActionEntry(SHIFT, 477);
   _actionMap[488][EQU] = ActionEntry(SHIFT, 479);
   _actionMap[488][NEGATION] = ActionEntry(SHIFT, 482);
   _actionMap[488][LT] = ActionEntry(SHIFT, 480);
   _actionMap[488][MT] = ActionEntry(SHIFT, 481);
   _jumpMap[488][Comparison] = 473;
   _actionMap[489][RB] = ActionEntry(SHIFT, 636);
   _actionMap[489][AND] = ActionEntry(SHIFT, 483);
   _actionMap[489][OR] = ActionEntry(SHIFT, 484);
   _actionMap[490][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[490][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[490][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[490][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[490][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[490][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[490][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[490][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[490][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[490][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[490][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[490][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[490][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[490][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[490][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[490][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[490][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[490][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[490][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[490][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[490][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[490][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[490][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[490][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[490][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[490][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[490][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[490][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[490][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[490][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[490][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[490][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[490][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[490][LB] = ActionEntry(SHIFT, 136);
   _actionMap[490][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[490][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[490][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[490][NULLTOKEN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser80()
{
   _actionMap[490][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[490][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[490][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[490][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[490][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[490][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[490][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[490][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[490][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[490][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[490][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[490][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[490][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[490][ObjSpec] = 95;
   _jumpMap[490][Constant] = 94;
   _jumpMap[490][SignedFloat] = 93;
   _jumpMap[490][SignedInt] = 92;
   _jumpMap[490][Attribute] = 91;
   _jumpMap[490][Function] = 90;
   _jumpMap[490][CasePrepare] = 89;
   _jumpMap[490][CaseClause] = 88;
   _jumpMap[490][Factor] = 87;
   _jumpMap[490][Term] = 86;
   _jumpMap[490][Expr] = 637;
   _actionMap[491][WHEN] = ActionEntry(REDUCE, 286);
   _actionMap[491][ELSE] = ActionEntry(REDUCE, 286);
   _actionMap[491][LEFT] = ActionEntry(REDUCE, 286);
   _actionMap[491][RIGHT] = ActionEntry(REDUCE, 286);
   _actionMap[491][INNER] = ActionEntry(REDUCE, 286);
   _actionMap[491][JOIN] = ActionEntry(REDUCE, 286);
   _actionMap[491][RETURNTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[491][ORDER] = ActionEntry(REDUCE, 286);
   _actionMap[491][GROUP] = ActionEntry(REDUCE, 286);
   _actionMap[491][WHERE] = ActionEntry(REDUCE, 286);
   _actionMap[491][FROM] = ActionEntry(REDUCE, 286);
   _actionMap[491][AS] = ActionEntry(REDUCE, 286);
   _actionMap[491][END_TOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[491][BEGIN] = ActionEntry(REDUCE, 286);
   _actionMap[491][THEN] = ActionEntry(REDUCE, 286);
   _actionMap[491][OR] = ActionEntry(REDUCE, 286);
   _actionMap[491][AND] = ActionEntry(REDUCE, 286);
   _actionMap[491][INTOK] = ActionEntry(REDUCE, 286);
   _actionMap[491][NOT] = ActionEntry(REDUCE, 286);
   _actionMap[491][BETWEEN] = ActionEntry(REDUCE, 286);
   _actionMap[491][IS] = ActionEntry(REDUCE, 286);
   _actionMap[491][LIKE] = ActionEntry(REDUCE, 286);
   _actionMap[491][MT] = ActionEntry(REDUCE, 286);
   _actionMap[491][LT] = ActionEntry(REDUCE, 286);
   _actionMap[491][NEGATION] = ActionEntry(REDUCE, 286);
   _actionMap[491][EQU] = ActionEntry(REDUCE, 286);
}
void Cego::loadParser81()
{
   _actionMap[491][RB] = ActionEntry(REDUCE, 286);
   _actionMap[491][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[491][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[491][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[491][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[491][ASC] = ActionEntry(REDUCE, 286);
   _actionMap[491][DESC] = ActionEntry(REDUCE, 286);
   _actionMap[491][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[491][PLUS] = ActionEntry(REDUCE, 286);
   _actionMap[491][MINUS] = ActionEntry(REDUCE, 286);
   _actionMap[491][DIVISION] = ActionEntry(REDUCE, 286);
   _actionMap[491][STAR] = ActionEntry(REDUCE, 286);
   _actionMap[491][CONCAT] = ActionEntry(REDUCE, 286);
   _actionMap[492][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[492][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[492][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[492][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[492][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[492][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[492][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[492][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[492][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[492][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[492][AS] = ActionEntry(REDUCE, 152);
   _actionMap[492][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[492][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[492][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[492][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[492][OR] = ActionEntry(REDUCE, 152);
   _actionMap[492][AND] = ActionEntry(REDUCE, 152);
   _actionMap[492][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[492][IS] = ActionEntry(REDUCE, 152);
   _actionMap[492][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[492][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[492][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[492][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[492][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[492][LT] = ActionEntry(REDUCE, 152);
   _actionMap[492][MT] = ActionEntry(REDUCE, 152);
   _actionMap[492][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[492][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[492][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[492][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[492][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[492][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[492][RB] = ActionEntry(REDUCE, 152);
   _actionMap[492][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[492][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[492][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[492][DIVISION] = ActionEntry(REDUCE, 152);
}
void Cego::loadParser82()
{
   _actionMap[492][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[492][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[493][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[493][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[493][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[493][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[493][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[493][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[493][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[493][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[493][GROUP] = ActionEntry(REDUCE, 282);
   _actionMap[493][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[493][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[493][AS] = ActionEntry(REDUCE, 282);
   _actionMap[493][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[493][BEGIN] = ActionEntry(REDUCE, 282);
   _actionMap[493][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[493][OR] = ActionEntry(REDUCE, 282);
   _actionMap[493][AND] = ActionEntry(REDUCE, 282);
   _actionMap[493][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[493][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[493][BETWEEN] = ActionEntry(REDUCE, 282);
   _actionMap[493][IS] = ActionEntry(REDUCE, 282);
   _actionMap[493][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[493][MT] = ActionEntry(REDUCE, 282);
   _actionMap[493][LT] = ActionEntry(REDUCE, 282);
   _actionMap[493][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[493][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[493][RB] = ActionEntry(REDUCE, 282);
   _actionMap[493][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[493][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[493][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[493][KSEP] = ActionEntry(REDUCE, 282);
   _actionMap[493][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[493][DESC] = ActionEntry(REDUCE, 282);
   _actionMap[493][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[493][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[493][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[493][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[493][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[493][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[494][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[494][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[494][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[494][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[494][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[494][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[494][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[494][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[494][GROUP] = ActionEntry(REDUCE, 283);
}
void Cego::loadParser83()
{
   _actionMap[494][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[494][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[494][AS] = ActionEntry(REDUCE, 283);
   _actionMap[494][END_TOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[494][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[494][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[494][OR] = ActionEntry(REDUCE, 283);
   _actionMap[494][AND] = ActionEntry(REDUCE, 283);
   _actionMap[494][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[494][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[494][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[494][IS] = ActionEntry(REDUCE, 283);
   _actionMap[494][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[494][MT] = ActionEntry(REDUCE, 283);
   _actionMap[494][LT] = ActionEntry(REDUCE, 283);
   _actionMap[494][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[494][EQU] = ActionEntry(REDUCE, 283);
   _actionMap[494][RB] = ActionEntry(REDUCE, 283);
   _actionMap[494][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[494][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[494][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[494][KSEP] = ActionEntry(REDUCE, 283);
   _actionMap[494][ASC] = ActionEntry(REDUCE, 283);
   _actionMap[494][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[494][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[494][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[494][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[494][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[494][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[494][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[495][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[495][ELSE] = ActionEntry(REDUCE, 284);
   _actionMap[495][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[495][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[495][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[495][JOIN] = ActionEntry(REDUCE, 284);
   _actionMap[495][RETURNTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[495][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[495][GROUP] = ActionEntry(REDUCE, 284);
   _actionMap[495][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[495][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[495][AS] = ActionEntry(REDUCE, 284);
   _actionMap[495][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[495][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[495][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[495][OR] = ActionEntry(REDUCE, 284);
   _actionMap[495][AND] = ActionEntry(REDUCE, 284);
   _actionMap[495][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[495][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[495][BETWEEN] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser84()
{
   _actionMap[495][IS] = ActionEntry(REDUCE, 284);
   _actionMap[495][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[495][MT] = ActionEntry(REDUCE, 284);
   _actionMap[495][LT] = ActionEntry(REDUCE, 284);
   _actionMap[495][NEGATION] = ActionEntry(REDUCE, 284);
   _actionMap[495][EQU] = ActionEntry(REDUCE, 284);
   _actionMap[495][RB] = ActionEntry(REDUCE, 284);
   _actionMap[495][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[495][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[495][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[495][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[495][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[495][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[495][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[495][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[495][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[495][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[495][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[495][CONCAT] = ActionEntry(REDUCE, 284);
   _actionMap[496][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[496][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[496][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[496][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[496][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[496][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[496][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[496][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[496][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[496][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[496][AS] = ActionEntry(REDUCE, 153);
   _actionMap[496][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[496][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[496][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[496][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[496][OR] = ActionEntry(REDUCE, 153);
   _actionMap[496][AND] = ActionEntry(REDUCE, 153);
   _actionMap[496][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[496][IS] = ActionEntry(REDUCE, 153);
   _actionMap[496][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[496][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[496][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[496][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[496][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[496][LT] = ActionEntry(REDUCE, 153);
   _actionMap[496][MT] = ActionEntry(REDUCE, 153);
   _actionMap[496][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[496][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[496][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[496][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[496][UNION] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser85()
{
   _actionMap[496][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[496][RB] = ActionEntry(REDUCE, 153);
   _actionMap[496][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[496][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[496][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[496][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[496][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[496][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[497][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[497][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[497][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[497][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[497][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[497][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[497][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[497][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[497][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[497][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[497][AS] = ActionEntry(REDUCE, 150);
   _actionMap[497][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[497][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[497][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[497][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[497][OR] = ActionEntry(REDUCE, 150);
   _actionMap[497][AND] = ActionEntry(REDUCE, 150);
   _actionMap[497][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[497][IS] = ActionEntry(REDUCE, 150);
   _actionMap[497][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[497][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[497][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[497][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[497][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[497][LT] = ActionEntry(REDUCE, 150);
   _actionMap[497][MT] = ActionEntry(REDUCE, 150);
   _actionMap[497][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[497][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[497][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[497][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[497][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[497][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[497][RB] = ActionEntry(REDUCE, 150);
   _actionMap[497][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[497][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[497][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[497][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[497][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[497][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[498][STRINGVAL] = ActionEntry(SHIFT, 639);
   _jumpMap[498][DateValue] = 638;
   _actionMap[499][WHEN] = ActionEntry(REDUCE, 263);
}
void Cego::loadParser86()
{
   _actionMap[499][ELSE] = ActionEntry(REDUCE, 263);
   _actionMap[499][LEFT] = ActionEntry(REDUCE, 263);
   _actionMap[499][RIGHT] = ActionEntry(REDUCE, 263);
   _actionMap[499][INNER] = ActionEntry(REDUCE, 263);
   _actionMap[499][JOIN] = ActionEntry(REDUCE, 263);
   _actionMap[499][RETURNTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[499][ORDER] = ActionEntry(REDUCE, 263);
   _actionMap[499][GROUP] = ActionEntry(REDUCE, 263);
   _actionMap[499][WHERE] = ActionEntry(REDUCE, 263);
   _actionMap[499][FROM] = ActionEntry(REDUCE, 263);
   _actionMap[499][AS] = ActionEntry(REDUCE, 263);
   _actionMap[499][END_TOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[499][BEGIN] = ActionEntry(REDUCE, 263);
   _actionMap[499][THEN] = ActionEntry(REDUCE, 263);
   _actionMap[499][OR] = ActionEntry(REDUCE, 263);
   _actionMap[499][AND] = ActionEntry(REDUCE, 263);
   _actionMap[499][INTOK] = ActionEntry(REDUCE, 263);
   _actionMap[499][NOT] = ActionEntry(REDUCE, 263);
   _actionMap[499][BETWEEN] = ActionEntry(REDUCE, 263);
   _actionMap[499][IS] = ActionEntry(REDUCE, 263);
   _actionMap[499][LIKE] = ActionEntry(REDUCE, 263);
   _actionMap[499][MT] = ActionEntry(REDUCE, 263);
   _actionMap[499][LT] = ActionEntry(REDUCE, 263);
   _actionMap[499][NEGATION] = ActionEntry(REDUCE, 263);
   _actionMap[499][EQU] = ActionEntry(REDUCE, 263);
   _actionMap[499][RB] = ActionEntry(REDUCE, 263);
   _actionMap[499][ENDTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[499][UNION] = ActionEntry(REDUCE, 263);
   _actionMap[499][ROWLIMIT] = ActionEntry(REDUCE, 263);
   _actionMap[499][KSEP] = ActionEntry(REDUCE, 263);
   _actionMap[499][ASC] = ActionEntry(REDUCE, 263);
   _actionMap[499][DESC] = ActionEntry(REDUCE, 263);
   _actionMap[499][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[499][PLUS] = ActionEntry(REDUCE, 263);
   _actionMap[499][MINUS] = ActionEntry(REDUCE, 263);
   _actionMap[499][DIVISION] = ActionEntry(REDUCE, 263);
   _actionMap[499][STAR] = ActionEntry(REDUCE, 263);
   _actionMap[499][CONCAT] = ActionEntry(REDUCE, 263);
   _actionMap[500][WHEN] = ActionEntry(REDUCE, 264);
   _actionMap[500][ELSE] = ActionEntry(REDUCE, 264);
   _actionMap[500][LEFT] = ActionEntry(REDUCE, 264);
   _actionMap[500][RIGHT] = ActionEntry(REDUCE, 264);
   _actionMap[500][INNER] = ActionEntry(REDUCE, 264);
   _actionMap[500][JOIN] = ActionEntry(REDUCE, 264);
   _actionMap[500][RETURNTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[500][ORDER] = ActionEntry(REDUCE, 264);
   _actionMap[500][GROUP] = ActionEntry(REDUCE, 264);
   _actionMap[500][WHERE] = ActionEntry(REDUCE, 264);
   _actionMap[500][FROM] = ActionEntry(REDUCE, 264);
   _actionMap[500][AS] = ActionEntry(REDUCE, 264);
}
void Cego::loadParser87()
{
   _actionMap[500][END_TOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[500][BEGIN] = ActionEntry(REDUCE, 264);
   _actionMap[500][THEN] = ActionEntry(REDUCE, 264);
   _actionMap[500][OR] = ActionEntry(REDUCE, 264);
   _actionMap[500][AND] = ActionEntry(REDUCE, 264);
   _actionMap[500][INTOK] = ActionEntry(REDUCE, 264);
   _actionMap[500][NOT] = ActionEntry(REDUCE, 264);
   _actionMap[500][BETWEEN] = ActionEntry(REDUCE, 264);
   _actionMap[500][IS] = ActionEntry(REDUCE, 264);
   _actionMap[500][LIKE] = ActionEntry(REDUCE, 264);
   _actionMap[500][MT] = ActionEntry(REDUCE, 264);
   _actionMap[500][LT] = ActionEntry(REDUCE, 264);
   _actionMap[500][NEGATION] = ActionEntry(REDUCE, 264);
   _actionMap[500][EQU] = ActionEntry(REDUCE, 264);
   _actionMap[500][RB] = ActionEntry(REDUCE, 264);
   _actionMap[500][ENDTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[500][UNION] = ActionEntry(REDUCE, 264);
   _actionMap[500][ROWLIMIT] = ActionEntry(REDUCE, 264);
   _actionMap[500][KSEP] = ActionEntry(REDUCE, 264);
   _actionMap[500][ASC] = ActionEntry(REDUCE, 264);
   _actionMap[500][DESC] = ActionEntry(REDUCE, 264);
   _actionMap[500][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[500][PLUS] = ActionEntry(REDUCE, 264);
   _actionMap[500][MINUS] = ActionEntry(REDUCE, 264);
   _actionMap[500][DIVISION] = ActionEntry(REDUCE, 264);
   _actionMap[500][STAR] = ActionEntry(REDUCE, 264);
   _actionMap[500][CONCAT] = ActionEntry(REDUCE, 264);
   _actionMap[501][WHEN] = ActionEntry(REDUCE, 280);
   _actionMap[501][ELSE] = ActionEntry(REDUCE, 280);
   _actionMap[501][LEFT] = ActionEntry(REDUCE, 280);
   _actionMap[501][RIGHT] = ActionEntry(REDUCE, 280);
   _actionMap[501][INNER] = ActionEntry(REDUCE, 280);
   _actionMap[501][JOIN] = ActionEntry(REDUCE, 280);
   _actionMap[501][RETURNTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[501][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[501][GROUP] = ActionEntry(REDUCE, 280);
   _actionMap[501][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[501][FROM] = ActionEntry(REDUCE, 280);
   _actionMap[501][AS] = ActionEntry(REDUCE, 280);
   _actionMap[501][END_TOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[501][BEGIN] = ActionEntry(REDUCE, 280);
   _actionMap[501][THEN] = ActionEntry(REDUCE, 280);
   _actionMap[501][OR] = ActionEntry(REDUCE, 280);
   _actionMap[501][AND] = ActionEntry(REDUCE, 280);
   _actionMap[501][INTOK] = ActionEntry(REDUCE, 280);
   _actionMap[501][NOT] = ActionEntry(REDUCE, 280);
   _actionMap[501][BETWEEN] = ActionEntry(REDUCE, 280);
   _actionMap[501][IS] = ActionEntry(REDUCE, 280);
   _actionMap[501][LIKE] = ActionEntry(REDUCE, 280);
   _actionMap[501][MT] = ActionEntry(REDUCE, 280);
}
void Cego::loadParser88()
{
   _actionMap[501][LT] = ActionEntry(REDUCE, 280);
   _actionMap[501][NEGATION] = ActionEntry(REDUCE, 280);
   _actionMap[501][EQU] = ActionEntry(REDUCE, 280);
   _actionMap[501][RB] = ActionEntry(REDUCE, 280);
   _actionMap[501][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[501][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[501][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[501][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[501][ASC] = ActionEntry(REDUCE, 280);
   _actionMap[501][DESC] = ActionEntry(REDUCE, 280);
   _actionMap[501][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[501][PLUS] = ActionEntry(REDUCE, 280);
   _actionMap[501][MINUS] = ActionEntry(REDUCE, 280);
   _actionMap[501][DIVISION] = ActionEntry(REDUCE, 280);
   _actionMap[501][STAR] = ActionEntry(REDUCE, 280);
   _actionMap[501][CONCAT] = ActionEntry(REDUCE, 280);
   _actionMap[502][VARREF] = ActionEntry(SHIFT, 641);
   _jumpMap[502][FetchArgList] = 640;
   _actionMap[503][WHEN] = ActionEntry(REDUCE, 270);
   _actionMap[503][ELSE] = ActionEntry(REDUCE, 270);
   _actionMap[503][LEFT] = ActionEntry(REDUCE, 270);
   _actionMap[503][RIGHT] = ActionEntry(REDUCE, 270);
   _actionMap[503][INNER] = ActionEntry(REDUCE, 270);
   _actionMap[503][JOIN] = ActionEntry(REDUCE, 270);
   _actionMap[503][RETURNTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[503][ORDER] = ActionEntry(REDUCE, 270);
   _actionMap[503][GROUP] = ActionEntry(REDUCE, 270);
   _actionMap[503][WHERE] = ActionEntry(REDUCE, 270);
   _actionMap[503][FROM] = ActionEntry(REDUCE, 270);
   _actionMap[503][AS] = ActionEntry(REDUCE, 270);
   _actionMap[503][END_TOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[503][BEGIN] = ActionEntry(REDUCE, 270);
   _actionMap[503][THEN] = ActionEntry(REDUCE, 270);
   _actionMap[503][OR] = ActionEntry(REDUCE, 270);
   _actionMap[503][AND] = ActionEntry(REDUCE, 270);
   _actionMap[503][INTOK] = ActionEntry(REDUCE, 270);
   _actionMap[503][NOT] = ActionEntry(REDUCE, 270);
   _actionMap[503][BETWEEN] = ActionEntry(REDUCE, 270);
   _actionMap[503][IS] = ActionEntry(REDUCE, 270);
   _actionMap[503][LIKE] = ActionEntry(REDUCE, 270);
   _actionMap[503][MT] = ActionEntry(REDUCE, 270);
   _actionMap[503][LT] = ActionEntry(REDUCE, 270);
   _actionMap[503][NEGATION] = ActionEntry(REDUCE, 270);
   _actionMap[503][EQU] = ActionEntry(REDUCE, 270);
   _actionMap[503][RB] = ActionEntry(REDUCE, 270);
   _actionMap[503][ENDTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[503][UNION] = ActionEntry(REDUCE, 270);
   _actionMap[503][ROWLIMIT] = ActionEntry(REDUCE, 270);
   _actionMap[503][KSEP] = ActionEntry(REDUCE, 270);
   _actionMap[503][ASC] = ActionEntry(REDUCE, 270);
}
void Cego::loadParser89()
{
   _actionMap[503][DESC] = ActionEntry(REDUCE, 270);
   _actionMap[503][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[503][PLUS] = ActionEntry(REDUCE, 270);
   _actionMap[503][MINUS] = ActionEntry(REDUCE, 270);
   _actionMap[503][DIVISION] = ActionEntry(REDUCE, 270);
   _actionMap[503][STAR] = ActionEntry(REDUCE, 270);
   _actionMap[503][CONCAT] = ActionEntry(REDUCE, 270);
   _actionMap[504][WHEN] = ActionEntry(REDUCE, 265);
   _actionMap[504][ELSE] = ActionEntry(REDUCE, 265);
   _actionMap[504][LEFT] = ActionEntry(REDUCE, 265);
   _actionMap[504][RIGHT] = ActionEntry(REDUCE, 265);
   _actionMap[504][INNER] = ActionEntry(REDUCE, 265);
   _actionMap[504][JOIN] = ActionEntry(REDUCE, 265);
   _actionMap[504][RETURNTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[504][ORDER] = ActionEntry(REDUCE, 265);
   _actionMap[504][GROUP] = ActionEntry(REDUCE, 265);
   _actionMap[504][WHERE] = ActionEntry(REDUCE, 265);
   _actionMap[504][FROM] = ActionEntry(REDUCE, 265);
   _actionMap[504][AS] = ActionEntry(REDUCE, 265);
   _actionMap[504][END_TOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[504][BEGIN] = ActionEntry(REDUCE, 265);
   _actionMap[504][THEN] = ActionEntry(REDUCE, 265);
   _actionMap[504][OR] = ActionEntry(REDUCE, 265);
   _actionMap[504][AND] = ActionEntry(REDUCE, 265);
   _actionMap[504][INTOK] = ActionEntry(REDUCE, 265);
   _actionMap[504][NOT] = ActionEntry(REDUCE, 265);
   _actionMap[504][BETWEEN] = ActionEntry(REDUCE, 265);
   _actionMap[504][IS] = ActionEntry(REDUCE, 265);
   _actionMap[504][LIKE] = ActionEntry(REDUCE, 265);
   _actionMap[504][MT] = ActionEntry(REDUCE, 265);
   _actionMap[504][LT] = ActionEntry(REDUCE, 265);
   _actionMap[504][NEGATION] = ActionEntry(REDUCE, 265);
   _actionMap[504][EQU] = ActionEntry(REDUCE, 265);
   _actionMap[504][RB] = ActionEntry(REDUCE, 265);
   _actionMap[504][ENDTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[504][UNION] = ActionEntry(REDUCE, 265);
   _actionMap[504][ROWLIMIT] = ActionEntry(REDUCE, 265);
   _actionMap[504][KSEP] = ActionEntry(REDUCE, 265);
   _actionMap[504][ASC] = ActionEntry(REDUCE, 265);
   _actionMap[504][DESC] = ActionEntry(REDUCE, 265);
   _actionMap[504][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[504][PLUS] = ActionEntry(REDUCE, 265);
   _actionMap[504][MINUS] = ActionEntry(REDUCE, 265);
   _actionMap[504][DIVISION] = ActionEntry(REDUCE, 265);
   _actionMap[504][STAR] = ActionEntry(REDUCE, 265);
   _actionMap[504][CONCAT] = ActionEntry(REDUCE, 265);
   _actionMap[505][WHEN] = ActionEntry(REDUCE, 268);
   _actionMap[505][ELSE] = ActionEntry(REDUCE, 268);
   _actionMap[505][LEFT] = ActionEntry(REDUCE, 268);
   _actionMap[505][RIGHT] = ActionEntry(REDUCE, 268);
}
void Cego::loadParser90()
{
   _actionMap[505][INNER] = ActionEntry(REDUCE, 268);
   _actionMap[505][JOIN] = ActionEntry(REDUCE, 268);
   _actionMap[505][RETURNTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[505][ORDER] = ActionEntry(REDUCE, 268);
   _actionMap[505][GROUP] = ActionEntry(REDUCE, 268);
   _actionMap[505][WHERE] = ActionEntry(REDUCE, 268);
   _actionMap[505][FROM] = ActionEntry(REDUCE, 268);
   _actionMap[505][AS] = ActionEntry(REDUCE, 268);
   _actionMap[505][END_TOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[505][BEGIN] = ActionEntry(REDUCE, 268);
   _actionMap[505][THEN] = ActionEntry(REDUCE, 268);
   _actionMap[505][OR] = ActionEntry(REDUCE, 268);
   _actionMap[505][AND] = ActionEntry(REDUCE, 268);
   _actionMap[505][INTOK] = ActionEntry(REDUCE, 268);
   _actionMap[505][NOT] = ActionEntry(REDUCE, 268);
   _actionMap[505][BETWEEN] = ActionEntry(REDUCE, 268);
   _actionMap[505][IS] = ActionEntry(REDUCE, 268);
   _actionMap[505][LIKE] = ActionEntry(REDUCE, 268);
   _actionMap[505][MT] = ActionEntry(REDUCE, 268);
   _actionMap[505][LT] = ActionEntry(REDUCE, 268);
   _actionMap[505][NEGATION] = ActionEntry(REDUCE, 268);
   _actionMap[505][EQU] = ActionEntry(REDUCE, 268);
   _actionMap[505][RB] = ActionEntry(REDUCE, 268);
   _actionMap[505][ENDTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[505][UNION] = ActionEntry(REDUCE, 268);
   _actionMap[505][ROWLIMIT] = ActionEntry(REDUCE, 268);
   _actionMap[505][KSEP] = ActionEntry(REDUCE, 268);
   _actionMap[505][ASC] = ActionEntry(REDUCE, 268);
   _actionMap[505][DESC] = ActionEntry(REDUCE, 268);
   _actionMap[505][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[505][PLUS] = ActionEntry(REDUCE, 268);
   _actionMap[505][MINUS] = ActionEntry(REDUCE, 268);
   _actionMap[505][DIVISION] = ActionEntry(REDUCE, 268);
   _actionMap[505][STAR] = ActionEntry(REDUCE, 268);
   _actionMap[505][CONCAT] = ActionEntry(REDUCE, 268);
   _actionMap[506][WHEN] = ActionEntry(REDUCE, 273);
   _actionMap[506][ELSE] = ActionEntry(REDUCE, 273);
   _actionMap[506][LEFT] = ActionEntry(REDUCE, 273);
   _actionMap[506][RIGHT] = ActionEntry(REDUCE, 273);
   _actionMap[506][INNER] = ActionEntry(REDUCE, 273);
   _actionMap[506][JOIN] = ActionEntry(REDUCE, 273);
   _actionMap[506][RETURNTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[506][ORDER] = ActionEntry(REDUCE, 273);
   _actionMap[506][GROUP] = ActionEntry(REDUCE, 273);
   _actionMap[506][WHERE] = ActionEntry(REDUCE, 273);
   _actionMap[506][FROM] = ActionEntry(REDUCE, 273);
   _actionMap[506][AS] = ActionEntry(REDUCE, 273);
   _actionMap[506][END_TOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[506][BEGIN] = ActionEntry(REDUCE, 273);
   _actionMap[506][THEN] = ActionEntry(REDUCE, 273);
}
void Cego::loadParser91()
{
   _actionMap[506][OR] = ActionEntry(REDUCE, 273);
   _actionMap[506][AND] = ActionEntry(REDUCE, 273);
   _actionMap[506][INTOK] = ActionEntry(REDUCE, 273);
   _actionMap[506][NOT] = ActionEntry(REDUCE, 273);
   _actionMap[506][BETWEEN] = ActionEntry(REDUCE, 273);
   _actionMap[506][IS] = ActionEntry(REDUCE, 273);
   _actionMap[506][LIKE] = ActionEntry(REDUCE, 273);
   _actionMap[506][MT] = ActionEntry(REDUCE, 273);
   _actionMap[506][LT] = ActionEntry(REDUCE, 273);
   _actionMap[506][NEGATION] = ActionEntry(REDUCE, 273);
   _actionMap[506][EQU] = ActionEntry(REDUCE, 273);
   _actionMap[506][RB] = ActionEntry(REDUCE, 273);
   _actionMap[506][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[506][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[506][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[506][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[506][ASC] = ActionEntry(REDUCE, 273);
   _actionMap[506][DESC] = ActionEntry(REDUCE, 273);
   _actionMap[506][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[506][PLUS] = ActionEntry(REDUCE, 273);
   _actionMap[506][MINUS] = ActionEntry(REDUCE, 273);
   _actionMap[506][DIVISION] = ActionEntry(REDUCE, 273);
   _actionMap[506][STAR] = ActionEntry(REDUCE, 273);
   _actionMap[506][CONCAT] = ActionEntry(REDUCE, 273);
   _actionMap[507][WHEN] = ActionEntry(REDUCE, 266);
   _actionMap[507][ELSE] = ActionEntry(REDUCE, 266);
   _actionMap[507][LEFT] = ActionEntry(REDUCE, 266);
   _actionMap[507][RIGHT] = ActionEntry(REDUCE, 266);
   _actionMap[507][INNER] = ActionEntry(REDUCE, 266);
   _actionMap[507][JOIN] = ActionEntry(REDUCE, 266);
   _actionMap[507][RETURNTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[507][ORDER] = ActionEntry(REDUCE, 266);
   _actionMap[507][GROUP] = ActionEntry(REDUCE, 266);
   _actionMap[507][WHERE] = ActionEntry(REDUCE, 266);
   _actionMap[507][FROM] = ActionEntry(REDUCE, 266);
   _actionMap[507][AS] = ActionEntry(REDUCE, 266);
   _actionMap[507][END_TOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[507][BEGIN] = ActionEntry(REDUCE, 266);
   _actionMap[507][THEN] = ActionEntry(REDUCE, 266);
   _actionMap[507][OR] = ActionEntry(REDUCE, 266);
   _actionMap[507][AND] = ActionEntry(REDUCE, 266);
   _actionMap[507][INTOK] = ActionEntry(REDUCE, 266);
   _actionMap[507][NOT] = ActionEntry(REDUCE, 266);
   _actionMap[507][BETWEEN] = ActionEntry(REDUCE, 266);
   _actionMap[507][IS] = ActionEntry(REDUCE, 266);
   _actionMap[507][LIKE] = ActionEntry(REDUCE, 266);
   _actionMap[507][MT] = ActionEntry(REDUCE, 266);
   _actionMap[507][LT] = ActionEntry(REDUCE, 266);
   _actionMap[507][NEGATION] = ActionEntry(REDUCE, 266);
   _actionMap[507][EQU] = ActionEntry(REDUCE, 266);
}
void Cego::loadParser92()
{
   _actionMap[507][RB] = ActionEntry(REDUCE, 266);
   _actionMap[507][ENDTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[507][UNION] = ActionEntry(REDUCE, 266);
   _actionMap[507][ROWLIMIT] = ActionEntry(REDUCE, 266);
   _actionMap[507][KSEP] = ActionEntry(REDUCE, 266);
   _actionMap[507][ASC] = ActionEntry(REDUCE, 266);
   _actionMap[507][DESC] = ActionEntry(REDUCE, 266);
   _actionMap[507][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[507][PLUS] = ActionEntry(REDUCE, 266);
   _actionMap[507][MINUS] = ActionEntry(REDUCE, 266);
   _actionMap[507][DIVISION] = ActionEntry(REDUCE, 266);
   _actionMap[507][STAR] = ActionEntry(REDUCE, 266);
   _actionMap[507][CONCAT] = ActionEntry(REDUCE, 266);
   _actionMap[508][WHEN] = ActionEntry(REDUCE, 261);
   _actionMap[508][ELSE] = ActionEntry(REDUCE, 261);
   _actionMap[508][LEFT] = ActionEntry(REDUCE, 261);
   _actionMap[508][RIGHT] = ActionEntry(REDUCE, 261);
   _actionMap[508][INNER] = ActionEntry(REDUCE, 261);
   _actionMap[508][JOIN] = ActionEntry(REDUCE, 261);
   _actionMap[508][RETURNTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[508][ORDER] = ActionEntry(REDUCE, 261);
   _actionMap[508][GROUP] = ActionEntry(REDUCE, 261);
   _actionMap[508][WHERE] = ActionEntry(REDUCE, 261);
   _actionMap[508][FROM] = ActionEntry(REDUCE, 261);
   _actionMap[508][AS] = ActionEntry(REDUCE, 261);
   _actionMap[508][END_TOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[508][BEGIN] = ActionEntry(REDUCE, 261);
   _actionMap[508][THEN] = ActionEntry(REDUCE, 261);
   _actionMap[508][OR] = ActionEntry(REDUCE, 261);
   _actionMap[508][AND] = ActionEntry(REDUCE, 261);
   _actionMap[508][INTOK] = ActionEntry(REDUCE, 261);
   _actionMap[508][NOT] = ActionEntry(REDUCE, 261);
   _actionMap[508][BETWEEN] = ActionEntry(REDUCE, 261);
   _actionMap[508][IS] = ActionEntry(REDUCE, 261);
   _actionMap[508][LIKE] = ActionEntry(REDUCE, 261);
   _actionMap[508][MT] = ActionEntry(REDUCE, 261);
   _actionMap[508][LT] = ActionEntry(REDUCE, 261);
   _actionMap[508][NEGATION] = ActionEntry(REDUCE, 261);
   _actionMap[508][EQU] = ActionEntry(REDUCE, 261);
   _actionMap[508][RB] = ActionEntry(REDUCE, 261);
   _actionMap[508][ENDTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[508][UNION] = ActionEntry(REDUCE, 261);
   _actionMap[508][ROWLIMIT] = ActionEntry(REDUCE, 261);
   _actionMap[508][KSEP] = ActionEntry(REDUCE, 261);
   _actionMap[508][ASC] = ActionEntry(REDUCE, 261);
   _actionMap[508][DESC] = ActionEntry(REDUCE, 261);
   _actionMap[508][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[508][PLUS] = ActionEntry(REDUCE, 261);
   _actionMap[508][MINUS] = ActionEntry(REDUCE, 261);
   _actionMap[508][DIVISION] = ActionEntry(REDUCE, 261);
}
void Cego::loadParser93()
{
   _actionMap[508][STAR] = ActionEntry(REDUCE, 261);
   _actionMap[508][CONCAT] = ActionEntry(REDUCE, 261);
   _actionMap[509][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[509][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[509][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[509][RIGHT] = ActionEntry(REDUCE, 154);
   _actionMap[509][INNER] = ActionEntry(REDUCE, 154);
   _actionMap[509][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[509][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[509][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[509][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[509][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[509][AS] = ActionEntry(REDUCE, 154);
   _actionMap[509][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[509][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[509][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[509][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[509][OR] = ActionEntry(REDUCE, 154);
   _actionMap[509][AND] = ActionEntry(REDUCE, 154);
   _actionMap[509][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[509][IS] = ActionEntry(REDUCE, 154);
   _actionMap[509][BETWEEN] = ActionEntry(REDUCE, 154);
   _actionMap[509][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[509][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[509][EQU] = ActionEntry(REDUCE, 154);
   _actionMap[509][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[509][LT] = ActionEntry(REDUCE, 154);
   _actionMap[509][MT] = ActionEntry(REDUCE, 154);
   _actionMap[509][DESC] = ActionEntry(REDUCE, 154);
   _actionMap[509][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[509][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[509][ROWLIMIT] = ActionEntry(REDUCE, 154);
   _actionMap[509][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[509][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[509][RB] = ActionEntry(REDUCE, 154);
   _actionMap[509][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[509][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[509][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[509][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[509][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[509][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[510][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[510][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[510][LEFT] = ActionEntry(REDUCE, 155);
   _actionMap[510][RIGHT] = ActionEntry(REDUCE, 155);
   _actionMap[510][INNER] = ActionEntry(REDUCE, 155);
   _actionMap[510][JOIN] = ActionEntry(REDUCE, 155);
   _actionMap[510][RETURNTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[510][ORDER] = ActionEntry(REDUCE, 155);
   _actionMap[510][GROUP] = ActionEntry(REDUCE, 155);
}
void Cego::loadParser94()
{
   _actionMap[510][WHERE] = ActionEntry(REDUCE, 155);
   _actionMap[510][AS] = ActionEntry(REDUCE, 155);
   _actionMap[510][FROM] = ActionEntry(REDUCE, 155);
   _actionMap[510][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[510][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[510][THEN] = ActionEntry(REDUCE, 155);
   _actionMap[510][OR] = ActionEntry(REDUCE, 155);
   _actionMap[510][AND] = ActionEntry(REDUCE, 155);
   _actionMap[510][LIKE] = ActionEntry(REDUCE, 155);
   _actionMap[510][IS] = ActionEntry(REDUCE, 155);
   _actionMap[510][BETWEEN] = ActionEntry(REDUCE, 155);
   _actionMap[510][NOT] = ActionEntry(REDUCE, 155);
   _actionMap[510][INTOK] = ActionEntry(REDUCE, 155);
   _actionMap[510][EQU] = ActionEntry(REDUCE, 155);
   _actionMap[510][NEGATION] = ActionEntry(REDUCE, 155);
   _actionMap[510][LT] = ActionEntry(REDUCE, 155);
   _actionMap[510][MT] = ActionEntry(REDUCE, 155);
   _actionMap[510][DESC] = ActionEntry(REDUCE, 155);
   _actionMap[510][ASC] = ActionEntry(REDUCE, 155);
   _actionMap[510][KSEP] = ActionEntry(REDUCE, 155);
   _actionMap[510][ROWLIMIT] = ActionEntry(REDUCE, 155);
   _actionMap[510][UNION] = ActionEntry(REDUCE, 155);
   _actionMap[510][ENDTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[510][RB] = ActionEntry(REDUCE, 155);
   _actionMap[510][SEMICOLON] = ActionEntry(REDUCE, 155);
   _actionMap[510][CONCAT] = ActionEntry(REDUCE, 155);
   _actionMap[510][STAR] = ActionEntry(REDUCE, 155);
   _actionMap[510][DIVISION] = ActionEntry(REDUCE, 155);
   _actionMap[510][MINUS] = ActionEntry(REDUCE, 155);
   _actionMap[510][PLUS] = ActionEntry(REDUCE, 155);
   _actionMap[511][WHEN] = ActionEntry(REDUCE, 279);
   _actionMap[511][ELSE] = ActionEntry(REDUCE, 279);
   _actionMap[511][LEFT] = ActionEntry(REDUCE, 279);
   _actionMap[511][RIGHT] = ActionEntry(REDUCE, 279);
   _actionMap[511][INNER] = ActionEntry(REDUCE, 279);
   _actionMap[511][JOIN] = ActionEntry(REDUCE, 279);
   _actionMap[511][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[511][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[511][GROUP] = ActionEntry(REDUCE, 279);
   _actionMap[511][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[511][FROM] = ActionEntry(REDUCE, 279);
   _actionMap[511][AS] = ActionEntry(REDUCE, 279);
   _actionMap[511][END_TOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[511][BEGIN] = ActionEntry(REDUCE, 279);
   _actionMap[511][THEN] = ActionEntry(REDUCE, 279);
   _actionMap[511][OR] = ActionEntry(REDUCE, 279);
   _actionMap[511][AND] = ActionEntry(REDUCE, 279);
   _actionMap[511][INTOK] = ActionEntry(REDUCE, 279);
   _actionMap[511][NOT] = ActionEntry(REDUCE, 279);
   _actionMap[511][BETWEEN] = ActionEntry(REDUCE, 279);
}
void Cego::loadParser95()
{
   _actionMap[511][IS] = ActionEntry(REDUCE, 279);
   _actionMap[511][LIKE] = ActionEntry(REDUCE, 279);
   _actionMap[511][MT] = ActionEntry(REDUCE, 279);
   _actionMap[511][LT] = ActionEntry(REDUCE, 279);
   _actionMap[511][NEGATION] = ActionEntry(REDUCE, 279);
   _actionMap[511][EQU] = ActionEntry(REDUCE, 279);
   _actionMap[511][RB] = ActionEntry(REDUCE, 279);
   _actionMap[511][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[511][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[511][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[511][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[511][ASC] = ActionEntry(REDUCE, 279);
   _actionMap[511][DESC] = ActionEntry(REDUCE, 279);
   _actionMap[511][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[511][PLUS] = ActionEntry(REDUCE, 279);
   _actionMap[511][MINUS] = ActionEntry(REDUCE, 279);
   _actionMap[511][DIVISION] = ActionEntry(REDUCE, 279);
   _actionMap[511][STAR] = ActionEntry(REDUCE, 279);
   _actionMap[511][CONCAT] = ActionEntry(REDUCE, 279);
   _actionMap[512][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[512][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[512][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[512][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[512][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[512][JOIN] = ActionEntry(REDUCE, 285);
   _actionMap[512][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[512][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[512][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[512][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[512][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[512][AS] = ActionEntry(REDUCE, 285);
   _actionMap[512][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[512][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[512][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[512][OR] = ActionEntry(REDUCE, 285);
   _actionMap[512][AND] = ActionEntry(REDUCE, 285);
   _actionMap[512][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[512][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[512][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[512][IS] = ActionEntry(REDUCE, 285);
   _actionMap[512][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[512][MT] = ActionEntry(REDUCE, 285);
   _actionMap[512][LT] = ActionEntry(REDUCE, 285);
   _actionMap[512][NEGATION] = ActionEntry(REDUCE, 285);
   _actionMap[512][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[512][RB] = ActionEntry(REDUCE, 285);
   _actionMap[512][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[512][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[512][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[512][KSEP] = ActionEntry(REDUCE, 285);
}
void Cego::loadParser96()
{
   _actionMap[512][ASC] = ActionEntry(REDUCE, 285);
   _actionMap[512][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[512][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[512][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[512][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[512][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[512][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[512][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[513][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[513][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[513][LEFT] = ActionEntry(REDUCE, 281);
   _actionMap[513][RIGHT] = ActionEntry(REDUCE, 281);
   _actionMap[513][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[513][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[513][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[513][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[513][GROUP] = ActionEntry(REDUCE, 281);
   _actionMap[513][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[513][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[513][AS] = ActionEntry(REDUCE, 281);
   _actionMap[513][END_TOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[513][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[513][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[513][OR] = ActionEntry(REDUCE, 281);
   _actionMap[513][AND] = ActionEntry(REDUCE, 281);
   _actionMap[513][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[513][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[513][BETWEEN] = ActionEntry(REDUCE, 281);
   _actionMap[513][IS] = ActionEntry(REDUCE, 281);
   _actionMap[513][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[513][MT] = ActionEntry(REDUCE, 281);
   _actionMap[513][LT] = ActionEntry(REDUCE, 281);
   _actionMap[513][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[513][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[513][RB] = ActionEntry(REDUCE, 281);
   _actionMap[513][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[513][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[513][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[513][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[513][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[513][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[513][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[513][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[513][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[513][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[513][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[513][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[514][WHEN] = ActionEntry(REDUCE, 277);
   _actionMap[514][ELSE] = ActionEntry(REDUCE, 277);
   _actionMap[514][LEFT] = ActionEntry(REDUCE, 277);
}
void Cego::loadParser97()
{
   _actionMap[514][RIGHT] = ActionEntry(REDUCE, 277);
   _actionMap[514][INNER] = ActionEntry(REDUCE, 277);
   _actionMap[514][JOIN] = ActionEntry(REDUCE, 277);
   _actionMap[514][RETURNTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[514][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[514][GROUP] = ActionEntry(REDUCE, 277);
   _actionMap[514][WHERE] = ActionEntry(REDUCE, 277);
   _actionMap[514][FROM] = ActionEntry(REDUCE, 277);
   _actionMap[514][AS] = ActionEntry(REDUCE, 277);
   _actionMap[514][END_TOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[514][BEGIN] = ActionEntry(REDUCE, 277);
   _actionMap[514][THEN] = ActionEntry(REDUCE, 277);
   _actionMap[514][OR] = ActionEntry(REDUCE, 277);
   _actionMap[514][AND] = ActionEntry(REDUCE, 277);
   _actionMap[514][INTOK] = ActionEntry(REDUCE, 277);
   _actionMap[514][NOT] = ActionEntry(REDUCE, 277);
   _actionMap[514][BETWEEN] = ActionEntry(REDUCE, 277);
   _actionMap[514][IS] = ActionEntry(REDUCE, 277);
   _actionMap[514][LIKE] = ActionEntry(REDUCE, 277);
   _actionMap[514][MT] = ActionEntry(REDUCE, 277);
   _actionMap[514][LT] = ActionEntry(REDUCE, 277);
   _actionMap[514][NEGATION] = ActionEntry(REDUCE, 277);
   _actionMap[514][EQU] = ActionEntry(REDUCE, 277);
   _actionMap[514][RB] = ActionEntry(REDUCE, 277);
   _actionMap[514][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[514][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[514][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[514][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[514][ASC] = ActionEntry(REDUCE, 277);
   _actionMap[514][DESC] = ActionEntry(REDUCE, 277);
   _actionMap[514][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[514][PLUS] = ActionEntry(REDUCE, 277);
   _actionMap[514][MINUS] = ActionEntry(REDUCE, 277);
   _actionMap[514][DIVISION] = ActionEntry(REDUCE, 277);
   _actionMap[514][STAR] = ActionEntry(REDUCE, 277);
   _actionMap[514][CONCAT] = ActionEntry(REDUCE, 277);
   _actionMap[515][WHEN] = ActionEntry(REDUCE, 278);
   _actionMap[515][ELSE] = ActionEntry(REDUCE, 278);
   _actionMap[515][LEFT] = ActionEntry(REDUCE, 278);
   _actionMap[515][RIGHT] = ActionEntry(REDUCE, 278);
   _actionMap[515][INNER] = ActionEntry(REDUCE, 278);
   _actionMap[515][JOIN] = ActionEntry(REDUCE, 278);
   _actionMap[515][RETURNTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[515][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[515][GROUP] = ActionEntry(REDUCE, 278);
   _actionMap[515][WHERE] = ActionEntry(REDUCE, 278);
   _actionMap[515][FROM] = ActionEntry(REDUCE, 278);
   _actionMap[515][AS] = ActionEntry(REDUCE, 278);
   _actionMap[515][END_TOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[515][BEGIN] = ActionEntry(REDUCE, 278);
}
void Cego::loadParser98()
{
   _actionMap[515][THEN] = ActionEntry(REDUCE, 278);
   _actionMap[515][OR] = ActionEntry(REDUCE, 278);
   _actionMap[515][AND] = ActionEntry(REDUCE, 278);
   _actionMap[515][INTOK] = ActionEntry(REDUCE, 278);
   _actionMap[515][NOT] = ActionEntry(REDUCE, 278);
   _actionMap[515][BETWEEN] = ActionEntry(REDUCE, 278);
   _actionMap[515][IS] = ActionEntry(REDUCE, 278);
   _actionMap[515][LIKE] = ActionEntry(REDUCE, 278);
   _actionMap[515][MT] = ActionEntry(REDUCE, 278);
   _actionMap[515][LT] = ActionEntry(REDUCE, 278);
   _actionMap[515][NEGATION] = ActionEntry(REDUCE, 278);
   _actionMap[515][EQU] = ActionEntry(REDUCE, 278);
   _actionMap[515][RB] = ActionEntry(REDUCE, 278);
   _actionMap[515][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[515][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[515][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[515][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[515][ASC] = ActionEntry(REDUCE, 278);
   _actionMap[515][DESC] = ActionEntry(REDUCE, 278);
   _actionMap[515][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[515][PLUS] = ActionEntry(REDUCE, 278);
   _actionMap[515][MINUS] = ActionEntry(REDUCE, 278);
   _actionMap[515][DIVISION] = ActionEntry(REDUCE, 278);
   _actionMap[515][STAR] = ActionEntry(REDUCE, 278);
   _actionMap[515][CONCAT] = ActionEntry(REDUCE, 278);
   _actionMap[516][WHEN] = ActionEntry(REDUCE, 272);
   _actionMap[516][ELSE] = ActionEntry(REDUCE, 272);
   _actionMap[516][LEFT] = ActionEntry(REDUCE, 272);
   _actionMap[516][RIGHT] = ActionEntry(REDUCE, 272);
   _actionMap[516][INNER] = ActionEntry(REDUCE, 272);
   _actionMap[516][JOIN] = ActionEntry(REDUCE, 272);
   _actionMap[516][RETURNTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[516][ORDER] = ActionEntry(REDUCE, 272);
   _actionMap[516][GROUP] = ActionEntry(REDUCE, 272);
   _actionMap[516][WHERE] = ActionEntry(REDUCE, 272);
   _actionMap[516][FROM] = ActionEntry(REDUCE, 272);
   _actionMap[516][AS] = ActionEntry(REDUCE, 272);
   _actionMap[516][END_TOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[516][BEGIN] = ActionEntry(REDUCE, 272);
   _actionMap[516][THEN] = ActionEntry(REDUCE, 272);
   _actionMap[516][OR] = ActionEntry(REDUCE, 272);
   _actionMap[516][AND] = ActionEntry(REDUCE, 272);
   _actionMap[516][INTOK] = ActionEntry(REDUCE, 272);
   _actionMap[516][NOT] = ActionEntry(REDUCE, 272);
   _actionMap[516][BETWEEN] = ActionEntry(REDUCE, 272);
   _actionMap[516][IS] = ActionEntry(REDUCE, 272);
   _actionMap[516][LIKE] = ActionEntry(REDUCE, 272);
   _actionMap[516][MT] = ActionEntry(REDUCE, 272);
   _actionMap[516][LT] = ActionEntry(REDUCE, 272);
   _actionMap[516][NEGATION] = ActionEntry(REDUCE, 272);
}
void Cego::loadParser99()
{
   _actionMap[516][EQU] = ActionEntry(REDUCE, 272);
   _actionMap[516][RB] = ActionEntry(REDUCE, 272);
   _actionMap[516][ENDTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[516][UNION] = ActionEntry(REDUCE, 272);
   _actionMap[516][ROWLIMIT] = ActionEntry(REDUCE, 272);
   _actionMap[516][KSEP] = ActionEntry(REDUCE, 272);
   _actionMap[516][ASC] = ActionEntry(REDUCE, 272);
   _actionMap[516][DESC] = ActionEntry(REDUCE, 272);
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[516][PLUS] = ActionEntry(REDUCE, 272);
   _actionMap[516][MINUS] = ActionEntry(REDUCE, 272);
   _actionMap[516][DIVISION] = ActionEntry(REDUCE, 272);
   _actionMap[516][STAR] = ActionEntry(REDUCE, 272);
   _actionMap[516][CONCAT] = ActionEntry(REDUCE, 272);
   _actionMap[517][WHEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][ELSE] = ActionEntry(REDUCE, 269);
   _actionMap[517][LEFT] = ActionEntry(REDUCE, 269);
   _actionMap[517][RIGHT] = ActionEntry(REDUCE, 269);
   _actionMap[517][INNER] = ActionEntry(REDUCE, 269);
   _actionMap[517][JOIN] = ActionEntry(REDUCE, 269);
   _actionMap[517][RETURNTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][ORDER] = ActionEntry(REDUCE, 269);
   _actionMap[517][GROUP] = ActionEntry(REDUCE, 269);
   _actionMap[517][WHERE] = ActionEntry(REDUCE, 269);
   _actionMap[517][FROM] = ActionEntry(REDUCE, 269);
   _actionMap[517][AS] = ActionEntry(REDUCE, 269);
   _actionMap[517][END_TOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][BEGIN] = ActionEntry(REDUCE, 269);
   _actionMap[517][THEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][OR] = ActionEntry(REDUCE, 269);
   _actionMap[517][AND] = ActionEntry(REDUCE, 269);
   _actionMap[517][INTOK] = ActionEntry(REDUCE, 269);
   _actionMap[517][NOT] = ActionEntry(REDUCE, 269);
   _actionMap[517][BETWEEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][IS] = ActionEntry(REDUCE, 269);
   _actionMap[517][LIKE] = ActionEntry(REDUCE, 269);
   _actionMap[517][MT] = ActionEntry(REDUCE, 269);
   _actionMap[517][LT] = ActionEntry(REDUCE, 269);
   _actionMap[517][NEGATION] = ActionEntry(REDUCE, 269);
   _actionMap[517][EQU] = ActionEntry(REDUCE, 269);
   _actionMap[517][RB] = ActionEntry(REDUCE, 269);
   _actionMap[517][ENDTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][UNION] = ActionEntry(REDUCE, 269);
   _actionMap[517][ROWLIMIT] = ActionEntry(REDUCE, 269);
   _actionMap[517][KSEP] = ActionEntry(REDUCE, 269);
   _actionMap[517][ASC] = ActionEntry(REDUCE, 269);
   _actionMap[517][DESC] = ActionEntry(REDUCE, 269);
   _actionMap[517][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[517][PLUS] = ActionEntry(REDUCE, 269);
   _actionMap[517][MINUS] = ActionEntry(REDUCE, 269);
}
void Cego::loadParser100()
{
   _actionMap[517][DIVISION] = ActionEntry(REDUCE, 269);
   _actionMap[517][STAR] = ActionEntry(REDUCE, 269);
   _actionMap[517][CONCAT] = ActionEntry(REDUCE, 269);
   _actionMap[518][WHEN] = ActionEntry(REDUCE, 262);
   _actionMap[518][ELSE] = ActionEntry(REDUCE, 262);
   _actionMap[518][LEFT] = ActionEntry(REDUCE, 262);
   _actionMap[518][RIGHT] = ActionEntry(REDUCE, 262);
   _actionMap[518][INNER] = ActionEntry(REDUCE, 262);
   _actionMap[518][JOIN] = ActionEntry(REDUCE, 262);
   _actionMap[518][RETURNTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[518][ORDER] = ActionEntry(REDUCE, 262);
   _actionMap[518][GROUP] = ActionEntry(REDUCE, 262);
   _actionMap[518][WHERE] = ActionEntry(REDUCE, 262);
   _actionMap[518][FROM] = ActionEntry(REDUCE, 262);
   _actionMap[518][AS] = ActionEntry(REDUCE, 262);
   _actionMap[518][END_TOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[518][BEGIN] = ActionEntry(REDUCE, 262);
   _actionMap[518][THEN] = ActionEntry(REDUCE, 262);
   _actionMap[518][OR] = ActionEntry(REDUCE, 262);
   _actionMap[518][AND] = ActionEntry(REDUCE, 262);
   _actionMap[518][INTOK] = ActionEntry(REDUCE, 262);
   _actionMap[518][NOT] = ActionEntry(REDUCE, 262);
   _actionMap[518][BETWEEN] = ActionEntry(REDUCE, 262);
   _actionMap[518][IS] = ActionEntry(REDUCE, 262);
   _actionMap[518][LIKE] = ActionEntry(REDUCE, 262);
   _actionMap[518][MT] = ActionEntry(REDUCE, 262);
   _actionMap[518][LT] = ActionEntry(REDUCE, 262);
   _actionMap[518][NEGATION] = ActionEntry(REDUCE, 262);
   _actionMap[518][EQU] = ActionEntry(REDUCE, 262);
   _actionMap[518][RB] = ActionEntry(REDUCE, 262);
   _actionMap[518][ENDTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[518][UNION] = ActionEntry(REDUCE, 262);
   _actionMap[518][ROWLIMIT] = ActionEntry(REDUCE, 262);
   _actionMap[518][KSEP] = ActionEntry(REDUCE, 262);
   _actionMap[518][ASC] = ActionEntry(REDUCE, 262);
   _actionMap[518][DESC] = ActionEntry(REDUCE, 262);
   _actionMap[518][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[518][PLUS] = ActionEntry(REDUCE, 262);
   _actionMap[518][MINUS] = ActionEntry(REDUCE, 262);
   _actionMap[518][DIVISION] = ActionEntry(REDUCE, 262);
   _actionMap[518][STAR] = ActionEntry(REDUCE, 262);
   _actionMap[518][CONCAT] = ActionEntry(REDUCE, 262);
   _actionMap[519][WHEN] = ActionEntry(REDUCE, 260);
   _actionMap[519][ELSE] = ActionEntry(REDUCE, 260);
   _actionMap[519][LEFT] = ActionEntry(REDUCE, 260);
   _actionMap[519][RIGHT] = ActionEntry(REDUCE, 260);
   _actionMap[519][INNER] = ActionEntry(REDUCE, 260);
   _actionMap[519][JOIN] = ActionEntry(REDUCE, 260);
   _actionMap[519][RETURNTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[519][ORDER] = ActionEntry(REDUCE, 260);
}
void Cego::loadParser101()
{
   _actionMap[519][GROUP] = ActionEntry(REDUCE, 260);
   _actionMap[519][WHERE] = ActionEntry(REDUCE, 260);
   _actionMap[519][FROM] = ActionEntry(REDUCE, 260);
   _actionMap[519][AS] = ActionEntry(REDUCE, 260);
   _actionMap[519][END_TOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[519][BEGIN] = ActionEntry(REDUCE, 260);
   _actionMap[519][THEN] = ActionEntry(REDUCE, 260);
   _actionMap[519][OR] = ActionEntry(REDUCE, 260);
   _actionMap[519][AND] = ActionEntry(REDUCE, 260);
   _actionMap[519][INTOK] = ActionEntry(REDUCE, 260);
   _actionMap[519][NOT] = ActionEntry(REDUCE, 260);
   _actionMap[519][BETWEEN] = ActionEntry(REDUCE, 260);
   _actionMap[519][IS] = ActionEntry(REDUCE, 260);
   _actionMap[519][LIKE] = ActionEntry(REDUCE, 260);
   _actionMap[519][MT] = ActionEntry(REDUCE, 260);
   _actionMap[519][LT] = ActionEntry(REDUCE, 260);
   _actionMap[519][NEGATION] = ActionEntry(REDUCE, 260);
   _actionMap[519][EQU] = ActionEntry(REDUCE, 260);
   _actionMap[519][RB] = ActionEntry(REDUCE, 260);
   _actionMap[519][ENDTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[519][UNION] = ActionEntry(REDUCE, 260);
   _actionMap[519][ROWLIMIT] = ActionEntry(REDUCE, 260);
   _actionMap[519][KSEP] = ActionEntry(REDUCE, 260);
   _actionMap[519][ASC] = ActionEntry(REDUCE, 260);
   _actionMap[519][DESC] = ActionEntry(REDUCE, 260);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[519][PLUS] = ActionEntry(REDUCE, 260);
   _actionMap[519][MINUS] = ActionEntry(REDUCE, 260);
   _actionMap[519][DIVISION] = ActionEntry(REDUCE, 260);
   _actionMap[519][STAR] = ActionEntry(REDUCE, 260);
   _actionMap[519][CONCAT] = ActionEntry(REDUCE, 260);
   _actionMap[520][WHEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][ELSE] = ActionEntry(REDUCE, 271);
   _actionMap[520][LEFT] = ActionEntry(REDUCE, 271);
   _actionMap[520][RIGHT] = ActionEntry(REDUCE, 271);
   _actionMap[520][INNER] = ActionEntry(REDUCE, 271);
   _actionMap[520][JOIN] = ActionEntry(REDUCE, 271);
   _actionMap[520][RETURNTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][ORDER] = ActionEntry(REDUCE, 271);
   _actionMap[520][GROUP] = ActionEntry(REDUCE, 271);
   _actionMap[520][WHERE] = ActionEntry(REDUCE, 271);
   _actionMap[520][FROM] = ActionEntry(REDUCE, 271);
   _actionMap[520][AS] = ActionEntry(REDUCE, 271);
   _actionMap[520][END_TOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][BEGIN] = ActionEntry(REDUCE, 271);
   _actionMap[520][THEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][OR] = ActionEntry(REDUCE, 271);
   _actionMap[520][AND] = ActionEntry(REDUCE, 271);
   _actionMap[520][INTOK] = ActionEntry(REDUCE, 271);
   _actionMap[520][NOT] = ActionEntry(REDUCE, 271);
}
void Cego::loadParser102()
{
   _actionMap[520][BETWEEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][IS] = ActionEntry(REDUCE, 271);
   _actionMap[520][LIKE] = ActionEntry(REDUCE, 271);
   _actionMap[520][MT] = ActionEntry(REDUCE, 271);
   _actionMap[520][LT] = ActionEntry(REDUCE, 271);
   _actionMap[520][NEGATION] = ActionEntry(REDUCE, 271);
   _actionMap[520][EQU] = ActionEntry(REDUCE, 271);
   _actionMap[520][RB] = ActionEntry(REDUCE, 271);
   _actionMap[520][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[520][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[520][KSEP] = ActionEntry(REDUCE, 271);
   _actionMap[520][ASC] = ActionEntry(REDUCE, 271);
   _actionMap[520][DESC] = ActionEntry(REDUCE, 271);
   _actionMap[520][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[520][PLUS] = ActionEntry(REDUCE, 271);
   _actionMap[520][MINUS] = ActionEntry(REDUCE, 271);
   _actionMap[520][DIVISION] = ActionEntry(REDUCE, 271);
   _actionMap[520][STAR] = ActionEntry(REDUCE, 271);
   _actionMap[520][CONCAT] = ActionEntry(REDUCE, 271);
   _actionMap[521][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[521][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[521][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[521][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[521][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[521][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[521][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[521][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[521][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[521][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[521][AS] = ActionEntry(REDUCE, 151);
   _actionMap[521][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[521][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[521][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[521][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[521][OR] = ActionEntry(REDUCE, 151);
   _actionMap[521][AND] = ActionEntry(REDUCE, 151);
   _actionMap[521][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[521][IS] = ActionEntry(REDUCE, 151);
   _actionMap[521][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[521][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[521][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[521][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[521][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[521][LT] = ActionEntry(REDUCE, 151);
   _actionMap[521][MT] = ActionEntry(REDUCE, 151);
   _actionMap[521][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[521][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[521][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[521][ROWLIMIT] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser103()
{
   _actionMap[521][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[521][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[521][RB] = ActionEntry(REDUCE, 151);
   _actionMap[521][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[521][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[521][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[521][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[521][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[521][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[522][WHEN] = ActionEntry(REDUCE, 275);
   _actionMap[522][ELSE] = ActionEntry(REDUCE, 275);
   _actionMap[522][LEFT] = ActionEntry(REDUCE, 275);
   _actionMap[522][RIGHT] = ActionEntry(REDUCE, 275);
   _actionMap[522][INNER] = ActionEntry(REDUCE, 275);
   _actionMap[522][JOIN] = ActionEntry(REDUCE, 275);
   _actionMap[522][RETURNTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[522][ORDER] = ActionEntry(REDUCE, 275);
   _actionMap[522][GROUP] = ActionEntry(REDUCE, 275);
   _actionMap[522][WHERE] = ActionEntry(REDUCE, 275);
   _actionMap[522][FROM] = ActionEntry(REDUCE, 275);
   _actionMap[522][AS] = ActionEntry(REDUCE, 275);
   _actionMap[522][END_TOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[522][BEGIN] = ActionEntry(REDUCE, 275);
   _actionMap[522][THEN] = ActionEntry(REDUCE, 275);
   _actionMap[522][OR] = ActionEntry(REDUCE, 275);
   _actionMap[522][AND] = ActionEntry(REDUCE, 275);
   _actionMap[522][INTOK] = ActionEntry(REDUCE, 275);
   _actionMap[522][NOT] = ActionEntry(REDUCE, 275);
   _actionMap[522][BETWEEN] = ActionEntry(REDUCE, 275);
   _actionMap[522][IS] = ActionEntry(REDUCE, 275);
   _actionMap[522][LIKE] = ActionEntry(REDUCE, 275);
   _actionMap[522][MT] = ActionEntry(REDUCE, 275);
   _actionMap[522][LT] = ActionEntry(REDUCE, 275);
   _actionMap[522][NEGATION] = ActionEntry(REDUCE, 275);
   _actionMap[522][EQU] = ActionEntry(REDUCE, 275);
   _actionMap[522][RB] = ActionEntry(REDUCE, 275);
   _actionMap[522][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[522][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[522][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[522][KSEP] = ActionEntry(REDUCE, 275);
   _actionMap[522][ASC] = ActionEntry(REDUCE, 275);
   _actionMap[522][DESC] = ActionEntry(REDUCE, 275);
   _actionMap[522][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[522][PLUS] = ActionEntry(REDUCE, 275);
   _actionMap[522][MINUS] = ActionEntry(REDUCE, 275);
   _actionMap[522][DIVISION] = ActionEntry(REDUCE, 275);
   _actionMap[522][STAR] = ActionEntry(REDUCE, 275);
   _actionMap[522][CONCAT] = ActionEntry(REDUCE, 275);
   _actionMap[523][WHEN] = ActionEntry(REDUCE, 276);
   _actionMap[523][ELSE] = ActionEntry(REDUCE, 276);
}
void Cego::loadParser104()
{
   _actionMap[523][LEFT] = ActionEntry(REDUCE, 276);
   _actionMap[523][RIGHT] = ActionEntry(REDUCE, 276);
   _actionMap[523][INNER] = ActionEntry(REDUCE, 276);
   _actionMap[523][JOIN] = ActionEntry(REDUCE, 276);
   _actionMap[523][RETURNTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[523][ORDER] = ActionEntry(REDUCE, 276);
   _actionMap[523][GROUP] = ActionEntry(REDUCE, 276);
   _actionMap[523][WHERE] = ActionEntry(REDUCE, 276);
   _actionMap[523][FROM] = ActionEntry(REDUCE, 276);
   _actionMap[523][AS] = ActionEntry(REDUCE, 276);
   _actionMap[523][END_TOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[523][BEGIN] = ActionEntry(REDUCE, 276);
   _actionMap[523][THEN] = ActionEntry(REDUCE, 276);
   _actionMap[523][OR] = ActionEntry(REDUCE, 276);
   _actionMap[523][AND] = ActionEntry(REDUCE, 276);
   _actionMap[523][INTOK] = ActionEntry(REDUCE, 276);
   _actionMap[523][NOT] = ActionEntry(REDUCE, 276);
   _actionMap[523][BETWEEN] = ActionEntry(REDUCE, 276);
   _actionMap[523][IS] = ActionEntry(REDUCE, 276);
   _actionMap[523][LIKE] = ActionEntry(REDUCE, 276);
   _actionMap[523][MT] = ActionEntry(REDUCE, 276);
   _actionMap[523][LT] = ActionEntry(REDUCE, 276);
   _actionMap[523][NEGATION] = ActionEntry(REDUCE, 276);
   _actionMap[523][EQU] = ActionEntry(REDUCE, 276);
   _actionMap[523][RB] = ActionEntry(REDUCE, 276);
   _actionMap[523][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[523][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[523][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[523][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[523][ASC] = ActionEntry(REDUCE, 276);
   _actionMap[523][DESC] = ActionEntry(REDUCE, 276);
   _actionMap[523][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[523][PLUS] = ActionEntry(REDUCE, 276);
   _actionMap[523][MINUS] = ActionEntry(REDUCE, 276);
   _actionMap[523][DIVISION] = ActionEntry(REDUCE, 276);
   _actionMap[523][STAR] = ActionEntry(REDUCE, 276);
   _actionMap[523][CONCAT] = ActionEntry(REDUCE, 276);
   _actionMap[524][WHEN] = ActionEntry(REDUCE, 259);
   _actionMap[524][ELSE] = ActionEntry(REDUCE, 259);
   _actionMap[524][LEFT] = ActionEntry(REDUCE, 259);
   _actionMap[524][RIGHT] = ActionEntry(REDUCE, 259);
   _actionMap[524][INNER] = ActionEntry(REDUCE, 259);
   _actionMap[524][JOIN] = ActionEntry(REDUCE, 259);
   _actionMap[524][RETURNTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[524][ORDER] = ActionEntry(REDUCE, 259);
   _actionMap[524][GROUP] = ActionEntry(REDUCE, 259);
   _actionMap[524][WHERE] = ActionEntry(REDUCE, 259);
   _actionMap[524][FROM] = ActionEntry(REDUCE, 259);
   _actionMap[524][AS] = ActionEntry(REDUCE, 259);
   _actionMap[524][END_TOKEN] = ActionEntry(REDUCE, 259);
}
void Cego::loadParser105()
{
   _actionMap[524][BEGIN] = ActionEntry(REDUCE, 259);
   _actionMap[524][THEN] = ActionEntry(REDUCE, 259);
   _actionMap[524][OR] = ActionEntry(REDUCE, 259);
   _actionMap[524][AND] = ActionEntry(REDUCE, 259);
   _actionMap[524][INTOK] = ActionEntry(REDUCE, 259);
   _actionMap[524][NOT] = ActionEntry(REDUCE, 259);
   _actionMap[524][BETWEEN] = ActionEntry(REDUCE, 259);
   _actionMap[524][IS] = ActionEntry(REDUCE, 259);
   _actionMap[524][LIKE] = ActionEntry(REDUCE, 259);
   _actionMap[524][MT] = ActionEntry(REDUCE, 259);
   _actionMap[524][LT] = ActionEntry(REDUCE, 259);
   _actionMap[524][NEGATION] = ActionEntry(REDUCE, 259);
   _actionMap[524][EQU] = ActionEntry(REDUCE, 259);
   _actionMap[524][RB] = ActionEntry(REDUCE, 259);
   _actionMap[524][ENDTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[524][UNION] = ActionEntry(REDUCE, 259);
   _actionMap[524][ROWLIMIT] = ActionEntry(REDUCE, 259);
   _actionMap[524][KSEP] = ActionEntry(REDUCE, 259);
   _actionMap[524][ASC] = ActionEntry(REDUCE, 259);
   _actionMap[524][DESC] = ActionEntry(REDUCE, 259);
   _actionMap[524][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[524][PLUS] = ActionEntry(REDUCE, 259);
   _actionMap[524][MINUS] = ActionEntry(REDUCE, 259);
   _actionMap[524][DIVISION] = ActionEntry(REDUCE, 259);
   _actionMap[524][STAR] = ActionEntry(REDUCE, 259);
   _actionMap[524][CONCAT] = ActionEntry(REDUCE, 259);
   _actionMap[525][WHEN] = ActionEntry(REDUCE, 274);
   _actionMap[525][ELSE] = ActionEntry(REDUCE, 274);
   _actionMap[525][LEFT] = ActionEntry(REDUCE, 274);
   _actionMap[525][RIGHT] = ActionEntry(REDUCE, 274);
   _actionMap[525][INNER] = ActionEntry(REDUCE, 274);
   _actionMap[525][JOIN] = ActionEntry(REDUCE, 274);
   _actionMap[525][RETURNTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[525][ORDER] = ActionEntry(REDUCE, 274);
   _actionMap[525][GROUP] = ActionEntry(REDUCE, 274);
   _actionMap[525][WHERE] = ActionEntry(REDUCE, 274);
   _actionMap[525][FROM] = ActionEntry(REDUCE, 274);
   _actionMap[525][AS] = ActionEntry(REDUCE, 274);
   _actionMap[525][END_TOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[525][BEGIN] = ActionEntry(REDUCE, 274);
   _actionMap[525][THEN] = ActionEntry(REDUCE, 274);
   _actionMap[525][OR] = ActionEntry(REDUCE, 274);
   _actionMap[525][AND] = ActionEntry(REDUCE, 274);
   _actionMap[525][INTOK] = ActionEntry(REDUCE, 274);
   _actionMap[525][NOT] = ActionEntry(REDUCE, 274);
   _actionMap[525][BETWEEN] = ActionEntry(REDUCE, 274);
   _actionMap[525][IS] = ActionEntry(REDUCE, 274);
   _actionMap[525][LIKE] = ActionEntry(REDUCE, 274);
   _actionMap[525][MT] = ActionEntry(REDUCE, 274);
   _actionMap[525][LT] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser106()
{
   _actionMap[525][NEGATION] = ActionEntry(REDUCE, 274);
   _actionMap[525][EQU] = ActionEntry(REDUCE, 274);
   _actionMap[525][RB] = ActionEntry(REDUCE, 274);
   _actionMap[525][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[525][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[525][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[525][KSEP] = ActionEntry(REDUCE, 274);
   _actionMap[525][ASC] = ActionEntry(REDUCE, 274);
   _actionMap[525][DESC] = ActionEntry(REDUCE, 274);
   _actionMap[525][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[525][PLUS] = ActionEntry(REDUCE, 274);
   _actionMap[525][MINUS] = ActionEntry(REDUCE, 274);
   _actionMap[525][DIVISION] = ActionEntry(REDUCE, 274);
   _actionMap[525][STAR] = ActionEntry(REDUCE, 274);
   _actionMap[525][CONCAT] = ActionEntry(REDUCE, 274);
   _actionMap[526][WHEN] = ActionEntry(REDUCE, 267);
   _actionMap[526][ELSE] = ActionEntry(REDUCE, 267);
   _actionMap[526][LEFT] = ActionEntry(REDUCE, 267);
   _actionMap[526][RIGHT] = ActionEntry(REDUCE, 267);
   _actionMap[526][INNER] = ActionEntry(REDUCE, 267);
   _actionMap[526][JOIN] = ActionEntry(REDUCE, 267);
   _actionMap[526][RETURNTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[526][ORDER] = ActionEntry(REDUCE, 267);
   _actionMap[526][GROUP] = ActionEntry(REDUCE, 267);
   _actionMap[526][WHERE] = ActionEntry(REDUCE, 267);
   _actionMap[526][FROM] = ActionEntry(REDUCE, 267);
   _actionMap[526][AS] = ActionEntry(REDUCE, 267);
   _actionMap[526][END_TOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[526][BEGIN] = ActionEntry(REDUCE, 267);
   _actionMap[526][THEN] = ActionEntry(REDUCE, 267);
   _actionMap[526][OR] = ActionEntry(REDUCE, 267);
   _actionMap[526][AND] = ActionEntry(REDUCE, 267);
   _actionMap[526][INTOK] = ActionEntry(REDUCE, 267);
   _actionMap[526][NOT] = ActionEntry(REDUCE, 267);
   _actionMap[526][BETWEEN] = ActionEntry(REDUCE, 267);
   _actionMap[526][IS] = ActionEntry(REDUCE, 267);
   _actionMap[526][LIKE] = ActionEntry(REDUCE, 267);
   _actionMap[526][MT] = ActionEntry(REDUCE, 267);
   _actionMap[526][LT] = ActionEntry(REDUCE, 267);
   _actionMap[526][NEGATION] = ActionEntry(REDUCE, 267);
   _actionMap[526][EQU] = ActionEntry(REDUCE, 267);
   _actionMap[526][RB] = ActionEntry(REDUCE, 267);
   _actionMap[526][ENDTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[526][UNION] = ActionEntry(REDUCE, 267);
   _actionMap[526][ROWLIMIT] = ActionEntry(REDUCE, 267);
   _actionMap[526][KSEP] = ActionEntry(REDUCE, 267);
   _actionMap[526][ASC] = ActionEntry(REDUCE, 267);
   _actionMap[526][DESC] = ActionEntry(REDUCE, 267);
   _actionMap[526][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[526][PLUS] = ActionEntry(REDUCE, 267);
}
void Cego::loadParser107()
{
   _actionMap[526][MINUS] = ActionEntry(REDUCE, 267);
   _actionMap[526][DIVISION] = ActionEntry(REDUCE, 267);
   _actionMap[526][STAR] = ActionEntry(REDUCE, 267);
   _actionMap[526][CONCAT] = ActionEntry(REDUCE, 267);
   _actionMap[527][WHEN] = ActionEntry(REDUCE, 335);
   _actionMap[527][ELSE] = ActionEntry(REDUCE, 335);
   _actionMap[527][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[527][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[527][INNER] = ActionEntry(REDUCE, 335);
   _actionMap[527][JOIN] = ActionEntry(REDUCE, 335);
   _actionMap[527][RETURNTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[527][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[527][GROUP] = ActionEntry(REDUCE, 335);
   _actionMap[527][WHERE] = ActionEntry(REDUCE, 335);
   _actionMap[527][FROM] = ActionEntry(REDUCE, 335);
   _actionMap[527][AS] = ActionEntry(REDUCE, 335);
   _actionMap[527][END_TOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[527][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[527][THEN] = ActionEntry(REDUCE, 335);
   _actionMap[527][OR] = ActionEntry(REDUCE, 335);
   _actionMap[527][AND] = ActionEntry(REDUCE, 335);
   _actionMap[527][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[527][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[527][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[527][ASC] = ActionEntry(REDUCE, 335);
   _actionMap[527][DESC] = ActionEntry(REDUCE, 335);
   _actionMap[527][INTOK] = ActionEntry(REDUCE, 335);
   _actionMap[527][BETWEEN] = ActionEntry(REDUCE, 335);
   _actionMap[527][LIKE] = ActionEntry(REDUCE, 335);
   _actionMap[527][PLUS] = ActionEntry(REDUCE, 335);
   _actionMap[527][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[527][CONCAT] = ActionEntry(REDUCE, 335);
   _actionMap[527][DIVISION] = ActionEntry(REDUCE, 335);
   _actionMap[527][STAR] = ActionEntry(REDUCE, 335);
   _actionMap[527][MT] = ActionEntry(REDUCE, 335);
   _actionMap[527][LT] = ActionEntry(REDUCE, 335);
   _actionMap[527][NEGATION] = ActionEntry(REDUCE, 335);
   _actionMap[527][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[527][IS] = ActionEntry(REDUCE, 335);
   _actionMap[527][NULLTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[527][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[527][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[527][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[527][RB] = ActionEntry(REDUCE, 335);
   _actionMap[528][INTVAL] = ActionEntry(SHIFT, 265);
   _actionMap[529][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[529][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[529][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[529][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[529][INNER] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser108()
{
   _actionMap[529][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[529][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[529][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[529][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[529][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[529][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[529][AS] = ActionEntry(REDUCE, 341);
   _actionMap[529][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[529][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[529][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[529][OR] = ActionEntry(REDUCE, 341);
   _actionMap[529][AND] = ActionEntry(REDUCE, 341);
   _actionMap[529][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[529][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[529][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[529][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[529][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[529][INTOK] = ActionEntry(REDUCE, 341);
   _actionMap[529][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[529][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[529][PLUS] = ActionEntry(REDUCE, 341);
   _actionMap[529][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[529][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[529][DIVISION] = ActionEntry(REDUCE, 341);
   _actionMap[529][STAR] = ActionEntry(REDUCE, 341);
   _actionMap[529][MT] = ActionEntry(REDUCE, 341);
   _actionMap[529][LT] = ActionEntry(REDUCE, 341);
   _actionMap[529][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[529][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[529][IS] = ActionEntry(REDUCE, 341);
   _actionMap[529][NULLTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[529][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[529][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[529][RB] = ActionEntry(REDUCE, 341);
   _actionMap[530][FLOATVAL] = ActionEntry(SHIFT, 266);
   _actionMap[531][WHEN] = ActionEntry(REDUCE, 340);
   _actionMap[531][ELSE] = ActionEntry(REDUCE, 340);
   _actionMap[531][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[531][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[531][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[531][JOIN] = ActionEntry(REDUCE, 340);
   _actionMap[531][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[531][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[531][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[531][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[531][FROM] = ActionEntry(REDUCE, 340);
   _actionMap[531][AS] = ActionEntry(REDUCE, 340);
   _actionMap[531][END_TOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[531][BEGIN] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser109()
{
   _actionMap[531][THEN] = ActionEntry(REDUCE, 340);
   _actionMap[531][OR] = ActionEntry(REDUCE, 340);
   _actionMap[531][AND] = ActionEntry(REDUCE, 340);
   _actionMap[531][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[531][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[531][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[531][ASC] = ActionEntry(REDUCE, 340);
   _actionMap[531][DESC] = ActionEntry(REDUCE, 340);
   _actionMap[531][INTOK] = ActionEntry(REDUCE, 340);
   _actionMap[531][BETWEEN] = ActionEntry(REDUCE, 340);
   _actionMap[531][LIKE] = ActionEntry(REDUCE, 340);
   _actionMap[531][PLUS] = ActionEntry(REDUCE, 340);
   _actionMap[531][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[531][CONCAT] = ActionEntry(REDUCE, 340);
   _actionMap[531][DIVISION] = ActionEntry(REDUCE, 340);
   _actionMap[531][STAR] = ActionEntry(REDUCE, 340);
   _actionMap[531][MT] = ActionEntry(REDUCE, 340);
   _actionMap[531][LT] = ActionEntry(REDUCE, 340);
   _actionMap[531][NEGATION] = ActionEntry(REDUCE, 340);
   _actionMap[531][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[531][IS] = ActionEntry(REDUCE, 340);
   _actionMap[531][NULLTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[531][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[531][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[531][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[531][RB] = ActionEntry(REDUCE, 340);
   _actionMap[532][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[532][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[532][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[532][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[532][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[532][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[532][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[532][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[532][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[532][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[532][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[532][AS] = ActionEntry(REDUCE, 342);
   _actionMap[532][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[532][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[532][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[532][OR] = ActionEntry(REDUCE, 342);
   _actionMap[532][AND] = ActionEntry(REDUCE, 342);
   _actionMap[532][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[532][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[532][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[532][ASC] = ActionEntry(REDUCE, 342);
   _actionMap[532][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[532][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[532][BETWEEN] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser110()
{
   _actionMap[532][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[532][PLUS] = ActionEntry(REDUCE, 342);
   _actionMap[532][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[532][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[532][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[532][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[532][MT] = ActionEntry(REDUCE, 342);
   _actionMap[532][LT] = ActionEntry(REDUCE, 342);
   _actionMap[532][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[532][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[532][IS] = ActionEntry(REDUCE, 342);
   _actionMap[532][NULLTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[532][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[532][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[532][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[532][RB] = ActionEntry(REDUCE, 342);
   _actionMap[533][WHEN] = ActionEntry(REDUCE, 334);
   _actionMap[533][ELSE] = ActionEntry(REDUCE, 334);
   _actionMap[533][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[533][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[533][INNER] = ActionEntry(REDUCE, 334);
   _actionMap[533][JOIN] = ActionEntry(REDUCE, 334);
   _actionMap[533][RETURNTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[533][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[533][GROUP] = ActionEntry(REDUCE, 334);
   _actionMap[533][WHERE] = ActionEntry(REDUCE, 334);
   _actionMap[533][FROM] = ActionEntry(REDUCE, 334);
   _actionMap[533][AS] = ActionEntry(REDUCE, 334);
   _actionMap[533][END_TOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[533][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[533][THEN] = ActionEntry(REDUCE, 334);
   _actionMap[533][OR] = ActionEntry(REDUCE, 334);
   _actionMap[533][AND] = ActionEntry(REDUCE, 334);
   _actionMap[533][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[533][UNION] = ActionEntry(REDUCE, 334);
   _actionMap[533][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[533][ASC] = ActionEntry(REDUCE, 334);
   _actionMap[533][DESC] = ActionEntry(REDUCE, 334);
   _actionMap[533][INTOK] = ActionEntry(REDUCE, 334);
   _actionMap[533][BETWEEN] = ActionEntry(REDUCE, 334);
   _actionMap[533][LIKE] = ActionEntry(REDUCE, 334);
   _actionMap[533][PLUS] = ActionEntry(REDUCE, 334);
   _actionMap[533][MINUS] = ActionEntry(REDUCE, 334);
   _actionMap[533][CONCAT] = ActionEntry(REDUCE, 334);
   _actionMap[533][DIVISION] = ActionEntry(REDUCE, 334);
   _actionMap[533][STAR] = ActionEntry(REDUCE, 334);
   _actionMap[533][MT] = ActionEntry(REDUCE, 334);
   _actionMap[533][LT] = ActionEntry(REDUCE, 334);
   _actionMap[533][NEGATION] = ActionEntry(REDUCE, 334);
   _actionMap[533][EQU] = ActionEntry(REDUCE, 334);
}
void Cego::loadParser111()
{
   _actionMap[533][IS] = ActionEntry(REDUCE, 334);
   _actionMap[533][NULLTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[533][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[533][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[533][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[533][RB] = ActionEntry(REDUCE, 334);
   _actionMap[534][WHEN] = ActionEntry(REDUCE, 336);
   _actionMap[534][ELSE] = ActionEntry(REDUCE, 336);
   _actionMap[534][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[534][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[534][INNER] = ActionEntry(REDUCE, 336);
   _actionMap[534][JOIN] = ActionEntry(REDUCE, 336);
   _actionMap[534][RETURNTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[534][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[534][GROUP] = ActionEntry(REDUCE, 336);
   _actionMap[534][WHERE] = ActionEntry(REDUCE, 336);
   _actionMap[534][FROM] = ActionEntry(REDUCE, 336);
   _actionMap[534][AS] = ActionEntry(REDUCE, 336);
   _actionMap[534][END_TOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[534][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[534][THEN] = ActionEntry(REDUCE, 336);
   _actionMap[534][OR] = ActionEntry(REDUCE, 336);
   _actionMap[534][AND] = ActionEntry(REDUCE, 336);
   _actionMap[534][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[534][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[534][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[534][ASC] = ActionEntry(REDUCE, 336);
   _actionMap[534][DESC] = ActionEntry(REDUCE, 336);
   _actionMap[534][INTOK] = ActionEntry(REDUCE, 336);
   _actionMap[534][BETWEEN] = ActionEntry(REDUCE, 336);
   _actionMap[534][LIKE] = ActionEntry(REDUCE, 336);
   _actionMap[534][PLUS] = ActionEntry(REDUCE, 336);
   _actionMap[534][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[534][CONCAT] = ActionEntry(REDUCE, 336);
   _actionMap[534][DIVISION] = ActionEntry(REDUCE, 336);
   _actionMap[534][STAR] = ActionEntry(REDUCE, 336);
   _actionMap[534][MT] = ActionEntry(REDUCE, 336);
   _actionMap[534][LT] = ActionEntry(REDUCE, 336);
   _actionMap[534][NEGATION] = ActionEntry(REDUCE, 336);
   _actionMap[534][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[534][IS] = ActionEntry(REDUCE, 336);
   _actionMap[534][NULLTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[534][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[534][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[534][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[534][RB] = ActionEntry(REDUCE, 336);
   _actionMap[535][WHEN] = ActionEntry(REDUCE, 337);
   _actionMap[535][ELSE] = ActionEntry(REDUCE, 337);
   _actionMap[535][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[535][RIGHT] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser112()
{
   _actionMap[535][INNER] = ActionEntry(REDUCE, 337);
   _actionMap[535][JOIN] = ActionEntry(REDUCE, 337);
   _actionMap[535][RETURNTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[535][ORDER] = ActionEntry(REDUCE, 337);
   _actionMap[535][GROUP] = ActionEntry(REDUCE, 337);
   _actionMap[535][WHERE] = ActionEntry(REDUCE, 337);
   _actionMap[535][FROM] = ActionEntry(REDUCE, 337);
   _actionMap[535][AS] = ActionEntry(REDUCE, 337);
   _actionMap[535][END_TOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[535][BEGIN] = ActionEntry(REDUCE, 337);
   _actionMap[535][THEN] = ActionEntry(REDUCE, 337);
   _actionMap[535][OR] = ActionEntry(REDUCE, 337);
   _actionMap[535][AND] = ActionEntry(REDUCE, 337);
   _actionMap[535][ENDTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[535][UNION] = ActionEntry(REDUCE, 337);
   _actionMap[535][ROWLIMIT] = ActionEntry(REDUCE, 337);
   _actionMap[535][ASC] = ActionEntry(REDUCE, 337);
   _actionMap[535][DESC] = ActionEntry(REDUCE, 337);
   _actionMap[535][INTOK] = ActionEntry(REDUCE, 337);
   _actionMap[535][BETWEEN] = ActionEntry(REDUCE, 337);
   _actionMap[535][LIKE] = ActionEntry(REDUCE, 337);
   _actionMap[535][PLUS] = ActionEntry(REDUCE, 337);
   _actionMap[535][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[535][CONCAT] = ActionEntry(REDUCE, 337);
   _actionMap[535][DIVISION] = ActionEntry(REDUCE, 337);
   _actionMap[535][STAR] = ActionEntry(REDUCE, 337);
   _actionMap[535][MT] = ActionEntry(REDUCE, 337);
   _actionMap[535][LT] = ActionEntry(REDUCE, 337);
   _actionMap[535][NEGATION] = ActionEntry(REDUCE, 337);
   _actionMap[535][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[535][IS] = ActionEntry(REDUCE, 337);
   _actionMap[535][NULLTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[535][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[535][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[535][RB] = ActionEntry(REDUCE, 337);
   _actionMap[536][RAB] = ActionEntry(SHIFT, 642);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[538][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[540][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[541][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[542][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[543][SEMICOLON] = ActionEntry(REDUCE, 216);
   _actionMap[543][RB] = ActionEntry(REDUCE, 216);
   _actionMap[543][ENDTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[543][UNION] = ActionEntry(REDUCE, 216);
   _actionMap[543][ROWLIMIT] = ActionEntry(REDUCE, 216);
   _actionMap[543][ORDER] = ActionEntry(REDUCE, 216);
   _actionMap[543][GROUP] = ActionEntry(SHIFT, 645);
}
void Cego::loadParser113()
{
   _jumpMap[543][NoGroup] = 644;
   _jumpMap[543][GroupClause] = 643;
   _actionMap[544][LEFT] = ActionEntry(REDUCE, 200);
   _actionMap[544][RIGHT] = ActionEntry(REDUCE, 200);
   _actionMap[544][INNER] = ActionEntry(REDUCE, 200);
   _actionMap[544][JOIN] = ActionEntry(REDUCE, 200);
   _actionMap[544][RETURNTOKEN] = ActionEntry(REDUCE, 200);
   _actionMap[544][SEMICOLON] = ActionEntry(REDUCE, 200);
   _actionMap[544][RB] = ActionEntry(REDUCE, 200);
   _actionMap[544][ENDTOKEN] = ActionEntry(REDUCE, 200);
   _actionMap[544][UNION] = ActionEntry(REDUCE, 200);
   _actionMap[544][ROWLIMIT] = ActionEntry(REDUCE, 200);
   _actionMap[544][ORDER] = ActionEntry(REDUCE, 200);
   _actionMap[544][GROUP] = ActionEntry(REDUCE, 200);
   _actionMap[544][WHERE] = ActionEntry(REDUCE, 200);
   _actionMap[545][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[545][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[545][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[545][ObjSpec] = 414;
   _jumpMap[545][Table] = 646;
   _actionMap[546][JOIN] = ActionEntry(SHIFT, 647);
   _actionMap[547][IDENTIFIER] = ActionEntry(REDUCE, 206);
   _actionMap[547][QUALIFIEDOBJ] = ActionEntry(REDUCE, 206);
   _actionMap[547][QUALIFIEDTS] = ActionEntry(REDUCE, 206);
   _actionMap[548][OUTER] = ActionEntry(SHIFT, 648);
   _actionMap[549][OUTER] = ActionEntry(SHIFT, 649);
   _actionMap[550][LEFT] = ActionEntry(REDUCE, 201);
   _actionMap[550][RIGHT] = ActionEntry(REDUCE, 201);
   _actionMap[550][INNER] = ActionEntry(REDUCE, 201);
   _actionMap[550][JOIN] = ActionEntry(REDUCE, 201);
   _actionMap[550][RETURNTOKEN] = ActionEntry(REDUCE, 201);
   _actionMap[550][SEMICOLON] = ActionEntry(REDUCE, 201);
   _actionMap[550][RB] = ActionEntry(REDUCE, 201);
   _actionMap[550][ENDTOKEN] = ActionEntry(REDUCE, 201);
   _actionMap[550][UNION] = ActionEntry(REDUCE, 201);
   _actionMap[550][ROWLIMIT] = ActionEntry(REDUCE, 201);
   _actionMap[550][ORDER] = ActionEntry(REDUCE, 201);
   _actionMap[550][GROUP] = ActionEntry(REDUCE, 201);
   _actionMap[550][WHERE] = ActionEntry(REDUCE, 201);
   _actionMap[551][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[551][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[551][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[551][ObjSpec] = 414;
   _jumpMap[551][Table] = 651;
   _jumpMap[551][TableList] = 650;
   _actionMap[552][WHERE] = ActionEntry(REDUCE, 210);
   _actionMap[552][GROUP] = ActionEntry(REDUCE, 210);
   _actionMap[552][ORDER] = ActionEntry(REDUCE, 210);
   _actionMap[552][ROWLIMIT] = ActionEntry(REDUCE, 210);
   _actionMap[552][UNION] = ActionEntry(REDUCE, 210);
}
void Cego::loadParser114()
{
   _actionMap[552][ENDTOKEN] = ActionEntry(REDUCE, 210);
   _actionMap[552][RB] = ActionEntry(REDUCE, 210);
   _actionMap[552][SEMICOLON] = ActionEntry(REDUCE, 210);
   _actionMap[552][RETURNTOKEN] = ActionEntry(REDUCE, 210);
   _actionMap[552][LEFT] = ActionEntry(REDUCE, 210);
   _actionMap[552][RIGHT] = ActionEntry(REDUCE, 210);
   _actionMap[552][INNER] = ActionEntry(REDUCE, 210);
   _actionMap[552][JOIN] = ActionEntry(REDUCE, 210);
   _actionMap[552][KSEP] = ActionEntry(REDUCE, 210);
   _actionMap[552][ON] = ActionEntry(REDUCE, 210);
   _actionMap[553][FROM] = ActionEntry(REDUCE, 212);
   _actionMap[553][KSEP] = ActionEntry(REDUCE, 212);
   _actionMap[554][FROM] = ActionEntry(REDUCE, 195);
   _actionMap[554][KSEP] = ActionEntry(REDUCE, 195);
   _actionMap[555][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[555][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[555][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[555][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[556][RETURNTOKEN] = ActionEntry(SHIFT, 653);
   _actionMap[556][SEMICOLON] = ActionEntry(REDUCE, 241);
   _jumpMap[556][UpdReturnOpt] = 652;
   _actionMap[557][IDENTIFIER] = ActionEntry(SHIFT, 422);
   _jumpMap[557][Assignment] = 654;
   _actionMap[558][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[558][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[558][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[558][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[558][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[558][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[558][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[558][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[558][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[558][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[558][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[558][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[558][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[558][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[558][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[558][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[558][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[558][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[558][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[558][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[558][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[558][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[558][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[558][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[558][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[558][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[558][BITAND] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser115()
{
   _actionMap[558][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[558][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[558][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[558][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[558][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[558][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[558][LB] = ActionEntry(SHIFT, 136);
   _actionMap[558][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[558][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[558][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[558][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[558][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[558][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[558][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[558][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[558][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[558][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[558][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[558][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[558][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[558][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[558][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[558][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[558][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[558][ObjSpec] = 95;
   _jumpMap[558][Constant] = 94;
   _jumpMap[558][SignedFloat] = 93;
   _jumpMap[558][SignedInt] = 92;
   _jumpMap[558][Attribute] = 91;
   _jumpMap[558][Function] = 90;
   _jumpMap[558][CasePrepare] = 89;
   _jumpMap[558][CaseClause] = 88;
   _jumpMap[558][Factor] = 87;
   _jumpMap[558][Term] = 86;
   _jumpMap[558][Expr] = 655;
   _actionMap[559][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[559][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[559][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[559][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[559][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[559][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[559][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[559][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[559][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[559][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[559][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[559][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[559][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[559][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[559][GETPOS] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser116()
{
   _actionMap[559][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[559][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[559][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[559][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[559][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[559][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[559][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[559][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[559][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[559][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[559][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[559][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[559][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[559][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[559][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[559][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[559][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[559][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[559][LB] = ActionEntry(SHIFT, 136);
   _actionMap[559][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[559][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[559][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[559][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[559][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[559][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[559][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[559][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[559][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[559][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[559][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[559][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[559][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[559][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[559][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[559][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[559][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[559][RB] = ActionEntry(REDUCE, 112);
   _jumpMap[559][ObjSpec] = 95;
   _jumpMap[559][Constant] = 94;
   _jumpMap[559][SignedFloat] = 93;
   _jumpMap[559][SignedInt] = 92;
   _jumpMap[559][Attribute] = 91;
   _jumpMap[559][Function] = 90;
   _jumpMap[559][CasePrepare] = 89;
   _jumpMap[559][CaseClause] = 88;
   _jumpMap[559][Factor] = 87;
   _jumpMap[559][Term] = 86;
   _jumpMap[559][Expr] = 305;
   _jumpMap[559][ProcValueList] = 304;
   _jumpMap[559][ProcValueListOpt] = 656;
}
void Cego::loadParser117()
{
   _actionMap[295][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[296][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[297][KSEP] = ActionEntry(SHIFT, 424);
   _actionMap[297][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[298][CHECK] = ActionEntry(SHIFT, 425);
   _actionMap[298][FOREIGN] = ActionEntry(SHIFT, 427);
   _actionMap[298][COLUMN] = ActionEntry(SHIFT, 426);
   _actionMap[299][COLUMN] = ActionEntry(SHIFT, 428);
   _actionMap[300][COLUMN] = ActionEntry(SHIFT, 429);
   _actionMap[301][COLUMN] = ActionEntry(SHIFT, 430);
   _actionMap[302][STRINGVAL] = ActionEntry(SHIFT, 431);
   _actionMap[303][RB] = ActionEntry(SHIFT, 306);
   _actionMap[304][KSEP] = ActionEntry(SHIFT, 432);
   _actionMap[304][RB] = ActionEntry(REDUCE, 111);
   _actionMap[305][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[305][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[305][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[305][KSEP] = ActionEntry(REDUCE, 114);
   _actionMap[305][RB] = ActionEntry(REDUCE, 114);
   _actionMap[306][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[307][END_TOKEN] = ActionEntry(SHIFT, 433);
   _actionMap[308][EXCEPTION] = ActionEntry(REDUCE, 109);
   _actionMap[308][ELSE] = ActionEntry(REDUCE, 109);
   _actionMap[308][ELSIF] = ActionEntry(REDUCE, 109);
   _actionMap[308][END_TOKEN] = ActionEntry(REDUCE, 109);
   _actionMap[308][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[308][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[308][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[308][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[308][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[308][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[308][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[308][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[308][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[308][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[308][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[308][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[308][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[308][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[308][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[308][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[308][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[308][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[308][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[308][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[308][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[308][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[308][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[308][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[308][DIV] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser118()
{
   _actionMap[308][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[308][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[308][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[308][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[308][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[308][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[308][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[308][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[308][LB] = ActionEntry(SHIFT, 136);
   _actionMap[308][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[308][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[308][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[308][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[308][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[308][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[308][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[308][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[308][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[308][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[308][VARREF] = ActionEntry(SHIFT, 327);
   _actionMap[308][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[308][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[308][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[308][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[308][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[308][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[308][IF] = ActionEntry(SHIFT, 322);
   _actionMap[308][BEGIN] = ActionEntry(SHIFT, 319);
   _actionMap[308][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[308][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[308][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[308][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[308][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[308][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[308][VAR] = ActionEntry(SHIFT, 325);
   _actionMap[308][CURSOR] = ActionEntry(SHIFT, 321);
   _actionMap[308][CLOSE] = ActionEntry(SHIFT, 320);
   _actionMap[308][NOOP] = ActionEntry(SHIFT, 323);
   _actionMap[308][RETURNTOKEN] = ActionEntry(SHIFT, 324);
   _actionMap[308][WHILE] = ActionEntry(SHIFT, 326);
   _jumpMap[308][ObjSpec] = 95;
   _jumpMap[308][Constant] = 94;
   _jumpMap[308][SignedFloat] = 93;
   _jumpMap[308][SignedInt] = 92;
   _jumpMap[308][Attribute] = 91;
   _jumpMap[308][Function] = 90;
   _jumpMap[308][DeleteStatement] = 318;
   _jumpMap[308][UpdateStatement] = 317;
   _jumpMap[308][InsertStatement] = 316;
   _jumpMap[308][RollbackStatement] = 315;
}
void Cego::loadParser119()
{
   _jumpMap[308][CommitStatement] = 314;
   _jumpMap[308][StartStatement] = 313;
   _jumpMap[308][CasePrepare] = 89;
   _jumpMap[308][CaseClause] = 88;
   _jumpMap[308][Factor] = 87;
   _jumpMap[308][Term] = 86;
   _jumpMap[308][Expr] = 312;
   _jumpMap[308][ProcStatement] = 435;
   _jumpMap[308][ProcIfPart] = 310;
   _jumpMap[308][ProcExceptionList] = 434;
   _jumpMap[308][ProcBlockStart] = 309;
   _actionMap[309][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[309][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[309][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[309][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[309][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[309][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[309][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[309][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[309][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[309][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[309][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[309][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[309][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[309][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[309][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[309][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[309][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[309][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[309][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[309][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[309][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[309][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[309][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[309][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[309][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[309][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[309][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[309][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[309][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[309][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[309][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[309][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[309][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[309][LB] = ActionEntry(SHIFT, 136);
   _actionMap[309][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[309][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[309][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[309][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[309][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser120()
{
   _actionMap[309][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[309][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[309][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[309][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[309][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[309][VARREF] = ActionEntry(SHIFT, 327);
   _actionMap[309][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[309][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[309][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[309][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[309][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[309][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[309][IF] = ActionEntry(SHIFT, 322);
   _actionMap[309][BEGIN] = ActionEntry(SHIFT, 319);
   _actionMap[309][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[309][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[309][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[309][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[309][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[309][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[309][VAR] = ActionEntry(SHIFT, 325);
   _actionMap[309][CURSOR] = ActionEntry(SHIFT, 321);
   _actionMap[309][CLOSE] = ActionEntry(SHIFT, 320);
   _actionMap[309][NOOP] = ActionEntry(SHIFT, 323);
   _actionMap[309][RETURNTOKEN] = ActionEntry(SHIFT, 324);
   _actionMap[309][WHILE] = ActionEntry(SHIFT, 326);
   _jumpMap[309][ObjSpec] = 95;
   _jumpMap[309][Constant] = 94;
   _jumpMap[309][SignedFloat] = 93;
   _jumpMap[309][SignedInt] = 92;
   _jumpMap[309][Attribute] = 91;
   _jumpMap[309][Function] = 90;
   _jumpMap[309][DeleteStatement] = 318;
   _jumpMap[309][UpdateStatement] = 317;
   _jumpMap[309][InsertStatement] = 316;
   _jumpMap[309][RollbackStatement] = 315;
   _jumpMap[309][CommitStatement] = 314;
   _jumpMap[309][StartStatement] = 313;
   _jumpMap[309][CasePrepare] = 89;
   _jumpMap[309][CaseClause] = 88;
   _jumpMap[309][Factor] = 87;
   _jumpMap[309][Term] = 86;
   _jumpMap[309][Expr] = 312;
   _jumpMap[309][ProcStatement] = 311;
   _jumpMap[309][ProcIfPart] = 310;
   _jumpMap[309][ProcBlockStart] = 309;
   _jumpMap[309][ProcStatementList] = 308;
   _jumpMap[309][ProcStmtBlock] = 436;
   _actionMap[310][ELSIF] = ActionEntry(SHIFT, 439);
   _actionMap[310][END_TOKEN] = ActionEntry(REDUCE, 119);
}
void Cego::loadParser121()
{
   _actionMap[310][ELSE] = ActionEntry(REDUCE, 119);
   _jumpMap[310][ProcElsIfOpt] = 438;
   _jumpMap[310][ProcElsIfList] = 437;
   _actionMap[311][SEMICOLON] = ActionEntry(SHIFT, 440);
   _actionMap[312][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[312][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[312][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[312][SEMICOLON] = ActionEntry(REDUCE, 93);
   _actionMap[313][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[314][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[315][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[316][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[317][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[318][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[319][VAR] = ActionEntry(REDUCE, 107);
   _actionMap[319][CURSOR] = ActionEntry(REDUCE, 107);
   _actionMap[319][CLOSE] = ActionEntry(REDUCE, 107);
   _actionMap[319][VARREF] = ActionEntry(REDUCE, 107);
   _actionMap[319][NOOP] = ActionEntry(REDUCE, 107);
   _actionMap[319][RETURNTOKEN] = ActionEntry(REDUCE, 107);
   _actionMap[319][WHILE] = ActionEntry(REDUCE, 107);
   _actionMap[319][IF] = ActionEntry(REDUCE, 107);
   _actionMap[319][BEGIN] = ActionEntry(REDUCE, 107);
   _actionMap[319][ROLLBACK] = ActionEntry(REDUCE, 107);
   _actionMap[319][COMMIT] = ActionEntry(REDUCE, 107);
   _actionMap[319][START_TOKEN] = ActionEntry(REDUCE, 107);
   _actionMap[319][UPDATE] = ActionEntry(REDUCE, 107);
   _actionMap[319][DELETETOK] = ActionEntry(REDUCE, 107);
   _actionMap[319][INSERT] = ActionEntry(REDUCE, 107);
   _actionMap[319][FETCH] = ActionEntry(REDUCE, 107);
   _actionMap[319][LB] = ActionEntry(REDUCE, 107);
   _actionMap[319][COUNT] = ActionEntry(REDUCE, 107);
   _actionMap[319][SUM] = ActionEntry(REDUCE, 107);
   _actionMap[319][AVG] = ActionEntry(REDUCE, 107);
   _actionMap[319][MIN] = ActionEntry(REDUCE, 107);
   _actionMap[319][MAX] = ActionEntry(REDUCE, 107);
   _actionMap[319][CASE] = ActionEntry(REDUCE, 107);
   _actionMap[319][TRIM] = ActionEntry(REDUCE, 107);
   _actionMap[319][RTRIM] = ActionEntry(REDUCE, 107);
   _actionMap[319][LTRIM] = ActionEntry(REDUCE, 107);
   _actionMap[319][ROUND] = ActionEntry(REDUCE, 107);
   _actionMap[319][DATE2STR] = ActionEntry(REDUCE, 107);
   _actionMap[319][DATE2INT] = ActionEntry(REDUCE, 107);
   _actionMap[319][INT2DATE] = ActionEntry(REDUCE, 107);
   _actionMap[319][LOWER] = ActionEntry(REDUCE, 107);
   _actionMap[319][UPPER] = ActionEntry(REDUCE, 107);
   _actionMap[319][LEFT] = ActionEntry(REDUCE, 107);
   _actionMap[319][RIGHT] = ActionEntry(REDUCE, 107);
   _actionMap[319][GETPOS] = ActionEntry(REDUCE, 107);
   _actionMap[319][SUBSTR] = ActionEntry(REDUCE, 107);
}
void Cego::loadParser122()
{
   _actionMap[319][REPLACE] = ActionEntry(REDUCE, 107);
   _actionMap[319][LENGTH] = ActionEntry(REDUCE, 107);
   _actionMap[319][TRUNC] = ActionEntry(REDUCE, 107);
   _actionMap[319][STR2INT] = ActionEntry(REDUCE, 107);
   _actionMap[319][STR2LONG] = ActionEntry(REDUCE, 107);
   _actionMap[319][RANDSTR] = ActionEntry(REDUCE, 107);
   _actionMap[319][RANDINT] = ActionEntry(REDUCE, 107);
   _actionMap[319][MOD] = ActionEntry(REDUCE, 107);
   _actionMap[319][DIV] = ActionEntry(REDUCE, 107);
   _actionMap[319][POWER] = ActionEntry(REDUCE, 107);
   _actionMap[319][BITAND] = ActionEntry(REDUCE, 107);
   _actionMap[319][BITOR] = ActionEntry(REDUCE, 107);
   _actionMap[319][BITXOR] = ActionEntry(REDUCE, 107);
   _actionMap[319][NEXTCOUNT] = ActionEntry(REDUCE, 107);
   _actionMap[319][IDENTIFIER] = ActionEntry(REDUCE, 107);
   _actionMap[319][QUALIFIEDOBJ] = ActionEntry(REDUCE, 107);
   _actionMap[319][QUALIFIEDTS] = ActionEntry(REDUCE, 107);
   _actionMap[319][QUALIFIEDPRE] = ActionEntry(REDUCE, 107);
   _actionMap[319][STRINGVAL] = ActionEntry(REDUCE, 107);
   _actionMap[319][DATE] = ActionEntry(REDUCE, 107);
   _actionMap[319][SYSDATE] = ActionEntry(REDUCE, 107);
   _actionMap[319][NULLTOKEN] = ActionEntry(REDUCE, 107);
   _actionMap[319][TRUEVAL] = ActionEntry(REDUCE, 107);
   _actionMap[319][FALSEVAL] = ActionEntry(REDUCE, 107);
   _actionMap[319][LAB] = ActionEntry(REDUCE, 107);
   _actionMap[319][COUNTERID] = ActionEntry(REDUCE, 107);
   _actionMap[319][FLOATVAL] = ActionEntry(REDUCE, 107);
   _actionMap[319][MINUS] = ActionEntry(REDUCE, 107);
   _actionMap[319][INTVAL] = ActionEntry(REDUCE, 107);
   _actionMap[320][IDENTIFIER] = ActionEntry(SHIFT, 441);
   _actionMap[321][IDENTIFIER] = ActionEntry(SHIFT, 442);
   _actionMap[322][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[322][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[322][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[322][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[322][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[322][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[322][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[322][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[322][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[322][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[322][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[322][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[322][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[322][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[322][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[322][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[322][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[322][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[322][TRUNC] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser123()
{
   _actionMap[322][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[322][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[322][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[322][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[322][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[322][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[322][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[322][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[322][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[322][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[322][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[322][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[322][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[322][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[322][LB] = ActionEntry(SHIFT, 447);
   _actionMap[322][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[322][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[322][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[322][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[322][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[322][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[322][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[322][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[322][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[322][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[322][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[322][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[322][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[322][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[322][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[322][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[322][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[322][ObjSpec] = 95;
   _jumpMap[322][Constant] = 94;
   _jumpMap[322][SignedFloat] = 93;
   _jumpMap[322][SignedInt] = 92;
   _jumpMap[322][Attribute] = 91;
   _jumpMap[322][Function] = 90;
   _jumpMap[322][CasePrepare] = 89;
   _jumpMap[322][CaseClause] = 88;
   _jumpMap[322][Factor] = 87;
   _jumpMap[322][Term] = 86;
   _jumpMap[322][Expr] = 446;
   _jumpMap[322][ProcPredicate] = 445;
   _jumpMap[322][ProcCondition] = 444;
   _jumpMap[322][ProcIfCondition] = 443;
   _actionMap[323][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[324][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[324][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[324][MINUS] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser124()
{
   _actionMap[324][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[324][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[324][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[324][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[324][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[324][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[324][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[324][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[324][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[324][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[324][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[324][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[324][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[324][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[324][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[324][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[324][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[324][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[324][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[324][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[324][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[324][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[324][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[324][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[324][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[324][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[324][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[324][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[324][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[324][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[324][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[324][LB] = ActionEntry(SHIFT, 136);
   _actionMap[324][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[324][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[324][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[324][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[324][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[324][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[324][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[324][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[324][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[324][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[324][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[324][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[324][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[324][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[324][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[324][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[324][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[324][ObjSpec] = 95;
}
void Cego::loadParser125()
{
   _jumpMap[324][Constant] = 94;
   _jumpMap[324][SignedFloat] = 93;
   _jumpMap[324][SignedInt] = 92;
   _jumpMap[324][Attribute] = 91;
   _jumpMap[324][Function] = 90;
   _jumpMap[324][CasePrepare] = 89;
   _jumpMap[324][CaseClause] = 88;
   _jumpMap[324][Factor] = 87;
   _jumpMap[324][Term] = 86;
   _jumpMap[324][Expr] = 448;
   _actionMap[325][IDENTIFIER] = ActionEntry(SHIFT, 449);
   _actionMap[326][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[326][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[326][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[326][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[326][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[326][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[326][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[326][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[326][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[326][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[326][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[326][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[326][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[326][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[326][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[326][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[326][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[326][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[326][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[326][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[326][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[326][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[326][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[326][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[326][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[326][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[326][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[326][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[326][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[326][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[326][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[326][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[326][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[326][LB] = ActionEntry(SHIFT, 447);
   _actionMap[326][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[326][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[326][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[326][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[326][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser126()
{
   _actionMap[326][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[326][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[326][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[326][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[326][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[326][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[326][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[326][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[326][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[326][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[326][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[326][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[326][ObjSpec] = 95;
   _jumpMap[326][Constant] = 94;
   _jumpMap[326][SignedFloat] = 93;
   _jumpMap[326][SignedInt] = 92;
   _jumpMap[326][Attribute] = 91;
   _jumpMap[326][Function] = 90;
   _jumpMap[326][CasePrepare] = 89;
   _jumpMap[326][CaseClause] = 88;
   _jumpMap[326][Factor] = 87;
   _jumpMap[326][Term] = 86;
   _jumpMap[326][Expr] = 446;
   _jumpMap[326][ProcPredicate] = 445;
   _jumpMap[326][ProcCondition] = 451;
   _jumpMap[326][ProcWhileCondition] = 450;
   _actionMap[327][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[327][STAR] = ActionEntry(REDUCE, 142);
   _actionMap[327][DIVISION] = ActionEntry(REDUCE, 142);
   _actionMap[327][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[327][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[327][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[327][EQU] = ActionEntry(SHIFT, 452);
   _actionMap[328][ON] = ActionEntry(SHIFT, 453);
   _actionMap[329][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[329][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[329][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[329][ObjSpec] = 454;
   _actionMap[330][IDENTIFIER] = ActionEntry(SHIFT, 459);
   _actionMap[330][RB] = ActionEntry(REDUCE, 81);
   _jumpMap[330][ProcArg] = 457;
   _jumpMap[330][ProcArgList] = 456;
   _jumpMap[330][ProcArgOpt] = 455;
   _actionMap[331][IDENTIFIER] = ActionEntry(SHIFT, 464);
   _actionMap[331][PRIMARY] = ActionEntry(SHIFT, 463);
   _jumpMap[331][ColumnDesc] = 462;
   _jumpMap[331][KeyColumn] = 461;
   _jumpMap[331][ColumnList] = 460;
   _actionMap[332][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[332][SelectStatement] = 465;
}
void Cego::loadParser127()
{
   _actionMap[333][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[334][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[334][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[334][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[334][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[334][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[334][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[334][RB] = ActionEntry(REDUCE, 291);
   _actionMap[334][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[335][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[335][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[335][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[335][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[335][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[335][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[335][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[335][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[335][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[335][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[335][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[335][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[335][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[335][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[335][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[335][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[335][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[335][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[335][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[335][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[335][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[335][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[335][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[335][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[335][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[335][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[335][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[335][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[335][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[335][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[335][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[335][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[335][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[335][LB] = ActionEntry(SHIFT, 354);
   _actionMap[335][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[335][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[335][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[335][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[335][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[335][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[335][LAB] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser128()
{
   _actionMap[335][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[335][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[335][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[335][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[335][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[335][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[335][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[335][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[335][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[335][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[335][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[335][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[335][ObjSpec] = 95;
   _jumpMap[335][Constant] = 94;
   _jumpMap[335][SignedFloat] = 93;
   _jumpMap[335][SignedInt] = 92;
   _jumpMap[335][Attribute] = 91;
   _jumpMap[335][QueryPredicate] = 351;
   _jumpMap[335][QueryCondition] = 466;
   _jumpMap[335][Function] = 90;
   _jumpMap[335][CasePrepare] = 89;
   _jumpMap[335][CaseClause] = 88;
   _jumpMap[335][Factor] = 87;
   _jumpMap[335][Term] = 86;
   _jumpMap[335][Expr] = 349;
   _actionMap[336][VALUES] = ActionEntry(SHIFT, 338);
   _actionMap[336][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[336][SelectStatement] = 337;
   _actionMap[337][SEMICOLON] = ActionEntry(REDUCE, 184);
   _actionMap[338][LB] = ActionEntry(SHIFT, 468);
   _jumpMap[338][InsertValueSpec] = 467;
   _actionMap[339][IDENTIFIER] = ActionEntry(SHIFT, 470);
   _jumpMap[339][InsertArgList] = 469;
   _actionMap[340][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[341][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[341][SelectStatement] = 471;
   _actionMap[342][STAR] = ActionEntry(SHIFT, 215);
   _actionMap[342][DIVISION] = ActionEntry(SHIFT, 216);
   _actionMap[342][WHEN] = ActionEntry(REDUCE, 138);
   _actionMap[342][ELSE] = ActionEntry(REDUCE, 138);
   _actionMap[342][LEFT] = ActionEntry(REDUCE, 138);
   _actionMap[342][RIGHT] = ActionEntry(REDUCE, 138);
   _actionMap[342][INNER] = ActionEntry(REDUCE, 138);
   _actionMap[342][JOIN] = ActionEntry(REDUCE, 138);
   _actionMap[342][RETURNTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[342][ORDER] = ActionEntry(REDUCE, 138);
   _actionMap[342][GROUP] = ActionEntry(REDUCE, 138);
   _actionMap[342][WHERE] = ActionEntry(REDUCE, 138);
   _actionMap[342][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[342][THEN] = ActionEntry(REDUCE, 138);
}
void Cego::loadParser129()
{
   _actionMap[342][OR] = ActionEntry(REDUCE, 138);
   _actionMap[342][AS] = ActionEntry(REDUCE, 138);
   _actionMap[342][FROM] = ActionEntry(REDUCE, 138);
   _actionMap[342][LIKE] = ActionEntry(REDUCE, 138);
   _actionMap[342][BETWEEN] = ActionEntry(REDUCE, 138);
   _actionMap[342][NOT] = ActionEntry(REDUCE, 138);
   _actionMap[342][INTOK] = ActionEntry(REDUCE, 138);
   _actionMap[342][END_TOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[342][AND] = ActionEntry(REDUCE, 138);
   _actionMap[342][IS] = ActionEntry(REDUCE, 138);
   _actionMap[342][EQU] = ActionEntry(REDUCE, 138);
   _actionMap[342][NEGATION] = ActionEntry(REDUCE, 138);
   _actionMap[342][LT] = ActionEntry(REDUCE, 138);
   _actionMap[342][MT] = ActionEntry(REDUCE, 138);
   _actionMap[342][DESC] = ActionEntry(REDUCE, 138);
   _actionMap[342][ASC] = ActionEntry(REDUCE, 138);
   _actionMap[342][KSEP] = ActionEntry(REDUCE, 138);
   _actionMap[342][ROWLIMIT] = ActionEntry(REDUCE, 138);
   _actionMap[342][UNION] = ActionEntry(REDUCE, 138);
   _actionMap[342][ENDTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[342][RB] = ActionEntry(REDUCE, 138);
   _actionMap[342][SEMICOLON] = ActionEntry(REDUCE, 138);
   _actionMap[342][CONCAT] = ActionEntry(REDUCE, 138);
   _actionMap[342][MINUS] = ActionEntry(REDUCE, 138);
   _actionMap[342][PLUS] = ActionEntry(REDUCE, 138);
   _actionMap[343][STAR] = ActionEntry(SHIFT, 215);
   _actionMap[343][DIVISION] = ActionEntry(SHIFT, 216);
   _actionMap[343][WHEN] = ActionEntry(REDUCE, 136);
   _actionMap[343][ELSE] = ActionEntry(REDUCE, 136);
   _actionMap[343][LEFT] = ActionEntry(REDUCE, 136);
   _actionMap[343][RIGHT] = ActionEntry(REDUCE, 136);
   _actionMap[343][INNER] = ActionEntry(REDUCE, 136);
   _actionMap[343][JOIN] = ActionEntry(REDUCE, 136);
   _actionMap[343][RETURNTOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[343][ORDER] = ActionEntry(REDUCE, 136);
   _actionMap[343][GROUP] = ActionEntry(REDUCE, 136);
   _actionMap[343][WHERE] = ActionEntry(REDUCE, 136);
   _actionMap[343][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[343][THEN] = ActionEntry(REDUCE, 136);
   _actionMap[343][OR] = ActionEntry(REDUCE, 136);
   _actionMap[343][AS] = ActionEntry(REDUCE, 136);
   _actionMap[343][FROM] = ActionEntry(REDUCE, 136);
   _actionMap[343][LIKE] = ActionEntry(REDUCE, 136);
   _actionMap[343][BETWEEN] = ActionEntry(REDUCE, 136);
   _actionMap[343][NOT] = ActionEntry(REDUCE, 136);
   _actionMap[343][INTOK] = ActionEntry(REDUCE, 136);
   _actionMap[343][END_TOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[343][AND] = ActionEntry(REDUCE, 136);
   _actionMap[343][IS] = ActionEntry(REDUCE, 136);
   _actionMap[343][EQU] = ActionEntry(REDUCE, 136);
}
void Cego::loadParser130()
{
   _actionMap[343][NEGATION] = ActionEntry(REDUCE, 136);
   _actionMap[343][LT] = ActionEntry(REDUCE, 136);
   _actionMap[343][MT] = ActionEntry(REDUCE, 136);
   _actionMap[343][DESC] = ActionEntry(REDUCE, 136);
   _actionMap[343][ASC] = ActionEntry(REDUCE, 136);
   _actionMap[343][KSEP] = ActionEntry(REDUCE, 136);
   _actionMap[343][ROWLIMIT] = ActionEntry(REDUCE, 136);
   _actionMap[343][UNION] = ActionEntry(REDUCE, 136);
   _actionMap[343][ENDTOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[343][RB] = ActionEntry(REDUCE, 136);
   _actionMap[343][SEMICOLON] = ActionEntry(REDUCE, 136);
   _actionMap[343][CONCAT] = ActionEntry(REDUCE, 136);
   _actionMap[343][MINUS] = ActionEntry(REDUCE, 136);
   _actionMap[343][PLUS] = ActionEntry(REDUCE, 136);
   _actionMap[344][STAR] = ActionEntry(SHIFT, 215);
   _actionMap[344][DIVISION] = ActionEntry(SHIFT, 216);
   _actionMap[344][WHEN] = ActionEntry(REDUCE, 135);
   _actionMap[344][ELSE] = ActionEntry(REDUCE, 135);
   _actionMap[344][LEFT] = ActionEntry(REDUCE, 135);
   _actionMap[344][RIGHT] = ActionEntry(REDUCE, 135);
   _actionMap[344][INNER] = ActionEntry(REDUCE, 135);
   _actionMap[344][JOIN] = ActionEntry(REDUCE, 135);
   _actionMap[344][RETURNTOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[344][ORDER] = ActionEntry(REDUCE, 135);
   _actionMap[344][GROUP] = ActionEntry(REDUCE, 135);
   _actionMap[344][WHERE] = ActionEntry(REDUCE, 135);
   _actionMap[344][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[344][THEN] = ActionEntry(REDUCE, 135);
   _actionMap[344][OR] = ActionEntry(REDUCE, 135);
   _actionMap[344][AS] = ActionEntry(REDUCE, 135);
   _actionMap[344][FROM] = ActionEntry(REDUCE, 135);
   _actionMap[344][LIKE] = ActionEntry(REDUCE, 135);
   _actionMap[344][BETWEEN] = ActionEntry(REDUCE, 135);
   _actionMap[344][NOT] = ActionEntry(REDUCE, 135);
   _actionMap[344][INTOK] = ActionEntry(REDUCE, 135);
   _actionMap[344][END_TOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[344][AND] = ActionEntry(REDUCE, 135);
   _actionMap[344][IS] = ActionEntry(REDUCE, 135);
   _actionMap[344][EQU] = ActionEntry(REDUCE, 135);
   _actionMap[344][NEGATION] = ActionEntry(REDUCE, 135);
   _actionMap[344][LT] = ActionEntry(REDUCE, 135);
   _actionMap[344][MT] = ActionEntry(REDUCE, 135);
   _actionMap[344][DESC] = ActionEntry(REDUCE, 135);
   _actionMap[344][ASC] = ActionEntry(REDUCE, 135);
   _actionMap[344][KSEP] = ActionEntry(REDUCE, 135);
   _actionMap[344][ROWLIMIT] = ActionEntry(REDUCE, 135);
   _actionMap[344][UNION] = ActionEntry(REDUCE, 135);
   _actionMap[344][ENDTOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[344][RB] = ActionEntry(REDUCE, 135);
   _actionMap[344][SEMICOLON] = ActionEntry(REDUCE, 135);
}
void Cego::loadParser131()
{
   _actionMap[344][CONCAT] = ActionEntry(REDUCE, 135);
   _actionMap[344][MINUS] = ActionEntry(REDUCE, 135);
   _actionMap[344][PLUS] = ActionEntry(REDUCE, 135);
   _actionMap[345][WHEN] = ActionEntry(REDUCE, 139);
   _actionMap[345][ELSE] = ActionEntry(REDUCE, 139);
   _actionMap[345][LEFT] = ActionEntry(REDUCE, 139);
   _actionMap[345][RIGHT] = ActionEntry(REDUCE, 139);
   _actionMap[345][INNER] = ActionEntry(REDUCE, 139);
   _actionMap[345][JOIN] = ActionEntry(REDUCE, 139);
   _actionMap[345][RETURNTOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[345][ORDER] = ActionEntry(REDUCE, 139);
   _actionMap[345][GROUP] = ActionEntry(REDUCE, 139);
   _actionMap[345][WHERE] = ActionEntry(REDUCE, 139);
   _actionMap[345][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[345][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[345][OR] = ActionEntry(REDUCE, 139);
   _actionMap[345][FROM] = ActionEntry(REDUCE, 139);
   _actionMap[345][AS] = ActionEntry(REDUCE, 139);
   _actionMap[345][END_TOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[345][AND] = ActionEntry(REDUCE, 139);
   _actionMap[345][INTOK] = ActionEntry(REDUCE, 139);
   _actionMap[345][NOT] = ActionEntry(REDUCE, 139);
   _actionMap[345][BETWEEN] = ActionEntry(REDUCE, 139);
   _actionMap[345][IS] = ActionEntry(REDUCE, 139);
   _actionMap[345][LIKE] = ActionEntry(REDUCE, 139);
   _actionMap[345][MT] = ActionEntry(REDUCE, 139);
   _actionMap[345][LT] = ActionEntry(REDUCE, 139);
   _actionMap[345][NEGATION] = ActionEntry(REDUCE, 139);
   _actionMap[345][EQU] = ActionEntry(REDUCE, 139);
   _actionMap[345][RB] = ActionEntry(REDUCE, 139);
   _actionMap[345][ENDTOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[345][UNION] = ActionEntry(REDUCE, 139);
   _actionMap[345][ROWLIMIT] = ActionEntry(REDUCE, 139);
   _actionMap[345][KSEP] = ActionEntry(REDUCE, 139);
   _actionMap[345][ASC] = ActionEntry(REDUCE, 139);
   _actionMap[345][DESC] = ActionEntry(REDUCE, 139);
   _actionMap[345][SEMICOLON] = ActionEntry(REDUCE, 139);
   _actionMap[345][PLUS] = ActionEntry(REDUCE, 139);
   _actionMap[345][MINUS] = ActionEntry(REDUCE, 139);
   _actionMap[345][CONCAT] = ActionEntry(REDUCE, 139);
   _actionMap[345][DIVISION] = ActionEntry(REDUCE, 139);
   _actionMap[345][STAR] = ActionEntry(REDUCE, 139);
   _actionMap[346][WHEN] = ActionEntry(REDUCE, 140);
   _actionMap[346][ELSE] = ActionEntry(REDUCE, 140);
   _actionMap[346][LEFT] = ActionEntry(REDUCE, 140);
   _actionMap[346][RIGHT] = ActionEntry(REDUCE, 140);
   _actionMap[346][INNER] = ActionEntry(REDUCE, 140);
   _actionMap[346][JOIN] = ActionEntry(REDUCE, 140);
   _actionMap[346][RETURNTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[346][ORDER] = ActionEntry(REDUCE, 140);
}
void Cego::loadParser132()
{
   _actionMap[346][GROUP] = ActionEntry(REDUCE, 140);
   _actionMap[346][WHERE] = ActionEntry(REDUCE, 140);
   _actionMap[346][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[346][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[346][OR] = ActionEntry(REDUCE, 140);
   _actionMap[346][FROM] = ActionEntry(REDUCE, 140);
   _actionMap[346][AS] = ActionEntry(REDUCE, 140);
   _actionMap[346][END_TOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[346][AND] = ActionEntry(REDUCE, 140);
   _actionMap[346][INTOK] = ActionEntry(REDUCE, 140);
   _actionMap[346][NOT] = ActionEntry(REDUCE, 140);
   _actionMap[346][BETWEEN] = ActionEntry(REDUCE, 140);
   _actionMap[346][IS] = ActionEntry(REDUCE, 140);
   _actionMap[346][LIKE] = ActionEntry(REDUCE, 140);
   _actionMap[346][MT] = ActionEntry(REDUCE, 140);
   _actionMap[346][LT] = ActionEntry(REDUCE, 140);
   _actionMap[346][NEGATION] = ActionEntry(REDUCE, 140);
   _actionMap[346][EQU] = ActionEntry(REDUCE, 140);
   _actionMap[346][RB] = ActionEntry(REDUCE, 140);
   _actionMap[346][ENDTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[346][UNION] = ActionEntry(REDUCE, 140);
   _actionMap[346][ROWLIMIT] = ActionEntry(REDUCE, 140);
   _actionMap[346][KSEP] = ActionEntry(REDUCE, 140);
   _actionMap[346][ASC] = ActionEntry(REDUCE, 140);
   _actionMap[346][DESC] = ActionEntry(REDUCE, 140);
   _actionMap[346][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[346][PLUS] = ActionEntry(REDUCE, 140);
   _actionMap[346][MINUS] = ActionEntry(REDUCE, 140);
   _actionMap[346][CONCAT] = ActionEntry(REDUCE, 140);
   _actionMap[346][DIVISION] = ActionEntry(REDUCE, 140);
   _actionMap[346][STAR] = ActionEntry(REDUCE, 140);
   _actionMap[347][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[347][ELSE] = ActionEntry(REDUCE, 157);
   _actionMap[348][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[348][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[348][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[348][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[348][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[348][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[348][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[348][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[348][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[348][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[348][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[348][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[348][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[348][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[348][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[348][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[348][REPLACE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser133()
{
   _actionMap[348][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[348][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[348][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[348][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[348][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[348][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[348][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[348][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[348][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[348][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[348][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[348][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[348][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[348][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[348][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[348][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[348][LB] = ActionEntry(SHIFT, 136);
   _actionMap[348][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[348][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[348][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[348][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[348][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[348][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[348][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[348][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[348][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[348][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[348][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[348][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[348][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[348][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[348][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[348][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[348][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[348][ObjSpec] = 95;
   _jumpMap[348][Constant] = 94;
   _jumpMap[348][SignedFloat] = 93;
   _jumpMap[348][SignedInt] = 92;
   _jumpMap[348][Attribute] = 91;
   _jumpMap[348][Function] = 90;
   _jumpMap[348][CasePrepare] = 89;
   _jumpMap[348][CaseClause] = 88;
   _jumpMap[348][Factor] = 87;
   _jumpMap[348][Term] = 86;
   _jumpMap[348][Expr] = 472;
   _actionMap[349][INTOK] = ActionEntry(SHIFT, 475);
   _actionMap[349][NOT] = ActionEntry(SHIFT, 478);
   _actionMap[349][BETWEEN] = ActionEntry(SHIFT, 474);
   _actionMap[349][IS] = ActionEntry(SHIFT, 476);
   _actionMap[349][LIKE] = ActionEntry(SHIFT, 477);
}
void Cego::loadParser134()
{
   _actionMap[349][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[349][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[349][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[349][EQU] = ActionEntry(SHIFT, 479);
   _actionMap[349][NEGATION] = ActionEntry(SHIFT, 482);
   _actionMap[349][LT] = ActionEntry(SHIFT, 480);
   _actionMap[349][MT] = ActionEntry(SHIFT, 481);
   _jumpMap[349][Comparison] = 473;
   _actionMap[350][THEN] = ActionEntry(SHIFT, 485);
   _actionMap[350][AND] = ActionEntry(SHIFT, 483);
   _actionMap[350][OR] = ActionEntry(SHIFT, 484);
   _actionMap[351][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[351][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[351][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[351][INNER] = ActionEntry(REDUCE, 295);
   _actionMap[351][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[351][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[351][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[351][RB] = ActionEntry(REDUCE, 295);
   _actionMap[351][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[351][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[351][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[351][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[351][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[351][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[351][OR] = ActionEntry(REDUCE, 295);
   _actionMap[351][AND] = ActionEntry(REDUCE, 295);
   _actionMap[352][LB] = ActionEntry(SHIFT, 486);
   _actionMap[353][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[353][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[353][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[353][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[353][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[353][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[353][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[353][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[353][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[353][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[353][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[353][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[353][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[353][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[353][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[353][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[353][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[353][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[353][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[353][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[353][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[353][RANDSTR] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser135()
{
   _actionMap[353][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[353][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[353][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[353][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[353][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[353][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[353][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[353][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[353][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[353][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[353][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[353][LB] = ActionEntry(SHIFT, 354);
   _actionMap[353][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[353][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[353][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[353][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[353][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[353][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[353][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[353][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[353][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[353][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[353][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[353][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[353][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[353][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[353][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[353][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[353][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[353][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[353][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[353][ObjSpec] = 95;
   _jumpMap[353][Constant] = 94;
   _jumpMap[353][SignedFloat] = 93;
   _jumpMap[353][SignedInt] = 92;
   _jumpMap[353][Attribute] = 91;
   _jumpMap[353][QueryPredicate] = 487;
   _jumpMap[353][Function] = 90;
   _jumpMap[353][CasePrepare] = 89;
   _jumpMap[353][CaseClause] = 88;
   _jumpMap[353][Factor] = 87;
   _jumpMap[353][Term] = 86;
   _jumpMap[353][Expr] = 349;
   _actionMap[354][LONG] = ActionEntry(SHIFT, 261);
   _actionMap[354][BIGINT] = ActionEntry(SHIFT, 257);
   _actionMap[354][SMALLINT] = ActionEntry(SHIFT, 262);
   _actionMap[354][TINYINT] = ActionEntry(SHIFT, 263);
   _actionMap[354][DOUBLE] = ActionEntry(SHIFT, 259);
   _actionMap[354][DECIMAL] = ActionEntry(SHIFT, 258);
   _actionMap[354][FIXED] = ActionEntry(SHIFT, 260);
}
void Cego::loadParser136()
{
   _actionMap[354][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[354][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[354][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[354][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[354][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[354][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[354][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[354][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[354][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[354][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[354][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[354][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[354][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[354][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[354][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[354][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[354][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[354][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[354][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[354][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[354][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[354][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[354][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[354][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[354][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[354][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[354][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[354][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[354][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[354][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[354][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[354][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[354][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[354][LB] = ActionEntry(SHIFT, 354);
   _actionMap[354][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[354][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[354][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[354][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[354][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[354][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[354][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[354][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[354][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[354][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[354][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[354][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[354][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[354][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[354][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[354][MIN] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser137()
{
   _actionMap[354][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[354][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[354][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[354][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[354][ObjSpec] = 95;
   _jumpMap[354][Constant] = 94;
   _jumpMap[354][SignedFloat] = 93;
   _jumpMap[354][SignedInt] = 92;
   _jumpMap[354][Attribute] = 91;
   _jumpMap[354][QueryPredicate] = 351;
   _jumpMap[354][QueryCondition] = 489;
   _jumpMap[354][Function] = 90;
   _jumpMap[354][SelectStatement] = 256;
   _jumpMap[354][CasePrepare] = 89;
   _jumpMap[354][CaseClause] = 88;
   _jumpMap[354][Factor] = 87;
   _jumpMap[354][Term] = 86;
   _jumpMap[354][Expr] = 488;
   _actionMap[355][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[355][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[355][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[355][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[355][RB] = ActionEntry(REDUCE, 289);
   _actionMap[356][RB] = ActionEntry(SHIFT, 491);
   _actionMap[356][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[357][WHEN] = ActionEntry(REDUCE, 287);
   _actionMap[357][ELSE] = ActionEntry(REDUCE, 287);
   _actionMap[357][LEFT] = ActionEntry(REDUCE, 287);
   _actionMap[357][RIGHT] = ActionEntry(REDUCE, 287);
   _actionMap[357][INNER] = ActionEntry(REDUCE, 287);
   _actionMap[357][JOIN] = ActionEntry(REDUCE, 287);
   _actionMap[357][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[357][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[357][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[357][WHERE] = ActionEntry(REDUCE, 287);
   _actionMap[357][FROM] = ActionEntry(REDUCE, 287);
   _actionMap[357][AS] = ActionEntry(REDUCE, 287);
   _actionMap[357][END_TOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[357][BEGIN] = ActionEntry(REDUCE, 287);
   _actionMap[357][THEN] = ActionEntry(REDUCE, 287);
   _actionMap[357][OR] = ActionEntry(REDUCE, 287);
   _actionMap[357][AND] = ActionEntry(REDUCE, 287);
   _actionMap[357][INTOK] = ActionEntry(REDUCE, 287);
   _actionMap[357][NOT] = ActionEntry(REDUCE, 287);
   _actionMap[357][BETWEEN] = ActionEntry(REDUCE, 287);
   _actionMap[357][IS] = ActionEntry(REDUCE, 287);
   _actionMap[357][LIKE] = ActionEntry(REDUCE, 287);
   _actionMap[357][MT] = ActionEntry(REDUCE, 287);
   _actionMap[357][LT] = ActionEntry(REDUCE, 287);
   _actionMap[357][NEGATION] = ActionEntry(REDUCE, 287);
}
void Cego::loadParser138()
{
   _actionMap[357][EQU] = ActionEntry(REDUCE, 287);
   _actionMap[357][RB] = ActionEntry(REDUCE, 287);
   _actionMap[357][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[357][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[357][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[357][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[357][ASC] = ActionEntry(REDUCE, 287);
   _actionMap[357][DESC] = ActionEntry(REDUCE, 287);
   _actionMap[357][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[357][PLUS] = ActionEntry(REDUCE, 287);
   _actionMap[357][MINUS] = ActionEntry(REDUCE, 287);
   _actionMap[357][DIVISION] = ActionEntry(REDUCE, 287);
   _actionMap[357][STAR] = ActionEntry(REDUCE, 287);
   _actionMap[357][CONCAT] = ActionEntry(REDUCE, 287);
   _actionMap[358][RB] = ActionEntry(SHIFT, 492);
   _actionMap[358][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[358][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[358][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[359][RB] = ActionEntry(SHIFT, 493);
   _actionMap[359][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[360][RB] = ActionEntry(SHIFT, 494);
   _actionMap[360][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[361][RB] = ActionEntry(SHIFT, 495);
   _actionMap[361][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[362][RB] = ActionEntry(SHIFT, 496);
   _actionMap[362][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[362][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[362][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[363][RB] = ActionEntry(SHIFT, 497);
   _actionMap[364][KSEP] = ActionEntry(SHIFT, 498);
   _actionMap[365][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[366][RB] = ActionEntry(SHIFT, 499);
   _actionMap[366][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[367][RB] = ActionEntry(SHIFT, 500);
   _actionMap[367][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[368][RB] = ActionEntry(SHIFT, 501);
   _actionMap[368][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[369][LB] = ActionEntry(SHIFT, 502);
   _actionMap[370][RB] = ActionEntry(SHIFT, 503);
   _actionMap[370][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[371][RB] = ActionEntry(SHIFT, 504);
   _actionMap[371][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[372][RB] = ActionEntry(SHIFT, 505);
   _actionMap[372][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[373][RB] = ActionEntry(SHIFT, 506);
   _actionMap[373][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[374][RB] = ActionEntry(SHIFT, 507);
   _actionMap[374][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[375][RB] = ActionEntry(SHIFT, 508);
   _actionMap[375][KSEP] = ActionEntry(SHIFT, 490);
}
void Cego::loadParser139()
{
   _actionMap[376][RB] = ActionEntry(SHIFT, 509);
   _actionMap[376][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[376][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[376][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[377][RB] = ActionEntry(SHIFT, 510);
   _actionMap[377][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[377][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[377][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[378][RB] = ActionEntry(SHIFT, 511);
   _actionMap[378][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[379][RB] = ActionEntry(SHIFT, 512);
   _actionMap[380][RB] = ActionEntry(SHIFT, 513);
   _actionMap[380][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[381][RB] = ActionEntry(SHIFT, 514);
   _actionMap[381][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[382][RB] = ActionEntry(SHIFT, 515);
   _actionMap[382][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[383][RB] = ActionEntry(SHIFT, 516);
   _actionMap[383][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[384][RB] = ActionEntry(SHIFT, 517);
   _actionMap[384][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[385][RB] = ActionEntry(SHIFT, 518);
   _actionMap[385][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[386][RB] = ActionEntry(SHIFT, 519);
   _actionMap[386][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[387][RB] = ActionEntry(SHIFT, 520);
   _actionMap[387][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[388][RB] = ActionEntry(SHIFT, 521);
   _actionMap[388][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[388][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[388][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[389][RB] = ActionEntry(SHIFT, 522);
   _actionMap[389][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[390][RB] = ActionEntry(SHIFT, 523);
   _actionMap[390][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[391][RB] = ActionEntry(SHIFT, 524);
   _actionMap[391][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[392][RB] = ActionEntry(SHIFT, 525);
   _actionMap[392][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[393][RB] = ActionEntry(SHIFT, 526);
   _actionMap[393][KSEP] = ActionEntry(SHIFT, 490);
   _actionMap[394][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[394][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[394][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[394][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[394][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[394][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[394][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[394][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[394][GROUP] = ActionEntry(REDUCE, 147);
}
void Cego::loadParser140()
{
   _actionMap[394][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[394][AS] = ActionEntry(REDUCE, 147);
   _actionMap[394][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[394][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[394][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[394][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[394][OR] = ActionEntry(REDUCE, 147);
   _actionMap[394][AND] = ActionEntry(REDUCE, 147);
   _actionMap[394][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[394][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[394][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[394][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[394][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[394][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[394][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[394][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[394][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[394][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[394][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[394][RB] = ActionEntry(REDUCE, 147);
   _actionMap[394][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[394][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[394][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[394][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[394][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[394][IS] = ActionEntry(REDUCE, 147);
   _actionMap[394][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[394][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[394][LT] = ActionEntry(REDUCE, 147);
   _actionMap[394][MT] = ActionEntry(REDUCE, 147);
   _actionMap[395][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[395][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[395][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[395][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[395][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[395][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[395][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[395][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[395][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[395][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[395][AS] = ActionEntry(REDUCE, 148);
   _actionMap[395][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[395][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[395][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[395][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[395][OR] = ActionEntry(REDUCE, 148);
   _actionMap[395][AND] = ActionEntry(REDUCE, 148);
   _actionMap[395][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[395][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[395][KSEP] = ActionEntry(REDUCE, 148);
}
void Cego::loadParser141()
{
   _actionMap[395][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[395][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[395][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[395][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[395][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[395][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[395][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[395][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[395][RB] = ActionEntry(REDUCE, 148);
   _actionMap[395][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[395][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[395][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[395][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[395][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[395][IS] = ActionEntry(REDUCE, 148);
   _actionMap[395][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[395][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[395][LT] = ActionEntry(REDUCE, 148);
   _actionMap[395][MT] = ActionEntry(REDUCE, 148);
   _actionMap[396][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[396][MINUS] = ActionEntry(SHIFT, 528);
   _jumpMap[396][SignedInt] = 527;
   _actionMap[397][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[397][MINUS] = ActionEntry(SHIFT, 530);
   _jumpMap[397][SignedFloat] = 529;
   _actionMap[398][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[398][MINUS] = ActionEntry(SHIFT, 530);
   _jumpMap[398][SignedFloat] = 531;
   _actionMap[399][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[399][MINUS] = ActionEntry(SHIFT, 530);
   _jumpMap[399][SignedFloat] = 532;
   _actionMap[400][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[400][MINUS] = ActionEntry(SHIFT, 528);
   _jumpMap[400][SignedInt] = 533;
   _actionMap[401][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[401][MINUS] = ActionEntry(SHIFT, 528);
   _jumpMap[401][SignedInt] = 534;
   _actionMap[402][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[402][MINUS] = ActionEntry(SHIFT, 528);
   _jumpMap[402][SignedInt] = 535;
   _actionMap[403][INTVAL] = ActionEntry(SHIFT, 536);
   _actionMap[404][IDENTIFIER] = ActionEntry(SHIFT, 537);
   _actionMap[405][IDENTIFIER] = ActionEntry(SHIFT, 538);
   _actionMap[406][IDENTIFIER] = ActionEntry(SHIFT, 539);
   _actionMap[407][IDENTIFIER] = ActionEntry(SHIFT, 540);
   _actionMap[408][IDENTIFIER] = ActionEntry(SHIFT, 541);
   _actionMap[409][IDENTIFIER] = ActionEntry(SHIFT, 542);
   _actionMap[410][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[410][RB] = ActionEntry(REDUCE, 292);
   _actionMap[410][ENDTOKEN] = ActionEntry(REDUCE, 292);
}
void Cego::loadParser142()
{
   _actionMap[410][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[410][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[410][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[410][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[410][WHERE] = ActionEntry(SHIFT, 335);
   _jumpMap[410][NoWhere] = 334;
   _jumpMap[410][WhereClause] = 543;
   _actionMap[411][WHERE] = ActionEntry(REDUCE, 199);
   _actionMap[411][GROUP] = ActionEntry(REDUCE, 199);
   _actionMap[411][ORDER] = ActionEntry(REDUCE, 199);
   _actionMap[411][ROWLIMIT] = ActionEntry(REDUCE, 199);
   _actionMap[411][UNION] = ActionEntry(REDUCE, 199);
   _actionMap[411][ENDTOKEN] = ActionEntry(REDUCE, 199);
   _actionMap[411][RB] = ActionEntry(REDUCE, 199);
   _actionMap[411][SEMICOLON] = ActionEntry(REDUCE, 199);
   _actionMap[411][RETURNTOKEN] = ActionEntry(REDUCE, 199);
   _actionMap[411][INNER] = ActionEntry(SHIFT, 546);
   _actionMap[411][JOIN] = ActionEntry(SHIFT, 547);
   _actionMap[411][LEFT] = ActionEntry(SHIFT, 548);
   _actionMap[411][RIGHT] = ActionEntry(SHIFT, 549);
   _jumpMap[411][InnerJoin] = 545;
   _jumpMap[411][JoinSpec] = 544;
   _actionMap[412][WHERE] = ActionEntry(REDUCE, 198);
   _actionMap[412][GROUP] = ActionEntry(REDUCE, 198);
   _actionMap[412][ORDER] = ActionEntry(REDUCE, 198);
   _actionMap[412][ROWLIMIT] = ActionEntry(REDUCE, 198);
   _actionMap[412][UNION] = ActionEntry(REDUCE, 198);
   _actionMap[412][ENDTOKEN] = ActionEntry(REDUCE, 198);
   _actionMap[412][RB] = ActionEntry(REDUCE, 198);
   _actionMap[412][SEMICOLON] = ActionEntry(REDUCE, 198);
   _actionMap[412][RETURNTOKEN] = ActionEntry(REDUCE, 198);
   _actionMap[413][KSEP] = ActionEntry(SHIFT, 551);
   _actionMap[413][RETURNTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[413][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[413][RB] = ActionEntry(REDUCE, 208);
   _actionMap[413][ENDTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[413][UNION] = ActionEntry(REDUCE, 208);
   _actionMap[413][ROWLIMIT] = ActionEntry(REDUCE, 208);
   _actionMap[413][ORDER] = ActionEntry(REDUCE, 208);
   _actionMap[413][GROUP] = ActionEntry(REDUCE, 208);
   _actionMap[413][WHERE] = ActionEntry(REDUCE, 208);
   _actionMap[413][INNER] = ActionEntry(SHIFT, 546);
   _actionMap[413][JOIN] = ActionEntry(SHIFT, 547);
   _actionMap[413][LEFT] = ActionEntry(SHIFT, 548);
   _actionMap[413][RIGHT] = ActionEntry(SHIFT, 549);
   _jumpMap[413][InnerJoin] = 545;
   _jumpMap[413][JoinSpec] = 550;
   _actionMap[414][WHERE] = ActionEntry(REDUCE, 209);
   _actionMap[414][IDENTIFIER] = ActionEntry(SHIFT, 552);
   _actionMap[414][GROUP] = ActionEntry(REDUCE, 209);
}
void Cego::loadParser143()
{
   _actionMap[414][ORDER] = ActionEntry(REDUCE, 209);
   _actionMap[414][ROWLIMIT] = ActionEntry(REDUCE, 209);
   _actionMap[414][UNION] = ActionEntry(REDUCE, 209);
   _actionMap[414][ENDTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[414][RB] = ActionEntry(REDUCE, 209);
   _actionMap[414][SEMICOLON] = ActionEntry(REDUCE, 209);
   _actionMap[414][RETURNTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[414][LEFT] = ActionEntry(REDUCE, 209);
   _actionMap[414][RIGHT] = ActionEntry(REDUCE, 209);
   _actionMap[414][INNER] = ActionEntry(REDUCE, 209);
   _actionMap[414][JOIN] = ActionEntry(REDUCE, 209);
   _actionMap[414][KSEP] = ActionEntry(REDUCE, 209);
   _actionMap[414][ON] = ActionEntry(REDUCE, 209);
   _actionMap[415][FROM] = ActionEntry(REDUCE, 197);
   _actionMap[415][KSEP] = ActionEntry(REDUCE, 197);
   _actionMap[416][IDENTIFIER] = ActionEntry(SHIFT, 553);
   _actionMap[417][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[417][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[417][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[417][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[417][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[417][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[417][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[417][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[417][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[417][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[417][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[417][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[417][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[417][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[417][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[417][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[417][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[417][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[417][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[417][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[417][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[417][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[417][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[417][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[417][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[417][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[417][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[417][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[417][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[417][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[417][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[417][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[417][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[417][LB] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser144()
{
   _actionMap[417][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[417][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[417][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[417][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[417][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[417][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[417][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[417][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[417][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[417][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[417][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[417][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[417][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[417][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[417][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[417][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[417][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[417][ObjSpec] = 95;
   _jumpMap[417][Constant] = 94;
   _jumpMap[417][SignedFloat] = 93;
   _jumpMap[417][SignedInt] = 92;
   _jumpMap[417][Attribute] = 91;
   _jumpMap[417][Function] = 90;
   _jumpMap[417][SelectItem] = 554;
   _jumpMap[417][CasePrepare] = 89;
   _jumpMap[417][CaseClause] = 88;
   _jumpMap[417][Factor] = 87;
   _jumpMap[417][Term] = 86;
   _jumpMap[417][Expr] = 277;
   _actionMap[418][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[418][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[418][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[418][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[418][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[418][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[418][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[418][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[418][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[418][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[418][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[418][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[418][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[418][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[418][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[418][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[418][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[418][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[418][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[418][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[418][STR2LONG] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser145()
{
   _actionMap[418][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[418][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[418][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[418][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[418][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[418][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[418][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[418][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[418][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[418][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[418][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[418][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[418][LB] = ActionEntry(SHIFT, 136);
   _actionMap[418][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[418][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[418][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[418][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[418][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[418][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[418][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[418][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[418][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[418][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[418][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[418][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[418][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[418][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[418][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[418][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[418][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[418][ObjSpec] = 95;
   _jumpMap[418][Constant] = 94;
   _jumpMap[418][SignedFloat] = 93;
   _jumpMap[418][SignedInt] = 92;
   _jumpMap[418][Attribute] = 91;
   _jumpMap[418][Function] = 90;
   _jumpMap[418][CasePrepare] = 89;
   _jumpMap[418][CaseClause] = 88;
   _jumpMap[418][Factor] = 87;
   _jumpMap[418][Term] = 86;
   _jumpMap[418][Expr] = 555;
   _actionMap[419][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[419][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[419][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[419][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[420][KSEP] = ActionEntry(SHIFT, 557);
   _actionMap[420][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[420][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[420][WHERE] = ActionEntry(SHIFT, 335);
   _jumpMap[420][NoWhere] = 334;
}
void Cego::loadParser146()
{
   _jumpMap[420][WhereClause] = 556;
   _actionMap[421][KSEP] = ActionEntry(REDUCE, 238);
   _actionMap[421][WHERE] = ActionEntry(REDUCE, 238);
   _actionMap[421][GROUP] = ActionEntry(REDUCE, 238);
   _actionMap[421][ORDER] = ActionEntry(REDUCE, 238);
   _actionMap[421][ROWLIMIT] = ActionEntry(REDUCE, 238);
   _actionMap[421][UNION] = ActionEntry(REDUCE, 238);
   _actionMap[421][ENDTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[421][RB] = ActionEntry(REDUCE, 238);
   _actionMap[421][SEMICOLON] = ActionEntry(REDUCE, 238);
   _actionMap[421][RETURNTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[422][EQU] = ActionEntry(SHIFT, 558);
   _actionMap[423][LB] = ActionEntry(SHIFT, 559);
   _actionMap[174][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[175][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[176][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[176][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[176][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[176][ObjSpec] = 295;
   _actionMap[177][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[178][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[179][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[180][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[181][ADD] = ActionEntry(SHIFT, 298);
   _actionMap[181][DROP] = ActionEntry(SHIFT, 299);
   _actionMap[181][MODIFY] = ActionEntry(SHIFT, 300);
   _actionMap[181][RENAME] = ActionEntry(SHIFT, 301);
   _jumpMap[181][AlterOption] = 297;
   _jumpMap[181][AlterList] = 296;
   _actionMap[182][BY] = ActionEntry(SHIFT, 302);
   _actionMap[183][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[183][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[183][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[183][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[183][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[183][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[183][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[183][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[183][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[183][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[183][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[183][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[183][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[183][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[183][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[183][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[183][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[183][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[183][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[183][STR2INT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser147()
{
   _actionMap[183][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[183][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[183][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[183][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[183][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[183][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[183][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[183][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[183][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[183][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[183][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[183][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[183][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[183][LB] = ActionEntry(SHIFT, 136);
   _actionMap[183][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[183][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[183][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[183][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[183][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[183][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[183][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[183][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[183][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[183][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[183][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[183][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[183][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[183][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[183][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[183][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[183][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[183][RB] = ActionEntry(REDUCE, 112);
   _jumpMap[183][ObjSpec] = 95;
   _jumpMap[183][Constant] = 94;
   _jumpMap[183][SignedFloat] = 93;
   _jumpMap[183][SignedInt] = 92;
   _jumpMap[183][Attribute] = 91;
   _jumpMap[183][Function] = 90;
   _jumpMap[183][CasePrepare] = 89;
   _jumpMap[183][CaseClause] = 88;
   _jumpMap[183][Factor] = 87;
   _jumpMap[183][Term] = 86;
   _jumpMap[183][Expr] = 305;
   _jumpMap[183][ProcValueList] = 304;
   _jumpMap[183][ProcValueListOpt] = 303;
   _actionMap[184][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[185][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[185][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[185][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[185][TRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser148()
{
   _actionMap[185][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[185][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[185][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[185][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[185][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[185][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[185][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[185][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[185][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[185][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[185][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[185][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[185][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[185][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[185][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[185][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[185][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[185][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[185][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[185][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[185][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[185][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[185][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[185][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[185][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[185][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[185][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[185][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[185][LB] = ActionEntry(SHIFT, 136);
   _actionMap[185][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[185][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[185][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[185][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[185][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[185][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[185][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[185][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[185][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[185][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[185][VARREF] = ActionEntry(SHIFT, 327);
   _actionMap[185][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[185][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[185][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[185][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[185][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[185][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[185][IF] = ActionEntry(SHIFT, 322);
   _actionMap[185][BEGIN] = ActionEntry(SHIFT, 319);
   _actionMap[185][ROLLBACK] = ActionEntry(SHIFT, 29);
}
void Cego::loadParser149()
{
   _actionMap[185][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[185][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[185][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[185][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[185][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[185][VAR] = ActionEntry(SHIFT, 325);
   _actionMap[185][CURSOR] = ActionEntry(SHIFT, 321);
   _actionMap[185][CLOSE] = ActionEntry(SHIFT, 320);
   _actionMap[185][NOOP] = ActionEntry(SHIFT, 323);
   _actionMap[185][RETURNTOKEN] = ActionEntry(SHIFT, 324);
   _actionMap[185][WHILE] = ActionEntry(SHIFT, 326);
   _jumpMap[185][ObjSpec] = 95;
   _jumpMap[185][Constant] = 94;
   _jumpMap[185][SignedFloat] = 93;
   _jumpMap[185][SignedInt] = 92;
   _jumpMap[185][Attribute] = 91;
   _jumpMap[185][Function] = 90;
   _jumpMap[185][DeleteStatement] = 318;
   _jumpMap[185][UpdateStatement] = 317;
   _jumpMap[185][InsertStatement] = 316;
   _jumpMap[185][RollbackStatement] = 315;
   _jumpMap[185][CommitStatement] = 314;
   _jumpMap[185][StartStatement] = 313;
   _jumpMap[185][CasePrepare] = 89;
   _jumpMap[185][CaseClause] = 88;
   _jumpMap[185][Factor] = 87;
   _jumpMap[185][Term] = 86;
   _jumpMap[185][Expr] = 312;
   _jumpMap[185][ProcStatement] = 311;
   _jumpMap[185][ProcIfPart] = 310;
   _jumpMap[185][ProcBlockStart] = 309;
   _jumpMap[185][ProcStatementList] = 308;
   _jumpMap[185][ProcStmtBlock] = 307;
   _actionMap[186][IDENTIFIER] = ActionEntry(SHIFT, 328);
   _actionMap[187][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[188][ON] = ActionEntry(SHIFT, 329);
   _actionMap[189][LB] = ActionEntry(SHIFT, 330);
   _actionMap[190][LB] = ActionEntry(SHIFT, 331);
   _actionMap[191][AS] = ActionEntry(SHIFT, 332);
   _actionMap[192][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[192][WHERE] = ActionEntry(SHIFT, 335);
   _jumpMap[192][NoWhere] = 334;
   _jumpMap[192][WhereClause] = 333;
   _actionMap[193][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[194][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[196][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[197][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[198][COUNTER] = ActionEntry(REDUCE, 62);
   _actionMap[198][CHECK] = ActionEntry(REDUCE, 62);
}
void Cego::loadParser150()
{
   _actionMap[198][FOREIGN] = ActionEntry(REDUCE, 62);
   _actionMap[198][PROCEDURE] = ActionEntry(REDUCE, 62);
   _actionMap[198][VIEW] = ActionEntry(REDUCE, 62);
   _actionMap[198][INDEX] = ActionEntry(REDUCE, 62);
   _actionMap[198][TABLE] = ActionEntry(REDUCE, 62);
   _actionMap[199][LB] = ActionEntry(SHIFT, 339);
   _actionMap[199][VALUES] = ActionEntry(REDUCE, 186);
   _actionMap[199][SELECT] = ActionEntry(REDUCE, 186);
   _jumpMap[199][SelectStatement] = 337;
   _jumpMap[199][InsertArgSpec] = 336;
   _actionMap[200][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[200][IDENTIFIER] = ActionEntry(REDUCE, 72);
   _actionMap[201][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[202][IDENTIFIER] = ActionEntry(SHIFT, 340);
   _actionMap[203][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[204][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[205][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[206][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[208][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[209][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[210][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[211][AS] = ActionEntry(SHIFT, 341);
   _actionMap[212][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[212][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[212][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[212][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[212][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[212][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[212][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[212][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[212][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[212][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[212][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[212][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[212][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[212][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[212][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[212][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[212][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[212][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[212][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[212][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[212][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[212][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[212][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[212][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[212][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[212][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[212][RANDINT] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser151()
{
   _actionMap[212][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[212][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[212][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[212][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[212][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[212][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[212][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[212][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[212][LB] = ActionEntry(SHIFT, 136);
   _actionMap[212][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[212][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[212][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[212][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[212][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[212][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[212][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[212][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[212][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[212][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[212][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[212][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[212][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[212][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[212][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[212][ObjSpec] = 95;
   _jumpMap[212][Constant] = 94;
   _jumpMap[212][SignedFloat] = 93;
   _jumpMap[212][SignedInt] = 92;
   _jumpMap[212][Attribute] = 91;
   _jumpMap[212][Function] = 90;
   _jumpMap[212][CasePrepare] = 89;
   _jumpMap[212][CaseClause] = 88;
   _jumpMap[212][Factor] = 87;
   _jumpMap[212][Term] = 342;
   _actionMap[213][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[213][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[213][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[213][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[213][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[213][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[213][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[213][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[213][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[213][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[213][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[213][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[213][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[213][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[213][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[213][UPPER] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser152()
{
   _actionMap[213][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[213][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[213][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[213][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[213][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[213][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[213][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[213][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[213][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[213][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[213][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[213][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[213][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[213][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[213][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[213][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[213][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[213][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[213][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[213][LB] = ActionEntry(SHIFT, 136);
   _actionMap[213][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[213][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[213][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[213][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[213][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[213][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[213][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[213][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[213][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[213][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[213][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[213][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[213][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[213][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[213][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[213][ObjSpec] = 95;
   _jumpMap[213][Constant] = 94;
   _jumpMap[213][SignedFloat] = 93;
   _jumpMap[213][SignedInt] = 92;
   _jumpMap[213][Attribute] = 91;
   _jumpMap[213][Function] = 90;
   _jumpMap[213][CasePrepare] = 89;
   _jumpMap[213][CaseClause] = 88;
   _jumpMap[213][Factor] = 87;
   _jumpMap[213][Term] = 343;
   _actionMap[214][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[214][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[214][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[214][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[214][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser153()
{
   _actionMap[214][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[214][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[214][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[214][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[214][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[214][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[214][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[214][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[214][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[214][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[214][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[214][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[214][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[214][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[214][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[214][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[214][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[214][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[214][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[214][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[214][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[214][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[214][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[214][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[214][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[214][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[214][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[214][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[214][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[214][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[214][LB] = ActionEntry(SHIFT, 136);
   _actionMap[214][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[214][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[214][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[214][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[214][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[214][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[214][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[214][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[214][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[214][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[214][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[214][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[214][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[214][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[214][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[214][ObjSpec] = 95;
   _jumpMap[214][Constant] = 94;
   _jumpMap[214][SignedFloat] = 93;
   _jumpMap[214][SignedInt] = 92;
}
void Cego::loadParser154()
{
   _jumpMap[214][Attribute] = 91;
   _jumpMap[214][Function] = 90;
   _jumpMap[214][CasePrepare] = 89;
   _jumpMap[214][CaseClause] = 88;
   _jumpMap[214][Factor] = 87;
   _jumpMap[214][Term] = 344;
   _actionMap[215][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[215][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[215][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[215][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[215][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[215][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[215][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[215][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[215][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[215][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[215][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[215][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[215][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[215][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[215][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[215][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[215][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[215][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[215][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[215][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[215][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[215][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[215][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[215][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[215][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[215][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[215][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[215][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[215][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[215][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[215][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[215][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[215][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[215][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[215][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[215][LB] = ActionEntry(SHIFT, 136);
   _actionMap[215][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[215][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[215][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[215][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[215][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[215][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[215][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[215][COUNTERID] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser155()
{
   _actionMap[215][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[215][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[215][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[215][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[215][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[215][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[215][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[215][ObjSpec] = 95;
   _jumpMap[215][Constant] = 94;
   _jumpMap[215][SignedFloat] = 93;
   _jumpMap[215][SignedInt] = 92;
   _jumpMap[215][Attribute] = 91;
   _jumpMap[215][Function] = 90;
   _jumpMap[215][CasePrepare] = 89;
   _jumpMap[215][CaseClause] = 88;
   _jumpMap[215][Factor] = 345;
   _actionMap[216][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[216][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[216][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[216][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[216][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[216][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[216][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[216][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[216][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[216][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[216][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[216][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[216][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[216][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[216][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[216][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[216][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[216][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[216][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[216][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[216][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[216][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[216][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[216][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[216][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[216][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[216][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[216][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[216][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[216][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[216][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[216][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[216][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[216][NEXTCOUNT] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser156()
{
   _actionMap[216][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[216][LB] = ActionEntry(SHIFT, 136);
   _actionMap[216][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[216][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[216][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[216][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[216][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[216][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[216][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[216][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[216][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[216][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[216][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[216][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[216][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[216][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[216][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[216][ObjSpec] = 95;
   _jumpMap[216][Constant] = 94;
   _jumpMap[216][SignedFloat] = 93;
   _jumpMap[216][SignedInt] = 92;
   _jumpMap[216][Attribute] = 91;
   _jumpMap[216][Function] = 90;
   _jumpMap[216][CasePrepare] = 89;
   _jumpMap[216][CaseClause] = 88;
   _jumpMap[216][Factor] = 346;
   _actionMap[217][ELSE] = ActionEntry(SHIFT, 348);
   _actionMap[217][WHEN] = ActionEntry(SHIFT, 219);
   _jumpMap[217][CaseCondition] = 347;
   _actionMap[218][WHEN] = ActionEntry(REDUCE, 158);
   _actionMap[218][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[219][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[219][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[219][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[219][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[219][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[219][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[219][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[219][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[219][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[219][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[219][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[219][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[219][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[219][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[219][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[219][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[219][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[219][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[219][TRUNC] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser157()
{
   _actionMap[219][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[219][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[219][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[219][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[219][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[219][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[219][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[219][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[219][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[219][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[219][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[219][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[219][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[219][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[219][LB] = ActionEntry(SHIFT, 354);
   _actionMap[219][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[219][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[219][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[219][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[219][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[219][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[219][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[219][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[219][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[219][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[219][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[219][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[219][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[219][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[219][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[219][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[219][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[219][EXISTS] = ActionEntry(SHIFT, 352);
   _actionMap[219][NOT] = ActionEntry(SHIFT, 353);
   _jumpMap[219][ObjSpec] = 95;
   _jumpMap[219][Constant] = 94;
   _jumpMap[219][SignedFloat] = 93;
   _jumpMap[219][SignedInt] = 92;
   _jumpMap[219][Attribute] = 91;
   _jumpMap[219][QueryPredicate] = 351;
   _jumpMap[219][QueryCondition] = 350;
   _jumpMap[219][Function] = 90;
   _jumpMap[219][CasePrepare] = 89;
   _jumpMap[219][CaseClause] = 88;
   _jumpMap[219][Factor] = 87;
   _jumpMap[219][Term] = 86;
   _jumpMap[219][Expr] = 349;
   _actionMap[220][RB] = ActionEntry(SHIFT, 357);
   _actionMap[220][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[220][MINUS] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser158()
{
   _actionMap[220][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[220][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[220][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[220][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[220][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[220][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[220][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[220][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[220][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[220][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[220][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[220][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[220][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[220][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[220][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[220][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[220][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[220][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[220][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[220][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[220][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[220][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[220][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[220][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[220][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[220][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[220][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[220][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[220][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[220][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[220][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[220][LB] = ActionEntry(SHIFT, 136);
   _actionMap[220][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[220][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[220][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[220][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[220][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[220][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[220][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[220][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[220][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[220][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[220][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[220][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[220][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[220][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[220][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[220][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[220][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[220][ObjSpec] = 95;
}
void Cego::loadParser159()
{
   _jumpMap[220][Constant] = 94;
   _jumpMap[220][SignedFloat] = 93;
   _jumpMap[220][SignedInt] = 92;
   _jumpMap[220][Attribute] = 91;
   _jumpMap[220][ExpressionList] = 356;
   _jumpMap[220][Function] = 90;
   _jumpMap[220][CasePrepare] = 89;
   _jumpMap[220][CaseClause] = 88;
   _jumpMap[220][Factor] = 87;
   _jumpMap[220][Term] = 86;
   _jumpMap[220][Expr] = 355;
   _actionMap[221][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[221][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[221][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[221][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[221][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[221][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[221][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[221][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[221][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[221][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[221][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[221][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[221][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[221][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[221][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[221][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[221][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[221][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[221][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[221][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[221][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[221][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[221][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[221][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[221][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[221][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[221][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[221][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[221][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[221][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[221][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[221][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[221][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[221][LB] = ActionEntry(SHIFT, 136);
   _actionMap[221][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[221][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[221][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[221][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[221][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser160()
{
   _actionMap[221][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[221][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[221][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[221][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[221][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[221][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[221][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[221][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[221][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[221][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[221][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[221][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[221][ObjSpec] = 95;
   _jumpMap[221][Constant] = 94;
   _jumpMap[221][SignedFloat] = 93;
   _jumpMap[221][SignedInt] = 92;
   _jumpMap[221][Attribute] = 91;
   _jumpMap[221][Function] = 90;
   _jumpMap[221][CasePrepare] = 89;
   _jumpMap[221][CaseClause] = 88;
   _jumpMap[221][Factor] = 87;
   _jumpMap[221][Term] = 86;
   _jumpMap[221][Expr] = 358;
   _actionMap[222][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[222][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[222][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[222][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[222][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[222][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[222][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[222][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[222][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[222][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[222][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[222][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[222][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[222][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[222][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[222][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[222][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[222][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[222][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[222][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[222][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[222][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[222][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[222][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[222][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[222][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[222][BITAND] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser161()
{
   _actionMap[222][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[222][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[222][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[222][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[222][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[222][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[222][LB] = ActionEntry(SHIFT, 136);
   _actionMap[222][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[222][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[222][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[222][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[222][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[222][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[222][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[222][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[222][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[222][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[222][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[222][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[222][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[222][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[222][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[222][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[222][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[222][ObjSpec] = 95;
   _jumpMap[222][Constant] = 94;
   _jumpMap[222][SignedFloat] = 93;
   _jumpMap[222][SignedInt] = 92;
   _jumpMap[222][Attribute] = 91;
   _jumpMap[222][ExpressionList] = 359;
   _jumpMap[222][Function] = 90;
   _jumpMap[222][CasePrepare] = 89;
   _jumpMap[222][CaseClause] = 88;
   _jumpMap[222][Factor] = 87;
   _jumpMap[222][Term] = 86;
   _jumpMap[222][Expr] = 355;
   _actionMap[223][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[223][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[223][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[223][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[223][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[223][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[223][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[223][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[223][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[223][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[223][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[223][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[223][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[223][RIGHT] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser162()
{
   _actionMap[223][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[223][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[223][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[223][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[223][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[223][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[223][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[223][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[223][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[223][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[223][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[223][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[223][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[223][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[223][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[223][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[223][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[223][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[223][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[223][LB] = ActionEntry(SHIFT, 136);
   _actionMap[223][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[223][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[223][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[223][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[223][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[223][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[223][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[223][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[223][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[223][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[223][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[223][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[223][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[223][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[223][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[223][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[223][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[223][ObjSpec] = 95;
   _jumpMap[223][Constant] = 94;
   _jumpMap[223][SignedFloat] = 93;
   _jumpMap[223][SignedInt] = 92;
   _jumpMap[223][Attribute] = 91;
   _jumpMap[223][ExpressionList] = 360;
   _jumpMap[223][Function] = 90;
   _jumpMap[223][CasePrepare] = 89;
   _jumpMap[223][CaseClause] = 88;
   _jumpMap[223][Factor] = 87;
   _jumpMap[223][Term] = 86;
   _jumpMap[223][Expr] = 355;
   _actionMap[224][FLOATVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser163()
{
   _actionMap[224][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[224][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[224][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[224][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[224][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[224][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[224][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[224][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[224][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[224][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[224][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[224][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[224][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[224][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[224][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[224][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[224][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[224][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[224][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[224][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[224][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[224][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[224][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[224][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[224][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[224][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[224][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[224][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[224][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[224][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[224][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[224][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[224][LB] = ActionEntry(SHIFT, 136);
   _actionMap[224][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[224][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[224][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[224][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[224][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[224][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[224][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[224][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[224][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[224][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[224][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[224][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[224][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[224][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[224][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[224][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[224][MAX] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser164()
{
   _jumpMap[224][ObjSpec] = 95;
   _jumpMap[224][Constant] = 94;
   _jumpMap[224][SignedFloat] = 93;
   _jumpMap[224][SignedInt] = 92;
   _jumpMap[224][Attribute] = 91;
   _jumpMap[224][ExpressionList] = 361;
   _jumpMap[224][Function] = 90;
   _jumpMap[224][CasePrepare] = 89;
   _jumpMap[224][CaseClause] = 88;
   _jumpMap[224][Factor] = 87;
   _jumpMap[224][Term] = 86;
   _jumpMap[224][Expr] = 355;
   _actionMap[225][STAR] = ActionEntry(SHIFT, 363);
   _actionMap[225][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[225][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[225][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[225][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[225][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[225][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[225][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[225][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[225][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[225][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[225][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[225][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[225][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[225][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[225][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[225][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[225][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[225][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[225][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[225][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[225][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[225][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[225][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[225][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[225][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[225][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[225][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[225][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[225][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[225][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[225][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[225][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[225][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[225][LB] = ActionEntry(SHIFT, 136);
   _actionMap[225][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[225][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[225][SYSDATE] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser165()
{
   _actionMap[225][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[225][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[225][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[225][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[225][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[225][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[225][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[225][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[225][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[225][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[225][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[225][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[225][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[225][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[225][ObjSpec] = 95;
   _jumpMap[225][Constant] = 94;
   _jumpMap[225][SignedFloat] = 93;
   _jumpMap[225][SignedInt] = 92;
   _jumpMap[225][Attribute] = 91;
   _jumpMap[225][Function] = 90;
   _jumpMap[225][CasePrepare] = 89;
   _jumpMap[225][CaseClause] = 88;
   _jumpMap[225][Factor] = 87;
   _jumpMap[225][Term] = 86;
   _jumpMap[225][Expr] = 362;
   _actionMap[226][STRINGVAL] = ActionEntry(SHIFT, 365);
   _jumpMap[226][DateFormat] = 364;
   _actionMap[227][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[227][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[227][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[227][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[227][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[227][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[227][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[227][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[227][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[227][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[227][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[227][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[227][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[227][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[227][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[227][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[227][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[227][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[227][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[227][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[227][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[227][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[227][RANDINT] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser166()
{
   _actionMap[227][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[227][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[227][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[227][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[227][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[227][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[227][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[227][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[227][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[227][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[227][LB] = ActionEntry(SHIFT, 136);
   _actionMap[227][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[227][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[227][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[227][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[227][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[227][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[227][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[227][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[227][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[227][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[227][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[227][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[227][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[227][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[227][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[227][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[227][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[227][ObjSpec] = 95;
   _jumpMap[227][Constant] = 94;
   _jumpMap[227][SignedFloat] = 93;
   _jumpMap[227][SignedInt] = 92;
   _jumpMap[227][Attribute] = 91;
   _jumpMap[227][ExpressionList] = 366;
   _jumpMap[227][Function] = 90;
   _jumpMap[227][CasePrepare] = 89;
   _jumpMap[227][CaseClause] = 88;
   _jumpMap[227][Factor] = 87;
   _jumpMap[227][Term] = 86;
   _jumpMap[227][Expr] = 355;
   _actionMap[228][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[228][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[228][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[228][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[228][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[228][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[228][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[228][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[228][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[228][INT2DATE] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser167()
{
   _actionMap[228][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[228][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[228][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[228][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[228][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[228][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[228][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[228][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[228][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[228][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[228][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[228][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[228][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[228][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[228][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[228][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[228][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[228][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[228][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[228][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[228][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[228][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[228][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[228][LB] = ActionEntry(SHIFT, 136);
   _actionMap[228][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[228][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[228][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[228][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[228][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[228][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[228][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[228][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[228][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[228][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[228][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[228][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[228][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[228][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[228][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[228][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[228][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[228][ObjSpec] = 95;
   _jumpMap[228][Constant] = 94;
   _jumpMap[228][SignedFloat] = 93;
   _jumpMap[228][SignedInt] = 92;
   _jumpMap[228][Attribute] = 91;
   _jumpMap[228][ExpressionList] = 367;
   _jumpMap[228][Function] = 90;
   _jumpMap[228][CasePrepare] = 89;
   _jumpMap[228][CaseClause] = 88;
}
void Cego::loadParser168()
{
   _jumpMap[228][Factor] = 87;
   _jumpMap[228][Term] = 86;
   _jumpMap[228][Expr] = 355;
   _actionMap[229][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[229][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[229][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[229][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[229][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[229][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[229][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[229][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[229][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[229][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[229][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[229][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[229][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[229][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[229][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[229][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[229][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[229][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[229][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[229][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[229][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[229][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[229][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[229][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[229][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[229][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[229][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[229][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[229][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[229][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[229][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[229][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[229][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[229][LB] = ActionEntry(SHIFT, 136);
   _actionMap[229][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[229][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[229][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[229][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[229][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[229][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[229][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[229][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[229][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[229][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[229][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[229][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[229][COUNT] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser169()
{
   _actionMap[229][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[229][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[229][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[229][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[229][ObjSpec] = 95;
   _jumpMap[229][Constant] = 94;
   _jumpMap[229][SignedFloat] = 93;
   _jumpMap[229][SignedInt] = 92;
   _jumpMap[229][Attribute] = 91;
   _jumpMap[229][ExpressionList] = 368;
   _jumpMap[229][Function] = 90;
   _jumpMap[229][CasePrepare] = 89;
   _jumpMap[229][CaseClause] = 88;
   _jumpMap[229][Factor] = 87;
   _jumpMap[229][Term] = 86;
   _jumpMap[229][Expr] = 355;
   _actionMap[230][INTO] = ActionEntry(SHIFT, 369);
   _actionMap[231][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[231][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[231][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[231][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[231][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[231][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[231][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[231][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[231][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[231][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[231][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[231][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[231][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[231][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[231][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[231][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[231][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[231][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[231][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[231][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[231][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[231][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[231][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[231][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[231][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[231][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[231][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[231][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[231][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[231][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[231][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[231][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[231][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser170()
{
   _actionMap[231][LB] = ActionEntry(SHIFT, 136);
   _actionMap[231][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[231][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[231][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[231][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[231][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[231][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[231][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[231][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[231][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[231][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[231][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[231][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[231][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[231][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[231][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[231][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[231][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[231][ObjSpec] = 95;
   _jumpMap[231][Constant] = 94;
   _jumpMap[231][SignedFloat] = 93;
   _jumpMap[231][SignedInt] = 92;
   _jumpMap[231][Attribute] = 91;
   _jumpMap[231][ExpressionList] = 370;
   _jumpMap[231][Function] = 90;
   _jumpMap[231][CasePrepare] = 89;
   _jumpMap[231][CaseClause] = 88;
   _jumpMap[231][Factor] = 87;
   _jumpMap[231][Term] = 86;
   _jumpMap[231][Expr] = 355;
   _actionMap[232][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[232][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[232][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[232][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[232][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[232][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[232][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[232][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[232][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[232][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[232][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[232][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[232][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[232][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[232][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[232][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[232][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[232][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[232][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[232][STR2INT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser171()
{
   _actionMap[232][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[232][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[232][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[232][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[232][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[232][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[232][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[232][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[232][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[232][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[232][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[232][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[232][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[232][LB] = ActionEntry(SHIFT, 136);
   _actionMap[232][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[232][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[232][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[232][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[232][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[232][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[232][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[232][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[232][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[232][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[232][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[232][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[232][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[232][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[232][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[232][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[232][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[232][ObjSpec] = 95;
   _jumpMap[232][Constant] = 94;
   _jumpMap[232][SignedFloat] = 93;
   _jumpMap[232][SignedInt] = 92;
   _jumpMap[232][Attribute] = 91;
   _jumpMap[232][ExpressionList] = 371;
   _jumpMap[232][Function] = 90;
   _jumpMap[232][CasePrepare] = 89;
   _jumpMap[232][CaseClause] = 88;
   _jumpMap[232][Factor] = 87;
   _jumpMap[232][Term] = 86;
   _jumpMap[232][Expr] = 355;
   _actionMap[233][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[233][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[233][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[233][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[233][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[233][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[233][ROUND] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser172()
{
   _actionMap[233][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[233][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[233][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[233][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[233][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[233][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[233][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[233][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[233][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[233][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[233][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[233][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[233][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[233][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[233][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[233][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[233][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[233][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[233][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[233][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[233][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[233][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[233][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[233][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[233][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[233][LB] = ActionEntry(SHIFT, 136);
   _actionMap[233][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[233][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[233][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[233][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[233][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[233][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[233][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[233][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[233][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[233][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[233][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[233][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[233][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[233][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[233][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[233][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[233][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[233][ObjSpec] = 95;
   _jumpMap[233][Constant] = 94;
   _jumpMap[233][SignedFloat] = 93;
   _jumpMap[233][SignedInt] = 92;
   _jumpMap[233][Attribute] = 91;
   _jumpMap[233][ExpressionList] = 372;
}
void Cego::loadParser173()
{
   _jumpMap[233][Function] = 90;
   _jumpMap[233][CasePrepare] = 89;
   _jumpMap[233][CaseClause] = 88;
   _jumpMap[233][Factor] = 87;
   _jumpMap[233][Term] = 86;
   _jumpMap[233][Expr] = 355;
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[234][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[234][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[234][LB] = ActionEntry(SHIFT, 136);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[234][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[234][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser174()
{
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[234][ObjSpec] = 95;
   _jumpMap[234][Constant] = 94;
   _jumpMap[234][SignedFloat] = 93;
   _jumpMap[234][SignedInt] = 92;
   _jumpMap[234][Attribute] = 91;
   _jumpMap[234][ExpressionList] = 373;
   _jumpMap[234][Function] = 90;
   _jumpMap[234][CasePrepare] = 89;
   _jumpMap[234][CaseClause] = 88;
   _jumpMap[234][Factor] = 87;
   _jumpMap[234][Term] = 86;
   _jumpMap[234][Expr] = 355;
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser175()
{
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[235][LB] = ActionEntry(SHIFT, 136);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[235][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[235][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[235][ObjSpec] = 95;
   _jumpMap[235][Constant] = 94;
   _jumpMap[235][SignedFloat] = 93;
   _jumpMap[235][SignedInt] = 92;
   _jumpMap[235][Attribute] = 91;
   _jumpMap[235][ExpressionList] = 374;
   _jumpMap[235][Function] = 90;
   _jumpMap[235][CasePrepare] = 89;
   _jumpMap[235][CaseClause] = 88;
   _jumpMap[235][Factor] = 87;
   _jumpMap[235][Term] = 86;
   _jumpMap[235][Expr] = 355;
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[236][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[236][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser176()
{
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[236][LB] = ActionEntry(SHIFT, 136);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[236][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[236][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[236][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[236][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[236][ObjSpec] = 95;
   _jumpMap[236][Constant] = 94;
   _jumpMap[236][SignedFloat] = 93;
   _jumpMap[236][SignedInt] = 92;
   _jumpMap[236][Attribute] = 91;
   _jumpMap[236][ExpressionList] = 375;
   _jumpMap[236][Function] = 90;
   _jumpMap[236][CasePrepare] = 89;
   _jumpMap[236][CaseClause] = 88;
   _jumpMap[236][Factor] = 87;
   _jumpMap[236][Term] = 86;
   _jumpMap[236][Expr] = 355;
   _actionMap[237][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[237][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[237][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[237][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[237][RTRIM] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser177()
{
   _actionMap[237][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[237][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[237][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[237][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[237][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[237][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[237][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[237][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[237][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[237][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[237][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[237][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[237][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[237][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[237][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[237][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[237][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[237][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[237][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[237][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[237][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[237][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[237][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[237][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[237][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[237][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[237][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[237][LB] = ActionEntry(SHIFT, 136);
   _actionMap[237][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[237][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[237][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[237][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[237][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[237][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[237][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[237][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[237][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[237][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[237][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[237][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[237][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[237][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[237][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[237][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[237][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[237][ObjSpec] = 95;
   _jumpMap[237][Constant] = 94;
   _jumpMap[237][SignedFloat] = 93;
   _jumpMap[237][SignedInt] = 92;
}
void Cego::loadParser178()
{
   _jumpMap[237][Attribute] = 91;
   _jumpMap[237][Function] = 90;
   _jumpMap[237][CasePrepare] = 89;
   _jumpMap[237][CaseClause] = 88;
   _jumpMap[237][Factor] = 87;
   _jumpMap[237][Term] = 86;
   _jumpMap[237][Expr] = 376;
   _actionMap[238][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[238][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[238][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[238][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[238][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[238][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[238][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[238][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[238][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[238][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[238][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[238][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[238][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[238][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[238][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[238][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[238][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[238][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[238][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[238][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[238][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[238][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[238][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[238][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[238][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[238][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[238][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[238][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[238][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[238][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[238][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[238][LB] = ActionEntry(SHIFT, 136);
   _actionMap[238][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[238][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[238][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[238][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[238][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[238][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[238][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[238][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[238][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser179()
{
   _actionMap[238][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[238][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[238][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[238][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[238][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[238][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[238][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[238][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[238][ObjSpec] = 95;
   _jumpMap[238][Constant] = 94;
   _jumpMap[238][SignedFloat] = 93;
   _jumpMap[238][SignedInt] = 92;
   _jumpMap[238][Attribute] = 91;
   _jumpMap[238][Function] = 90;
   _jumpMap[238][CasePrepare] = 89;
   _jumpMap[238][CaseClause] = 88;
   _jumpMap[238][Factor] = 87;
   _jumpMap[238][Term] = 86;
   _jumpMap[238][Expr] = 377;
   _actionMap[239][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[239][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[239][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[239][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[239][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[239][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[239][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[239][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[239][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[239][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[239][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[239][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[239][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[239][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[239][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[239][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[239][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[239][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[239][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[239][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[239][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[239][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[239][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[239][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[239][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[239][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[239][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[239][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[239][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[239][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser180()
{
   _actionMap[239][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[239][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[239][LB] = ActionEntry(SHIFT, 136);
   _actionMap[239][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[239][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[239][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[239][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[239][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[239][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[239][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[239][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[239][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[239][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[239][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[239][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[239][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[239][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[239][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[239][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[239][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[239][ObjSpec] = 95;
   _jumpMap[239][Constant] = 94;
   _jumpMap[239][SignedFloat] = 93;
   _jumpMap[239][SignedInt] = 92;
   _jumpMap[239][Attribute] = 91;
   _jumpMap[239][ExpressionList] = 378;
   _jumpMap[239][Function] = 90;
   _jumpMap[239][CasePrepare] = 89;
   _jumpMap[239][CaseClause] = 88;
   _jumpMap[239][Factor] = 87;
   _jumpMap[239][Term] = 86;
   _jumpMap[239][Expr] = 355;
   _actionMap[240][IDENTIFIER] = ActionEntry(SHIFT, 379);
   _actionMap[241][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[241][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[241][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[241][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[241][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[241][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[241][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[241][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[241][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[241][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[241][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[241][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[241][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[241][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[241][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[241][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[241][REPLACE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser181()
{
   _actionMap[241][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[241][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[241][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[241][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[241][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[241][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[241][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[241][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[241][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[241][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[241][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[241][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[241][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[241][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[241][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[241][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[241][LB] = ActionEntry(SHIFT, 136);
   _actionMap[241][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[241][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[241][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[241][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[241][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[241][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[241][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[241][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[241][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[241][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[241][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[241][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[241][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[241][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[241][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[241][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[241][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[241][ObjSpec] = 95;
   _jumpMap[241][Constant] = 94;
   _jumpMap[241][SignedFloat] = 93;
   _jumpMap[241][SignedInt] = 92;
   _jumpMap[241][Attribute] = 91;
   _jumpMap[241][ExpressionList] = 380;
   _jumpMap[241][Function] = 90;
   _jumpMap[241][CasePrepare] = 89;
   _jumpMap[241][CaseClause] = 88;
   _jumpMap[241][Factor] = 87;
   _jumpMap[241][Term] = 86;
   _jumpMap[241][Expr] = 355;
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser182()
{
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[242][LB] = ActionEntry(SHIFT, 136);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[242][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[242][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[242][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[242][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[242][ObjSpec] = 95;
   _jumpMap[242][Constant] = 94;
   _jumpMap[242][SignedFloat] = 93;
}
void Cego::loadParser183()
{
   _jumpMap[242][SignedInt] = 92;
   _jumpMap[242][Attribute] = 91;
   _jumpMap[242][ExpressionList] = 381;
   _jumpMap[242][Function] = 90;
   _jumpMap[242][CasePrepare] = 89;
   _jumpMap[242][CaseClause] = 88;
   _jumpMap[242][Factor] = 87;
   _jumpMap[242][Term] = 86;
   _jumpMap[242][Expr] = 355;
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[243][LB] = ActionEntry(SHIFT, 136);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[243][LAB] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser184()
{
   _actionMap[243][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[243][ObjSpec] = 95;
   _jumpMap[243][Constant] = 94;
   _jumpMap[243][SignedFloat] = 93;
   _jumpMap[243][SignedInt] = 92;
   _jumpMap[243][Attribute] = 91;
   _jumpMap[243][ExpressionList] = 382;
   _jumpMap[243][Function] = 90;
   _jumpMap[243][CasePrepare] = 89;
   _jumpMap[243][CaseClause] = 88;
   _jumpMap[243][Factor] = 87;
   _jumpMap[243][Term] = 86;
   _jumpMap[243][Expr] = 355;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 99);
}
void Cego::loadParser185()
{
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[244][LB] = ActionEntry(SHIFT, 136);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[244][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[244][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[244][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[244][ObjSpec] = 95;
   _jumpMap[244][Constant] = 94;
   _jumpMap[244][SignedFloat] = 93;
   _jumpMap[244][SignedInt] = 92;
   _jumpMap[244][Attribute] = 91;
   _jumpMap[244][ExpressionList] = 383;
   _jumpMap[244][Function] = 90;
   _jumpMap[244][CasePrepare] = 89;
   _jumpMap[244][CaseClause] = 88;
   _jumpMap[244][Factor] = 87;
   _jumpMap[244][Term] = 86;
   _jumpMap[244][Expr] = 355;
   _actionMap[245][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[245][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[245][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[245][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[245][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[245][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[245][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[245][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[245][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[245][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[245][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[245][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[245][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[245][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[245][GETPOS] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser186()
{
   _actionMap[245][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[245][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[245][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[245][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[245][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[245][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[245][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[245][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[245][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[245][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[245][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[245][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[245][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[245][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[245][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[245][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[245][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[245][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[245][LB] = ActionEntry(SHIFT, 136);
   _actionMap[245][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[245][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[245][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[245][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[245][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[245][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[245][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[245][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[245][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[245][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[245][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[245][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[245][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[245][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[245][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[245][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[245][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[245][ObjSpec] = 95;
   _jumpMap[245][Constant] = 94;
   _jumpMap[245][SignedFloat] = 93;
   _jumpMap[245][SignedInt] = 92;
   _jumpMap[245][Attribute] = 91;
   _jumpMap[245][ExpressionList] = 384;
   _jumpMap[245][Function] = 90;
   _jumpMap[245][CasePrepare] = 89;
   _jumpMap[245][CaseClause] = 88;
   _jumpMap[245][Factor] = 87;
   _jumpMap[245][Term] = 86;
   _jumpMap[245][Expr] = 355;
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser187()
{
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[246][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[246][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[246][LB] = ActionEntry(SHIFT, 136);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[246][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[246][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[246][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[246][ObjSpec] = 95;
}
void Cego::loadParser188()
{
   _jumpMap[246][Constant] = 94;
   _jumpMap[246][SignedFloat] = 93;
   _jumpMap[246][SignedInt] = 92;
   _jumpMap[246][Attribute] = 91;
   _jumpMap[246][ExpressionList] = 385;
   _jumpMap[246][Function] = 90;
   _jumpMap[246][CasePrepare] = 89;
   _jumpMap[246][CaseClause] = 88;
   _jumpMap[246][Factor] = 87;
   _jumpMap[246][Term] = 86;
   _jumpMap[246][Expr] = 355;
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[247][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[247][LB] = ActionEntry(SHIFT, 136);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser189()
{
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[247][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[247][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[247][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[247][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[247][ObjSpec] = 95;
   _jumpMap[247][Constant] = 94;
   _jumpMap[247][SignedFloat] = 93;
   _jumpMap[247][SignedInt] = 92;
   _jumpMap[247][Attribute] = 91;
   _jumpMap[247][ExpressionList] = 386;
   _jumpMap[247][Function] = 90;
   _jumpMap[247][CasePrepare] = 89;
   _jumpMap[247][CaseClause] = 88;
   _jumpMap[247][Factor] = 87;
   _jumpMap[247][Term] = 86;
   _jumpMap[247][Expr] = 355;
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[248][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser190()
{
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[248][LB] = ActionEntry(SHIFT, 136);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[248][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[248][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[248][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[248][ObjSpec] = 95;
   _jumpMap[248][Constant] = 94;
   _jumpMap[248][SignedFloat] = 93;
   _jumpMap[248][SignedInt] = 92;
   _jumpMap[248][Attribute] = 91;
   _jumpMap[248][ExpressionList] = 387;
   _jumpMap[248][Function] = 90;
   _jumpMap[248][CasePrepare] = 89;
   _jumpMap[248][CaseClause] = 88;
   _jumpMap[248][Factor] = 87;
   _jumpMap[248][Term] = 86;
   _jumpMap[248][Expr] = 355;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser191()
{
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[249][LB] = ActionEntry(SHIFT, 136);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[249][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[249][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[249][ObjSpec] = 95;
   _jumpMap[249][Constant] = 94;
   _jumpMap[249][SignedFloat] = 93;
   _jumpMap[249][SignedInt] = 92;
   _jumpMap[249][Attribute] = 91;
   _jumpMap[249][Function] = 90;
   _jumpMap[249][CasePrepare] = 89;
   _jumpMap[249][CaseClause] = 88;
   _jumpMap[249][Factor] = 87;
   _jumpMap[249][Term] = 86;
   _jumpMap[249][Expr] = 388;
   _actionMap[250][FLOATVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser192()
{
   _actionMap[250][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[250][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[250][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[250][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[250][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[250][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[250][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[250][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[250][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[250][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[250][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[250][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[250][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[250][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[250][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[250][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[250][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[250][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[250][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[250][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[250][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[250][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[250][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[250][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[250][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[250][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[250][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[250][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[250][LB] = ActionEntry(SHIFT, 136);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[250][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[250][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[250][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[250][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[250][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[250][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[250][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[250][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[250][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[250][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[250][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[250][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[250][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[250][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[250][MAX] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser193()
{
   _jumpMap[250][ObjSpec] = 95;
   _jumpMap[250][Constant] = 94;
   _jumpMap[250][SignedFloat] = 93;
   _jumpMap[250][SignedInt] = 92;
   _jumpMap[250][Attribute] = 91;
   _jumpMap[250][ExpressionList] = 389;
   _jumpMap[250][Function] = 90;
   _jumpMap[250][CasePrepare] = 89;
   _jumpMap[250][CaseClause] = 88;
   _jumpMap[250][Factor] = 87;
   _jumpMap[250][Term] = 86;
   _jumpMap[250][Expr] = 355;
   _actionMap[251][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[251][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[251][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[251][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[251][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[251][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[251][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[251][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[251][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[251][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[251][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[251][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[251][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[251][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[251][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[251][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[251][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[251][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[251][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[251][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[251][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[251][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[251][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[251][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[251][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[251][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[251][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[251][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[251][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[251][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[251][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[251][LB] = ActionEntry(SHIFT, 136);
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[251][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[251][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[251][NULLTOKEN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser194()
{
   _actionMap[251][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[251][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[251][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[251][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[251][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[251][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[251][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[251][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[251][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[251][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[251][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[251][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[251][ObjSpec] = 95;
   _jumpMap[251][Constant] = 94;
   _jumpMap[251][SignedFloat] = 93;
   _jumpMap[251][SignedInt] = 92;
   _jumpMap[251][Attribute] = 91;
   _jumpMap[251][ExpressionList] = 390;
   _jumpMap[251][Function] = 90;
   _jumpMap[251][CasePrepare] = 89;
   _jumpMap[251][CaseClause] = 88;
   _jumpMap[251][Factor] = 87;
   _jumpMap[251][Term] = 86;
   _jumpMap[251][Expr] = 355;
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[252][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser195()
{
   _actionMap[252][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[252][LB] = ActionEntry(SHIFT, 136);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[252][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[252][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[252][ObjSpec] = 95;
   _jumpMap[252][Constant] = 94;
   _jumpMap[252][SignedFloat] = 93;
   _jumpMap[252][SignedInt] = 92;
   _jumpMap[252][Attribute] = 91;
   _jumpMap[252][ExpressionList] = 391;
   _jumpMap[252][Function] = 90;
   _jumpMap[252][CasePrepare] = 89;
   _jumpMap[252][CaseClause] = 88;
   _jumpMap[252][Factor] = 87;
   _jumpMap[252][Term] = 86;
   _jumpMap[252][Expr] = 355;
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser196()
{
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[253][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[253][LB] = ActionEntry(SHIFT, 136);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[253][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[253][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[253][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[253][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[253][ObjSpec] = 95;
   _jumpMap[253][Constant] = 94;
   _jumpMap[253][SignedFloat] = 93;
   _jumpMap[253][SignedInt] = 92;
   _jumpMap[253][Attribute] = 91;
   _jumpMap[253][ExpressionList] = 392;
   _jumpMap[253][Function] = 90;
   _jumpMap[253][CasePrepare] = 89;
   _jumpMap[253][CaseClause] = 88;
   _jumpMap[253][Factor] = 87;
   _jumpMap[253][Term] = 86;
}
void Cego::loadParser197()
{
   _jumpMap[253][Expr] = 355;
   _actionMap[254][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[254][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[254][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[254][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[254][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[254][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[254][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[254][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[254][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[254][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[254][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[254][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[254][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[254][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[254][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[254][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[254][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[254][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[254][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[254][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[254][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[254][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[254][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[254][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[254][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[254][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[254][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[254][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[254][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[254][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[254][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[254][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[254][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[254][LB] = ActionEntry(SHIFT, 136);
   _actionMap[254][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[254][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[254][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[254][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[254][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[254][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[254][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[254][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[254][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[254][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[254][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[254][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[254][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[254][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[254][AVG] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser198()
{
   _actionMap[254][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[254][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[254][ObjSpec] = 95;
   _jumpMap[254][Constant] = 94;
   _jumpMap[254][SignedFloat] = 93;
   _jumpMap[254][SignedInt] = 92;
   _jumpMap[254][Attribute] = 91;
   _jumpMap[254][ExpressionList] = 393;
   _jumpMap[254][Function] = 90;
   _jumpMap[254][CasePrepare] = 89;
   _jumpMap[254][CaseClause] = 88;
   _jumpMap[254][Factor] = 87;
   _jumpMap[254][Term] = 86;
   _jumpMap[254][Expr] = 355;
   _actionMap[255][RB] = ActionEntry(SHIFT, 394);
   _actionMap[255][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[255][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[255][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[256][RB] = ActionEntry(SHIFT, 395);
   _actionMap[257][RB] = ActionEntry(SHIFT, 396);
   _actionMap[258][RB] = ActionEntry(SHIFT, 397);
   _actionMap[259][RB] = ActionEntry(SHIFT, 398);
   _actionMap[260][RB] = ActionEntry(SHIFT, 399);
   _actionMap[261][RB] = ActionEntry(SHIFT, 400);
   _actionMap[262][RB] = ActionEntry(SHIFT, 401);
   _actionMap[263][RB] = ActionEntry(SHIFT, 402);
   _actionMap[264][KSEP] = ActionEntry(SHIFT, 403);
   _actionMap[265][WHEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][ELSE] = ActionEntry(REDUCE, 330);
   _actionMap[265][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[265][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[265][INNER] = ActionEntry(REDUCE, 330);
   _actionMap[265][JOIN] = ActionEntry(REDUCE, 330);
   _actionMap[265][RETURNTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][ORDER] = ActionEntry(REDUCE, 330);
   _actionMap[265][GROUP] = ActionEntry(REDUCE, 330);
   _actionMap[265][WHERE] = ActionEntry(REDUCE, 330);
   _actionMap[265][AS] = ActionEntry(REDUCE, 330);
   _actionMap[265][FROM] = ActionEntry(REDUCE, 330);
   _actionMap[265][END_TOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[265][THEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][OR] = ActionEntry(REDUCE, 330);
   _actionMap[265][AND] = ActionEntry(REDUCE, 330);
   _actionMap[265][NULLTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][LIKE] = ActionEntry(REDUCE, 330);
   _actionMap[265][IS] = ActionEntry(REDUCE, 330);
   _actionMap[265][BETWEEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[265][INTOK] = ActionEntry(REDUCE, 330);
}
void Cego::loadParser199()
{
   _actionMap[265][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[265][NEGATION] = ActionEntry(REDUCE, 330);
   _actionMap[265][LT] = ActionEntry(REDUCE, 330);
   _actionMap[265][MT] = ActionEntry(REDUCE, 330);
   _actionMap[265][DESC] = ActionEntry(REDUCE, 330);
   _actionMap[265][ASC] = ActionEntry(REDUCE, 330);
   _actionMap[265][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[265][ROWLIMIT] = ActionEntry(REDUCE, 330);
   _actionMap[265][UNION] = ActionEntry(REDUCE, 330);
   _actionMap[265][ENDTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][RB] = ActionEntry(REDUCE, 330);
   _actionMap[265][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[265][CONCAT] = ActionEntry(REDUCE, 330);
   _actionMap[265][STAR] = ActionEntry(REDUCE, 330);
   _actionMap[265][DIVISION] = ActionEntry(REDUCE, 330);
   _actionMap[265][MINUS] = ActionEntry(REDUCE, 330);
   _actionMap[265][PLUS] = ActionEntry(REDUCE, 330);
   _actionMap[266][WHEN] = ActionEntry(REDUCE, 332);
   _actionMap[266][ELSE] = ActionEntry(REDUCE, 332);
   _actionMap[266][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[266][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[266][INNER] = ActionEntry(REDUCE, 332);
   _actionMap[266][JOIN] = ActionEntry(REDUCE, 332);
   _actionMap[266][RETURNTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[266][ORDER] = ActionEntry(REDUCE, 332);
   _actionMap[266][GROUP] = ActionEntry(REDUCE, 332);
   _actionMap[266][WHERE] = ActionEntry(REDUCE, 332);
   _actionMap[266][AS] = ActionEntry(REDUCE, 332);
   _actionMap[266][FROM] = ActionEntry(REDUCE, 332);
   _actionMap[266][END_TOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[266][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[266][THEN] = ActionEntry(REDUCE, 332);
   _actionMap[266][OR] = ActionEntry(REDUCE, 332);
   _actionMap[266][AND] = ActionEntry(REDUCE, 332);
   _actionMap[266][NULLTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[266][LIKE] = ActionEntry(REDUCE, 332);
   _actionMap[266][IS] = ActionEntry(REDUCE, 332);
   _actionMap[266][BETWEEN] = ActionEntry(REDUCE, 332);
   _actionMap[266][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[266][INTOK] = ActionEntry(REDUCE, 332);
   _actionMap[266][EQU] = ActionEntry(REDUCE, 332);
   _actionMap[266][NEGATION] = ActionEntry(REDUCE, 332);
   _actionMap[266][LT] = ActionEntry(REDUCE, 332);
   _actionMap[266][MT] = ActionEntry(REDUCE, 332);
   _actionMap[266][DESC] = ActionEntry(REDUCE, 332);
   _actionMap[266][ASC] = ActionEntry(REDUCE, 332);
   _actionMap[266][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[266][ROWLIMIT] = ActionEntry(REDUCE, 332);
   _actionMap[266][UNION] = ActionEntry(REDUCE, 332);
   _actionMap[266][ENDTOKEN] = ActionEntry(REDUCE, 332);
}
void Cego::loadParser200()
{
   _actionMap[266][RB] = ActionEntry(REDUCE, 332);
   _actionMap[266][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[266][CONCAT] = ActionEntry(REDUCE, 332);
   _actionMap[266][STAR] = ActionEntry(REDUCE, 332);
   _actionMap[266][DIVISION] = ActionEntry(REDUCE, 332);
   _actionMap[266][MINUS] = ActionEntry(REDUCE, 332);
   _actionMap[266][PLUS] = ActionEntry(REDUCE, 332);
   _actionMap[267][WHEN] = ActionEntry(REDUCE, 328);
   _actionMap[267][ELSE] = ActionEntry(REDUCE, 328);
   _actionMap[267][LEFT] = ActionEntry(REDUCE, 328);
   _actionMap[267][RIGHT] = ActionEntry(REDUCE, 328);
   _actionMap[267][INNER] = ActionEntry(REDUCE, 328);
   _actionMap[267][JOIN] = ActionEntry(REDUCE, 328);
   _actionMap[267][RETURNTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[267][GROUP] = ActionEntry(REDUCE, 328);
   _actionMap[267][WHERE] = ActionEntry(REDUCE, 328);
   _actionMap[267][FROM] = ActionEntry(REDUCE, 328);
   _actionMap[267][AS] = ActionEntry(REDUCE, 328);
   _actionMap[267][END_TOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[267][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[267][THEN] = ActionEntry(REDUCE, 328);
   _actionMap[267][OR] = ActionEntry(REDUCE, 328);
   _actionMap[267][AND] = ActionEntry(REDUCE, 328);
   _actionMap[267][INTOK] = ActionEntry(REDUCE, 328);
   _actionMap[267][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[267][BETWEEN] = ActionEntry(REDUCE, 328);
   _actionMap[267][IS] = ActionEntry(REDUCE, 328);
   _actionMap[267][LIKE] = ActionEntry(REDUCE, 328);
   _actionMap[267][HAVING] = ActionEntry(REDUCE, 328);
   _actionMap[267][ORDER] = ActionEntry(REDUCE, 328);
   _actionMap[267][MT] = ActionEntry(REDUCE, 328);
   _actionMap[267][LT] = ActionEntry(REDUCE, 328);
   _actionMap[267][NEGATION] = ActionEntry(REDUCE, 328);
   _actionMap[267][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[267][RB] = ActionEntry(REDUCE, 328);
   _actionMap[267][ENDTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[267][UNION] = ActionEntry(REDUCE, 328);
   _actionMap[267][ROWLIMIT] = ActionEntry(REDUCE, 328);
   _actionMap[267][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[267][ASC] = ActionEntry(REDUCE, 328);
   _actionMap[267][DESC] = ActionEntry(REDUCE, 328);
   _actionMap[267][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[267][PLUS] = ActionEntry(REDUCE, 328);
   _actionMap[267][MINUS] = ActionEntry(REDUCE, 328);
   _actionMap[267][DIVISION] = ActionEntry(REDUCE, 328);
   _actionMap[267][STAR] = ActionEntry(REDUCE, 328);
   _actionMap[267][CONCAT] = ActionEntry(REDUCE, 328);
   _actionMap[268][TO] = ActionEntry(SHIFT, 404);
   _actionMap[269][TO] = ActionEntry(SHIFT, 405);
   _actionMap[270][TO] = ActionEntry(SHIFT, 406);
}
void Cego::loadParser201()
{
   _actionMap[271][TO] = ActionEntry(SHIFT, 407);
   _actionMap[272][TO] = ActionEntry(SHIFT, 408);
   _actionMap[273][TO] = ActionEntry(SHIFT, 409);
   _actionMap[274][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[275][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[276][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[276][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[276][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[276][ObjSpec] = 414;
   _jumpMap[276][Table] = 413;
   _jumpMap[276][TableList] = 412;
   _jumpMap[276][JoinSpecList] = 411;
   _jumpMap[276][TableSource] = 410;
   _actionMap[277][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[277][MINUS] = ActionEntry(SHIFT, 213);
   _actionMap[277][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[277][AS] = ActionEntry(SHIFT, 416);
   _actionMap[277][FROM] = ActionEntry(REDUCE, 213);
   _actionMap[277][KSEP] = ActionEntry(REDUCE, 213);
   _jumpMap[277][AliasOpt] = 415;
   _actionMap[278][KSEP] = ActionEntry(SHIFT, 417);
   _actionMap[278][FROM] = ActionEntry(REDUCE, 193);
   _actionMap[279][FROM] = ActionEntry(REDUCE, 196);
   _actionMap[279][KSEP] = ActionEntry(REDUCE, 196);
   _actionMap[280][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[281][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[282][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[283][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[284][TO] = ActionEntry(SHIFT, 418);
   _actionMap[285][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[286][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[287][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[288][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[289][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[289][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[289][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[289][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[289][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[289][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[289][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[289][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[289][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[289][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[289][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[289][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[289][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[289][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[289][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[289][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[289][REPLACE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser202()
{
   _actionMap[289][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[289][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[289][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[289][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[289][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[289][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[289][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[289][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[289][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[289][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[289][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[289][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[289][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[289][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[289][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[289][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[289][LB] = ActionEntry(SHIFT, 136);
   _actionMap[289][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[289][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[289][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[289][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[289][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[289][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[289][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[289][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[289][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[289][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[289][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[289][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[289][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[289][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[289][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[289][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[289][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[289][ObjSpec] = 95;
   _jumpMap[289][Constant] = 94;
   _jumpMap[289][SignedFloat] = 93;
   _jumpMap[289][SignedInt] = 92;
   _jumpMap[289][Attribute] = 91;
   _jumpMap[289][Function] = 90;
   _jumpMap[289][CasePrepare] = 89;
   _jumpMap[289][CaseClause] = 88;
   _jumpMap[289][Factor] = 87;
   _jumpMap[289][Term] = 86;
   _jumpMap[289][Expr] = 419;
   _actionMap[290][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[291][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[292][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[293][IDENTIFIER] = ActionEntry(SHIFT, 422);
   _jumpMap[293][Assignment] = 421;
}
void Cego::loadParser203()
{
   _jumpMap[293][UpdateList] = 420;
   _actionMap[294][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[294][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[294][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[294][ObjSpec] = 423;
   _actionMap[38][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[38][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[38][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[38][ObjSpec] = 174;
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 175);
   _actionMap[40][KEY] = ActionEntry(SHIFT, 176);
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[41][ObjSpec] = 177;
   _actionMap[42][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[42][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[42][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[42][ObjSpec] = 178;
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[43][ObjSpec] = 179;
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[44][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[44][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[44][ObjSpec] = 180;
   _actionMap[45][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[46][ObjSpec] = 181;
   _actionMap[47][IDENTIFIED] = ActionEntry(SHIFT, 182);
   _actionMap[48][LB] = ActionEntry(SHIFT, 183);
   _actionMap[49][SET] = ActionEntry(REDUCE, 352);
   _actionMap[49][TO] = ActionEntry(REDUCE, 352);
   _actionMap[49][VALUES] = ActionEntry(REDUCE, 352);
   _actionMap[49][SELECT] = ActionEntry(REDUCE, 352);
   _actionMap[49][AS] = ActionEntry(REDUCE, 352);
   _actionMap[49][DROP] = ActionEntry(REDUCE, 352);
   _actionMap[49][MODIFY] = ActionEntry(REDUCE, 352);
   _actionMap[49][RENAME] = ActionEntry(REDUCE, 352);
   _actionMap[49][ADD] = ActionEntry(REDUCE, 352);
   _actionMap[49][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[49][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[49][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[49][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[49][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[49][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[49][SEMICOLON] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser204()
{
   _actionMap[49][RB] = ActionEntry(REDUCE, 352);
   _actionMap[49][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[49][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[49][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[49][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[49][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[49][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[49][LB] = ActionEntry(REDUCE, 352);
   _actionMap[49][IDENTIFIER] = ActionEntry(REDUCE, 352);
   _actionMap[49][ON] = ActionEntry(REDUCE, 352);
   _actionMap[50][SET] = ActionEntry(REDUCE, 353);
   _actionMap[50][TO] = ActionEntry(REDUCE, 353);
   _actionMap[50][VALUES] = ActionEntry(REDUCE, 353);
   _actionMap[50][SELECT] = ActionEntry(REDUCE, 353);
   _actionMap[50][AS] = ActionEntry(REDUCE, 353);
   _actionMap[50][DROP] = ActionEntry(REDUCE, 353);
   _actionMap[50][MODIFY] = ActionEntry(REDUCE, 353);
   _actionMap[50][RENAME] = ActionEntry(REDUCE, 353);
   _actionMap[50][ADD] = ActionEntry(REDUCE, 353);
   _actionMap[50][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[50][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[50][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[50][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[50][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[50][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[50][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[50][RB] = ActionEntry(REDUCE, 353);
   _actionMap[50][ENDTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[50][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[50][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[50][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[50][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[50][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[50][LB] = ActionEntry(REDUCE, 353);
   _actionMap[50][IDENTIFIER] = ActionEntry(REDUCE, 353);
   _actionMap[50][ON] = ActionEntry(REDUCE, 353);
   _actionMap[51][SET] = ActionEntry(REDUCE, 354);
   _actionMap[51][TO] = ActionEntry(REDUCE, 354);
   _actionMap[51][VALUES] = ActionEntry(REDUCE, 354);
   _actionMap[51][SELECT] = ActionEntry(REDUCE, 354);
   _actionMap[51][AS] = ActionEntry(REDUCE, 354);
   _actionMap[51][DROP] = ActionEntry(REDUCE, 354);
   _actionMap[51][MODIFY] = ActionEntry(REDUCE, 354);
   _actionMap[51][RENAME] = ActionEntry(REDUCE, 354);
   _actionMap[51][ADD] = ActionEntry(REDUCE, 354);
   _actionMap[51][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[51][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[51][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[51][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[51][KSEP] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser205()
{
   _actionMap[51][RETURNTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[51][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[51][RB] = ActionEntry(REDUCE, 354);
   _actionMap[51][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[51][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[51][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[51][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[51][GROUP] = ActionEntry(REDUCE, 354);
   _actionMap[51][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[51][IDENTIFIER] = ActionEntry(REDUCE, 354);
   _actionMap[51][ON] = ActionEntry(REDUCE, 354);
   _actionMap[51][LB] = ActionEntry(REDUCE, 354);
   _actionMap[52][IDENTIFIER] = ActionEntry(SHIFT, 184);
   _actionMap[53][BEGIN] = ActionEntry(SHIFT, 185);
   _actionMap[54][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[55][INDEX] = ActionEntry(SHIFT, 186);
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 187);
   _actionMap[57][INDEX] = ActionEntry(SHIFT, 188);
   _actionMap[58][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[58][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[58][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[58][ObjSpec] = 189;
   _actionMap[59][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[59][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[59][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[59][ObjSpec] = 190;
   _actionMap[60][INDEX] = ActionEntry(REDUCE, 178);
   _actionMap[61][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[61][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[61][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[61][ObjSpec] = 191;
   _actionMap[62][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[62][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[62][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[62][ObjSpec] = 192;
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[63][ObjSpec] = 193;
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[64][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[64][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[64][ObjSpec] = 194;
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[65][ObjSpec] = 195;
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser206()
{
   _jumpMap[66][ObjSpec] = 196;
   _actionMap[67][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[67][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[67][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[67][ObjSpec] = 197;
   _actionMap[68][EXISTS] = ActionEntry(SHIFT, 198);
   _actionMap[69][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[69][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[69][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[69][ObjSpec] = 199;
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 200);
   _actionMap[70][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[71][IDENTIFIER] = ActionEntry(REDUCE, 73);
   _actionMap[71][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[72][FOR] = ActionEntry(SHIFT, 202);
   _actionMap[72][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[72][TableSetOpt] = 201;
   _actionMap[73][FOR] = ActionEntry(SHIFT, 202);
   _actionMap[73][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[73][TableSetOpt] = 203;
   _actionMap[74][FOR] = ActionEntry(SHIFT, 202);
   _actionMap[74][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[74][TableSetOpt] = 204;
   _actionMap[75][FOR] = ActionEntry(SHIFT, 202);
   _actionMap[75][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[75][TableSetOpt] = 205;
   _actionMap[76][FOR] = ActionEntry(SHIFT, 202);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[76][TableSetOpt] = 206;
   _actionMap[77][FOR] = ActionEntry(SHIFT, 202);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[77][TableSetOpt] = 207;
   _actionMap[78][FOR] = ActionEntry(SHIFT, 202);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[78][TableSetOpt] = 208;
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[80][FOR] = ActionEntry(SHIFT, 202);
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[80][TableSetOpt] = 209;
   _actionMap[81][FOR] = ActionEntry(SHIFT, 202);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[81][TableSetOpt] = 210;
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[83][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[83][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[83][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[83][ObjSpec] = 211;
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[85][PLUS] = ActionEntry(SHIFT, 214);
   _actionMap[85][MINUS] = ActionEntry(SHIFT, 213);
}
void Cego::loadParser207()
{
   _actionMap[85][CONCAT] = ActionEntry(SHIFT, 212);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[86][STAR] = ActionEntry(SHIFT, 215);
   _actionMap[86][DIVISION] = ActionEntry(SHIFT, 216);
   _actionMap[86][WHEN] = ActionEntry(REDUCE, 137);
   _actionMap[86][ELSE] = ActionEntry(REDUCE, 137);
   _actionMap[86][LEFT] = ActionEntry(REDUCE, 137);
   _actionMap[86][RIGHT] = ActionEntry(REDUCE, 137);
   _actionMap[86][INNER] = ActionEntry(REDUCE, 137);
   _actionMap[86][JOIN] = ActionEntry(REDUCE, 137);
   _actionMap[86][RETURNTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[86][ORDER] = ActionEntry(REDUCE, 137);
   _actionMap[86][GROUP] = ActionEntry(REDUCE, 137);
   _actionMap[86][WHERE] = ActionEntry(REDUCE, 137);
   _actionMap[86][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[86][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[86][OR] = ActionEntry(REDUCE, 137);
   _actionMap[86][AS] = ActionEntry(REDUCE, 137);
   _actionMap[86][FROM] = ActionEntry(REDUCE, 137);
   _actionMap[86][END_TOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[86][AND] = ActionEntry(REDUCE, 137);
   _actionMap[86][LIKE] = ActionEntry(REDUCE, 137);
   _actionMap[86][IS] = ActionEntry(REDUCE, 137);
   _actionMap[86][BETWEEN] = ActionEntry(REDUCE, 137);
   _actionMap[86][NOT] = ActionEntry(REDUCE, 137);
   _actionMap[86][INTOK] = ActionEntry(REDUCE, 137);
   _actionMap[86][EQU] = ActionEntry(REDUCE, 137);
   _actionMap[86][NEGATION] = ActionEntry(REDUCE, 137);
   _actionMap[86][LT] = ActionEntry(REDUCE, 137);
   _actionMap[86][MT] = ActionEntry(REDUCE, 137);
   _actionMap[86][DESC] = ActionEntry(REDUCE, 137);
   _actionMap[86][ASC] = ActionEntry(REDUCE, 137);
   _actionMap[86][KSEP] = ActionEntry(REDUCE, 137);
   _actionMap[86][ROWLIMIT] = ActionEntry(REDUCE, 137);
   _actionMap[86][UNION] = ActionEntry(REDUCE, 137);
   _actionMap[86][ENDTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[86][RB] = ActionEntry(REDUCE, 137);
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 137);
   _actionMap[86][CONCAT] = ActionEntry(REDUCE, 137);
   _actionMap[86][MINUS] = ActionEntry(REDUCE, 137);
   _actionMap[86][PLUS] = ActionEntry(REDUCE, 137);
   _actionMap[87][WHEN] = ActionEntry(REDUCE, 141);
   _actionMap[87][ELSE] = ActionEntry(REDUCE, 141);
   _actionMap[87][LEFT] = ActionEntry(REDUCE, 141);
   _actionMap[87][RIGHT] = ActionEntry(REDUCE, 141);
   _actionMap[87][INNER] = ActionEntry(REDUCE, 141);
   _actionMap[87][JOIN] = ActionEntry(REDUCE, 141);
   _actionMap[87][RETURNTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[87][ORDER] = ActionEntry(REDUCE, 141);
   _actionMap[87][GROUP] = ActionEntry(REDUCE, 141);
}
void Cego::loadParser208()
{
   _actionMap[87][WHERE] = ActionEntry(REDUCE, 141);
   _actionMap[87][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[87][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[87][OR] = ActionEntry(REDUCE, 141);
   _actionMap[87][FROM] = ActionEntry(REDUCE, 141);
   _actionMap[87][AS] = ActionEntry(REDUCE, 141);
   _actionMap[87][END_TOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[87][AND] = ActionEntry(REDUCE, 141);
   _actionMap[87][INTOK] = ActionEntry(REDUCE, 141);
   _actionMap[87][NOT] = ActionEntry(REDUCE, 141);
   _actionMap[87][BETWEEN] = ActionEntry(REDUCE, 141);
   _actionMap[87][IS] = ActionEntry(REDUCE, 141);
   _actionMap[87][LIKE] = ActionEntry(REDUCE, 141);
   _actionMap[87][MT] = ActionEntry(REDUCE, 141);
   _actionMap[87][LT] = ActionEntry(REDUCE, 141);
   _actionMap[87][NEGATION] = ActionEntry(REDUCE, 141);
   _actionMap[87][EQU] = ActionEntry(REDUCE, 141);
   _actionMap[87][RB] = ActionEntry(REDUCE, 141);
   _actionMap[87][ENDTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[87][UNION] = ActionEntry(REDUCE, 141);
   _actionMap[87][ROWLIMIT] = ActionEntry(REDUCE, 141);
   _actionMap[87][KSEP] = ActionEntry(REDUCE, 141);
   _actionMap[87][ASC] = ActionEntry(REDUCE, 141);
   _actionMap[87][DESC] = ActionEntry(REDUCE, 141);
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 141);
   _actionMap[87][PLUS] = ActionEntry(REDUCE, 141);
   _actionMap[87][MINUS] = ActionEntry(REDUCE, 141);
   _actionMap[87][DIVISION] = ActionEntry(REDUCE, 141);
   _actionMap[87][STAR] = ActionEntry(REDUCE, 141);
   _actionMap[87][CONCAT] = ActionEntry(REDUCE, 141);
   _actionMap[88][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[88][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[88][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[88][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[88][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[88][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[88][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[88][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[88][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[88][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[88][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[88][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[88][OR] = ActionEntry(REDUCE, 149);
   _actionMap[88][AS] = ActionEntry(REDUCE, 149);
   _actionMap[88][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[88][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[88][AND] = ActionEntry(REDUCE, 149);
   _actionMap[88][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[88][IS] = ActionEntry(REDUCE, 149);
   _actionMap[88][BETWEEN] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser209()
{
   _actionMap[88][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[88][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[88][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[88][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[88][LT] = ActionEntry(REDUCE, 149);
   _actionMap[88][MT] = ActionEntry(REDUCE, 149);
   _actionMap[88][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[88][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[88][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[88][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[88][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[88][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[88][RB] = ActionEntry(REDUCE, 149);
   _actionMap[88][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[88][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[88][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[88][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[88][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[88][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[89][WHEN] = ActionEntry(SHIFT, 219);
   _jumpMap[89][CaseCondition] = 218;
   _jumpMap[89][CaseConditionList] = 217;
   _actionMap[90][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[90][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[90][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[90][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[90][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[90][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[90][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[90][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[90][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[90][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[90][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[90][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[90][OR] = ActionEntry(REDUCE, 146);
   _actionMap[90][AS] = ActionEntry(REDUCE, 146);
   _actionMap[90][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[90][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[90][AND] = ActionEntry(REDUCE, 146);
   _actionMap[90][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[90][IS] = ActionEntry(REDUCE, 146);
   _actionMap[90][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[90][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[90][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[90][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[90][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[90][LT] = ActionEntry(REDUCE, 146);
   _actionMap[90][MT] = ActionEntry(REDUCE, 146);
   _actionMap[90][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[90][ASC] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser210()
{
   _actionMap[90][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[90][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[90][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[90][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[90][RB] = ActionEntry(REDUCE, 146);
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[90][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[90][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[90][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[90][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[90][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[91][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[91][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[91][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[91][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[91][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[91][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[91][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[91][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[91][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[91][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[91][AS] = ActionEntry(REDUCE, 145);
   _actionMap[91][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[91][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[91][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[91][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[91][OR] = ActionEntry(REDUCE, 145);
   _actionMap[91][AND] = ActionEntry(REDUCE, 145);
   _actionMap[91][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[91][IS] = ActionEntry(REDUCE, 145);
   _actionMap[91][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[91][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[91][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[91][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[91][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[91][LT] = ActionEntry(REDUCE, 145);
   _actionMap[91][MT] = ActionEntry(REDUCE, 145);
   _actionMap[91][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[91][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[91][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[91][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[91][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[91][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[91][RB] = ActionEntry(REDUCE, 145);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[91][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[91][STAR] = ActionEntry(REDUCE, 145);
   _actionMap[91][DIVISION] = ActionEntry(REDUCE, 145);
   _actionMap[91][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[91][PLUS] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser211()
{
   _actionMap[92][WHEN] = ActionEntry(REDUCE, 333);
   _actionMap[92][ELSE] = ActionEntry(REDUCE, 333);
   _actionMap[92][LEFT] = ActionEntry(REDUCE, 333);
   _actionMap[92][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[92][INNER] = ActionEntry(REDUCE, 333);
   _actionMap[92][JOIN] = ActionEntry(REDUCE, 333);
   _actionMap[92][RETURNTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[92][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[92][GROUP] = ActionEntry(REDUCE, 333);
   _actionMap[92][WHERE] = ActionEntry(REDUCE, 333);
   _actionMap[92][NULLTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[92][FROM] = ActionEntry(REDUCE, 333);
   _actionMap[92][AS] = ActionEntry(REDUCE, 333);
   _actionMap[92][END_TOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[92][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[92][THEN] = ActionEntry(REDUCE, 333);
   _actionMap[92][OR] = ActionEntry(REDUCE, 333);
   _actionMap[92][AND] = ActionEntry(REDUCE, 333);
   _actionMap[92][INTOK] = ActionEntry(REDUCE, 333);
   _actionMap[92][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[92][BETWEEN] = ActionEntry(REDUCE, 333);
   _actionMap[92][IS] = ActionEntry(REDUCE, 333);
   _actionMap[92][LIKE] = ActionEntry(REDUCE, 333);
   _actionMap[92][MT] = ActionEntry(REDUCE, 333);
   _actionMap[92][LT] = ActionEntry(REDUCE, 333);
   _actionMap[92][NEGATION] = ActionEntry(REDUCE, 333);
   _actionMap[92][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[92][RB] = ActionEntry(REDUCE, 333);
   _actionMap[92][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[92][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[92][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[92][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[92][ASC] = ActionEntry(REDUCE, 333);
   _actionMap[92][DESC] = ActionEntry(REDUCE, 333);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[92][PLUS] = ActionEntry(REDUCE, 333);
   _actionMap[92][MINUS] = ActionEntry(REDUCE, 333);
   _actionMap[92][DIVISION] = ActionEntry(REDUCE, 333);
   _actionMap[92][STAR] = ActionEntry(REDUCE, 333);
   _actionMap[92][CONCAT] = ActionEntry(REDUCE, 333);
   _actionMap[93][WHEN] = ActionEntry(REDUCE, 339);
   _actionMap[93][ELSE] = ActionEntry(REDUCE, 339);
   _actionMap[93][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[93][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[93][INNER] = ActionEntry(REDUCE, 339);
   _actionMap[93][JOIN] = ActionEntry(REDUCE, 339);
   _actionMap[93][RETURNTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[93][ORDER] = ActionEntry(REDUCE, 339);
   _actionMap[93][GROUP] = ActionEntry(REDUCE, 339);
   _actionMap[93][WHERE] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser212()
{
   _actionMap[93][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[93][FROM] = ActionEntry(REDUCE, 339);
   _actionMap[93][AS] = ActionEntry(REDUCE, 339);
   _actionMap[93][END_TOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[93][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[93][THEN] = ActionEntry(REDUCE, 339);
   _actionMap[93][OR] = ActionEntry(REDUCE, 339);
   _actionMap[93][AND] = ActionEntry(REDUCE, 339);
   _actionMap[93][INTOK] = ActionEntry(REDUCE, 339);
   _actionMap[93][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[93][BETWEEN] = ActionEntry(REDUCE, 339);
   _actionMap[93][IS] = ActionEntry(REDUCE, 339);
   _actionMap[93][LIKE] = ActionEntry(REDUCE, 339);
   _actionMap[93][MT] = ActionEntry(REDUCE, 339);
   _actionMap[93][LT] = ActionEntry(REDUCE, 339);
   _actionMap[93][NEGATION] = ActionEntry(REDUCE, 339);
   _actionMap[93][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[93][RB] = ActionEntry(REDUCE, 339);
   _actionMap[93][ENDTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[93][UNION] = ActionEntry(REDUCE, 339);
   _actionMap[93][ROWLIMIT] = ActionEntry(REDUCE, 339);
   _actionMap[93][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[93][ASC] = ActionEntry(REDUCE, 339);
   _actionMap[93][DESC] = ActionEntry(REDUCE, 339);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[93][PLUS] = ActionEntry(REDUCE, 339);
   _actionMap[93][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[93][DIVISION] = ActionEntry(REDUCE, 339);
   _actionMap[93][STAR] = ActionEntry(REDUCE, 339);
   _actionMap[93][CONCAT] = ActionEntry(REDUCE, 339);
   _actionMap[94][WHEN] = ActionEntry(REDUCE, 143);
   _actionMap[94][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[94][LEFT] = ActionEntry(REDUCE, 143);
   _actionMap[94][RIGHT] = ActionEntry(REDUCE, 143);
   _actionMap[94][INNER] = ActionEntry(REDUCE, 143);
   _actionMap[94][JOIN] = ActionEntry(REDUCE, 143);
   _actionMap[94][RETURNTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[94][ORDER] = ActionEntry(REDUCE, 143);
   _actionMap[94][GROUP] = ActionEntry(REDUCE, 143);
   _actionMap[94][WHERE] = ActionEntry(REDUCE, 143);
   _actionMap[94][AS] = ActionEntry(REDUCE, 143);
   _actionMap[94][FROM] = ActionEntry(REDUCE, 143);
   _actionMap[94][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[94][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[94][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[94][OR] = ActionEntry(REDUCE, 143);
   _actionMap[94][AND] = ActionEntry(REDUCE, 143);
   _actionMap[94][LIKE] = ActionEntry(REDUCE, 143);
   _actionMap[94][IS] = ActionEntry(REDUCE, 143);
   _actionMap[94][BETWEEN] = ActionEntry(REDUCE, 143);
}
void Cego::loadParser213()
{
   _actionMap[94][NOT] = ActionEntry(REDUCE, 143);
   _actionMap[94][INTOK] = ActionEntry(REDUCE, 143);
   _actionMap[94][EQU] = ActionEntry(REDUCE, 143);
   _actionMap[94][NEGATION] = ActionEntry(REDUCE, 143);
   _actionMap[94][LT] = ActionEntry(REDUCE, 143);
   _actionMap[94][MT] = ActionEntry(REDUCE, 143);
   _actionMap[94][DESC] = ActionEntry(REDUCE, 143);
   _actionMap[94][ASC] = ActionEntry(REDUCE, 143);
   _actionMap[94][KSEP] = ActionEntry(REDUCE, 143);
   _actionMap[94][ROWLIMIT] = ActionEntry(REDUCE, 143);
   _actionMap[94][UNION] = ActionEntry(REDUCE, 143);
   _actionMap[94][ENDTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[94][RB] = ActionEntry(REDUCE, 143);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[94][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[94][STAR] = ActionEntry(REDUCE, 143);
   _actionMap[94][DIVISION] = ActionEntry(REDUCE, 143);
   _actionMap[94][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[94][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[95][LB] = ActionEntry(SHIFT, 220);
   _actionMap[96][WHEN] = ActionEntry(REDUCE, 338);
   _actionMap[96][ELSE] = ActionEntry(REDUCE, 338);
   _actionMap[96][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[96][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[96][INNER] = ActionEntry(REDUCE, 338);
   _actionMap[96][JOIN] = ActionEntry(REDUCE, 338);
   _actionMap[96][RETURNTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[96][ORDER] = ActionEntry(REDUCE, 338);
   _actionMap[96][GROUP] = ActionEntry(REDUCE, 338);
   _actionMap[96][WHERE] = ActionEntry(REDUCE, 338);
   _actionMap[96][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[96][FROM] = ActionEntry(REDUCE, 338);
   _actionMap[96][AS] = ActionEntry(REDUCE, 338);
   _actionMap[96][END_TOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[96][BEGIN] = ActionEntry(REDUCE, 338);
   _actionMap[96][THEN] = ActionEntry(REDUCE, 338);
   _actionMap[96][OR] = ActionEntry(REDUCE, 338);
   _actionMap[96][AND] = ActionEntry(REDUCE, 338);
   _actionMap[96][INTOK] = ActionEntry(REDUCE, 338);
   _actionMap[96][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[96][BETWEEN] = ActionEntry(REDUCE, 338);
   _actionMap[96][IS] = ActionEntry(REDUCE, 338);
   _actionMap[96][LIKE] = ActionEntry(REDUCE, 338);
   _actionMap[96][MT] = ActionEntry(REDUCE, 338);
   _actionMap[96][LT] = ActionEntry(REDUCE, 338);
   _actionMap[96][NEGATION] = ActionEntry(REDUCE, 338);
   _actionMap[96][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[96][RB] = ActionEntry(REDUCE, 338);
   _actionMap[96][ENDTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[96][UNION] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser214()
{
   _actionMap[96][ROWLIMIT] = ActionEntry(REDUCE, 338);
   _actionMap[96][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[96][ASC] = ActionEntry(REDUCE, 338);
   _actionMap[96][DESC] = ActionEntry(REDUCE, 338);
   _actionMap[96][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[96][PLUS] = ActionEntry(REDUCE, 338);
   _actionMap[96][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[96][DIVISION] = ActionEntry(REDUCE, 338);
   _actionMap[96][STAR] = ActionEntry(REDUCE, 338);
   _actionMap[96][CONCAT] = ActionEntry(REDUCE, 338);
   _actionMap[97][LB] = ActionEntry(SHIFT, 221);
   _actionMap[98][LB] = ActionEntry(SHIFT, 222);
   _actionMap[99][LB] = ActionEntry(SHIFT, 223);
   _actionMap[100][LB] = ActionEntry(SHIFT, 224);
   _actionMap[101][WHEN] = ActionEntry(REDUCE, 160);
   _actionMap[102][LB] = ActionEntry(SHIFT, 225);
   _actionMap[103][LB] = ActionEntry(SHIFT, 226);
   _actionMap[104][LB] = ActionEntry(SHIFT, 227);
   _actionMap[105][LB] = ActionEntry(SHIFT, 228);
   _actionMap[106][LB] = ActionEntry(SHIFT, 229);
   _actionMap[107][WHEN] = ActionEntry(REDUCE, 347);
   _actionMap[107][ELSE] = ActionEntry(REDUCE, 347);
   _actionMap[107][LEFT] = ActionEntry(REDUCE, 347);
   _actionMap[107][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[107][INNER] = ActionEntry(REDUCE, 347);
   _actionMap[107][JOIN] = ActionEntry(REDUCE, 347);
   _actionMap[107][RETURNTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[107][ORDER] = ActionEntry(REDUCE, 347);
   _actionMap[107][GROUP] = ActionEntry(REDUCE, 347);
   _actionMap[107][WHERE] = ActionEntry(REDUCE, 347);
   _actionMap[107][FROM] = ActionEntry(REDUCE, 347);
   _actionMap[107][AS] = ActionEntry(REDUCE, 347);
   _actionMap[107][END_TOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[107][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[107][THEN] = ActionEntry(REDUCE, 347);
   _actionMap[107][OR] = ActionEntry(REDUCE, 347);
   _actionMap[107][AND] = ActionEntry(REDUCE, 347);
   _actionMap[107][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[107][INTOK] = ActionEntry(REDUCE, 347);
   _actionMap[107][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[107][BETWEEN] = ActionEntry(REDUCE, 347);
   _actionMap[107][IS] = ActionEntry(REDUCE, 347);
   _actionMap[107][LIKE] = ActionEntry(REDUCE, 347);
   _actionMap[107][MT] = ActionEntry(REDUCE, 347);
   _actionMap[107][LT] = ActionEntry(REDUCE, 347);
   _actionMap[107][NEGATION] = ActionEntry(REDUCE, 347);
   _actionMap[107][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[107][RB] = ActionEntry(REDUCE, 347);
   _actionMap[107][ENDTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[107][UNION] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser215()
{
   _actionMap[107][ROWLIMIT] = ActionEntry(REDUCE, 347);
   _actionMap[107][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[107][ASC] = ActionEntry(REDUCE, 347);
   _actionMap[107][DESC] = ActionEntry(REDUCE, 347);
   _actionMap[107][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[107][PLUS] = ActionEntry(REDUCE, 347);
   _actionMap[107][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[107][DIVISION] = ActionEntry(REDUCE, 347);
   _actionMap[107][STAR] = ActionEntry(REDUCE, 347);
   _actionMap[107][CONCAT] = ActionEntry(REDUCE, 347);
   _actionMap[108][IDENTIFIER] = ActionEntry(SHIFT, 230);
   _actionMap[109][LB] = ActionEntry(SHIFT, 231);
   _actionMap[110][LB] = ActionEntry(SHIFT, 232);
   _actionMap[111][LB] = ActionEntry(SHIFT, 233);
   _actionMap[112][LB] = ActionEntry(SHIFT, 234);
   _actionMap[113][LB] = ActionEntry(SHIFT, 235);
   _actionMap[114][LB] = ActionEntry(SHIFT, 236);
   _actionMap[115][LB] = ActionEntry(SHIFT, 237);
   _actionMap[116][LB] = ActionEntry(SHIFT, 238);
   _actionMap[117][LB] = ActionEntry(SHIFT, 239);
   _actionMap[118][LB] = ActionEntry(SHIFT, 240);
   _actionMap[119][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[119][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[119][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[119][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[119][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[119][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[119][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[119][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[119][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[119][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[119][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[119][AS] = ActionEntry(REDUCE, 345);
   _actionMap[119][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[119][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[119][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[119][OR] = ActionEntry(REDUCE, 345);
   _actionMap[119][AND] = ActionEntry(REDUCE, 345);
   _actionMap[119][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[119][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[119][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[119][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[119][IS] = ActionEntry(REDUCE, 345);
   _actionMap[119][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[119][MT] = ActionEntry(REDUCE, 345);
   _actionMap[119][LT] = ActionEntry(REDUCE, 345);
   _actionMap[119][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[119][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[119][RB] = ActionEntry(REDUCE, 345);
   _actionMap[119][ENDTOKEN] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser216()
{
   _actionMap[119][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[119][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[119][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[119][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[119][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[119][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[119][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[119][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[119][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[119][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[119][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[120][LB] = ActionEntry(SHIFT, 241);
   _actionMap[121][LB] = ActionEntry(SHIFT, 242);
   _actionMap[122][LB] = ActionEntry(SHIFT, 243);
   _actionMap[123][LB] = ActionEntry(SHIFT, 244);
   _actionMap[124][LB] = ActionEntry(SHIFT, 245);
   _actionMap[125][LB] = ActionEntry(SHIFT, 246);
   _actionMap[126][LB] = ActionEntry(SHIFT, 247);
   _actionMap[127][LB] = ActionEntry(SHIFT, 248);
   _actionMap[128][LB] = ActionEntry(SHIFT, 249);
   _actionMap[129][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[129][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[129][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[129][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[129][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[129][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[129][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[129][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[129][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[129][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[129][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[129][AS] = ActionEntry(REDUCE, 344);
   _actionMap[129][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[129][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[129][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[129][OR] = ActionEntry(REDUCE, 344);
   _actionMap[129][AND] = ActionEntry(REDUCE, 344);
   _actionMap[129][NULLTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[129][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[129][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[129][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[129][IS] = ActionEntry(REDUCE, 344);
   _actionMap[129][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[129][MT] = ActionEntry(REDUCE, 344);
   _actionMap[129][LT] = ActionEntry(REDUCE, 344);
   _actionMap[129][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[129][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[129][RB] = ActionEntry(REDUCE, 344);
   _actionMap[129][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[129][UNION] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser217()
{
   _actionMap[129][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[129][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[129][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[129][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[129][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[129][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[129][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[129][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[129][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[129][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[130][LB] = ActionEntry(SHIFT, 250);
   _actionMap[131][LB] = ActionEntry(SHIFT, 251);
   _actionMap[132][LB] = ActionEntry(SHIFT, 252);
   _actionMap[133][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[133][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[133][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[133][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[133][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[133][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[133][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[133][ORDER] = ActionEntry(REDUCE, 346);
   _actionMap[133][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[133][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[133][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[133][AS] = ActionEntry(REDUCE, 346);
   _actionMap[133][END_TOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[133][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[133][THEN] = ActionEntry(REDUCE, 346);
   _actionMap[133][OR] = ActionEntry(REDUCE, 346);
   _actionMap[133][AND] = ActionEntry(REDUCE, 346);
   _actionMap[133][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[133][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[133][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[133][BETWEEN] = ActionEntry(REDUCE, 346);
   _actionMap[133][IS] = ActionEntry(REDUCE, 346);
   _actionMap[133][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[133][MT] = ActionEntry(REDUCE, 346);
   _actionMap[133][LT] = ActionEntry(REDUCE, 346);
   _actionMap[133][NEGATION] = ActionEntry(REDUCE, 346);
   _actionMap[133][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[133][RB] = ActionEntry(REDUCE, 346);
   _actionMap[133][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[133][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[133][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[133][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[133][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[133][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[133][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[133][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[133][MINUS] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser218()
{
   _actionMap[133][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[133][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[133][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[134][LB] = ActionEntry(SHIFT, 253);
   _actionMap[135][LB] = ActionEntry(SHIFT, 254);
   _actionMap[136][LONG] = ActionEntry(SHIFT, 261);
   _actionMap[136][BIGINT] = ActionEntry(SHIFT, 257);
   _actionMap[136][SMALLINT] = ActionEntry(SHIFT, 262);
   _actionMap[136][TINYINT] = ActionEntry(SHIFT, 263);
   _actionMap[136][DOUBLE] = ActionEntry(SHIFT, 259);
   _actionMap[136][DECIMAL] = ActionEntry(SHIFT, 258);
   _actionMap[136][FIXED] = ActionEntry(SHIFT, 260);
   _actionMap[136][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[136][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[136][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[136][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[136][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[136][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[136][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[136][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[136][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[136][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[136][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[136][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[136][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[136][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[136][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[136][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[136][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[136][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[136][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[136][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[136][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[136][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[136][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[136][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[136][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[136][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[136][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[136][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[136][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[136][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[136][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[136][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[136][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[136][LB] = ActionEntry(SHIFT, 136);
   _actionMap[136][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[136][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[136][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[136][NULLTOKEN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser219()
{
   _actionMap[136][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[136][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[136][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[136][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[136][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[136][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[136][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[136][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[136][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[136][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[136][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[136][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[136][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[136][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[136][ObjSpec] = 95;
   _jumpMap[136][Constant] = 94;
   _jumpMap[136][SignedFloat] = 93;
   _jumpMap[136][SignedInt] = 92;
   _jumpMap[136][Attribute] = 91;
   _jumpMap[136][Function] = 90;
   _jumpMap[136][SelectStatement] = 256;
   _jumpMap[136][CasePrepare] = 89;
   _jumpMap[136][CaseClause] = 88;
   _jumpMap[136][Factor] = 87;
   _jumpMap[136][Term] = 86;
   _jumpMap[136][Expr] = 255;
   _actionMap[137][INTVAL] = ActionEntry(SHIFT, 264);
   _actionMap[138][FLOATVAL] = ActionEntry(SHIFT, 266);
   _actionMap[138][INTVAL] = ActionEntry(SHIFT, 265);
   _actionMap[139][WHEN] = ActionEntry(REDUCE, 329);
   _actionMap[139][ELSE] = ActionEntry(REDUCE, 329);
   _actionMap[139][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[139][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[139][INNER] = ActionEntry(REDUCE, 329);
   _actionMap[139][JOIN] = ActionEntry(REDUCE, 329);
   _actionMap[139][RETURNTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[139][ORDER] = ActionEntry(REDUCE, 329);
   _actionMap[139][GROUP] = ActionEntry(REDUCE, 329);
   _actionMap[139][WHERE] = ActionEntry(REDUCE, 329);
   _actionMap[139][AS] = ActionEntry(REDUCE, 329);
   _actionMap[139][FROM] = ActionEntry(REDUCE, 329);
   _actionMap[139][END_TOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[139][BEGIN] = ActionEntry(REDUCE, 329);
   _actionMap[139][THEN] = ActionEntry(REDUCE, 329);
   _actionMap[139][OR] = ActionEntry(REDUCE, 329);
   _actionMap[139][AND] = ActionEntry(REDUCE, 329);
   _actionMap[139][NULLTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[139][LIKE] = ActionEntry(REDUCE, 329);
   _actionMap[139][IS] = ActionEntry(REDUCE, 329);
   _actionMap[139][BETWEEN] = ActionEntry(REDUCE, 329);
}
void Cego::loadParser220()
{
   _actionMap[139][NOT] = ActionEntry(REDUCE, 329);
   _actionMap[139][INTOK] = ActionEntry(REDUCE, 329);
   _actionMap[139][EQU] = ActionEntry(REDUCE, 329);
   _actionMap[139][NEGATION] = ActionEntry(REDUCE, 329);
   _actionMap[139][LT] = ActionEntry(REDUCE, 329);
   _actionMap[139][MT] = ActionEntry(REDUCE, 329);
   _actionMap[139][DESC] = ActionEntry(REDUCE, 329);
   _actionMap[139][ASC] = ActionEntry(REDUCE, 329);
   _actionMap[139][KSEP] = ActionEntry(REDUCE, 329);
   _actionMap[139][ROWLIMIT] = ActionEntry(REDUCE, 329);
   _actionMap[139][UNION] = ActionEntry(REDUCE, 329);
   _actionMap[139][ENDTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[139][RB] = ActionEntry(REDUCE, 329);
   _actionMap[139][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[139][CONCAT] = ActionEntry(REDUCE, 329);
   _actionMap[139][STAR] = ActionEntry(REDUCE, 329);
   _actionMap[139][DIVISION] = ActionEntry(REDUCE, 329);
   _actionMap[139][MINUS] = ActionEntry(REDUCE, 329);
   _actionMap[139][PLUS] = ActionEntry(REDUCE, 329);
   _actionMap[140][WHEN] = ActionEntry(REDUCE, 331);
   _actionMap[140][ELSE] = ActionEntry(REDUCE, 331);
   _actionMap[140][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[140][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[140][INNER] = ActionEntry(REDUCE, 331);
   _actionMap[140][JOIN] = ActionEntry(REDUCE, 331);
   _actionMap[140][RETURNTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[140][ORDER] = ActionEntry(REDUCE, 331);
   _actionMap[140][GROUP] = ActionEntry(REDUCE, 331);
   _actionMap[140][WHERE] = ActionEntry(REDUCE, 331);
   _actionMap[140][AS] = ActionEntry(REDUCE, 331);
   _actionMap[140][FROM] = ActionEntry(REDUCE, 331);
   _actionMap[140][END_TOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[140][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[140][THEN] = ActionEntry(REDUCE, 331);
   _actionMap[140][OR] = ActionEntry(REDUCE, 331);
   _actionMap[140][AND] = ActionEntry(REDUCE, 331);
   _actionMap[140][NULLTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[140][LIKE] = ActionEntry(REDUCE, 331);
   _actionMap[140][IS] = ActionEntry(REDUCE, 331);
   _actionMap[140][BETWEEN] = ActionEntry(REDUCE, 331);
   _actionMap[140][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[140][INTOK] = ActionEntry(REDUCE, 331);
   _actionMap[140][EQU] = ActionEntry(REDUCE, 331);
   _actionMap[140][NEGATION] = ActionEntry(REDUCE, 331);
   _actionMap[140][LT] = ActionEntry(REDUCE, 331);
   _actionMap[140][MT] = ActionEntry(REDUCE, 331);
   _actionMap[140][DESC] = ActionEntry(REDUCE, 331);
   _actionMap[140][ASC] = ActionEntry(REDUCE, 331);
   _actionMap[140][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[140][ROWLIMIT] = ActionEntry(REDUCE, 331);
}
void Cego::loadParser221()
{
   _actionMap[140][UNION] = ActionEntry(REDUCE, 331);
   _actionMap[140][ENDTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[140][RB] = ActionEntry(REDUCE, 331);
   _actionMap[140][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[140][CONCAT] = ActionEntry(REDUCE, 331);
   _actionMap[140][STAR] = ActionEntry(REDUCE, 331);
   _actionMap[140][DIVISION] = ActionEntry(REDUCE, 331);
   _actionMap[140][MINUS] = ActionEntry(REDUCE, 331);
   _actionMap[140][PLUS] = ActionEntry(REDUCE, 331);
   _actionMap[141][WHEN] = ActionEntry(REDUCE, 326);
   _actionMap[141][ELSE] = ActionEntry(REDUCE, 326);
   _actionMap[141][LEFT] = ActionEntry(REDUCE, 326);
   _actionMap[141][RIGHT] = ActionEntry(REDUCE, 326);
   _actionMap[141][INNER] = ActionEntry(REDUCE, 326);
   _actionMap[141][JOIN] = ActionEntry(REDUCE, 326);
   _actionMap[141][RETURNTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[141][ORDER] = ActionEntry(REDUCE, 326);
   _actionMap[141][GROUP] = ActionEntry(REDUCE, 326);
   _actionMap[141][WHERE] = ActionEntry(REDUCE, 326);
   _actionMap[141][FROM] = ActionEntry(REDUCE, 326);
   _actionMap[141][AS] = ActionEntry(REDUCE, 326);
   _actionMap[141][END_TOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[141][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[141][THEN] = ActionEntry(REDUCE, 326);
   _actionMap[141][OR] = ActionEntry(REDUCE, 326);
   _actionMap[141][AND] = ActionEntry(REDUCE, 326);
   _actionMap[141][INTOK] = ActionEntry(REDUCE, 326);
   _actionMap[141][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[141][BETWEEN] = ActionEntry(REDUCE, 326);
   _actionMap[141][IS] = ActionEntry(REDUCE, 326);
   _actionMap[141][LIKE] = ActionEntry(REDUCE, 326);
   _actionMap[141][MT] = ActionEntry(REDUCE, 326);
   _actionMap[141][LT] = ActionEntry(REDUCE, 326);
   _actionMap[141][NEGATION] = ActionEntry(REDUCE, 326);
   _actionMap[141][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[141][RB] = ActionEntry(REDUCE, 326);
   _actionMap[141][ENDTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[141][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[141][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[141][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[141][ASC] = ActionEntry(REDUCE, 326);
   _actionMap[141][DESC] = ActionEntry(REDUCE, 326);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[141][PLUS] = ActionEntry(REDUCE, 326);
   _actionMap[141][MINUS] = ActionEntry(REDUCE, 326);
   _actionMap[141][LB] = ActionEntry(REDUCE, 352);
   _actionMap[141][DIVISION] = ActionEntry(REDUCE, 326);
   _actionMap[141][STAR] = ActionEntry(REDUCE, 326);
   _actionMap[141][CONCAT] = ActionEntry(REDUCE, 326);
   _actionMap[142][WHEN] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser222()
{
   _actionMap[142][ELSE] = ActionEntry(REDUCE, 142);
   _actionMap[142][LEFT] = ActionEntry(REDUCE, 142);
   _actionMap[142][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[142][INNER] = ActionEntry(REDUCE, 142);
   _actionMap[142][JOIN] = ActionEntry(REDUCE, 142);
   _actionMap[142][RETURNTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[142][ORDER] = ActionEntry(REDUCE, 142);
   _actionMap[142][GROUP] = ActionEntry(REDUCE, 142);
   _actionMap[142][WHERE] = ActionEntry(REDUCE, 142);
   _actionMap[142][AS] = ActionEntry(REDUCE, 142);
   _actionMap[142][FROM] = ActionEntry(REDUCE, 142);
   _actionMap[142][END_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[142][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[142][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[142][OR] = ActionEntry(REDUCE, 142);
   _actionMap[142][AND] = ActionEntry(REDUCE, 142);
   _actionMap[142][LIKE] = ActionEntry(REDUCE, 142);
   _actionMap[142][IS] = ActionEntry(REDUCE, 142);
   _actionMap[142][BETWEEN] = ActionEntry(REDUCE, 142);
   _actionMap[142][NOT] = ActionEntry(REDUCE, 142);
   _actionMap[142][INTOK] = ActionEntry(REDUCE, 142);
   _actionMap[142][EQU] = ActionEntry(REDUCE, 142);
   _actionMap[142][NEGATION] = ActionEntry(REDUCE, 142);
   _actionMap[142][LT] = ActionEntry(REDUCE, 142);
   _actionMap[142][MT] = ActionEntry(REDUCE, 142);
   _actionMap[142][DESC] = ActionEntry(REDUCE, 142);
   _actionMap[142][ASC] = ActionEntry(REDUCE, 142);
   _actionMap[142][KSEP] = ActionEntry(REDUCE, 142);
   _actionMap[142][ROWLIMIT] = ActionEntry(REDUCE, 142);
   _actionMap[142][UNION] = ActionEntry(REDUCE, 142);
   _actionMap[142][ENDTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[142][RB] = ActionEntry(REDUCE, 142);
   _actionMap[142][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[142][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[142][STAR] = ActionEntry(REDUCE, 142);
   _actionMap[142][DIVISION] = ActionEntry(REDUCE, 142);
   _actionMap[142][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[142][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[143][WHEN] = ActionEntry(REDUCE, 327);
   _actionMap[143][ELSE] = ActionEntry(REDUCE, 327);
   _actionMap[143][LEFT] = ActionEntry(REDUCE, 327);
   _actionMap[143][RIGHT] = ActionEntry(REDUCE, 327);
   _actionMap[143][INNER] = ActionEntry(REDUCE, 327);
   _actionMap[143][JOIN] = ActionEntry(REDUCE, 327);
   _actionMap[143][RETURNTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[143][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[143][GROUP] = ActionEntry(REDUCE, 327);
   _actionMap[143][WHERE] = ActionEntry(REDUCE, 327);
   _actionMap[143][FROM] = ActionEntry(REDUCE, 327);
   _actionMap[143][AS] = ActionEntry(REDUCE, 327);
}
void Cego::loadParser223()
{
   _actionMap[143][END_TOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[143][BEGIN] = ActionEntry(REDUCE, 327);
   _actionMap[143][THEN] = ActionEntry(REDUCE, 327);
   _actionMap[143][OR] = ActionEntry(REDUCE, 327);
   _actionMap[143][AND] = ActionEntry(REDUCE, 327);
   _actionMap[143][INTOK] = ActionEntry(REDUCE, 327);
   _actionMap[143][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[143][BETWEEN] = ActionEntry(REDUCE, 327);
   _actionMap[143][IS] = ActionEntry(REDUCE, 327);
   _actionMap[143][LIKE] = ActionEntry(REDUCE, 327);
   _actionMap[143][MT] = ActionEntry(REDUCE, 327);
   _actionMap[143][LT] = ActionEntry(REDUCE, 327);
   _actionMap[143][NEGATION] = ActionEntry(REDUCE, 327);
   _actionMap[143][EQU] = ActionEntry(REDUCE, 327);
   _actionMap[143][RB] = ActionEntry(REDUCE, 327);
   _actionMap[143][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[143][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[143][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[143][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[143][ASC] = ActionEntry(REDUCE, 327);
   _actionMap[143][DESC] = ActionEntry(REDUCE, 327);
   _actionMap[143][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[143][PLUS] = ActionEntry(REDUCE, 327);
   _actionMap[143][MINUS] = ActionEntry(REDUCE, 327);
   _actionMap[143][LB] = ActionEntry(REDUCE, 353);
   _actionMap[143][DIVISION] = ActionEntry(REDUCE, 327);
   _actionMap[143][STAR] = ActionEntry(REDUCE, 327);
   _actionMap[143][CONCAT] = ActionEntry(REDUCE, 327);
   _actionMap[144][STAR] = ActionEntry(SHIFT, 267);
   _actionMap[145][WHEN] = ActionEntry(REDUCE, 349);
   _actionMap[145][ELSE] = ActionEntry(REDUCE, 349);
   _actionMap[145][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[145][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[145][INNER] = ActionEntry(REDUCE, 349);
   _actionMap[145][JOIN] = ActionEntry(REDUCE, 349);
   _actionMap[145][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[145][ORDER] = ActionEntry(REDUCE, 349);
   _actionMap[145][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[145][WHERE] = ActionEntry(REDUCE, 349);
   _actionMap[145][FROM] = ActionEntry(REDUCE, 349);
   _actionMap[145][AS] = ActionEntry(REDUCE, 349);
   _actionMap[145][END_TOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[145][BEGIN] = ActionEntry(REDUCE, 349);
   _actionMap[145][THEN] = ActionEntry(REDUCE, 349);
   _actionMap[145][OR] = ActionEntry(REDUCE, 349);
   _actionMap[145][AND] = ActionEntry(REDUCE, 349);
   _actionMap[145][NULLTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[145][INTOK] = ActionEntry(REDUCE, 349);
   _actionMap[145][NOT] = ActionEntry(REDUCE, 349);
   _actionMap[145][BETWEEN] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser224()
{
   _actionMap[145][IS] = ActionEntry(REDUCE, 349);
   _actionMap[145][LIKE] = ActionEntry(REDUCE, 349);
   _actionMap[145][MT] = ActionEntry(REDUCE, 349);
   _actionMap[145][LT] = ActionEntry(REDUCE, 349);
   _actionMap[145][NEGATION] = ActionEntry(REDUCE, 349);
   _actionMap[145][EQU] = ActionEntry(REDUCE, 349);
   _actionMap[145][RB] = ActionEntry(REDUCE, 349);
   _actionMap[145][ENDTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[145][UNION] = ActionEntry(REDUCE, 349);
   _actionMap[145][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[145][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[145][ASC] = ActionEntry(REDUCE, 349);
   _actionMap[145][DESC] = ActionEntry(REDUCE, 349);
   _actionMap[145][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[145][PLUS] = ActionEntry(REDUCE, 349);
   _actionMap[145][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[145][DIVISION] = ActionEntry(REDUCE, 349);
   _actionMap[145][STAR] = ActionEntry(REDUCE, 349);
   _actionMap[145][CONCAT] = ActionEntry(REDUCE, 349);
   _actionMap[146][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[146][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[146][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[146][ObjSpec] = 268;
   _actionMap[147][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[147][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[147][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[147][ObjSpec] = 269;
   _actionMap[148][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[148][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[148][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[148][ObjSpec] = 270;
   _actionMap[149][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[149][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[149][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[149][ObjSpec] = 271;
   _actionMap[150][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[150][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[150][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[150][ObjSpec] = 272;
   _actionMap[151][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[151][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[151][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[151][ObjSpec] = 273;
   _actionMap[152][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[152][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[152][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[152][ObjSpec] = 274;
   _actionMap[153][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[153][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[153][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser225()
{
   _jumpMap[153][ObjSpec] = 275;
   _actionMap[154][FROM] = ActionEntry(SHIFT, 276);
   _actionMap[155][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[155][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[155][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[155][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[155][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[155][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[155][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[155][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[155][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[155][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[155][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[155][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[155][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[155][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[155][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[155][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[155][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[155][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[155][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[155][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[155][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[155][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[155][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[155][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[155][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[155][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[155][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[155][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[155][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[155][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[155][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[155][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[155][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[155][LB] = ActionEntry(SHIFT, 136);
   _actionMap[155][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[155][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[155][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[155][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[155][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[155][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[155][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[155][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[155][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[155][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[155][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[155][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[155][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[155][SUM] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser226()
{
   _actionMap[155][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[155][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[155][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[155][ObjSpec] = 95;
   _jumpMap[155][Constant] = 94;
   _jumpMap[155][SignedFloat] = 93;
   _jumpMap[155][SignedInt] = 92;
   _jumpMap[155][Attribute] = 91;
   _jumpMap[155][Function] = 90;
   _jumpMap[155][SelectItem] = 279;
   _jumpMap[155][SelectionList] = 278;
   _jumpMap[155][CasePrepare] = 89;
   _jumpMap[155][CaseClause] = 88;
   _jumpMap[155][Factor] = 87;
   _jumpMap[155][Term] = 86;
   _jumpMap[155][Expr] = 277;
   _actionMap[156][VARREF] = ActionEntry(REDUCE, 231);
   _actionMap[156][FETCH] = ActionEntry(REDUCE, 231);
   _actionMap[156][LB] = ActionEntry(REDUCE, 231);
   _actionMap[156][COUNT] = ActionEntry(REDUCE, 231);
   _actionMap[156][SUM] = ActionEntry(REDUCE, 231);
   _actionMap[156][AVG] = ActionEntry(REDUCE, 231);
   _actionMap[156][MIN] = ActionEntry(REDUCE, 231);
   _actionMap[156][MAX] = ActionEntry(REDUCE, 231);
   _actionMap[156][CASE] = ActionEntry(REDUCE, 231);
   _actionMap[156][TRIM] = ActionEntry(REDUCE, 231);
   _actionMap[156][RTRIM] = ActionEntry(REDUCE, 231);
   _actionMap[156][LTRIM] = ActionEntry(REDUCE, 231);
   _actionMap[156][ROUND] = ActionEntry(REDUCE, 231);
   _actionMap[156][DATE2STR] = ActionEntry(REDUCE, 231);
   _actionMap[156][DATE2INT] = ActionEntry(REDUCE, 231);
   _actionMap[156][INT2DATE] = ActionEntry(REDUCE, 231);
   _actionMap[156][LOWER] = ActionEntry(REDUCE, 231);
   _actionMap[156][UPPER] = ActionEntry(REDUCE, 231);
   _actionMap[156][LEFT] = ActionEntry(REDUCE, 231);
   _actionMap[156][RIGHT] = ActionEntry(REDUCE, 231);
   _actionMap[156][GETPOS] = ActionEntry(REDUCE, 231);
   _actionMap[156][SUBSTR] = ActionEntry(REDUCE, 231);
   _actionMap[156][REPLACE] = ActionEntry(REDUCE, 231);
   _actionMap[156][LENGTH] = ActionEntry(REDUCE, 231);
   _actionMap[156][TRUNC] = ActionEntry(REDUCE, 231);
   _actionMap[156][STR2INT] = ActionEntry(REDUCE, 231);
   _actionMap[156][STR2LONG] = ActionEntry(REDUCE, 231);
   _actionMap[156][RANDSTR] = ActionEntry(REDUCE, 231);
   _actionMap[156][RANDINT] = ActionEntry(REDUCE, 231);
   _actionMap[156][MOD] = ActionEntry(REDUCE, 231);
   _actionMap[156][DIV] = ActionEntry(REDUCE, 231);
   _actionMap[156][POWER] = ActionEntry(REDUCE, 231);
   _actionMap[156][BITAND] = ActionEntry(REDUCE, 231);
   _actionMap[156][BITOR] = ActionEntry(REDUCE, 231);
}
void Cego::loadParser227()
{
   _actionMap[156][BITXOR] = ActionEntry(REDUCE, 231);
   _actionMap[156][NEXTCOUNT] = ActionEntry(REDUCE, 231);
   _actionMap[156][IDENTIFIER] = ActionEntry(REDUCE, 231);
   _actionMap[156][QUALIFIEDOBJ] = ActionEntry(REDUCE, 231);
   _actionMap[156][QUALIFIEDTS] = ActionEntry(REDUCE, 231);
   _actionMap[156][QUALIFIEDPRE] = ActionEntry(REDUCE, 231);
   _actionMap[156][STRINGVAL] = ActionEntry(REDUCE, 231);
   _actionMap[156][DATE] = ActionEntry(REDUCE, 231);
   _actionMap[156][SYSDATE] = ActionEntry(REDUCE, 231);
   _actionMap[156][NULLTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[156][TRUEVAL] = ActionEntry(REDUCE, 231);
   _actionMap[156][FALSEVAL] = ActionEntry(REDUCE, 231);
   _actionMap[156][LAB] = ActionEntry(REDUCE, 231);
   _actionMap[156][COUNTERID] = ActionEntry(REDUCE, 231);
   _actionMap[156][FLOATVAL] = ActionEntry(REDUCE, 231);
   _actionMap[156][MINUS] = ActionEntry(REDUCE, 231);
   _actionMap[156][INTVAL] = ActionEntry(REDUCE, 231);
   _actionMap[157][FROM] = ActionEntry(REDUCE, 194);
   _actionMap[158][OFF] = ActionEntry(SHIFT, 280);
   _actionMap[158][ON] = ActionEntry(SHIFT, 281);
   _actionMap[159][OFF] = ActionEntry(SHIFT, 282);
   _actionMap[159][ON] = ActionEntry(SHIFT, 283);
   _actionMap[160][IDENTIFIER] = ActionEntry(SHIFT, 284);
   _actionMap[161][IDENTIFIER] = ActionEntry(SHIFT, 285);
   _actionMap[162][OFF] = ActionEntry(SHIFT, 286);
   _actionMap[162][ON] = ActionEntry(SHIFT, 287);
   _actionMap[163][IDENTIFIER] = ActionEntry(SHIFT, 288);
   _actionMap[164][EQU] = ActionEntry(SHIFT, 289);
   _actionMap[165][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[165][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[165][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[165][ObjSpec] = 290;
   _actionMap[166][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[167][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[167][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[167][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[167][ObjSpec] = 291;
   _actionMap[168][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[169][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[169][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[169][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[169][ObjSpec] = 292;
   _actionMap[170][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[171][SEMICOLON] = ActionEntry(REDUCE, 14);
   _actionMap[172][SET] = ActionEntry(SHIFT, 293);
   _actionMap[173][CALL] = ActionEntry(SHIFT, 294);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 43);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 41);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 44);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 42);
}
void Cego::loadParser228()
{
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 40);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 38);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 39);
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 45);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 46);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 47);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[14][ObjSpec] = 48;
   _actionMap[15][INDEX] = ActionEntry(SHIFT, 52);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 61);
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 59);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 57);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 56);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 58);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 60);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 179);
   _jumpMap[17][IndexOption] = 55;
   _jumpMap[17][ProcDef] = 54;
   _jumpMap[17][ProcHead] = 53;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 62);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 66);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 63);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 67);
   _actionMap[19][KEY] = ActionEntry(SHIFT, 64);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 65);
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 61);
   _actionMap[20][IF] = ActionEntry(SHIFT, 68);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 61);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 61);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 61);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 61);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 61);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 61);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 69);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 71);
   _jumpMap[22][JdbcArgList] = 70;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 79);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 78);
}
void Cego::loadParser229()
{
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 76);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 81);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 74);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 75);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 73);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 77);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 80);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 72);
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 83);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 58);
   _jumpMap[24][ProcDef] = 82;
   _jumpMap[24][ProcHead] = 53;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 84;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[26][LB] = ActionEntry(SHIFT, 136);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser230()
{
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[26][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[26][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[26][ObjSpec] = 95;
   _jumpMap[26][Constant] = 94;
   _jumpMap[26][SignedFloat] = 93;
   _jumpMap[26][SignedInt] = 92;
   _jumpMap[26][Attribute] = 91;
   _jumpMap[26][Function] = 90;
   _jumpMap[26][CasePrepare] = 89;
   _jumpMap[26][CaseClause] = 88;
   _jumpMap[26][Factor] = 87;
   _jumpMap[26][Term] = 86;
   _jumpMap[26][Expr] = 85;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 150);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 147);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 148);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 149);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 151);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 146);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 153);
   _actionMap[28][INDEX] = ActionEntry(SHIFT, 152);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 182);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 156);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 232);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 232);
   _actionMap[30][LB] = ActionEntry(REDUCE, 232);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 232);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 232);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 232);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 232);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 232);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 232);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 232);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 232);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 232);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 232);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 232);
}
void Cego::loadParser231()
{
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 232);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 232);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 232);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 232);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 232);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 232);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 232);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 232);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 232);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 232);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 232);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 232);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 232);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 232);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 232);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 232);
   _actionMap[30][DIV] = ActionEntry(REDUCE, 232);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 232);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 232);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 232);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 232);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 232);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 232);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 232);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 232);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 232);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 232);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 232);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 232);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 232);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 232);
   _actionMap[30][LAB] = ActionEntry(REDUCE, 232);
   _actionMap[30][COUNTERID] = ActionEntry(REDUCE, 232);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 232);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 232);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 232);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 157);
   _jumpMap[30][DistinctOpt] = 155;
   _jumpMap[30][Selection] = 154;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 163);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 158);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 159);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 161);
   _actionMap[31][QUERYCACHE] = ActionEntry(SHIFT, 162);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 164);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 160);
   _actionMap[32][POOL] = ActionEntry(SHIFT, 166);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 168);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser232()
{
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 169);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 165);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 170);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[35][ObjSpec] = 171;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[36][ObjSpec] = 172;
   _actionMap[37][EQU] = ActionEntry(SHIFT, 173);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 37);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser233()
{
   _prodInfo.Insert(ProdEntry(354, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(353, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(352, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(351, DateValue, 1));
   _prodInfo.Insert(ProdEntry(350, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(349, Constant, 1));
   _prodInfo.Insert(ProdEntry(348, Constant, 5));
   _prodInfo.Insert(ProdEntry(347, Constant, 1));
   _prodInfo.Insert(ProdEntry(346, Constant, 1));
   _prodInfo.Insert(ProdEntry(345, Constant, 1));
   _prodInfo.Insert(ProdEntry(344, Constant, 1));
   _prodInfo.Insert(ProdEntry(343, Constant, 6));
   _prodInfo.Insert(ProdEntry(342, Constant, 4));
   _prodInfo.Insert(ProdEntry(341, Constant, 4));
   _prodInfo.Insert(ProdEntry(340, Constant, 4));
   _prodInfo.Insert(ProdEntry(339, Constant, 1));
   _prodInfo.Insert(ProdEntry(338, Constant, 1));
   _prodInfo.Insert(ProdEntry(337, Constant, 4));
   _prodInfo.Insert(ProdEntry(336, Constant, 4));
   _prodInfo.Insert(ProdEntry(335, Constant, 4));
   _prodInfo.Insert(ProdEntry(334, Constant, 4));
   _prodInfo.Insert(ProdEntry(333, Constant, 1));
   _prodInfo.Insert(ProdEntry(332, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(331, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(330, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(329, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(328, Attribute, 2));
   _prodInfo.Insert(ProdEntry(327, Attribute, 1));
   _prodInfo.Insert(ProdEntry(326, Attribute, 1));
   _prodInfo.Insert(ProdEntry(325, Comparison, 2));
   _prodInfo.Insert(ProdEntry(324, Comparison, 2));
   _prodInfo.Insert(ProdEntry(323, Comparison, 1));
   _prodInfo.Insert(ProdEntry(322, Comparison, 1));
   _prodInfo.Insert(ProdEntry(321, Comparison, 2));
   _prodInfo.Insert(ProdEntry(320, Comparison, 1));
   _prodInfo.Insert(ProdEntry(319, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(318, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(317, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(316, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(315, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(314, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(313, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(312, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(311, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(310, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(309, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(308, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(307, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(306, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(305, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(304, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(303, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(302, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(301, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(300, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(299, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(298, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(297, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(296, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(295, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(294, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(293, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(292, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(291, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(290, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(289, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(288, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(287, Function, 3));
   _prodInfo.Insert(ProdEntry(286, Function, 4));
   _prodInfo.Insert(ProdEntry(285, Function, 4));
   _prodInfo.Insert(ProdEntry(284, Function, 4));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, Function, 4));
   _prodInfo.Insert(ProdEntry(279, Function, 4));
   _prodInfo.Insert(ProdEntry(278, Function, 4));
   _prodInfo.Insert(ProdEntry(277, Function, 4));
   _prodInfo.Insert(ProdEntry(276, Function, 4));
   _prodInfo.Insert(ProdEntry(275, Function, 4));
   _prodInfo.Insert(ProdEntry(274, Function, 4));
   _prodInfo.Insert(ProdEntry(273, Function, 4));
   _prodInfo.Insert(ProdEntry(272, Function, 4));
   _prodInfo.Insert(ProdEntry(271, Function, 4));
   _prodInfo.Insert(ProdEntry(270, Function, 4));
   _prodInfo.Insert(ProdEntry(269, Function, 4));
   _prodInfo.Insert(ProdEntry(268, Function, 4));
   _prodInfo.Insert(ProdEntry(267, Function, 4));
   _prodInfo.Insert(ProdEntry(266, Function, 4));
   _prodInfo.Insert(ProdEntry(265, Function, 4));
   _prodInfo.Insert(ProdEntry(264, Function, 4));
   _prodInfo.Insert(ProdEntry(263, Function, 4));
   _prodInfo.Insert(ProdEntry(262, Function, 4));
   _prodInfo.Insert(ProdEntry(261, Function, 4));
   _prodInfo.Insert(ProdEntry(260, Function, 4));
   _prodInfo.Insert(ProdEntry(259, Function, 4));
   _prodInfo.Insert(ProdEntry(258, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(257, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(256, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(255, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(254, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(253, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(252, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(251, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(250, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(249, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(248, AlterList, 1));
   _prodInfo.Insert(ProdEntry(247, AlterList, 3));
   _prodInfo.Insert(ProdEntry(246, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(245, DeleteStatement, 4));
   _prodInfo.Insert(ProdEntry(244, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(243, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(242, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(241, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(240, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(239, Assignment, 3));
   _prodInfo.Insert(ProdEntry(238, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(237, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(236, UpdateStatement, 6));
   _prodInfo.Insert(ProdEntry(235, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(234, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(233, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(232, DistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(231, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(230, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(229, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(228, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(227, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(226, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(225, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(224, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(223, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(222, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(221, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(220, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(219, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(218, GroupList, 1));
   _prodInfo.Insert(ProdEntry(217, GroupList, 3));
   _prodInfo.Insert(ProdEntry(216, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(215, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(214, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(213, AliasOpt, 0));
   _prodInfo.Insert(ProdEntry(212, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(211, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(210, Table, 2));
   _prodInfo.Insert(ProdEntry(209, Table, 1));
   _prodInfo.Insert(ProdEntry(208, TableList, 1));
   _prodInfo.Insert(ProdEntry(207, TableList, 3));
   _prodInfo.Insert(ProdEntry(206, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(205, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(204, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(203, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(202, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(201, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(200, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(199, TableSource, 1));
   _prodInfo.Insert(ProdEntry(198, TableSource, 1));
   _prodInfo.Insert(ProdEntry(197, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(196, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(195, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(194, Selection, 1));
   _prodInfo.Insert(ProdEntry(193, Selection, 2));
   _prodInfo.Insert(ProdEntry(192, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(191, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(190, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(189, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(188, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(187, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(186, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(185, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(184, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(183, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(182, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(181, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(180, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(179, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(178, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(177, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(176, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(175, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(174, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(173, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(172, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(171, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(170, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(169, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(168, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(167, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(166, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(165, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(164, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(163, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(162, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(161, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(160, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(159, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(158, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(157, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(156, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(155, Factor, 4));
   _prodInfo.Insert(ProdEntry(154, Factor, 4));
   _prodInfo.Insert(ProdEntry(153, Factor, 4));
   _prodInfo.Insert(ProdEntry(152, Factor, 4));
   _prodInfo.Insert(ProdEntry(151, Factor, 4));
   _prodInfo.Insert(ProdEntry(150, Factor, 4));
   _prodInfo.Insert(ProdEntry(149, Factor, 1));
   _prodInfo.Insert(ProdEntry(148, Factor, 3));
   _prodInfo.Insert(ProdEntry(147, Factor, 3));
   _prodInfo.Insert(ProdEntry(146, Factor, 1));
   _prodInfo.Insert(ProdEntry(145, Factor, 1));
   _prodInfo.Insert(ProdEntry(144, Factor, 6));
   _prodInfo.Insert(ProdEntry(143, Factor, 1));
   _prodInfo.Insert(ProdEntry(142, Factor, 1));
   _prodInfo.Insert(ProdEntry(141, Term, 1));
   _prodInfo.Insert(ProdEntry(140, Term, 3));
   _prodInfo.Insert(ProdEntry(139, Term, 3));
   _prodInfo.Insert(ProdEntry(138, Expr, 3));
   _prodInfo.Insert(ProdEntry(137, Expr, 1));
   _prodInfo.Insert(ProdEntry(136, Expr, 3));
   _prodInfo.Insert(ProdEntry(135, Expr, 3));
   _prodInfo.Insert(ProdEntry(134, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(133, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(132, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(131, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(130, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(129, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(128, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(127, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(126, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(125, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(124, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(123, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(122, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(121, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(120, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(119, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(118, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(117, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(116, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(115, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(114, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(113, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(112, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(111, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(110, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(109, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(108, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(107, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(106, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(105, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(104, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(103, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(102, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(101, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(100, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(99, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(98, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(97, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(96, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(95, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(94, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(93, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(92, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(91, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(90, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(89, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(88, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(87, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(86, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(85, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(84, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(83, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(82, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(81, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(80, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(79, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(78, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(77, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(76, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(75, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(74, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(73, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(72, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(71, Statement, 2));
   _prodInfo.Insert(ProdEntry(70, Statement, 5));
   _prodInfo.Insert(ProdEntry(69, Statement, 3));
   _prodInfo.Insert(ProdEntry(68, Statement, 3));
   _prodInfo.Insert(ProdEntry(67, Statement, 3));
   _prodInfo.Insert(ProdEntry(66, Statement, 2));
   _prodInfo.Insert(ProdEntry(65, Statement, 4));
   _prodInfo.Insert(ProdEntry(64, Statement, 8));
   _prodInfo.Insert(ProdEntry(63, Statement, 15));
   _prodInfo.Insert(ProdEntry(62, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(61, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(60, Statement, 3));
   _prodInfo.Insert(ProdEntry(59, Statement, 4));
   _prodInfo.Insert(ProdEntry(58, Statement, 3));
   _prodInfo.Insert(ProdEntry(57, Statement, 3));
   _prodInfo.Insert(ProdEntry(56, Statement, 3));
   _prodInfo.Insert(ProdEntry(55, Statement, 3));
   _prodInfo.Insert(ProdEntry(54, Statement, 9));
   _prodInfo.Insert(ProdEntry(53, Statement, 8));
   _prodInfo.Insert(ProdEntry(52, Statement, 6));
   _prodInfo.Insert(ProdEntry(51, Statement, 7));
   _prodInfo.Insert(ProdEntry(50, Statement, 5));
   _prodInfo.Insert(ProdEntry(49, Statement, 2));
   _prodInfo.Insert(ProdEntry(48, Statement, 2));
   _prodInfo.Insert(ProdEntry(47, Statement, 5));
   _prodInfo.Insert(ProdEntry(46, Statement, 5));
   _prodInfo.Insert(ProdEntry(45, Statement, 1));
   _prodInfo.Insert(ProdEntry(44, Statement, 1));
   _prodInfo.Insert(ProdEntry(43, Statement, 1));
   _prodInfo.Insert(ProdEntry(42, Statement, 1));
   _prodInfo.Insert(ProdEntry(41, Statement, 1));
   _prodInfo.Insert(ProdEntry(40, Statement, 2));
   _prodInfo.Insert(ProdEntry(39, Statement, 1));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 3));
   _prodInfo.Insert(ProdEntry(32, Statement, 3));
   _prodInfo.Insert(ProdEntry(31, Statement, 3));
   _prodInfo.Insert(ProdEntry(30, Statement, 3));
   _prodInfo.Insert(ProdEntry(29, Statement, 1));
   _prodInfo.Insert(ProdEntry(28, Statement, 1));
   _prodInfo.Insert(ProdEntry(27, Statement, 1));
   _prodInfo.Insert(ProdEntry(26, Statement, 7));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 3));
   _prodInfo.Insert(ProdEntry(17, Statement, 3));
   _prodInfo.Insert(ProdEntry(16, Statement, 2));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, Statement, 2));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(12, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 801; i++)
   {
      int j;
      for ( j = 0; j < 176; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 111; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 354:
                     setObject3();
                     break;
                  case 353:
                     setObject2();
                     break;
                  case 352:
                     setObject1();
                     break;
                  case 351:
                     miscDateValue();
                     break;
                  case 350:
                     miscDateFormat();
                     break;
                  case 349:
                     miscCounter();
                     break;
                  case 348:
                     miscBlobRef();
                     break;
                  case 347:
                     miscFalseValue();
                     break;
                  case 346:
                     miscTrueValue();
                     break;
                  case 345:
                     miscNull();
                     break;
                  case 344:
                     miscSysDate();
                     break;
                  case 343:
                     miscFormatDate();
                     break;
                  case 342:
                     miscFixedValue();
                     break;
                  case 341:
                     miscDecimalValue();
                     break;
                  case 340:
                     miscDoubleValue();
                     break;
                  case 339:
                     miscFloatValue();
                     break;
                  case 338:
                     miscStringValue();
                     break;
                  case 337:
                     miscTinyIntValue();
                     break;
                  case 336:
                     miscSmallIntValue();
                     break;
                  case 335:
                     miscBigIntValue();
                     break;
                  case 334:
                     miscLongValue();
                     break;
                  case 333:
                     miscIntValue();
                     break;
                  case 332:
                     miscNegatedFloatString();
                     break;
                  case 331:
                     miscFloatString();
                     break;
                  case 330:
                     miscNegatedIntString();
                     break;
                  case 329:
                     miscIntString();
                     break;
                  case 328:
                     miscAttribute3();
                     break;
                  case 327:
                     miscAttribute2();
                     break;
                  case 326:
                     miscAttribute1();
                     break;
                  case 325:
                     miscMoreEqualComp();
                     break;
                  case 324:
                     miscLessEqualComp();
                     break;
                  case 323:
                     miscMoreComp();
                     break;
                  case 322:
                     miscLessComp();
                     break;
                  case 321:
                     miscNotEqualComp();
                     break;
                  case 320:
                     miscEqualComp();
                     break;
                  case 319:
                     miscBlobType();
                     break;
                  case 318:
                     miscFixedType();
                     break;
                  case 317:
                     miscDecimalType();
                     break;
                  case 316:
                     miscTinyIntType();
                     break;
                  case 315:
                     miscSmallIntType();
                     break;
                  case 314:
                     miscDoubleType();
                     break;
                  case 313:
                     miscFloatType();
                     break;
                  case 312:
                     miscBigIntType();
                     break;
                  case 311:
                     miscBoolType();
                     break;
                  case 310:
                     miscDateTimeType();
                     break;
                  case 309:
                     miscStringType();
                     break;
                  case 308:
                     miscLongType();
                     break;
                  case 307:
                     miscIntType();
                     break;
                  case 306:
                     wcPredicateNotPredicate();
                     break;
                  case 305:
                     wcPredicateCondition();
                     break;
                  case 304:
                     wcPredicateNotLikeComp();
                     break;
                  case 303:
                     wcPredicateLikeComp();
                     break;
                  case 302:
                     wcPredicateNotNullComp();
                     break;
                  case 301:
                     wcPredicateNullComp();
                     break;
                  case 300:
                     wcPredicateBetween();
                     break;
                  case 299:
                     wcPredicateExprComp();
                     break;
                  case 298:
                     wcPredicateQueryNotIn();
                     break;
                  case 297:
                     wcPredicateQueryIn();
                     break;
                  case 296:
                     wcPredicateQueryExists();
                     break;
                  case 295:
                     wcConditionPredicate();
                     break;
                  case 294:
                     wcConditionOr();
                     break;
                  case 293:
                     wcConditionAnd();
                     break;
                  case 291:
                     wcEmptyClause();
                     break;
                  case 290:
                     wcWhereClause();
                     break;
                  case 289:
                     functionExprList2();
                     break;
                  case 288:
                     functionExprList1();
                     break;
                  case 287:
                     functionUserDef2();
                     break;
                  case 286:
                     functionUserDef1();
                     break;
                  case 285:
                     functionNextCount();
                     break;
                  case 284:
                     functionNative();
                     break;
                  case 283:
                     functionNative();
                     break;
                  case 282:
                     functionNative();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     functionNative();
                     break;
                  case 279:
                     functionNative();
                     break;
                  case 278:
                     functionNative();
                     break;
                  case 277:
                     functionNative();
                     break;
                  case 276:
                     functionNative();
                     break;
                  case 275:
                     functionNative();
                     break;
                  case 274:
                     functionNative();
                     break;
                  case 273:
                     functionNative();
                     break;
                  case 272:
                     functionNative();
                     break;
                  case 271:
                     functionNative();
                     break;
                  case 270:
                     functionNative();
                     break;
                  case 269:
                     functionNative();
                     break;
                  case 268:
                     functionNative();
                     break;
                  case 267:
                     functionNative();
                     break;
                  case 266:
                     functionNative();
                     break;
                  case 265:
                     functionNative();
                     break;
                  case 264:
                     functionNative();
                     break;
                  case 263:
                     functionNative();
                     break;
                  case 262:
                     functionNative();
                     break;
                  case 261:
                     functionNative();
                     break;
                  case 260:
                     functionNative();
                     break;
                  case 259:
                     functionNative();
                     break;
                  case 258:
                     renameCheck();
                     break;
                  case 257:
                     renameView();
                     break;
                  case 256:
                     renameProcedure();
                     break;
                  case 255:
                     renameKey();
                     break;
                  case 254:
                     renameIndex();
                     break;
                  case 253:
                     renameTable();
                     break;
                  case 252:
                     alterRenameCol();
                     break;
                  case 251:
                     alterModCol();
                     break;
                  case 250:
                     alterAddCol();
                     break;
                  case 249:
                     alterDropCol();
                     break;
                  case 246:
                     alterStore();
                     break;
                  case 245:
                     deleteStore();
                     break;
                  case 244:
                     returnVarAssignment();
                     break;
                  case 239:
                     updateAssignment();
                     break;
                  case 236:
                     updateStore();
                     break;
                  case 234:
                     selectLimitOpt2();
                     break;
                  case 233:
                     selectLimitOpt1();
                     break;
                  case 231:
                     selectDistinctOpt();
                     break;
                  case 228:
                     selectOrderingDesc();
                     break;
                  case 227:
                     selectOrderingAsc();
                     break;
                  case 226:
                     selectOrderingList2();
                     break;
                  case 225:
                     selectOrderingList1();
                     break;
                  case 223:
                     selectEmptyOrderingClause();
                     break;
                  case 222:
                     selectOrderingClause();
                     break;
                  case 220:
                     selectEmptyHavingClause();
                     break;
                  case 219:
                     selectHavingClause();
                     break;
                  case 218:
                     selectGroupList2();
                     break;
                  case 217:
                     selectGroupList1();
                     break;
                  case 215:
                     selectEmptyGroupClause();
                     break;
                  case 214:
                     selectGroupClause();
                     break;
                  case 212:
                     aliasOpt();
                     break;
                  case 211:
                     selectStackJoinTable();
                     break;
                  case 210:
                     selectTable2();
                     break;
                  case 209:
                     selectTable1();
                     break;
                  case 204:
                     selectRightOuterJoinStore();
                     break;
                  case 203:
                     selectLeftOuterJoinStore();
                     break;
                  case 202:
                     selectInnerJoinStore();
                     break;
                  case 199:
                     selectJoinSpecStore();
                     break;
                  case 198:
                     selectTableListStore();
                     break;
                  case 197:
                     selectItem();
                     break;
                  case 196:
                     selectionList2();
                     break;
                  case 195:
                     selectionList1();
                     break;
                  case 194:
                     selectSelectionStore2();
                     break;
                  case 193:
                     selectSelectionStore1();
                     break;
                  case 192:
                     selectStore();
                     break;
                  case 191:
                     insertExprValue();
                     break;
                  case 190:
                     insertExprValue();
                     break;
                  case 189:
                     insertArg();
                     break;
                  case 188:
                     insertArg();
                     break;
                  case 187:
                     insertValueSpec();
                     break;
                  case 184:
                     insertBySelectStore();
                     break;
                  case 183:
                     insertStore();
                     break;
                  case 182:
                     rollbackStore();
                     break;
                  case 181:
                     commitStore();
                     break;
                  case 180:
                     startStore();
                     break;
                  case 178:
                     createUniqueIndex();
                     break;
                  case 177:
                     createSimpleAttr();
                     break;
                  case 176:
                     createSimpleAttrList();
                     break;
                  case 173:
                     defaultNullOpt();
                     break;
                  case 172:
                     defaultOpt();
                     break;
                  case 170:
                     createNullOpt();
                     break;
                  case 169:
                     createNotNullOpt();
                     break;
                  case 168:
                     createNullOpt();
                     break;
                  case 167:
                     createFieldName();
                     break;
                  case 166:
                     createSetOrdinary();
                     break;
                  case 165:
                     createSetPrimary();
                     break;
                  case 162:
                     procStoreFetchArg2();
                     break;
                  case 161:
                     procStoreFetchArg1();
                     break;
                  case 160:
                     casePrepare();
                     break;
                  case 159:
                     caseCondition();
                     break;
                  case 158:
                     caseConditionList2();
                     break;
                  case 157:
                     caseConditionList1();
                     break;
                  case 156:
                     caseClause();
                     break;
                  case 155:
                     procFactor14();
                     break;
                  case 154:
                     procFactor13();
                     break;
                  case 153:
                     procFactor12();
                     break;
                  case 152:
                     procFactor11();
                     break;
                  case 151:
                     procFactor10();
                     break;
                  case 150:
                     procFactor9();
                     break;
                  case 149:
                     procFactor8();
                     break;
                  case 148:
                     procFactor7();
                     break;
                  case 147:
                     procFactor6();
                     break;
                  case 146:
                     procFactor5();
                     break;
                  case 145:
                     procFactor4();
                     break;
                  case 144:
                     procFactor3();
                     break;
                  case 143:
                     procFactor2();
                     break;
                  case 142:
                     procFactor1();
                     break;
                  case 141:
                     procTerm3();
                     break;
                  case 140:
                     procTerm2();
                     break;
                  case 139:
                     procTerm1();
                     break;
                  case 138:
                     procExpr4();
                     break;
                  case 137:
                     procExpr3();
                     break;
                  case 136:
                     procExpr2();
                     break;
                  case 135:
                     procExpr1();
                     break;
                  case 134:
                     procPredicate4();
                     break;
                  case 133:
                     procPredicate3();
                     break;
                  case 132:
                     procPredicate2();
                     break;
                  case 131:
                     procPredicate1();
                     break;
                  case 130:
                     procCondition3();
                     break;
                  case 129:
                     procCondition2();
                     break;
                  case 128:
                     procCondition1();
                     break;
                  case 127:
                     procWhileCondition();
                     break;
                  case 126:
                     procWhileStatement();
                     break;
                  case 125:
                     procElsIfCondition();
                     break;
                  case 124:
                     procIfCondition();
                     break;
                  case 123:
                     procElsePart();
                     break;
                  case 121:
                     procStoreElseBlock();
                     break;
                  case 120:
                     procStoreIfBlock();
                     break;
                  case 117:
                     procStoreIfBlock();
                     break;
                  case 116:
                     procIfStatement();
                     break;
                  case 115:
                     procExceptionCondition();
                     break;
                  case 114:
                     procExprValue();
                     break;
                  case 113:
                     procExprValue();
                     break;
                  case 111:
                     procValueSpec();
                     break;
                  case 110:
                     procExceptionStatement();
                     break;
                  case 107:
                     procBlockStart();
                     break;
                  case 106:
                     procBlockStatement();
                     break;
                  case 105:
                     procReturnStatement2();
                     break;
                  case 104:
                     procReturnStatement1();
                     break;
                  case 103:
                     procQueryStatement();
                     break;
                  case 102:
                     procQueryStatement();
                     break;
                  case 101:
                     procQueryStatement();
                     break;
                  case 100:
                     procQueryStatement();
                     break;
                  case 99:
                     procQueryStatement();
                     break;
                  case 98:
                     procQueryStatement();
                     break;
                  case 96:
                     procInitialAssignment2();
                     break;
                  case 95:
                     procInitialAssignment1();
                     break;
                  case 94:
                     procNoopStatement();
                     break;
                  case 93:
                     procAssign2NullStatement();
                     break;
                  case 92:
                     procAssignStatement();
                     break;
                  case 91:
                     procCursorCloseStatement();
                     break;
                  case 90:
                     procCursorCreateStatement();
                     break;
                  case 89:
                     procVarStatement();
                     break;
                  case 88:
                     procStoreBlock();
                     break;
                  case 85:
                     procArg2();
                     break;
                  case 84:
                     procArg1();
                     break;
                  case 78:
                     procReturnOpt();
                     break;
                  case 77:
                     procStore();
                     break;
                  case 76:
                     procHead();
                     break;
                  case 74:
                     unionAllStore();
                     break;
                  case 73:
                     jdbcArg2();
                     break;
                  case 72:
                     jdbcArg1();
                     break;
                  case 71:
                     jdbcInfo();
                     break;
                  case 70:
                     execSetCounter();
                     break;
                  case 69:
                     execDropCounter();
                     break;
                  case 68:
                     execCreateCounter();
                     break;
                  case 67:
                     execIndexCheck();
                     break;
                  case 66:
                     execPrint();
                     break;
                  case 65:
                     execAssignStatement();
                     break;
                  case 64:
                     execCheckCreate();
                     break;
                  case 63:
                     execForeignKeyCreate();
                     break;
                  case 62:
                     dropOpt2();
                     break;
                  case 61:
                     dropOpt1();
                     break;
                  case 60:
                     execCheckDrop();
                     break;
                  case 59:
                     execFKeyDrop();
                     break;
                  case 58:
                     execProcDrop();
                     break;
                  case 57:
                     execViewDrop();
                     break;
                  case 56:
                     execIndexDrop();
                     break;
                  case 55:
                     execTableDrop();
                     break;
                  case 54:
                     execIndexCreate();
                     break;
                  case 53:
                     execPrimaryIndexCreate();
                     break;
                  case 52:
                     execUserTableCreate();
                     break;
                  case 51:
                     execFuncCall();
                     break;
                  case 50:
                     execProcCall();
                     break;
                  case 49:
                     execProcLoad();
                     break;
                  case 48:
                     execProcCreate();
                     break;
                  case 47:
                     execViewLoad();
                     break;
                  case 46:
                     execViewCreate();
                     break;
                  case 45:
                     execQuery();
                     break;
                  case 44:
                     execQuery();
                     break;
                  case 43:
                     execQuery();
                     break;
                  case 42:
                     execQuery();
                     break;
                  case 41:
                     execQuery();
                     break;
                  case 40:
                     execSelectPlan();
                     break;
                  case 39:
                     execSelect();
                     break;
                  case 38:
                     execIndexReorganize();
                     break;
                  case 37:
                     execTableReorganize();
                     break;
                  case 36:
                     execDisableQueryCache();
                     break;
                  case 35:
                     execEnableQueryCache();
                     break;
                  case 34:
                     execSetIsolation();
                     break;
                  case 33:
                     execDisableAutoCommit();
                     break;
                  case 32:
                     execEnableAutoCommit();
                     break;
                  case 31:
                     execDisableAppendMode();
                     break;
                  case 30:
                     execEnableAppendMode();
                     break;
                  case 29:
                     execQuery();
                     break;
                  case 28:
                     execQuery();
                     break;
                  case 27:
                     execQuery();
                     break;
                  case 26:
                     execAuthUser();
                     break;
                  case 25:
                     execSetTableSet();
                     break;
                  case 24:
                     execCheckShow();
                     break;
                  case 23:
                     execViewShow();
                     break;
                  case 22:
                     execProcShow();
                     break;
                  case 21:
                     execProcDesc();
                     break;
                  case 20:
                     execKeyDesc();
                     break;
                  case 19:
                     execViewDesc();
                     break;
                  case 18:
                     execIndexDesc();
                     break;
                  case 17:
                     execTableDesc();
                     break;
                  case 16:
                     execShowSystemSpace();
                     break;
                  case 15:
                     execShowPool();
                     break;
                  case 14:
                     execTableInfo();
                     break;
                  case 12:
                     setTableSetOpt();
                     break;
                  case 11:
                     execListCheck();
                     break;
                  case 10:
                     execListTmpObj();
                     break;
                  case 9:
                     execListSysObj();
                     break;
                  case 8:
                     execListCounter();
                     break;
                  case 7:
                     execListKey();
                     break;
                  case 6:
                     execListIndex();
                     break;
                  case 5:
                     execListView();
                     break;
                  case 4:
                     execListProc();
                     break;
                  case 3:
                     execListTable();
                     break;
                  case 2:
                     execListTableSet();
                     break;
                  case 1:
                     execSync();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
